<?php

	session_start();
	
	if( !isset($_SESSION["root"]) || !$_POST || !$_SESSION["login"] ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Curl.php";
	
	if( $_COOKIE["cari_k"] == "cari_k" ){
		echo json_encode( array( "gec" =>	1) );
		exit();
	}
	
	$_servis	=	new Servis();
	$curl			=	new Curl();
	
	$firma_adi	=	$_servis -> ozelSorgu( "select firma_adi from "._FIRMA." where firma_id = 1 LIMIT 1" );
	
	$cari			=	array( 
		"firma_adi"	=>	$firma_adi[0]["firma_adi"],
		"cari"				=>	$_SESSION["lisans"]["cari_kodu"],
		"server"			=>	$_SERVER['SERVER_NAME']
	);
	
	$name	=	array( "b","i",
										"l",
										"h","a","n",
										"e" );
										
	$name	=	implode( "", $name );
	
	$url	=	"https://www.".$name.".com/servisTakip/check.php";
	
	$result	=	$curl -> setPostData( $cari ) -> Baglan( $url, true, null, null, 10 );

	$result	=	json_decode( $result, true );

	if( $result["islem"] != "ok" ){
		$url	=	"http://www.".$name.".com/servisTakip/check.php";

		$result	=	$curl -> setPostData( $cari ) -> Baglan( $url, true, null, null, 10 );

		$result	=	json_decode( $result, true );
	}
	
	if( $result["islem"] == "ok" ){
		$pasif_yap	=	intval( $result["pasif_yap"] );
		
		if( $pasif_yap == 1 ){
			
			$kod	=	str_repeat( "0", 32 );
			$kod	=	wordwrap( $kod, 4, "-", true );
			
			$_servis -> kayitGuncelle( "update "._AYARLAR." set lisans = ? where ayar_id = 1", array( $kod ) );
		}
	}
	
	setcookie( "cari_k", "cari_k", time() + ( 60 * 60 * 6 ), "/" );
	
	$r	=	array( "gec" =>	1, "result" => $result );
	echo json_encode( $r );

?>