<?php

	session_start();
	
	if(isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"])){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/Cihazlar.php";
		
		$secilecek_alanlar = array(
			_CIHAZLAR.".cihaz_id",
			_CIHAZLAR.".cihaz_baslik",
			_CIHAZLAR.".cihaz_resim",
			_CIHAZLAR.".ekleyen_id",
			_CIHAZLAR.".cihaz_kayit_tarihi"
		);
		
		$cihaz		=	new Cihaz();
		$cihazlar	=	$cihaz -> getCihazlar($secilecek_alanlar);
		$sonuc	=	array();
		
			if( $cihazlar === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$cihaz -> getHata();
			}
			else{
				
				$yetki_cihaz_ekle			=	yetki( "cihaz_ekle" );
				$yetki_cihaz_sil				=	yetki( "cihaz_sil" );
				$yetki_cihaz_duzenle	=	yetki( "cihaz_duzenle" );
				
				$cikti = '<div id="tabloUst">
									'.( ( $yetki_cihaz_ekle ) ? '<button type="button" class="btn btn-success" data-modal-ac="cihaz_ekleme" data-param=\'{ "baslik" : "Yeni Cihaz Ekle" }\'><i class="fa fa-plus"></i> Yeni Cihaz</button>' : null ).'
									<button type="button" class="btn btn-warning" data-listele="cihazlar" data-param=""><i class="fa fa-refresh"></i> Yenile</button>
									'.( ( $yetki_cihaz_sil ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
									data-toplu-sil=\'{ "hangisi" : "cihazlar", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\'>
									<i class="fa fa-trash-o"></i></button>' : null ).'
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="cihazlar">
											<thead>
												<tr> 
													'.( ( $yetki_cihaz_sil ) ? '<th class="no-sort hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Cihaz İsmi</th>
													<th style="width:150px;">Eklenme Tarihi</th>
													<th class="no-sort" style="width:80px;">İkon</th>
													<th class="no-sort" style="width:150px;">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach($cihazlar as $cih){
												$ikon = ($cih["cihaz_resim"]) ? '<span class="abs-left"><img src="'.OTO_URL.'/uploads/resimler/'.$cih["cihaz_resim"].'" alt="Cihaz İkonu" /></span>' : null;
												$cikti .= '<tr data-cihaz-id = "'.$cih["cihaz_id"].'">
															'.( ( $yetki_cihaz_sil ) ? '<th class="hepsini-sec-gen">
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$cih["cihaz_id"].'" />
																</div>
															</th>' : null ).'
															<td>'.$cih["cihaz_baslik"].'</td>
															<td class="liste-tarih-kolon" title="'.(date("d/m/Y H:i",strtotime($cih["cihaz_kayit_tarihi"]))).'" data-order="'.$cih["cihaz_kayit_tarihi"].'" data-time="'.strtotime($cih["cihaz_kayit_tarihi"]).'">'.tarihGoster($cih["cihaz_kayit_tarihi"]).'</td>
															<td class="pos-relative-1">'.$ikon.'</td>
															<td>
																'.( ( $yetki_cihaz_duzenle ) ? '<button type="button" class="btn btn-primary btn-xs" data-modal-ac="cihaz_duzenleme" data-param=\'{ "baslik" : "Cihaz Düzenle", "id" : '.$cih["cihaz_id"].', "yenile" : true }\'>Düzenle <i class="fa fa-pencil"></i></button>' : null ).'
																'.( ( $yetki_cihaz_sil ) ? '<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "cihazlar", "mesaj" : "'.$cih["cihaz_baslik"].', Silmek İstediğinize Emin misiniz?", 
																"id" : '.$cih["cihaz_id"].' }\'>Sil <i class="fa fa-times"></i></button>' : null ).'
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													'.( ( $yetki_cihaz_sil ) ? '<th class="hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Cihaz İsmi</th>
													<th>Eklenme Tarihi</th>
													<th>İkon</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.count($cihazlar).'</strong> Kayıt. Tüm Kayıtlar Listeleniyor.
								</div>
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>