<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$_servis	=	new Servis();
	$sonuc	=	array();
	$_time		=	time();
	
	$yeni		=	$_servis -> ozelSorgu( "select COUNT(durum_id) as toplam from "._SERVISFISLERI." where durum_id = 0 and fis_sil = 0 LIMIT 1" );
	
	$bugunServisAdet = $_servis -> ozelSorgu("
		select COUNT(servis_fis_id) as adet 
		from "._SERVISFISLERI." 
		where DATE(servis_giris_tarihi) = CURDATE() and fis_sil = 0
	");
	
	$bugunServisToplam = $_servis -> ozelSorgu("
		SELECT(
			IFNULL( (SELECT SUM(birim_fiyat * adet) FROM `"._KULLANILANMALZEMELER."` 
			WHERE "._KULLANILANMALZEMELER.".servis_islem_id IN( SELECT servis_islem_id from "._SERVISISLEMLERI." where DATE(servis_islem_tarihi) = CURDATE() AND servis_islem_sil = 0 ) 
			LIMIT 1 ), 0.00 ) 
			+ 
			IFNULL( ( SELECT SUM(servis_tutar) from "._SERVISISLEMLERI." where DATE(servis_islem_tarihi) = CURDATE() AND servis_islem_sil = 0 LIMIT 1 ), 0.00 ) 
		) as toplam 
		LIMIT 1
	");
	
	$haftaServisAdet = $_servis -> ozelSorgu("
		select COUNT(servis_fis_id) as adet 
		from "._SERVISFISLERI." 
		where YEARWEEK(servis_giris_tarihi, 1) = YEARWEEK(CURDATE(), 1) and fis_sil = 0
	");
	
	$haftaServisCiro = $_servis -> ozelSorgu("
		select (
			(
				IFNULL(
					(
						select SUM(servis_tutar) 
						from "._SERVISISLEMLERI." 
						where servis_islem_sil = 0 and servis_fis_id IN(
							( SELECT servis_fis_id from "._SERVISFISLERI." where fis_sil = 0 and YEARWEEK(servis_giris_tarihi, 1) = YEARWEEK(CURDATE(), 1) )
						) LIMIT 1
					), 0
				)
			) 
				+ 
			(
				IFNULL(
					(
						select SUM(birim_fiyat * adet) 
						from "._KULLANILANMALZEMELER."
						where servis_fis_id IN(
							( SELECT servis_fis_id from "._SERVISFISLERI." where fis_sil = 0 and YEARWEEK(servis_giris_tarihi, 1) = YEARWEEK(CURDATE(), 1) )
						) LIMIT 1
					), 0
				)
			) 
		) as ciro LIMIT 1
	");
	
	$haftaToplamCiro = $_servis -> ozelSorgu("
		select (
			(
				IFNULL(
					(
						select SUM(tutar) 
						from "._GGFISLER." 
						where "._GGFISLER.".gg_fis_sil = 0 and "._GGFISLER.".islem = 'gelir' 
							and YEARWEEK(gg_fis_tarihi, 1) = YEARWEEK(CURDATE(), 1)
						LIMIT 1
					), 0
				)
			)
				+
			(
				IFNULL(
					(
						select SUM(fatura_toplam_tutar) 
						from "._FATURALAR." 
						where "._FATURALAR.".fatura_sil = 0 and "._FATURALAR.".fatura_tur = 'satis' 
							and YEARWEEK(fatura_tarihi, 1) = YEARWEEK(CURDATE(), 1) 
						LIMIT 1
					), 0
				)
			)
		) as ciro LIMIT 1
	");
	
	$data = $_servis -> ozelSorgu( "select COUNT("._SERVISFISLERI.".durum_id) as satir, "._DURUMLAR.".durum_id ,"._DURUMLAR.".durum_baslik 
	from "._DURUMLAR." 
	left join "._SERVISFISLERI." on "._SERVISFISLERI.".durum_id = "._DURUMLAR.".durum_id and "._SERVISFISLERI.".fis_sil = 0 
	where "._DURUMLAR.".durum_sil = 0 
	group by "._DURUMLAR.".durum_id" );

	$cihazBy = $_servis -> ozelSorgu( "select COUNT("._SERVISFISLERI.".cihaz_id) as satir, "._CIHAZLAR.".cihaz_id ,"._CIHAZLAR.".cihaz_baslik 
	from "._CIHAZLAR." 
	left join "._SERVISFISLERI." on "._SERVISFISLERI.".cihaz_id = "._CIHAZLAR.".cihaz_id and "._SERVISFISLERI.".fis_sil = 0 
	where "._CIHAZLAR.".cihaz_sil = 0 
	group by "._CIHAZLAR.".cihaz_id" );
																			
	$secilecek_alanlar	=	array(
		_SERVISFISLERI.".servis_fis_id",
		_SERVISFISLERI.".servis_fis_no",
		_SERVISFISLERI.".musteri_id",
		_SERVISFISLERI.".sikayet",
		_SERVISFISLERI.".cihaz_id",
		_SERVISFISLERI.".marka_id",
		_SERVISFISLERI.".durum_id",
		_SERVISFISLERI.".ekleyen_id",
		_SERVISFISLERI.".servis_giris_tarihi",
		_SERVISFISLERI.".servis_garanti_durum",
		_SERVISFISLERI.".servis_teslim_tarihi",
		_SERVISFISLERI.".servis_model_no",
		_MUSTERILER.".musteri_adi",
		_MUSTERILER.".musteri_sil",
		_CIHAZLAR.".cihaz_baslik",
		_CIHAZLAR.".cihaz_resim",
		_DURUMLAR.".durum_baslik",
		_DURUMLAR.".durum_resim",
		_MARKALAR.".marka_baslik",
		_MARKALAR.".marka_resim"
	);
		
	$sec	=	implode( ',', $secilecek_alanlar );
	$sec	=	rtrim( $sec, ',' );

	$bireysel_listele_sql = ( !yetki( "bireysel_listele" ) && $_SESSION["user"]["user_yetki"] != 0 ) ? 
		" and ("._SERVISFISLERI.".ekleyen_id = ".$_SESSION["user"]["user_id"]." OR "._GOREVLER.".gorev_alan_id = ".$_SESSION["user"]["user_id"]." OR "._SERVISFISLERI.".gorev_mudahale = 1)"
		: null;

	$gorev_listele_sql = ( $_SESSION["user"]["user_yetki"] != 0 ) ? 
		" and ("._SERVISFISLERI.".ekleyen_id = ".$_SESSION["user"]["user_id"]." OR "._GOREVLER.".gorev_alan_id = ".$_SESSION["user"]["user_id"]." OR "._SERVISFISLERI.".gorev_mudahale = 1)"
		: null;
	
	$sonServisler = $_servis -> ozelSorgu("
		select DISTINCT ".$sec." from "._SERVISFISLERI." 
		left join "._MUSTERILER." on "._SERVISFISLERI.".musteri_id = "._MUSTERILER.".musteri_id 
		left join "._DURUMLAR." on "._DURUMLAR.".durum_id = "._SERVISFISLERI.".durum_id 
		left join "._MARKALAR." on "._MARKALAR.".marka_id = "._SERVISFISLERI.".marka_id 
		left join "._CIHAZLAR." on "._CIHAZLAR.".cihaz_id = "._SERVISFISLERI.".cihaz_id 
		left join "._GOREVLER." on "._GOREVLER.".servis_fis_id = "._SERVISFISLERI.".servis_fis_id 
		where "._SERVISFISLERI.".fis_sil = 0 ".$bireysel_listele_sql." ".$gorev_listele_sql." 
		order by "._SERVISFISLERI.".servis_giris_tarihi desc LIMIT 7
	");
																						
	$yetki_servis_fisi_sil = yetki( "servis_fisi_sil" );
	
	$_servis ->  x  (  );
																						
	$tablo	=	'<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="servis_fisleri">
											<thead>
												<tr>
													<th>Fiş No</th>
													<th>Cari Hesap</th>
													<th>Arıza</th>
													<th>Cihaz</th>
													<th width="100">Durum</th>
													<th width="100">Kayıt Tarihi</th>
													<th width="100" class="no-sort">İşlem</th>
												</tr>
											</thead>
											<tbody>';

	$garantiBas = array("", "Garanti Kapsamında ");

	foreach( $sonServisler as $fis ){
		$musteriYaz		=	( $fis["musteri_sil"] ) ? kisalt($fis["musteri_adi"],10, false) : 
											'<a href="#" class="link-ata" data-musteri-id="'.$fis["musteri_id"].'" data-modal-ac="musteri_duzenleme" 
											data-param=\'{ "baslik" : "Cari Bilgileri", "id" : '.$fis["musteri_id"].' , "yenile" : true }\' 
											title="'.$fis["musteri_adi"].'">'.kisalt($fis["musteri_adi"],10, false).'</a>';
					
		$ikon_resim		=	(trim($fis["durum_resim"]) && is_file($_SESSION["root"]."/uploads/resimler/".$fis["durum_resim"])) ? '<span class="abs-right"><img src="'.OTO_URL.'/uploads/resimler/'.$fis["durum_resim"].'" alt="Durum İkonu" /></span>' : null;
		$durum_ikon	=	$fis["durum_baslik"].$ikon_resim ;
		
		if($fis["durum_id"] == 0){
			$durum_ikon = "Yeni Servis".'<span class="abs-right"><img src="'.OTO_URL.'/assets/img/yeni-kayit.png" alt="Durum İkonu" /></span>';
		}
		
		$teslim_tarihi				=	( $fis["servis_teslim_tarihi"] ) ? strtotime( $fis["servis_teslim_tarihi"] ) : null;
		$teslim_tarihi_class	=	( $teslim_tarihi > 0 && $teslim_tarihi < $_time ) ? " teslim-zamani-gecmis " : null;
		$yenimiClass					=	(strtotime($_SESSION["user_son_giris"]) < strtotime($fis["servis_giris_tarihi"])) ? " yeni-kayit " : null;
		
		$class								=	$teslim_tarihi_class.$yenimiClass;
		
		$title	=	array();
		if( $yenimiClass ){
			$title[ ]	=	"Yeni Servis";
		};
		
		if( $teslim_tarihi_class ){
			$title[ ]	=	"Teslim Tarihi Geçmiş";
		}
		
		$yenimi		=	implode( " / ", $title );
		$yenimi		=	( $yenimi ) ? ' title="'.$yenimi.'" ' : null;

		$garanti = ( $fis["servis_garanti_durum"] == 1 ) ? '<i class="fa fa-check"></i>' : '<i class="fa fa-chevron-down"></i>';

		$cihaz_ikon = (trim($fis["cihaz_resim"]) && is_file($_SESSION["root"]."/uploads/resimler/".$fis["cihaz_resim"])) ? 
		'<span class="abs-right">
			<img src="'.OTO_URL.'/uploads/resimler/'.$fis["cihaz_resim"].'" alt="Cihaz İkonu" title="'.$garantiBas[$fis["servis_garanti_durum"]].$fis["cihaz_baslik"].'"/>
			'.$garanti.'
		</span>' : 
		'<span class="abs-right">
			<img src="'.OTO_URL.'/assets/img/no-device.png" alt="Cihaz İkonu" title="'.$garantiBas[$fis["servis_garanti_durum"]].$fis["cihaz_baslik"].'"/>
			'.$garanti.'
		</span>';
		
		$marka = ($fis["marka_id"]) ? '<a href="#" class="link-ata" data-marka-id="'.$fis["marka_id"].'">'.kisalt($fis["marka_baslik"],7,false).'</a>' : null;
		
		$tablo	.=	'<td '.$yenimi.' style="font-size:12px;vertical-align:middle;width:100px;" class="'.$class.'">'.$fis["servis_fis_no"].'</td>
		
					<td>'.$musteriYaz.'</td>

					<td title="'.$fis["sikayet"].'">'.( kisalt( $fis["sikayet"], 10, false ) ).'</td>

					<td class="pos-relative" data-order="'.$fis["cihaz_id"].'">'.$marka." ".kisalt($fis["servis_model_no"],7,false).$cihaz_ikon.'</td>

					<td class="pos-relative" data-order="'.$fis["durum_id"].'">'.$durum_ikon.'</td>

					<td class="liste-tarih-kolon" title="'.(date("d/m/Y H:i",strtotime($fis["servis_giris_tarihi"]))).'" data-order="'.$fis["servis_giris_tarihi"].'" data-time="'.strtotime($fis["servis_giris_tarihi"]).'">'.tarihGoster($fis["servis_giris_tarihi"], false).'</td>

					<td>
						<button type="button" class="btn btn-primary btn-xs" data-modal-ac="servis_fisi_duzenleme" data-param=\'{ "baslik" : "Servis Bilgileri", "id" : '.$fis["servis_fis_id"].', "yenile" : true, "size" : "modal-lg" }\'>İncele <i class="fa fa-external-link-square"></i></button>
						'.( ( $yetki_servis_fisi_sil ) ? 
						'<button type="button" class="btn btn-danger btn-xs" 
						data-kayit-sil=\'{ "hangisi" : "durumliste", "mesaj" : "'.$fis["servis_fis_no"].', Silmek İstediğinize Emin misiniz?", 
						"id" : '.$fis["servis_fis_id"].' }\'>
						Sil <i class="fa fa-times"></i></button>' : null ).'
					</td>
				</tr>';
	}
												
	$tablo	.=	'</tbody></table></form></div>';
																			
	if( $data === false ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	$_servis -> getHata();
		echo json_encode( $sonuc );
		exit();
	}
	
	$output	=	'<div class="row">';
	$output	.=	'<div class="col-xs-12 col-lg-3">';
	$output	.=	'<div class="row">';
	$output	.=	"<div class='col-xs-12 col-sm-6 col-lg-12'>
	<div class='widget default link clearfix' data-listele='servis_fisleri' data-param='{ \"where\" : { \"kolon\" : [\"tarih\"], \"tur\" : [\"gunluk\"], \"value\" : [ \"".date("Y-m-d")." 00:00:00\" ] } }'>
		<div class='count'>{$bugunServisAdet[0]["adet"]}</div>
		<div class='desc'>
			<span class='text'>
				<strong>Günlük servis sayısı</strong>
			</span>
			<span class='text' title='Bugün kaydedilen toplam servis sayısı'>
				Bugün kaydedilen toplam servis
			</span>
		</div>
	</div>
	</div>";
	$output	.=	"<div class='col-xs-12 col-sm-6 col-lg-12'>
	<div class='widget default link clearfix' data-listele='servis_fisleri' data-param='{ \"where\" : { \"kolon\" : [\"tarih\"], \"tur\" : [\"haftalik\"], \"value\" : [ \"".date("Y-m-d")." 00:00:00\" ] } }'>
		<div class='count'>{$haftaServisAdet[0]["adet"]}</div>
		<div class='desc'>
			<span class='text'>
				<strong>Haftalık servis sayısı</strong>
			</span>
			<span class='text' title='Bu hafta kaydedilen toplam servis sayısı'>
				Bu hafta kaydedilen toplam servis
			</span>
		</div>
	</div>
	</div>";
	$output	.=	"<div class='col-xs-12 col-sm-6 col-lg-12'>
	<div class='widget default clearfix ciro'>
		<div class='count'><i class='fa fa-try' style='font-size:20px;'></i></div>
		<div class='desc'>
			<span class='text'>
				Haftalık servis toplamı
			</span>
			<span class='text' style='font-family:monospace,sans-serif;font-size:24px;'>
				".sqlToPara($haftaServisCiro[0]["ciro"])."
			</span>
		</div>
	</div>
	</div>";
	
	$output	.=	"<div class='col-xs-12 col-sm-6 col-lg-12'>
	<div class='widget default clearfix ciro'>
		<div class='count'><i class='fa fa-try' style='font-size:20px;'></i></div>
		<div class='desc'>
			<span class='text'>
				Haftalık satış toplamı
			</span>
			<span class='text' style='font-family:monospace,sans-serif;font-size:24px;'>
				".sqlToPara($haftaToplamCiro[0]["ciro"])."
			</span>
		</div>
	</div>
	</div>";
	
	$output	.=	"<div class='col-xs-12 col-sm-6 col-lg-12'>
	<div class='widget default clearfix gunluk-ciro'>
		<div class='count'><i class='fa fa-try' style='font-size:20px;'></i></div>
		<div class='desc'>
			<span class='text'>
				Bugünkü servis işlemleri
			</span>
			<span class='text' style='font-family:monospace,sans-serif;font-size:24px;'>
				".sqlToPara($bugunServisToplam[0]["toplam"])."
			</span>
		</div>
	</div>
	</div>";
	
	$output	.=	'</div>';
	$output	.=	'</div>';
	$output	.=	'<div class="col-xs-12 col-lg-9">
					<div class="son-eklenen-servisler">
						<strong><i class="fa fa-bars"></i> Son Eklenen Servisler</strong>
						<button type="button" class="btn btn-info no-shadow no-radius durum-liste-yenile" 
						data-listele="durumliste" data-param=""><i class="fa fa-refresh"></i></button>
					</div>
				'.$tablo.'</div>';
								
	$output	.=	'<div class="col-xs-12" style="margin-top:10px;"></div>';

	$output .= '<div class="row">';
	
	$output .= '<div class="col-xs-12 col-lg-6">';
	
	$output	.=	'<div class="durum-liste">
					<div class="durum-liste-bir" data-listele="servis_fisleri" 
					data-param=\'{ "where" : { "kolon" : ["durum"], "tur" : ["tam"], "value" : [ 0 ] } }\'>
						<span class="adet">'.$yeni[0]["toplam"].'</span>
						<span class="baslik"><strong>Yeni Servis</strong></span>
					</div>
				</div>';

	$output	.=	implode( array_map( function( $item ){
					$return	=	'<div class="durum-liste">
												<div class="durum-liste-bir" data-listele="servis_fisleri" 
												data-param=\'{ "where" : { "kolon" : ["durum"], "tur" : ["tam"], "value" : [ '.$item["durum_id"].' ] } }\'>
													<span class="adet">'.$item["satir"].'</span>
													<span class="baslik"><strong>'.$item["durum_baslik"].'</strong></span>
												</div>
											</div>';
					return $return;
				}, $data ) );

	$output .= '</div>';

	$output .= '<div class="col-xs-12 col-lg-6">';

	$output	.=	implode( array_map( function( $item ){
					$return	=	'<div class="durum-liste cihaz">
												<div class="durum-liste-bir" data-listele="servis_fisleri" 
												data-param=\'{ "where" : { "kolon" : ["cihaz"], "tur" : ["tam"], "value" : [ '.$item["cihaz_id"].' ] } }\'>
													<span class="adet">'.$item["satir"].'</span>
													<span class="baslik"><strong>'.$item["cihaz_baslik"].'</strong></span>
												</div>
											</div>';
					return $return;
				}, $cihazBy ) );

	$output .= '</div>';
							
	$output	.=	'</div>
				</div>';
	
	$sonuc["hata"]				=	false;
	$sonuc["durumliste"]	=	true;
	$sonuc["data"]				=	$output;
	
	echo json_encode( $sonuc );
	
?>