<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/EmailSablon.php";
	
	$baslik					=	post("email_sablon_baslik");
	$konu_baslik	=	post("konu_baslik");
	$detay					=	str_replace(array('&nbsp;'),null,$_POST["email_sablon_detay"]);
	$detay					=	guvenlik($detay);
	
	$sonuc = array();
	
	$yetki_email_sablon_ekle	=	yetki( "email_sablon_ekle" );
	
	//Yetki Kontrolü
	if( !$yetki_email_sablon_ekle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Email Şablonu Ekleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if(empty($baslik) || empty($detay) || empty($konu_baslik)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	$email_sablon = new EmailSablon();
	
	$ekleyen_id = $_SESSION["user"]["user_id"];
	$tarih = date("Y-m-d H:i:s");
	
	$sql		=	"insert into "._EMAILSABLONLARI." set email_sablon_baslik = ?, email_sablon_konu = ?, 
						email_sablon_detay = ?, ekleyen_id = ?, email_sablon_kayit_tarihi = ?";
	$kayit	=	$email_sablon -> kayitEkle($sql,array($baslik, $konu_baslik, $detay,$ekleyen_id, $tarih));
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $email_sablon -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<strong><i class="fa fa-check"></i> Tebrikler.</strong> Kayıt Başarılı.';
		}
	
	echo json_encode($sonuc);

?>