<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$id						=	post("id");
	$kart_id			=	post("kart_id");
	$islem_tur		=	post("islem_tur");
	$aciklama		=	post("aciklama");
	$odeme_tur	=	post("odeme_tur");
	$tarih				=	unixTarih( post("tarih") );
	$tutar				=	paraToSql( post("tutar") );
	
	$sonuc			=	array();
	$_servis			=	new Servis();
	
	$yetki_gg_fis_duzenle	=	yetki( "gg_fis_duzenle" );
	
	//Yetki kontrolü
	if( !$yetki_gg_fis_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Gelir Gider Fişi Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//Müşteri Kontrolü
	if( !$id ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Eksik Bilgi !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//İşlem kontrolü
	if( $islem_tur != "gelir" && $islem_tur != "gider" ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"İşlem Türü Alınamadı !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//Müşteri Kontrolü
	if(!$kart_id){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Kart Seçmediniz!";
		echo json_encode($sonuc);
		exit();
	}
	
	//Fiyat Kontrolü
	if(!$tutar){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Tahsilat Tutarını Giriniz!";
		echo json_encode($sonuc);
		exit();
	}
	
	$sql		=	"update "._GGFISLER." set kart_id = ?, islem = ?, tutar = ?, odeme_tur = ?, gg_fis_tarihi = ?, gg_fis_aciklama = ? where gg_fis_id = ?";
	
	$kayit	=	$_servis -> kayitGuncelle( $sql, array( $kart_id, $islem_tur, $tutar, $odeme_tur, $tarih, $aciklama, $id ) );
	
		if( $kayit === false ){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	$_servis -> getHata();
		}
		else{
			$sonuc["hata"]		=	false;
			$sonuc["mesaj"]		=	'<i class="fa fa-check"></i> Gelir Gider Fişi Güncellendi.';
		}
	
	echo json_encode( $sonuc );

?>