<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/plugin/upload/class.upload.php";
	
	$_servis = new Servis();
	
	$islem				=	post("islem");
	$baslik				=	post("baslik");
	$detay				=	post("mesaj");
	$kimlere			=	post("kimlere");
	$gonderen	= $_SESSION["user"]["user_id"];
	$mesajID		=	post("mesaj_id");
	$max_size		=	4 * 1024 * 1024; //4mb max boyut
	$_tarih				=	date("Y-m-d-H-i-s");
	$_tarihYaz		=	date("Y-m-d-H:i:s");
	$sonuc			=	array();
	
	//Yeni mesaj eklemede boşluk kontrol
	if( ( empty($baslik) || empty($detay) || empty($kimlere) ) && $islem == "ekle" ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen İlgili Alanı Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	//Mesaj cevaplamada boşluk kontrol
	if( ( empty($detay) || empty($mesajID) ) && $islem == "duzenle" ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen İlgili Alanı Boş Bırakmayın2!";
		echo json_encode($sonuc);
		exit();
	}
	
	if( $_FILES["dosya"] ){
		if( !isZip( $_FILES["dosya"] ) ){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = "Geçersiz Dosya!";
			echo json_encode($sonuc);
			exit();
		}
		$_dosya = new upload($_FILES["dosya"],"tr_TR");
		$_dosya -> file_max_size = $max_size;
		$_dosya -> allowed = array("application/octet-stream","application/zip","application/x-zip-compressed","application/x-compressed");
		$_dosya -> file_name_body_pre = "dosya_".rand()."_";
		$_dosya -> file_new_name_body = $_tarih;
		$_dosya -> Process($_SESSION["root"]."/uploads/dosyalar/");
		
		if( !$_dosya -> processed ){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $_dosya -> error;
			echo json_encode($sonuc);
			exit();
		}
		$dosyaAdi		=	$_dosya -> file_dst_name;
		$dosyaEkle	=	$_servis -> kayitEkle("insert into "._DOSYALAR." set dosya_adi = ?", array($dosyaAdi));
		if( $dosyaEkle !== false ){
			$dosya_id		=	$_servis -> last_id();
			$dosyaSql		=	" dosya_id = ".$dosya_id." , ";
		}
	}
	
	$dosyaSql = ( $dosyaSql ) ? $dosyaSql : "";
	
	switch( $islem ){
		case "ekle" :
			$sql		=	"insert into "._MESAJLAR." set mesaj_baslik = ?, mesaj_icerik = ?, ".$dosyaSql." gonderen_id = ?, 
								mesaj_ust_id = 0, alanlar_id = ?, mesaj_islem_tarihi = ?, mesaj_tarihi = ?";
			$kayit	=	$_servis -> kayitEkle($sql,array($baslik,$detay,$gonderen,$kimlere,$_tarihYaz,$_tarihYaz));
		break ;
		case "duzenle" :
			$sql		=	"insert into "._MESAJLAR." set mesaj_icerik = ?, ".$dosyaSql." gonderen_id = ?, mesaj_ust_id = ?, alanlar_id = ?, mesaj_islem_tarihi = ?, mesaj_tarihi = ?";
			$kayit	=	$_servis -> kayitEkle($sql,array($detay,$gonderen,$mesajID,$kimlere,$_tarihYaz,$_tarihYaz));
		break ;
	}

	if( $kayit ){
		$sonuc["hata"] = false;
		$sonuc["mesaj"] = '<strong><i class="fa fa-check"></i> Tebrikler.</strong> Mesajınız Gönderildi.';
		$mesaj_id					=	$_servis -> last_id();
		$bildirim_kayit_id	=	( $islem == "ekle" ) ? $mesaj_id : $mesajID;
		$_servis -> kayitEkle( "insert into "._BILDIRIM." set bildirim_gonderici = ?, bildirim_alici = ?, bildirim_tur = 'mesaj', bildirim_kayit_id = ?", 
		array( $gonderen, $kimlere, $bildirim_kayit_id ));
		
		if( $islem == "duzenle" ){
			$_servis	->	kayitGuncelle("update "._MESAJLAR." set mesaj_gonderen_sil = 0, mesaj_alan_sil = 0, mesaj_islem_tarihi = ? 
										where mesaj_id = ?", array( $_tarihYaz,$mesajID ));
			$profilResmiSrc			=	( $_SESSION["user"]["user_profil_resmi"] && 
															is_file( $_SESSION["root"]."/uploads/resimler/".$_SESSION["user"]["user_profil_resmi"] ) ) ? 
															$_SESSION["oto_url"]."/uploads/resimler/".$_SESSION["user"]["user_profil_resmi"] : 
															$_SESSION["oto_url"]."/assets/img/user-icon.png";
			$mesajBir						=	'<div class="mesaj-bir clearfix" style="margin-top:10px;">
																<div class="user-avatar pull-left">
																	<img src="'.$profilResmiSrc.'" alt="'.$_SESSION["user"]["user_name"].'">
																</div>
																<div class="mesaj-detay pull-left clearfix">
																	<div class="mesaj-header clearfix">
																		<span class="personel pull-left">
																			<strong>'.$_SESSION["user"]["user_ad"].' '.$_SESSION["user"]["user_soyad"].'</strong>
																		</span>
																		<span class="tarih pull-right">
																			<i class="fa fa-calendar" aria-hidden="true"></i> 
																			'.tarihGoster( date("Y-m-d H:i:s") ).'
																		</span>
																	</div>
																	<div class="mesaj-icerik">'.$detay;
			if( $dosyaEkle ){
				$mesajBir	.=	'<div class="ekli-dosya">
													<a href="'.$_SESSION["oto_url"].'/goster/indir.php?dosya_id='.$dosya_id.'&token='.$_SESSION["dosyaToken"].'" title="Dosya İndir" target="_blank" data-toggle-iki="tooltip">
														<strong><i class="fa fa-paperclip" style="color:#111111;"></i> Ekli Dosya</strong>
													</a>
												</div>';
			}
			$mesajBir						.=	'</div></div></div>';
			$sonuc["mesajBir"]	=		$mesajBir;
		}
	}
	else{
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = $_servis -> getHata();
		//Kayıt yapılamamışsa eklenen dosya siliniyor
		if( $dosyaSql ){
			$dosyaSil = $_servis -> kayitSil( "delete from "._DOSYALAR." where dosya_id = ?",array($dosya_id) );
			if( $dosyaSil ){
				unlink( $_SESSION["root"]."/uploads/dosyalar/".$dosyaAdi );
			}
		}
	}
	
	echo json_encode($sonuc);

?>