<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Iller.php";
	
	$_servis	=	new Servis();
	$sonuc	=	array();
	$_il				=	new Il();
	
	$musteriler = $_servis -> ozelSorgu("
		select musteri_id, musteri_adi, musteri_kodu, musteri_tel1, musteri_email, il, ilce_semt, musteri_adres, bakiye  
		from "._MUSTERILER." 
		where musteri_sil = 0 order by musteri_adi asc
	");
																					
	if( $musteriler === false ){
		$sonuc["hata"] = true;
		$sonuc["content"] = 'Müşteriler Yüklenemedi. '.$_servis -> getHata();
		echo json_encode( $sonuc );
		exit;
	}
	
	$content = '<table class="table table-bordered musteri-secme-tablosu"><tbody>';
								
	foreach( $musteriler as $mus ){
		$content .= '<tr>
			<td class="text-center" style="width:36px;">
				<div class="ui checkbox" 
					data-musteri=\'{ "id" : '.$mus["musteri_id"].', "isim" : "'.$mus["musteri_adi"].'", "kod" : "'.$mus["musteri_kodu"].'", 
					"telefon" : "'.$mus["musteri_tel1"].'", "il" : "'.sqlToPara($mus["bakiye"]).'", "email" : "'.$mus["musteri_email"].'", "sehir" : "'.$_il -> ilTek($mus["il"]).'", "adres" : "'.str_replace("\r\n","",$mus["musteri_adres"]).'", "ilce" : "'.$mus["ilce_semt"].'" }\'>
					<input type="checkbox" name="musteri_id" value="'.$mus["musteri_id"].'" />
				</div>
			</td>
			<td class="text-ellipsis"><strong>'.$mus["musteri_adi"].'</strong></td>
			<td style="width:16%;">'.$mus["musteri_kodu"].'</td>
			<td style="width:20%;">'.$mus["musteri_tel1"].'</td>
			<td style="width:18%;">'.$_il -> ilTek( $mus["il"] ).'</td>
		</tr>';
	}
								
	$content .= '</tbody></table>';
	
	$sonuc["hata"] = false;
	$sonuc["content"] = $content;
	
	echo json_encode($sonuc);

?>