<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST["tur"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$_servis	=	new Servis();
	$tur			=	post("tur");
	$sonuc	=	array();
	
	switch( $tur ){
		case "durum":
			$yetkiMesaj	=	( yetki( "durum_ikon_ekle" ) ) ? null : "Durum İkonu Silme Yetkiniz Yok !";
		break;
		case "cihaz":
			$yetkiMesaj	=	( yetki( "cihaz_ikon_ekle" ) ) ? null : "Cihaz İkonu Silme Yetkiniz Yok !";
		break;
		case "marka":
			$yetkiMesaj	=	( yetki( "marka_logo_ekle" ) ) ? null : "Marka Logosu Silme Yetkiniz Yok !";
		break;
		case "personel":
			$yetkiMesaj	=	( yetki( "personel_resim_sil" ) ) ? null : "Personel Resmi Silme Yetkiniz Yok !";
		break;
		case "musteri":
			$yetkiMesaj	=	( yetki( "musteri_resim_sil" ) ) ? null : "Müşteri Resmi Silme Yetkiniz Yok !";
		break;
		case "servis_resim":
			$yetkiMesaj	=	( yetki( "servis_resim_sil" ) ) ? null : "Servis Resmi Silme Yetkiniz Yok !";
		break;
		case "firma_bilgileri":
			$yetkiMesaj	=	( yetki( "firma_logo_ekle" ) ) ? null : "Firma Logosu Silme Yetkiniz Yok !";
		break;
	}
	
	if( $yetkiMesaj ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	$yetkiMesaj;
		echo json_encode( $sonuc );
		exit();
	}
	
	switch( $tur ){
		case "servis_resim":
			$resim_id = post("resim_id");
			$servis_id = post("servis_id");
			$resim_adi = post("resim_adi");
				$ok = $_servis -> kayitSil("delete from "._RESIMLER." where resim_id = ?",array($resim_id));
				if($ok){
					unlink($_SESSION["root"]."/uploads/resimler/".$resim_adi);
					$resimler = $_servis -> ozelSorgu("select * from "._RESIMLER." where resim_tur = 'servis_fisi' and resim_tur_id = ?",array($servis_id));
					$content = "";
						foreach($resimler as $rsm){
							$path = $_SESSION["oto_url"]."/uploads/resimler/".$rsm["resim_link"];
							$content .= '<div class="col-xs-6 col-sm-3 col-md-2">
											<a href="'.$path.'" class="fancybox" rel="servis-resimleri">
												<span data-resim-id="'.$rsm["resim_id"].'" class="servis-resim-sil" data-resim-adi="'.$rsm["resim_link"].'" data-servis-id="'.$servis_id.'"><i class="fa fa-times"></i></span>
												<img src="'.$path.'" class="img-responsive servis-resmi-bir" alt="" />
													<div class="resim-siliniyor">
														<span class="rotate"><i class="fa fa-spinner"></i></span>
													</div>
											</a>
										</div>';
						}
							$sonuc["hata"] = false;
							$sonuc["servis_fisi"] = true;
							$sonuc["content"] = '<div class="panel panel-default" style="margin:0;border:none;box-shadow:none;">
													<div class="panel-heading baslik">
													<h3 class="panel-title" style="font-size:13px;"><strong>Resimler</strong></h3>
													</div>
													<div class="panel-body">
													<div class="row">
													'.$content.'
													</div>
													</div>
												</div>';
				}
		break;
		
		case "cihaz":
			$id = post("id");
			$resim_adi = post("resim_adi");
			$sil = $_servis -> kayitGuncelle("update "._CIHAZLAR." set cihaz_resim = ? where cihaz_id = ?",array("",$id));
				if($sil){
					if(unlink($_SESSION["root"]."/uploads/resimler/".$resim_adi)){
						$sonuc["sil"] = true;
					}
				}
		break;
		
		case "durum":
			$id = post("id");
			$resim_adi = post("resim_adi");
			$sil = $_servis -> kayitGuncelle("update "._DURUMLAR." set durum_resim = ? where durum_id = ?",array("",$id));
				if($sil){
					if(unlink($_SESSION["root"]."/uploads/resimler/".$resim_adi)){
						$sonuc["sil"] = true;
					}
				}
		break;
		
		case "marka":
			$id = post("id");
			$resim_adi = post("resim_adi");
			$sil = $_servis -> kayitGuncelle("update "._MARKALAR." set marka_resim = ? where marka_id = ?",array("",$id));
				if($sil){
					if(unlink($_SESSION["root"]."/uploads/resimler/".$resim_adi)){
						$sonuc["sil"] = true;
					}
				}
		break;
		
		case "personel":
			$id = post("id");
			$resim_adi = post("resim_adi");
			$sil = $_servis -> kayitGuncelle("update "._USERS." set user_profil_resmi = ? where user_id = ?",array("",$id));
				if($sil){
					if(unlink($_SESSION["root"]."/uploads/resimler/".$resim_adi)){
						$sonuc["sil"] = true;
					}
				}
		break;
		
		case "musteri":
			$id = post("id");
			$resim_adi = post("resim_adi");
			$sil = $_servis -> kayitGuncelle("update "._MUSTERILER." set musteri_profil_resmi = ? where musteri_id = ?",array("",$id));
				if($sil){
					if(unlink($_SESSION["root"]."/uploads/resimler/".$resim_adi)){
						$sonuc["sil"] = true;
					}
				}
		break;
		
		case "stok":
			$id = post("id");
			$resim_adi = post("resim_adi");
			$sil = $_servis -> kayitGuncelle("update "._YEDEKPARCA." set stok_foto = ? where yedek_parca_id = ?",array("",$id));
				if($sil){
					if(unlink($_SESSION["root"]."/uploads/resimler/".$resim_adi)){
						$sonuc["sil"] = true;
					}
				}
		break;
		
		case "firma_bilgileri":
			$id = post("id");
			$resim_adi = post("resim_adi");
			$sil = $_servis -> kayitGuncelle("update "._FIRMA." set firma_logo = ? where firma_id = ?",array("",$id));
				if($sil){
					if(unlink($_SESSION["root"]."/uploads/resimler/".$resim_adi)){
						$sonuc["sil"] = true;
					}
				}
		break;
	}
	
	echo json_encode($sonuc);

?>