<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/SmsSablon.php";
	
	$baslik	=	post("sms_sablon_baslik");
	$detay	=	post("sms_sablon_detay");
	$id			=	post("id");
	
	$sonuc	=	array();
	
	$yetki_sms_sablon_duzenle	=	yetki( "sms_sablon_duzenle" );
	
	//Yetki Kontrolü
	if( !$yetki_sms_sablon_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Sms Şablon Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if(empty($baslik) || empty($detay)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	if(empty($id) || !is_numeric($id)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik Bilgi!";
		echo json_encode($sonuc);
		exit();
	}
	
	$sms_sablon = new SmsSablon();
	
	$sql = "update "._SMSSABLONLARI." set sms_sablon_baslik = ?, sms_sablon_detay = ? where sms_sablon_id = ?";
	$kayit = $sms_sablon -> kayitGuncelle($sql,array($baslik, $detay,$id));
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $sms_sablon -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<i class="fa fa-check"></i> Sms Şablonu Güncellendi.';
		}
	
	echo json_encode($sonuc);

?>