<?php

	session_start();
	
	if(isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"])){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/Tahsilat.php";
		require $_SESSION["root"]."/inc/ListeParam.php";
		
		//Hücre ve siralama başlıklarını değştirecek
		$basliklar	=	array(
			"hucreler"	=>	array(
				"t_no"		=>	"tahsilat_id",
				"t_tutar"	=>	"tahsilat_fiyat",
				"t_tarih"	=>	"tahsilat_tarihi",
				"islem"		=>	"islem",
				"seri_no"	=>	"fatura_seri_no",
				"fis_no"	=>	"servis_fis_no",
				"m_adi"	=>	"musteri_adi",
				"m_id"		=>	_TAHSILAT.".musteri_id",
				"e_id"		=>	_TAHSILAT.".ekleyen_id",
				"musteri_tablo"	=>	_MUSTERILER
			),
			"siralama"	=>	array(
				"desc"	=>	"desc",
				"asc"		=>	"asc"
			),
			"_paramYoksa"	=>	"tahsilat_tarihi",
			"_tablo"	=>	_TAHSILAT
		);
		
		$listeParam	=	new ListeParam($_POST,$basliklar);
		
		$paramValue	=	$listeParam -> paramValue;
		$param				=	$listeParam -> param;
		$where				=	$listeParam -> where;
		$wherePars		=	$listeParam -> wherePars;
		$pars					=	$listeParam -> pars;
		$sayfa					=	$listeParam -> sayfa;
		
		$secilecek_alanlar = array(
			_TAHSILAT.".*",
			_MUSTERILER.".musteri_adi",
			_MUSTERILER.".musteri_sil",
			_USERS.".user_name",
			_USERS.".user_id",
			_USERS.".user_ad",
			_USERS.".user_soyad",
			_USERS.".user_durum"
		);
		
		$_tahsilat			=	new Tahsilat();
		$tahsilatlar		=	$_tahsilat -> getTahsilatlar($sayfa,$param,$paramValue,$secilecek_alanlar);
		$sonuc				=	array();
		$tahsilat_tur	=	array("","Serbest Tahsilat",'Servis Tahsilatı <i class="fa fa-wrench"></i>');
		
			if( $tahsilatlar === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$_tahsilat -> getHata();
			}
			else{
				require $_SESSION["root"]."/inc/Sayfalama.php";
				$sayfala											=	new Sayfalama();
				$sayfalar											=	$sayfala -> Sayfala($sayfa,$_tahsilat -> toplam,"tahsilatlar",$pars,$_tahsilat -> limit);
				$_token											=	uniqid();
				$_SESSION["yazdirToken"]	=	$_token;
				$toplam_tutar								=	0;
				
				$_tahsilat ->    x    (     );
				
				$_tur	=	array(
					"gelir"	=>	"Tahsilat",
					"gider"	=>	"Ödeme"
				);
				
				$yetki_tahsilat_ekle	=	yetki( "tahsilat_ekle" );
				$yetki_tahsilat_sil		=	yetki( "tahsilat_sil" );
				
				$yazdirBtn		=	( count( $tahsilatlar ) ? '
												<button type="button" class="btn btn-default" title="Tabloyu Yazdır" data-yazdir-btn="tahsilatlar" 
												data-token = "'.$_token.'" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-print"></i> Yazdır</button>' : null );
				$excelBtn		=	( count( $tahsilatlar ) ? '
												<button type="button" class="btn btn-success" title="Excel\'e Aktar" data-excel-btn="tahsilatlar" 
												data-token = "'.$_token.'" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'>
												<i class="fa fa-exchange"></i> <i class="fa fa-file-excel-o"></i></button>' : null );
				
				$cikti = '<div id="tabloUst">
									<div class="inline-block listele-secenek">
										'.( ( $yetki_tahsilat_ekle ) ? '<button type="button" class="btn btn-success" data-modal-ac="tahsilat_ekleme" 
										data-param=\'{ "baslik" : "Gelir Gider Ekle", "yenile" : true }\'><i class="fa fa-plus"></i> Gelir Gider Ekle</button>' : null ).'
										<div class="btn-group" '.(($_tahsilat -> toplam) ? null : 'style="display:none;"').'>
										  <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
											<i class="fa fa-magnet"></i> Sırala <i class="fa fa-caret-down"></i>
										  </button>
										  <ul class="dropdown-menu">
											<li '.(($_POST["params"]["order"] == "t_no" && $_POST["params"]["sort"] == "desc" || !isset($_POST["params"]["sort"])) ? 'class="active"' : null).'><a href="#" data-listele="tahsilatlar" data-param=\'{ "order" : "t_no", "sort" : "desc" '.$wherePars.' }\'>No ( Azalan )</a></li>
											<li '.(($_POST["params"]["order"] == "t_no" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="tahsilatlar" data-param=\'{ "order" : "t_no", "sort" : "asc" '.$wherePars.' }\'>No ( Artan )</a></li>
											<li '.(($_POST["params"]["order"] == "t_tutar" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="tahsilatlar" data-param=\'{ "order" : "t_tutar", "sort" : "asc" '.$wherePars.' }\'>Tutara Göre ( Artan )</a></li>
											<li '.(($_POST["params"]["order"] == "t_tutar" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="tahsilatlar" data-param=\'{ "order" : "t_tutar", "sort" : "desc" '.$wherePars.' }\'>Tutara Göre ( Azalan )</a></li>
											<li '.(($_POST["params"]["order"] == "t_tarih" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="tahsilatlar" data-param=\'{ "order" : "t_tarih", "sort" : "asc" '.$wherePars.' }\'>Tarihe Göre ( Eski )</a></li>
											<li '.(($_POST["params"]["order"] == "t_tarih" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="tahsilatlar" data-param=\'{ "order" : "t_tarih", "sort" : "desc" '.$wherePars.' }\'>Tarihe Göre ( Yeni )</a></li>
										  </ul>
										</div>
										<button type="button" class="btn btn-primary" data-modal-ac="tahsilat_arama" data-param=\'{ "baslik" : "Gelir Gider Ara" }\'><i class="fa fa-search-plus"></i> Bul</button>
									</div>
									<div class="inline-block listele-secenek">
										<button type="button" class="btn btn-warning" data-listele="tahsilatlar" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-refresh"></i> Yenile</button>
										'.$yazdirBtn.'
										'.$excelBtn.'
										'.( ( $yetki_tahsilat_sil ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
										data-toplu-sil=\'{ "hangisi" : "tahsilatlar", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\' >
										<i class="fa fa-trash-o"></i></button>' : null ).'
									</div>
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="tahsilatlar">
											<thead>
												<tr> 
													'.( ( $yetki_tahsilat_sil ) ? '<th class="no-sort">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>No</th>
													<th>Cari Hesap</th>
													<th>İşlem Türü</th>
													<th>Tahsilat Türü</th>
													<th>Servis Fiş No</th>
													<th>Tutar</th>
													<th>Personel</th>
													<th>İşlem Tarihi</th>
													<th class="no-sort">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach($tahsilatlar as $tah){
												$musteriYaz		=	( $tah["musteri_sil"] ) ? kisalt($tah["musteri_adi"],15, false) : 
																					'<a href="#" class="link-ata" data-musteri-id="'.$tah["musteri_id"].'" data-modal-ac="musteri_duzenleme" 
																					data-param=\'{ "baslik" : "Cari Bilgileri", "id" : '.$tah["musteri_id"].' , "yenile" : true }\' 
																					title="'.$tah["musteri_adi"].'">'.kisalt($tah["musteri_adi"],15, false).'</a>';
																					
												$userYaz			=	( $tah["user_durum"] != 1 ) ? kisalt($tah["user_ad"]." ".$tah["user_soyad"],15,false) : 
																					'<a href="#" class="link-ata" data-user-id="'.$tah["user_id"].'" data-modal-ac="personel_duzenleme" 
																					data-param=\'{ "baslik" : "Personel Bilgileri", "id" : '.$tah["user_id"].' , "yenile" : true }\' 
																					title="'.$tah["user_name"].'">'.kisalt($tah["user_ad"]." ".$tah["user_soyad"],15,false).'</a>';
												
												if( ( $tah["islem"] == "gelir" ) ){
													$toplam_tutar	=	$toplam_tutar + floatVal( $tah["tahsilat_fiyat"] );
													$tahsilat_fiyat	=	"<strong style='color:#0086b3;'>".sqlToPara( $tah["tahsilat_fiyat"] )."</strong>";
													$reel_fiyat			=	$tah["tahsilat_fiyat"];
												}
												else if( ( $tah["islem"] == "gider" ) ){
													$toplam_tutar	=	$toplam_tutar - floatVal( $tah["tahsilat_fiyat"] );
													$tahsilat_fiyat	=	"<strong style='color:#d90000;'>".sqlToPara( -$tah["tahsilat_fiyat"] )."</strong>";
													$reel_fiyat			=	-$tah["tahsilat_fiyat"];
												}
												
												$cikti .= '<tr data-tahsilat-id = "'.$tah["tahsilat_id"].'">
															'.( ( $yetki_tahsilat_sil ) ? '<th>
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$tah["tahsilat_id"].'" />
																</div>
															</th>' : null ).'
															<td>'.$tah["tahsilat_id"].'</td>
															<td>'.$musteriYaz.'</td>
															<td>'.$_tur[ $tah["islem"] ].'</td>
															<td>'.$tahsilat_tur[$tah["tahsilat_tur"]].'</td>
															<td>'.( $tah["servis_fis_no"] ? $tah["servis_fis_no"].' <i class="fa fa-barcode"></i>' : "").'</td>
															<td data-order="'.$reel_fiyat.'">'.$tahsilat_fiyat.' <i class="fa fa-try"></i></td>
															<td>'.$userYaz.'</td>
															<td class="liste-tarih-kolon" data-order="'.$tah["tahsilat_tarihi"].'" data-time="'.strtotime($tah["tahsilat_tarihi"]).'">'.date("d/m/Y",strtotime($tah["tahsilat_tarihi"])).'</td>
															<td>
																<button type="button" class="btn btn-primary btn-xs" data-modal-ac="tahsilat_duzenleme" data-param=\'{ "baslik" : "Gelir Gider Bilgileri", "id" : '.$tah["tahsilat_id"].', "yenile" : true }\'>İncele 
																<i class="fa fa-external-link-square"></i></button>
																'.( ( $yetki_tahsilat_sil ) ? '<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "tahsilatlar", "mesaj" : "Silmek İstediğinize Emin misiniz?", "id" : '.$tah["tahsilat_id"].' }\'>
																Sil <i class="fa fa-times"></i></button>' : null ).'
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													'.( ( $yetki_tahsilat_sil ) ? '<th>
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>No</th>
													<th>Cari Hesap</th>
													<th>İşlem Türü</th>
													<th>Tahsilat Türü</th>
													<th>Servis Fiş No</th>
													<th style="color:'.( ( $toplam_tutar > 0 ) ? "#0086b3" : "#ff2626" ).';">
													'.sqlToPara( $toplam_tutar ).' <i class="fa fa-try"></i></th>
													<th>Personel</th>
													<th>İşlem Tarihi</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.$_tahsilat -> toplam.'</strong> Kayıt. Sayfa <strong>'.$sayfa.'</strong> / <strong>'.count($tahsilatlar).'</strong> Adet Kayıt Listeleniyor. 
								</div>'.$sayfalar.'
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>