<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$_servis = new Servis();
	$sonuc = array();
																			
	$secilecek_alanlar	=	array(
		_SERVISFISLERI.".servis_fis_id",
		_SERVISFISLERI.".sikayet",
		_SERVISFISLERI.".servis_aciklama",
		_SERVISFISLERI.".plan_tarihi"
	);
		
	$sec = implode( ',', $secilecek_alanlar );
	$sec = rtrim( $sec, ',' );

	$kayitlar = $_servis -> ozelSorgu( "select ".$sec." from "._SERVISFISLERI." 
										where "._SERVISFISLERI.".fis_sil = 0 and "._SERVISFISLERI.".plan_tarihi IS NOT NULL and 
										"._SERVISFISLERI.".plan_tarihi BETWEEN DATE_SUB( CURRENT_TIMESTAMP(), INTERVAL 3 MONTH ) 
										and DATE_ADD( CURRENT_TIMESTAMP(), INTERVAL 3 MONTH )" );

	$kaynak = array();

	foreach( $kayitlar as $kayit ){
		$kaynak[] = array(
			"id" => $kayit["servis_fis_id"],
			"title" => date( "H:i", strtotime( $kayit["plan_tarihi"] ) )." ".( ( $kayit["sikayet"] ) ? $kayit["sikayet"] : $kayit["servis_aciklama"] ),
			"start" => date( "Y-m-d", strtotime( $kayit["plan_tarihi"] ) )
		);
	}

	ob_start();
?>

	<div id="takvimApp">
		
	</div>

<?php

	$output = ob_get_clean();
	
	$sonuc["hata"] = false;
	$sonuc["takvim"] = true;
	$sonuc["data"] = $output;
	$sonuc["kaynak"] = $kaynak;
	
	echo json_encode( $sonuc );
	
?>