<?php

	session_start();
	
	if( !isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"] ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Fatura.php";
	
	$yedek_parca_id	=	post("yedek_parca_id");
	$kdv_dahil	= 		post("kdv_dahil") ? intval( post("kdv_dahil") ) : 0;
	$parca_adi					=	post("parca_adi");
	$yedek_parca_kdv=	post("yedek_parca_kdv") ? post("yedek_parca_kdv") : 0;
	$adet							=	post("adet") ? post("adet") : 1;
	$satis_fiyati				=	post("satis_fiyati") ? paraToSql( post("satis_fiyati") ) : 0.00;
	$alis_fiyati					=	post("alis_fiyati") ? paraToSql( post("alis_fiyati") ) : 0.00;
	$islem							=	get("islem");
	$ekliID							=	post("ekliID");
	
	$sonuc	=	array();
	$fatura	=	new Fatura();
	
	//Parça id kontrolü
	if( $islem == "ekle" && ( !is_numeric( $yedek_parca_id ) || !$yedek_parca_id ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"ID Tanımlı Değil !";
	}
	//Adet kontrolü
	if( $islem == "ekle" && !is_numeric( $adet ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Adet Miktarını Girmediniz !";
	}
	//Boşluk kontrolü
	if( $islem == "ekle" && empty( $parca_adi ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Tanımsız Genel Bilgiler Mevcut !";
	}
	
	if( $sonuc["hata"] ){
		echo json_encode( $sonuc );
		exit();
	}
	
	if( $islem == "ekle" ){
		$_SESSION["ekli_urunler"]["urunler"][ ]	=	array(
			"urun_adi"		=>	$parca_adi,
			"urun_id"		=>	$yedek_parca_id,
			"kdv"				=>	$yedek_parca_kdv,
			"kdv_dahil"			=>	$kdv_dahil,
			"adet"				=>	$adet,
			"satis_fiyati"	=>	floatval( $satis_fiyati ),
			"alis_fiyati"	=>	floatval( $alis_fiyati )
		);
	}
	else if( $islem == "sil" ){
		array_splice( $_SESSION["ekli_urunler"]["urunler"], $ekliID, 1 );
	}
	
	$tutarlar	=	$fatura -> tutarlar( $_SESSION["ekli_urunler"]["urunler"] );
	
	$sonuc["hata"]					=	false;
	$sonuc["content"]			=	$fatura -> ekliurunlerCiktila( $_SESSION["ekli_urunler"]["urunler"] );
	$sonuc["araToplam"]		=	$tutarlar["araToplam"];
	$sonuc["kdvTutar"]			=	$tutarlar["kdvTutar"];
	$sonuc["genelToplam"]	=	$tutarlar["genelToplam"];
	$sonuc["kdvOrt"]				=	$tutarlar["kdvOrt"];
	
	echo json_encode( $sonuc );
	
?>