<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/YedekParca.php";
	
	$parca_adi		=	post("parca_adi");
	$birim_fiyat	=	post("birim_fiyat")	?	paraToSql( post("birim_fiyat") )	:	0.00;
	$alis_fiyat		=	post("alis_fiyat")		?	paraToSql( post("alis_fiyat") )		:	0.00;
	$id						=	post("id");
	$barkod			=	post("barkod");
	$stok_kodu			=	post("stok_kodu");
	$raf_no			=	post("raf_no");
	$kdv			=	post("kdv") ? post("kdv") : 0;
	$eksi_stok		=	( post("eksi_stok") ) ? post("eksi_stok") : 0;
	
	$sonuc = array();
	
	$yetki_yedek_parca_duzenle	=	yetki( "yedek_parca_duzenle" );
	
	//Yetki Kontrolü
	if( !$yetki_yedek_parca_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Yedek Parça Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if( empty( $parca_adi ) ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen İlgili Alanı Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	if( !$barkod ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Geçersiz Barkod Girdiniz !";
		echo json_encode($sonuc);
		exit();
	}
	
	if(empty($id) || !is_numeric($id)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik Bilgi!";
		echo json_encode($sonuc);
		exit();
	}
	
	$yedek_parca = new YedekParca();
	
	$sql		=	"update "._YEDEKPARCA." set yedek_parca_adi = ?, birim_fiyat = ?, alis_fiyat = ?, kdv = ?, barkod = ?, eksi_stok = ?, raf_no = ?, stok_kodu = ? where yedek_parca_id = ?";

	$kayit	=	$yedek_parca -> kayitGuncelle( $sql,
		array( $parca_adi, $birim_fiyat, $alis_fiyat, $kdv, $barkod, $eksi_stok, $raf_no, $stok_kodu, $id )
	);
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $yedek_parca -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<i class="fa fa-check"></i> Yedek Parça Güncellendi.';
		}
	
	echo json_encode($sonuc);

?>