<?php

	session_start();
	
	if(isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"])){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/YedekParca.php";
		require $_SESSION["root"]."/inc/ListeParam.php";
		
		//Hücre ve siralama başlıklarını değştirecek
		$basliklar = array(
			"hucreler"	=>	array(
				"y_id"				=>	"yedek_parca_id",
				"y_adi"				=>	"yedek_parca_adi",
				"y_stok"			=>	"stok",
				"y_birim"			=>	"birim_fiyat",
				"y_alis"				=>	"alis_fiyat",
				"y_barkod"	=>	"barkod",
				"y_raf_no"	=>	"raf_no",
				"stok"				=>	"stok",
				"s_kod"				=>	"stok_kodu"
			),
			"siralama"	=>	array(
				"desc"	=>	"desc",
				"asc"		=>	"asc"
			),
			"_paramYoksa"	=>	"yedek_parca_id",
			"_tablo"					=>	_YEDEKPARCA
		);
		
		$listeParam		=	new ListeParam( $_POST, $basliklar );
		
		$paramValue	=	$listeParam -> paramValue;
		$param				=	$listeParam -> param;
		$where				=	$listeParam -> where;
		$wherePars		=	$listeParam -> wherePars;
		$pars					=	$listeParam -> pars;
		$sayfa					=	$listeParam -> sayfa;
		
		$secilecek_alanlar = array(
			_YEDEKPARCA.".yedek_parca_id",
			_YEDEKPARCA.".yedek_parca_adi",
			_YEDEKPARCA.".birim_fiyat",
			_YEDEKPARCA.".alis_fiyat",
			_YEDEKPARCA.".kdv",
			_YEDEKPARCA.".barkod",
			_YEDEKPARCA.".raf_no",
			_YEDEKPARCA.".stok",
			_YEDEKPARCA.".stok_kodu",
			_YEDEKPARCA.".stok_foto",
			_YEDEKPARCA.".eksi_stok",
			_YEDEKPARCA.".ekleyen_id",
			_YEDEKPARCA.".yedek_parca_kayit_tarihi"
		);
		
		$yedekParca		=	new YedekParca();
		$yedekParcalar	=	$yedekParca -> getYedekParcalar($sayfa,$param,$paramValue,$secilecek_alanlar);
		$sonuc					=	array();
		
			if( $yedekParcalar === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$yedekParca -> getHata();
			}
			else{
				require $_SESSION["root"]."/inc/Sayfalama.php";
				
				$sayfala	=	new Sayfalama();
				$sayfalar	=	$sayfala -> Sayfala($sayfa,$yedekParca -> toplam,"yedek_parcalar",$pars,$yedekParca -> limit);
				
				$_token											=	uniqid();
				$_SESSION["yazdirToken"]	=	$_token;
				
				$yetki_yedek_parca_ekle			=	yetki( "yedek_parca_ekle" );
				$yetki_yedek_parca_sil				=	yetki( "yedek_parca_sil" );
				$yetki_yedek_parca_duzenle	=	yetki( "yedek_parca_duzenle" );
				$yetki_stok_hareketleri				=	yetki( "stok_hareketleri" );
				
				$yazdirBtn		=	( count( $yedekParcalar ) ? '
												<button type="button" class="btn btn-default" title="Tabloyu Yazdır" data-yazdir-btn="yedek_parcalar" 
												data-token = "'.$_token.'" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-print"></i> Yazdır</button>' : null );
												
				$excelBtn		=	( count( $yedekParcalar ) ? '
												<button type="button" class="btn btn-success" title="Excel\'e Aktar" 
												data-excel-btn="yedek_parcalar" data-token = "'.$_token.'" 
												data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'>
												<i class="fa fa-exchange"></i> <i class="fa fa-file-excel-o"></i></button>' : null );
												
				$yedekParca ->    x         (     );
				
				$cikti = '<div id="tabloUst">
									<div class="inline-block listele-secenek">
										'.( ( $yetki_yedek_parca_ekle ) ? '<button type="button" class="btn btn-success" data-modal-ac="yedek_parca_ekleme" data-param=\'{ "baslik" : "Yedek Parça Ekle", "yenile" : true }\'><i class="fa fa-plus"></i> Yeni Yedek Parça</button>' : null ).'
										<div class="btn-group" '.(($yedekParca-> toplam) ? null : 'style="display:none;"').'>
										  <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
											<i class="fa fa-magnet"></i> Sırala <i class="fa fa-caret-down"></i>
										  </button>
										  <ul class="dropdown-menu">
											<li '.(($_POST["params"]["order"] == "y_adi" && $_POST["params"]["sort"] == "desc" || !isset($_POST["params"]["order"])) ? 'class="active"' : null).'><a href="#" data-listele="yedek_parcalar" data-param=\'{ "order" : "y_adi", "sort" : "desc" '.$wherePars.' }\'>Parça Adı ( A - Z )</a></li>
											<li '.(($_POST["params"]["order"] == "y_adi" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="yedek_parcalar" data-param=\'{ "order" : "y_adi", "sort" : "asc" '.$wherePars.' }\'>Parça Adı ( Z - A )</a></li>
											<li '.(($_POST["params"]["order"] == "y_alis" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="yedek_parcalar" data-param=\'{ "order" : "y_alis", "sort" : "asc" '.$wherePars.' }\'>Alış Fiyatı ( Artan )</a></li>
											<li '.(($_POST["params"]["order"] == "y_alis" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="yedek_parcalar" data-param=\'{ "order" : "y_alis", "sort" : "desc" '.$wherePars.' }\'>Alış Fiyatı ( Azalan )</a></li>
											<li '.(($_POST["params"]["order"] == "y_birim" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="yedek_parcalar" data-param=\'{ "order" : "y_birim", "sort" : "asc" '.$wherePars.' }\'>Satış Fiyatı ( Artan )</a></li>
											<li '.(($_POST["params"]["order"] == "y_birim" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="yedek_parcalar" data-param=\'{ "order" : "y_birim", "sort" : "desc" '.$wherePars.' }\'>Satış Fiyatı ( Azalan )</a></li>
											<li '.(($_POST["params"]["order"] == "y_stok" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="yedek_parcalar" data-param=\'{ "order" : "y_stok", "sort" : "desc" '.$wherePars.' }\'>Stok Miktarı</a></li>
										  </ul>
										</div>
										<button type="button" class="btn btn-primary" data-modal-ac="yedek_parca_arama" data-param=\'{ "baslik" : "Yedek Parça Ara", "size" : "modal-sm" }\'><i class="fa fa-search-plus"></i> Bul</button>
									</div>
									<div class="inline-block listele-secenek">
										<button type="button" class="btn btn-warning" data-listele="yedek_parcalar" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-refresh"></i> Yenile</button>
										'.$yazdirBtn.'
										'.$excelBtn.'
										'.( ( $yetki_yedek_parca_sil ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
										data-toplu-sil=\'{ "hangisi" : "yedek_parcalar", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\'>
										<i class="fa fa-trash-o"></i></button>' : null ).'
									</div>
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="yedek_parcalar">
											<thead>
												<tr> 
													'.( ( $yetki_yedek_parca_sil ) ? '<th class="no-sort hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th class="no-sort" style="width:30px;">S.Kodu</th>
													<th class="no-sort" style="width:30px;"></th>
													<th>Parça Adı</th>
													<th style="width:80px;">Barkod</th>
													<th style="width:70px;">Satış Fiyatı</th>
													<th style="width:70px;">Alış Fiyatı</th>
													<th style="width:50px;">Kdv (%)</th>
													<th style="width:30px;">Adet</th>
													<th style="width:60px;">Eksi Stok</th>
													<th class="no-sort" style="width:130px;">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach($yedekParcalar as $ydk){
												
												$_resim	= $ydk["stok_foto"];
	
												if(is_file($_SESSION["root"]."/uploads/resimler/".$_resim))
													$_resim = $_SESSION["oto_url"]."/uploads/resimler/".$_resim;
												else
													$_resim = $_SESSION["oto_url"]."/assets/img/yeni-kayit";
												
												$stokAdet			=	intval( $ydk["stok"] );
												$stokMiktari		=	( $stokAdet > 0 ) ? '<strong>'.$stokAdet.'</strong>' 
																													: '<strong style="color:#d90000;">'.$stokAdet.'</strong>';

												$eksi_stok_img = array("garanti_yok.png","garanti_var.png");
												
												$cikti .= '<tr data-yedek-parca-id = "'.$ydk["yedek_parca_id"].'">
															'.( ( $yetki_yedek_parca_sil ) ? '<th class="hepsini-sec-gen">
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$ydk["yedek_parca_id"].'" />
																</div>
															</th>' :  null ).'
															<td>'.kisalt($ydk["stok_kodu"],10,false).'</td>
															<td style="text-align:center;">
																<img class="list-foto" src="'.$_resim.'" />
															</td>
															<td>'.kisalt($ydk["yedek_parca_adi"],40,false).'</td>
															<td>'.$ydk["barkod"].'</td>
															<td data-order="'.$ydk["birim_fiyat"].'">'.sqlToPara( $ydk["birim_fiyat"] ).' <i class="fa fa-try"></i></td>
															<td data-order="'.$ydk["alis_fiyat"].'">'.sqlToPara( $ydk["alis_fiyat"] ).' <i class="fa fa-try"></i></td>
															<td data-order="'.$ydk["kdv"].'">'.$ydk["kdv"].'</td>
															<td data-order="'.$ydk["stok"].'">'.$stokMiktari.'</td>
															<td class="pos-relative" data-order="'.$ydk["eksi_stok"].'"><img src="'.OTO_URL."/assets/img/".$eksi_stok_img[$ydk["eksi_stok"]].'" class="garanti-durum" alt="Eksi Stok İzni" title="'.(($ydk["eksi_stok"]) ? "Eksi Stok İzni Var" : "Eksi Stok İzni Yok" ).'" /></td>
															<td>
																'.( ( $yetki_yedek_parca_duzenle ) ? '<button type="button" class="btn btn-primary btn-xs" title="Düzenle" data-modal-ac="yedek_parca_duzenleme" data-param=\'{ "baslik" : "Yedek Parça Düzenle", "id" : '.$ydk["yedek_parca_id"].', "yenile" : true }\'>
																Düz <i class="fa fa-pencil"></i></button>' : null ).'
																'.( ( $yetki_yedek_parca_sil ) ? '<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "yedek_parcalar", "mesaj" : "'.$ydk["yedek_parca_adi"].', Silmek İstediğinize Emin misiniz?", 
																"id" : '.$ydk["yedek_parca_id"].' }\'>Sil <i class="fa fa-times"></i></button>'  : null ).'
																'.( ( $yetki_stok_hareketleri ) ? '<button type="button" class="btn btn-info btn-xs" title="Stok Hareketleri" data-listele="stok_hareketleri" 
																data-param=\'{ "where" : { "kolon" : ["y_id"], "tur" : ["tam"], "value" : [ "'.$ydk["yedek_parca_id"].'" ] } }\'>
																<i class="fa fa-bars"></i> Stok Hrk</button>' : null ).'
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													'.( ( $yetki_yedek_parca_sil ) ? '<th class="hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>S.Kodu</th>
													<th></th>
													<th>Parça Adı</th>
													<th>Barkod</th>
													<th>Satış Fiyatı</th>
													<th>Alış Fiyatı</th>
													<th>Kdv</th>
													<th>Stok</th>
													<th>Eklenme Tarihi</th>
													<th class="no-sort">İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.$yedekParca -> toplam.'</strong> Kayıt. Sayfa <strong>'.$sayfa.'</strong> / <strong>'.count($yedekParcalar).'</strong> Adet Kayıt Listeleniyor. 
								</div>'.$sayfalar.'
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>