<?php

	session_start();
	
	if( !isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"] ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Yetkiler.php";
	
	$baslik		=	post("yetki_baslik");
	$yetkiler	=	post("yetkiler");
	$benID	=	$_SESSION["user"]["user_id"];
	$_servis	=	new Servis();
	$_yetki	=	new Yetki();
	$sonuc	=	array();
	
	$yetki_ekle	=	yetki( "yetki_ekle" );
	
	//Yetki Kontrolü
	if( !$yetki_ekle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Yetki Ekleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if( empty( $baslik ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode( $sonuc );
		exit();
	}
	
	$yetkiSql	=	array_reduce( array_keys( $yetkiler ), function( $k, $item ){
									$k	.= "[".$item."]";
									return $k;
								} );
								
	$kayit	=	$_servis -> kayitEkle( "insert "._YETKILER." set yetki_baslik = ?, yetkiler = ?, ekleyen_id = ?", array( $baslik, $yetkiSql, $benID ) );
	
	if( $kayit === false ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Ekleme Başarısız. ".$_servis -> getHata();
		echo json_encode( $sonuc );
		exit();
	}
	
	$_SESSION["bilgi"]["yetkiler"]	=	$_yetki -> sadeceYetkiler( array( "yetki_id", "yetki_baslik" ) );
	
	$sonuc["hata"]		=	false;
	$sonuc["mesaj"]		=	'<i class="fa fa-check"></i> <strong>Yetki Grubu Eklendi.</strong>';
	$sonuc["son_id"]	=	$_servis -> last_id();
	
	echo json_encode( $sonuc );

?>