<?php

	session_start();
	
	if(isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"])){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/Yetkiler.php";
		
		$secilecek_alanlar = array(
			_YETKILER.".yetki_id",
			_YETKILER.".yetki_baslik",
			_YETKILER.".yetki_kayit_tarihi"
		);
		
		$yetki		=	new Yetki();
		$yetkiler	=	$yetki -> getYetkiler($secilecek_alanlar);
		$sonuc	=	array();
		
			if( $yetkiler === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$yetki -> getHata();
			}
			else{
				
				$yetki_yetki_ekle			=	yetki( "yetki_ekle" );
				$yetki_yetki_sil				=	yetki( "yetki_sil" );
				$yetki_yetki_duzenle	=	yetki( "yetki_duzenle" );
				
				$cikti = '<div id="tabloUst">
									'.( ( $yetki_yetki_ekle ) ? '<button type="button" class="btn btn-success" 
									data-modal-ac="yetki_ekleme" data-param=\'{ "baslik" : "Yetki Grubu Ekle" }\'>
									<i class="fa fa-plus"></i> Yeni Yetki Grubu</button>' : null ).'
									<button type="button" class="btn btn-warning" data-listele="yetkiler" data-param=""><i class="fa fa-refresh"></i> Yenile</button>
									'.( ( $yetki_yetki_sil ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
									data-toplu-sil=\'{ "hangisi" : "yetkiler", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\' >
									<i class="fa fa-trash-o"></i></button>' : null ).'
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="yetkiler">
											<thead>
												<tr> 
													'.( ( $yetki_yetki_sil ) ? '<th class="no-sort hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Başlık</th>
													<th style="width:150px;">Eklenme Tarihi</th>
													<th class="no-sort" style="width:150px;">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach($yetkiler as $ytk){
												$cikti .= '<tr data-yetki-id = "'.$ytk["yetki_id"].'">
															'.( ( $yetki_yetki_sil ) ? '<th class="hepsini-sec-gen">
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$ytk["yetki_id"].'" />
																</div>
															</th>' : null ).'
															<td>'.$ytk["yetki_baslik"].'</td>
															<td class="liste-tarih-kolon" title="'.(date("d/m/Y H:i",strtotime($ytk["yetki_kayit_tarihi"]))).'" data-order="'.$ytk["yetki_kayit_tarihi"].'" data-time="'.strtotime($ytk["yetki_kayit_tarihi"]).'">'.tarihGoster($ytk["yetki_kayit_tarihi"]).'</td>
															<td>
																'.( ( $yetki_yetki_duzenle ) ? '<button type="button" class="btn btn-primary btn-xs" data-modal-ac="yetki_duzenleme" data-param=\'{ "baslik" : "Yetki Grubu Düzenle", "id" : '.$ytk["yetki_id"].', "yenile" : true }\'>Düzenle <i class="fa fa-pencil"></i></button>' : null ).'
																'.( ( $yetki_yetki_sil ) ? '<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "yetkiler", "mesaj" : "'.$ytk["yetki_baslik"].', Silmek İstediğinize Emin misiniz?", 
																"id" : '.$ytk["yetki_id"].' }\'>Sil <i class="fa fa-times"></i></button>' : null ).'
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													'.( ( $yetki_yetki_sil ) ? '<th class="hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Başlık</th>
													<th>Eklenme Tarihi</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.count($yetkiler).'</strong> Kayıt. Tüm Kayıtlar Listeleniyor.
								</div>
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>