-- mysqldump-php https://github.com/ifsnop/mysqldump-php
--
-- Host: localhost	Database: fixtechmobil_servis
-- ------------------------------------------------------
-- Server version 	5.7.44
-- Date: Sat, 12 Oct 2024 11:48:31 +0300

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40101 SET @OLD_AUTOCOMMIT=@@AUTOCOMMIT */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `sy_aktif_personeller`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_aktif_personeller` (
  `user_id` int(10) unsigned NOT NULL,
  `son_islem_zamani` datetime DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_aktif_personeller`
--

LOCK TABLES `sy_aktif_personeller` WRITE;
/*!40000 ALTER TABLE `sy_aktif_personeller` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_aktif_personeller` VALUES (1,'2024-10-12 11:48:29');
/*!40000 ALTER TABLE `sy_aktif_personeller` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_aktif_personeller` with 1 row(s)
--

--
-- Table structure for table `sy_ayarlar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_ayarlar` (
  `ayar_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `musteri_sorgula` tinyint(3) unsigned NOT NULL,
  `tahsilat_makbuzu_tutar_yaz` tinyint(3) unsigned NOT NULL,
  `servis_formu_tutar_yaz` tinyint(3) unsigned NOT NULL,
  `panel_bilgilerini_ekle` tinyint(3) unsigned NOT NULL,
  `panel_sifre` varchar(255) NOT NULL,
  `backup` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `sartname` text NOT NULL,
  `yandex_api_key` varchar(255) DEFAULT NULL,
  `versiyon` varchar(155) NOT NULL,
  `firma_imza` text NOT NULL,
  `mail_sec` varchar(155) NOT NULL,
  `kdv_oran` smallint(5) unsigned NOT NULL,
  `devam_suresi` smallint(5) unsigned NOT NULL,
  `servis_tutari_kdv` smallint(5) unsigned NOT NULL,
  `cari_kodu` varchar(150) NOT NULL,
  `lisans` varchar(255) NOT NULL,
  PRIMARY KEY (`ayar_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_ayarlar`
--

LOCK TABLES `sy_ayarlar` WRITE;
/*!40000 ALTER TABLE `sy_ayarlar` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_ayarlar` VALUES (1,1,1,1,1,'123456',1,'- Servis aşamalarımızın il etabı olarak elden veya kargo ile teslim ettiğiniz arızalı ürününüze ilişkin servis kayıt formu isteğiniz doğrultusunda e-posta ile yada size elden size iletilecektir. Servisimize arızalı ürün teslim eden her müşterimiz aşağıda belirtilen servis koşullarını okuyup, kabul etmiş sayılır.Cihaz onarımı tamamlanmış ürünler, servis ücretinin ödemesi yapılmadan teslim edilmemektedir.\r\n- İdeal arıza tespit süresi 2, maksimum arıza tespit süresi 5 gündür. İdeal onarım süresi 3, maksimum onarım süresi 30 gündür. Yurt dışından temin edilecek yedek parça olması durumunda müşteri aranarak bilgilendirme yapılır ve ek süre istenir.Cihazın onarımında kullanılacak parça, tedarikçi firma tarafından temin edilecekse; bu durum müşteriye bildirilir ve bu süre onarım süresine eklenir.\r\n- Onarımları tamamlanmış ürünler 45 gün içerisinde teslim alınmaz ise; sonraki her gün için ardiye bedeli talep edilir. Şayet ürünlerin teslim alınması 90 günü geçtiği taktirde Firma her hangi bir mesuliyet kabul etmemektedir.\r\n- Arızalı ürünleri servisimize vermeden önce içerisinde bulunan önemli verilerin yedeklenmesi gerekmektedir. Şayet müşteri servisimize arızalı ürünü teslim etmeden önce bu durumdan servisimizi haberdar etmediyse her hangi bir veri kaybı durumunda sorumluluk kabul edilmez.\r\n- Extra bir durum söz konusu değil ise servisimize bırakılan arızalı cihaz fabrika ayarlarıyla teslim edilmiş sayılır. Kullanıcı tarafından ekstra donanım talep edilemez.\r\n- Servisimiz lisanssız yazılım yüklemesi yapmamaktadır. Müşteri tarafından gelen bu tarz talepler geri çevrilmektedir.Servis bu durumdan sorumlu tutulamaz.\r\n- Cihaz arıza tespiti veya onarım için servisimize bırakılan kısmi çalışır durumdaki ürünlerin gerekli çalışmaları gerçekleştirilemez ise müşteriye bu durum bilgilendirilmesi yapılır ve söz konusu ürün için teslim edildiği şekilde teslim almayı müşteri kabul etmiş sayılır.\r\n- Arızalı ürünlerin kargo tarafından gönderilmesi halinde; ürün zarar görmeyecek şekilde paketlenmelidir ve onarımları yapılarak müşteriye teslimi sırasında kargo ile gönderilen ürünler müşteri tarafından son kontrolleri yapılarak teslim alınmalıdır.','850f0c23-20a6-49c3-bdcd-8eb7eacf282f','2.4.2','&lt;p&gt;&lt;font color=&quot;#c0504d&quot;&gt;FİXTEL Mobil Teknik Servis&lt;/font&gt;&lt;/p&gt;','smtp',0,30,0,'BB25','3dfcdc38502d67b7490e3966f498c696');
/*!40000 ALTER TABLE `sy_ayarlar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_ayarlar` with 1 row(s)
--

--
-- Table structure for table `sy_bildirim`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_bildirim` (
  `bildirim_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `bildirim_gonderici` int(10) unsigned NOT NULL,
  `bildirim_alici` int(10) unsigned NOT NULL,
  `bildirim_tur` varchar(155) NOT NULL,
  `bildirim_kayit_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`bildirim_id`),
  KEY `bildirim_gonderici` (`bildirim_gonderici`),
  KEY `bildirim_alici` (`bildirim_alici`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_bildirim`
--

LOCK TABLES `sy_bildirim` WRITE;
/*!40000 ALTER TABLE `sy_bildirim` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_bildirim` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_bildirim` with 0 row(s)
--

--
-- Table structure for table `sy_cihazlar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_cihazlar` (
  `cihaz_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `cihaz_baslik` varchar(155) NOT NULL,
  `cihaz_resim` varchar(255) DEFAULT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `cihaz_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `cihaz_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`cihaz_id`),
  KEY `cihaz_baslik` (`cihaz_baslik`),
  KEY `ekleyen_id` (`ekleyen_id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_cihazlar`
--

LOCK TABLES `sy_cihazlar` WRITE;
/*!40000 ALTER TABLE `sy_cihazlar` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_cihazlar` VALUES (1,'Tablet','cihaz_5777dd4690c3f_1467473222.png',1,'2016-07-02 09:26:37',0),(2,'Telefon','cihaz_5777ddf2b4932_1467473394.png',1,'2016-07-02 09:29:50',0),(3,'Laptop','cihaz_5777de5b6fa31_1467473499.png',1,'2016-07-02 09:30:08',0),(4,'Masaüstü','cihaz_5777deefe8eee_1467473647.png',1,'2016-07-02 09:31:49',0),(5,'Monitör','cihaz_5777de977a562_1467473559.png',1,'2016-07-02 09:32:36',0),(6,'Diğer','cihaz_5777df23968db_1467473699.png',1,'2016-07-02 09:34:17',0),(7,'Ev Aleti','cihaz_5777e074b585f_1467474036.png',1,'2016-07-02 09:35:48',0),(8,'Beyaz Eşya','cihaz_5777e004296ba_1467473924.png',1,'2016-07-02 09:36:07',0);
/*!40000 ALTER TABLE `sy_cihazlar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_cihazlar` with 8 row(s)
--

--
-- Table structure for table `sy_dosyalar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_dosyalar` (
  `dosya_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dosya_adi` varchar(255) NOT NULL,
  PRIMARY KEY (`dosya_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_dosyalar`
--

LOCK TABLES `sy_dosyalar` WRITE;
/*!40000 ALTER TABLE `sy_dosyalar` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_dosyalar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_dosyalar` with 0 row(s)
--

--
-- Table structure for table `sy_durumlar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_durumlar` (
  `durum_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `durum_baslik` varchar(155) NOT NULL,
  `durum_resim` varchar(255) DEFAULT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `durum_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `durum_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`durum_id`),
  KEY `durum_baslik` (`durum_baslik`),
  KEY `ekleyen_id` (`ekleyen_id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_durumlar`
--

LOCK TABLES `sy_durumlar` WRITE;
/*!40000 ALTER TABLE `sy_durumlar` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_durumlar` VALUES (1,'Teslim Edildi','durum_5777db3047c3b_1467472688.png',1,0,'2016-07-02 09:15:50'),(2,'İade','durum_5777dba7adf2b_1467472807.png',1,0,'2016-07-02 09:16:01'),(3,'Onaylandı','durum_5777dc5bbde5c_1467472987.png',1,0,'2016-07-02 09:16:08'),(4,'Parça Bekliyor','durum_5777dcc3a5e90_1467473091.png',1,0,'2016-07-02 09:16:25'),(5,'Onay Bekliyor','durum_5777dce2535c4_1467473122.png',1,0,'2016-07-02 09:16:39'),(6,'Tamiri Yapıldı','durum_5777dd1d6d36b_1467473181.png',1,0,'2016-07-02 09:25:47'),(7,'Onaylanmadı',NULL,1,0,'2024-10-02 13:22:53');
/*!40000 ALTER TABLE `sy_durumlar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_durumlar` with 7 row(s)
--

--
-- Table structure for table `sy_email_sablonlari`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_email_sablonlari` (
  `email_sablon_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `email_sablon_baslik` varchar(155) NOT NULL,
  `email_sablon_konu` varchar(255) NOT NULL,
  `email_sablon_detay` text NOT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `email_sablon_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `email_sablon_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`email_sablon_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_email_sablonlari`
--

LOCK TABLES `sy_email_sablonlari` WRITE;
/*!40000 ALTER TABLE `sy_email_sablonlari` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_email_sablonlari` VALUES (1,'Kayıt Kabul','Cihazınızın Kaydı Yapıldı','&lt;p&gt;Sayın [musteri_adi], [cihaz_adi] cihazınızın kaydı alındı.Cihazınızla ilgili son bilgilere [musteri_sorgulama_url] adresinden [musteri_tel] ve [servis_fis_no] ile ulaşabilirsiniz.&lt;/p&gt;',1,'2016-07-02 10:02:48',0),(2,'Tamir Yapıldı','Cihazınızın Tamiri Tamamlandı','&lt;p&gt;Sayın [musteri_adi], [cihaz_adi] cihazınızın tamir işlemi tamamlanmıştır.Ofisimizden teslim alabilirsiniz.&lt;/p&gt;',1,'2016-07-02 10:03:20',0);
/*!40000 ALTER TABLE `sy_email_sablonlari` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_email_sablonlari` with 2 row(s)
--

--
-- Table structure for table `sy_fatura_urunler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_fatura_urunler` (
  `fatura_urun_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fatura_id` int(10) unsigned NOT NULL,
  `yedek_parca_id` int(10) unsigned NOT NULL,
  `satis_fiyat` decimal(10,2) unsigned NOT NULL,
  `alis_fiyat` decimal(10,2) unsigned NOT NULL,
  `kdv` smallint(5) unsigned NOT NULL,
  `kdv_dahil` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `urun_adet` int(10) NOT NULL,
  `fatura_tur` varchar(55) NOT NULL,
  PRIMARY KEY (`fatura_urun_id`),
  KEY `fatura_id` (`fatura_id`,`yedek_parca_id`),
  KEY `fatura_tur` (`fatura_tur`),
  KEY `yedek_parca_id` (`yedek_parca_id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_fatura_urunler`
--

LOCK TABLES `sy_fatura_urunler` WRITE;
/*!40000 ALTER TABLE `sy_fatura_urunler` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_fatura_urunler` VALUES (2,2,0,500.00,0.00,0,1,1,'satis'),(3,3,0,3000.00,0.00,0,1,1,'satis'),(4,4,0,750.00,0.00,0,1,1,'satis'),(5,5,0,3500.00,0.00,0,1,1,'satis'),(6,6,0,7000.00,0.00,0,1,1,'satis'),(7,7,0,5000.00,0.00,0,1,1,'satis'),(8,8,0,5500.00,0.00,0,1,1,'satis'),(9,9,0,4000.00,0.00,0,1,1,'satis'),(10,10,0,7500.00,0.00,0,1,1,'satis'),(11,11,0,13800.00,0.00,20,1,1,'satis'),(12,12,0,1300.00,0.00,0,1,1,'satis'),(13,13,0,4000.00,0.00,0,1,1,'satis'),(14,14,0,750.00,0.00,0,1,1,'satis'),(15,15,0,200.00,0.00,0,1,1,'satis'),(16,16,0,1500.00,0.00,0,1,1,'satis'),(17,17,0,4000.00,0.00,0,1,1,'satis'),(18,18,0,750.00,0.00,0,1,1,'satis'),(19,19,0,750.00,0.00,0,1,1,'satis'),(20,20,0,6000.00,0.00,0,1,1,'satis'),(21,21,0,1500.00,0.00,0,1,1,'satis'),(22,22,0,1500.00,0.00,0,1,1,'satis');
/*!40000 ALTER TABLE `sy_fatura_urunler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_fatura_urunler` with 21 row(s)
--

--
-- Table structure for table `sy_faturalar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_faturalar` (
  `fatura_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fatura_seri_no` varchar(255) NOT NULL,
  `fatura_tarihi` datetime NOT NULL,
  `fatura_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `fatura_ara_toplam` decimal(10,2) unsigned NOT NULL,
  `fatura_kdv_tutar` decimal(10,2) unsigned NOT NULL,
  `fatura_iskonto` decimal(10,2) unsigned NOT NULL,
  `fatura_toplam_tutar` decimal(10,2) unsigned NOT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `fatura_aciklama` varchar(255) DEFAULT NULL,
  `musteri_id` int(10) unsigned NOT NULL,
  `fatura_tur` varchar(155) NOT NULL,
  `servis_fis_id` int(10) unsigned NOT NULL DEFAULT '0',
  `servis_fis_no` int(10) unsigned NOT NULL DEFAULT '0',
  `fatura_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`fatura_id`),
  UNIQUE KEY `fatura_seri_no` (`fatura_seri_no`),
  KEY `fatura_tur` (`fatura_tur`),
  KEY `servis_fis_id` (`servis_fis_id`),
  KEY `servis_fis_no` (`servis_fis_no`),
  KEY `musteri_id` (`musteri_id`),
  KEY `fatura_tarihi` (`fatura_tarihi`),
  KEY `fatura_kayit_tarihi` (`fatura_kayit_tarihi`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_faturalar`
--

LOCK TABLES `sy_faturalar` WRITE;
/*!40000 ALTER TABLE `sy_faturalar` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_faturalar` VALUES (2,'2','2024-09-30 00:00:00','2024-09-30 12:31:58',500.00,0.00,0.00,500.00,1,'',10,'satis',5,1727699369,0),(3,'3','2024-09-30 00:00:00','2024-09-30 14:17:14',3000.00,0.00,0.00,3000.00,1,'',6,'satis',6,1727705694,0),(4,'4','2024-10-01 00:00:00','2024-10-01 06:52:38',750.00,0.00,0.00,750.00,1,'',11,'satis',7,1727764925,0),(5,'5','2024-10-02 00:00:00','2024-10-02 13:22:03',3500.00,0.00,0.00,3500.00,1,'',12,'satis',8,1727874105,0),(6,'6','2024-10-02 00:00:00','2024-10-02 13:35:00',7000.00,0.00,0.00,7000.00,1,'',8,'satis',3,1727685779,0),(7,'7','2024-10-03 00:00:00','2024-10-03 09:35:30',5000.00,0.00,0.00,5000.00,1,'',14,'satis',10,1727947979,0),(8,'8','2024-10-04 00:00:00','2024-10-04 11:24:25',5500.00,0.00,0.00,5500.00,1,'',15,'satis',11,1728037522,0),(9,'9','2024-10-05 00:00:00','2024-10-05 10:20:38',4000.00,0.00,0.00,4000.00,1,'',13,'satis',12,1728123550,0),(10,'10','2024-10-05 00:00:00','2024-10-05 10:23:31',7500.00,0.00,0.00,7500.00,1,'',13,'satis',9,1727875969,0),(11,'11','2024-10-08 00:00:00','2024-10-08 13:49:16',11500.00,2300.00,0.00,13800.00,1,'',16,'satis',13,1728128421,0),(12,'12','2024-10-08 00:00:00','2024-10-08 13:51:22',1300.00,0.00,0.00,1300.00,1,'',17,'satis',14,1728386614,0),(13,'13','2024-10-09 00:00:00','2024-10-09 12:50:07',4000.00,0.00,0.00,4000.00,1,'',18,'satis',16,1728463695,0),(14,'14','2024-10-09 00:00:00','2024-10-09 12:51:17',750.00,0.00,0.00,750.00,1,'',13,'satis',17,1728478215,0),(15,'15','2024-10-09 00:00:00','2024-10-09 13:16:47',200.00,0.00,0.00,200.00,1,'',20,'satis',22,1728479048,0),(16,'16','2024-10-09 00:00:00','2024-10-09 13:21:20',1500.00,0.00,0.00,1500.00,1,'',13,'satis',18,1728478283,0),(17,'17','2024-10-09 00:00:00','2024-10-09 13:31:36',4000.00,0.00,0.00,4000.00,1,'',19,'satis',19,1728478401,0),(18,'18','2024-10-09 00:00:00','2024-10-09 13:32:12',750.00,0.00,0.00,750.00,1,'',19,'satis',20,1728478614,0),(19,'19','2024-10-09 00:00:00','2024-10-09 13:33:00',750.00,0.00,0.00,750.00,1,'',19,'satis',21,1728478657,0),(20,'20','2024-10-10 00:00:00','2024-10-10 09:55:13',6000.00,0.00,0.00,6000.00,1,'',7,'satis',2,1727685582,0),(21,'21','2024-10-10 00:00:00','2024-10-10 09:58:12',1500.00,0.00,0.00,1500.00,1,'',9,'satis',15,1728395505,0),(22,'22','2024-10-10 00:00:00','2024-10-10 12:41:18',1500.00,0.00,0.00,1500.00,1,'',19,'satis',25,1728564021,0);
/*!40000 ALTER TABLE `sy_faturalar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_faturalar` with 21 row(s)
--

--
-- Table structure for table `sy_firma_bilgileri`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_firma_bilgileri` (
  `firma_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `firma_adi` varchar(255) DEFAULT NULL,
  `firma_tel1` varchar(155) DEFAULT NULL,
  `firma_tel2` varchar(155) DEFAULT NULL,
  `firma_faks` varchar(155) DEFAULT NULL,
  `firma_email` varchar(255) DEFAULT NULL,
  `firma_il` smallint(5) unsigned DEFAULT NULL,
  `firma_adres` text,
  `firma_logo` varchar(255) DEFAULT NULL,
  `firma_hakkinda` text,
  `firma_vergi_no` varchar(255) DEFAULT NULL,
  `firma_vergi_dairesi` varchar(255) DEFAULT NULL,
  `firma_sektor` varchar(255) DEFAULT NULL,
  `firma_site` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`firma_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_firma_bilgileri`
--

LOCK TABLES `sy_firma_bilgileri` WRITE;
/*!40000 ALTER TABLE `sy_firma_bilgileri` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_firma_bilgileri` VALUES (1,'Fixtech Mobil','(507) 078 47 47','','','bilgi@fixtechmobil.com',35,'','firma_bilgileri_576b40c1b123f_1466646721.png','','','','Bilişim','');
/*!40000 ALTER TABLE `sy_firma_bilgileri` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_firma_bilgileri` with 1 row(s)
--

--
-- Table structure for table `sy_gelir_gider_fisleri`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_gelir_gider_fisleri` (
  `gg_fis_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `kart_id` int(10) unsigned NOT NULL,
  `tutar` decimal(10,2) unsigned NOT NULL,
  `islem` varchar(155) NOT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `gg_fis_aciklama` varchar(255) DEFAULT NULL,
  `odeme_tur` tinyint(3) unsigned NOT NULL,
  `gg_fis_tarihi` datetime DEFAULT NULL,
  `gg_fis_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`gg_fis_id`),
  KEY `kart_id` (`kart_id`,`islem`,`ekleyen_id`),
  KEY `gg_fis_tarihi` (`gg_fis_tarihi`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_gelir_gider_fisleri`
--

LOCK TABLES `sy_gelir_gider_fisleri` WRITE;
/*!40000 ALTER TABLE `sy_gelir_gider_fisleri` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_gelir_gider_fisleri` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_gelir_gider_fisleri` with 0 row(s)
--

--
-- Table structure for table `sy_gelir_gider_kartlari`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_gelir_gider_kartlari` (
  `kart_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `kart_ismi` varchar(255) NOT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `kart_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `kart_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`kart_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_gelir_gider_kartlari`
--

LOCK TABLES `sy_gelir_gider_kartlari` WRITE;
/*!40000 ALTER TABLE `sy_gelir_gider_kartlari` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_gelir_gider_kartlari` VALUES (1,'Elektrik Faturası',1,'2016-07-14 05:57:36',0),(2,'Yemek',1,'2016-07-14 06:57:24',0),(3,'Su  Faturası',1,'2016-07-14 07:09:49',0),(4,'Maaş Ödemeleri',1,'2016-07-14 07:10:27',0),(5,'Teknik Servis',1,'2016-07-30 11:24:25',0);
/*!40000 ALTER TABLE `sy_gelir_gider_kartlari` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_gelir_gider_kartlari` with 5 row(s)
--

--
-- Table structure for table `sy_gorevler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_gorevler` (
  `gorev_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `gorev_veren_id` int(10) unsigned NOT NULL,
  `gorev_alan_id` int(10) unsigned NOT NULL,
  `servis_fis_id` int(10) unsigned NOT NULL,
  `gorev_durum` tinyint(3) unsigned DEFAULT NULL,
  `gorev_bitirme_aciklamasi` text,
  `gorev_bitirme_tarihi` datetime DEFAULT NULL,
  PRIMARY KEY (`gorev_id`),
  KEY `gorev_alan_id` (`gorev_alan_id`),
  KEY `servis_fis_id` (`servis_fis_id`),
  KEY `gorev_veren_id` (`gorev_veren_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_gorevler`
--

LOCK TABLES `sy_gorevler` WRITE;
/*!40000 ALTER TABLE `sy_gorevler` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_gorevler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_gorevler` with 0 row(s)
--

--
-- Table structure for table `sy_hatirlatma`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_hatirlatma` (
  `hatirlatma_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `hatirlatma_baslik` varchar(255) NOT NULL,
  `hatirlatma_detay` text,
  `hatirlatma_personeller` text,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `hatirlatma_kimlere` tinyint(3) unsigned NOT NULL,
  `hatirlatma_tarih` datetime DEFAULT NULL,
  `hatirlatma_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`hatirlatma_id`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `hatirlatma_tarih` (`hatirlatma_tarih`),
  FULLTEXT KEY `hatirlatma_personeller` (`hatirlatma_personeller`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_hatirlatma`
--

LOCK TABLES `sy_hatirlatma` WRITE;
/*!40000 ALTER TABLE `sy_hatirlatma` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_hatirlatma` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_hatirlatma` with 0 row(s)
--

--
-- Table structure for table `sy_kullanilan_malzemeler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_kullanilan_malzemeler` (
  `km_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `servis_fis_id` int(10) unsigned NOT NULL,
  `servis_islem_id` int(10) unsigned NOT NULL,
  `yedek_parca_id` int(10) unsigned NOT NULL,
  `adet` int(10) unsigned NOT NULL,
  `birim_fiyat` decimal(10,2) unsigned NOT NULL,
  `alis_fiyat` decimal(10,2) unsigned NOT NULL,
  `kdv` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`km_id`),
  KEY `servis_islem_id` (`servis_islem_id`),
  KEY `yedek_parca_id` (`yedek_parca_id`),
  KEY `servis_fis_id` (`servis_fis_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_kullanilan_malzemeler`
--

LOCK TABLES `sy_kullanilan_malzemeler` WRITE;
/*!40000 ALTER TABLE `sy_kullanilan_malzemeler` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_kullanilan_malzemeler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_kullanilan_malzemeler` with 0 row(s)
--

--
-- Table structure for table `sy_markalar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_markalar` (
  `marka_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `marka_baslik` varchar(255) NOT NULL,
  `marka_resim` varchar(255) DEFAULT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `marka_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `marka_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`marka_id`),
  KEY `marka_baslik` (`marka_baslik`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_markalar`
--

LOCK TABLES `sy_markalar` WRITE;
/*!40000 ALTER TABLE `sy_markalar` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_markalar` VALUES (1,'Acer','marka_5777e35235626_1467474770.jpg',1,'2016-07-02 09:40:53',0),(2,'Sony','marka_5777e334877d5_1467474740.png',1,'2016-07-02 09:40:57',0),(3,'Apple','marka_5777e2f8a913e_1467474680.png',1,'2016-07-02 09:41:01',0),(4,'Samsung','marka_5777e2cbd4a42_1467474635.png',1,'2016-07-02 09:41:06',0),(5,'Hp','marka_5777e23ff20f6_1467474495.png',1,'2016-07-02 09:41:21',0),(6,'Lg','marka_5777e0c918f2e_1467474121.png',1,'2016-07-02 09:41:29',0),(7,'İPHONE',NULL,1,'2024-09-30 08:35:40',0);
/*!40000 ALTER TABLE `sy_markalar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_markalar` with 7 row(s)
--

--
-- Table structure for table `sy_mesajlar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_mesajlar` (
  `mesaj_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `mesaj_ust_id` int(10) unsigned NOT NULL DEFAULT '0',
  `gonderen_id` int(10) unsigned NOT NULL,
  `alanlar_id` int(10) unsigned NOT NULL,
  `dosya_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kim_gonderdi` varchar(50) DEFAULT NULL,
  `kim_aldi` varchar(50) DEFAULT NULL,
  `mesaj_baslik` varchar(255) DEFAULT NULL,
  `mesaj_icerik` text NOT NULL,
  `mesaj_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `mesaj_islem_tarihi` datetime DEFAULT NULL,
  `mesaj_gonderen_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `mesaj_alan_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`mesaj_id`),
  KEY `mesaj_ust_id` (`mesaj_ust_id`),
  KEY `gonderen_id` (`gonderen_id`),
  KEY `alanlar_id` (`alanlar_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_mesajlar`
--

LOCK TABLES `sy_mesajlar` WRITE;
/*!40000 ALTER TABLE `sy_mesajlar` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_mesajlar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_mesajlar` with 0 row(s)
--

--
-- Table structure for table `sy_musteriler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_musteriler` (
  `musteri_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `musteri_kodu` varchar(155) NOT NULL,
  `musteri_adi` varchar(255) NOT NULL,
  `bakiye` decimal(13,2) NOT NULL DEFAULT '0.00',
  `ekleyen_id` int(10) unsigned NOT NULL,
  `musteri_email` varchar(155) DEFAULT NULL,
  `musteri_adres` text,
  `konum` varchar(255) DEFAULT NULL,
  `musteri_tel1` varchar(50) DEFAULT NULL,
  `musteri_tel2` varchar(50) DEFAULT NULL,
  `musteri_faks` varchar(155) DEFAULT NULL,
  `sifre` varchar(100) DEFAULT NULL,
  `musteri_vergi_dairesi` varchar(255) DEFAULT NULL,
  `musteri_vergi_no` varchar(155) DEFAULT NULL,
  `musteri_profil_resmi` varchar(255) DEFAULT NULL,
  `musteri_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `musteri_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `il` mediumint(8) unsigned DEFAULT NULL,
  `ilce_semt` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`musteri_id`),
  UNIQUE KEY `musteri_kodu` (`musteri_kodu`),
  KEY `musteri_adi_2` (`musteri_adi`),
  KEY `musteri_tel1` (`musteri_tel1`),
  KEY `musteri_tel2` (`musteri_tel2`),
  KEY `musteri_kayit_tarihi` (`musteri_kayit_tarihi`),
  FULLTEXT KEY `musteri_adi` (`musteri_adi`)
) ENGINE=MyISAM AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_musteriler`
--

LOCK TABLES `sy_musteriler` WRITE;
/*!40000 ALTER TABLE `sy_musteriler` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_musteriler` VALUES (1,'00001','GÖKHAN MOBİLYACI',0.00,1,'','',NULL,'','','',NULL,'','',NULL,'2023-10-26 14:51:53',1,35,'KARABAĞLAR'),(2,'00002','ARAFAT',0.00,1,'','',NULL,'','','',NULL,'','',NULL,'2023-10-26 14:53:44',1,35,'KARABAĞLAR'),(3,'00003','ALİ ÇELİK',0.00,1,'','',NULL,'','','',NULL,'','',NULL,'2023-10-26 15:57:32',1,1,''),(4,'00004','FERHAT ENİŞTE',0.00,1,'','',NULL,'','','',NULL,'','',NULL,'2023-12-02 14:13:34',1,35,''),(5,'00005','volkan abı',0.00,1,'','',NULL,'','','',NULL,'','',NULL,'2023-12-10 12:32:52',0,35,''),(6,'00006','HALİL KUZU',0.00,1,'','',NULL,'(532) 735 89 41','','',NULL,'','',NULL,'2024-09-30 08:35:05',0,48,''),(7,'00007','VATAN İLT OĞUZ',0.00,1,'','',NULL,'(531) 236 63 67','','',NULL,'','',NULL,'2024-09-30 08:40:30',0,35,''),(8,'00008','FATİH YAVAŞ',0.00,1,'','',NULL,'(536) 072 04 28','','',NULL,'','',NULL,'2024-09-30 08:43:40',0,35,''),(9,'00009','TELEFİX',1500.00,1,'','',NULL,'(552) 920 93 42','','',NULL,'','',NULL,'2024-09-30 08:46:18',0,35,''),(10,'00010','AHMET FİXTECH',0.00,1,'','',NULL,'','','',NULL,'','',NULL,'2024-09-30 12:29:48',0,35,''),(11,'00011','GÖZDE AKSOY',0.00,1,'','',NULL,'(554) 702 47 88','','',NULL,'','',NULL,'2024-10-01 06:42:48',0,35,''),(12,'00012','FIRAT KAHVECİ',0.00,1,'','',NULL,'(555) 153 23 35','','',NULL,'','',NULL,'2024-10-02 13:02:26',0,35,''),(13,'00013','EMRE DOĞANTAY GSM',0.00,1,'','',NULL,'(553) 049 33 95','','',NULL,'','',NULL,'2024-10-02 13:33:25',0,35,''),(14,'00014','NAVİTEKNO',5000.00,1,'','',NULL,'','','',NULL,'','',NULL,'2024-10-03 09:33:16',0,35,''),(15,'00015','NUH SARIYILDIZ',0.00,1,'','',NULL,'(543) 873 31 38','','',NULL,'','',NULL,'2024-10-04 10:26:00',0,35,''),(16,'00016','ZEKİ BOLGÖNÜL',0.00,1,'','',NULL,'(532) 671 59 93','','',NULL,'','',NULL,'2024-10-05 11:40:48',0,35,''),(17,'00017','SERDAL BAŞKURT',0.00,1,'','',NULL,'(553) 984 50 15','','',NULL,'','',NULL,'2024-10-08 11:23:58',0,35,''),(18,'00018','TUNA OĞUN',0.00,1,'','',NULL,'(555) 977 01 16','','',NULL,'','',NULL,'2024-10-09 08:48:38',0,35,''),(19,'00019','KABADAYI İLT',0.00,1,'','',NULL,'(505) 315 65 90','','',NULL,'','',NULL,'2024-10-09 12:55:52',0,35,''),(20,'00020','ERSEL ÜFLÜ',0.00,1,'','',NULL,'(532) 482 44 43','','',NULL,'','',NULL,'2024-10-09 13:04:27',0,35,''),(21,'00021','DERYA TERCAN',0.00,1,'','',NULL,'(544) 546 93 84','','',NULL,'','',NULL,'2024-10-11 10:29:37',0,35,'');
/*!40000 ALTER TABLE `sy_musteriler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_musteriler` with 21 row(s)
--

--
-- Table structure for table `sy_resimler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_resimler` (
  `resim_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `resim_tur` varchar(155) NOT NULL,
  `resim_link` varchar(255) NOT NULL,
  `resim_tur_id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`resim_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_resimler`
--

LOCK TABLES `sy_resimler` WRITE;
/*!40000 ALTER TABLE `sy_resimler` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_resimler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_resimler` with 0 row(s)
--

--
-- Table structure for table `sy_servis_fisleri`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_servis_fisleri` (
  `servis_fis_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `servis_fis_no` int(10) unsigned NOT NULL,
  `musteri_id` int(10) unsigned NOT NULL,
  `sikayet` text NOT NULL,
  `servis_aciklama` text,
  `cihaz_id` mediumint(8) unsigned DEFAULT '0',
  `marka_id` smallint(5) unsigned DEFAULT '0',
  `durum_id` int(10) unsigned DEFAULT '0',
  `hatirlat` tinyint(3) unsigned DEFAULT '0',
  `ozel_alan` text,
  `ekleyen_id` int(10) DEFAULT NULL,
  `mobil_imza` varchar(500) DEFAULT NULL,
  `cari_kayit` tinyint(3) unsigned DEFAULT '0',
  `servis_giris_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `duzenleme_tarihi` datetime DEFAULT NULL,
  `hash` varchar(32) DEFAULT NULL,
  `servis_teslim_tarihi` datetime DEFAULT NULL,
  `plan_tarihi` datetime DEFAULT NULL,
  `fis_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `birlikte_gelenler` text,
  `servis_garanti_durum` tinyint(3) unsigned DEFAULT '0',
  `garanti_baslangic` datetime DEFAULT NULL,
  `garanti_bitis` datetime DEFAULT NULL,
  `servis_model_no` varchar(255) DEFAULT NULL,
  `servis_seri_no` varchar(155) DEFAULT NULL,
  `gorev_mudahale` tinyint(3) unsigned DEFAULT '0',
  PRIMARY KEY (`servis_fis_id`),
  UNIQUE KEY `servis_fis_no` (`servis_fis_no`),
  KEY `cihaz_id` (`cihaz_id`),
  KEY `marka_id` (`marka_id`),
  KEY `durum_id` (`durum_id`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `musteri_id` (`musteri_id`),
  KEY `servis_giris_tarihi` (`servis_giris_tarihi`)
) ENGINE=MyISAM AUTO_INCREMENT=27 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_servis_fisleri`
--

LOCK TABLES `sy_servis_fisleri` WRITE;
/*!40000 ALTER TABLE `sy_servis_fisleri` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_servis_fisleri` VALUES (2,1727685582,7,'ŞEBEKE WİFİ VE RESET SORUNU DARBELİ CİHAZ','284618',2,7,1,0,NULL,1,NULL,0,'2024-09-30 08:39:00',NULL,'fe73ba9496c1c8061935d43d497e2195',NULL,NULL,0,'',0,NULL,NULL,'13 PRO','350017084577154',1),(3,1727685779,8,'ÖNCESİ BAKILMIŞ ŞARJDA KAPANAN CİHAZ ANAKART BAKILACAK SES GİDİŞ SORUNU VE PİL','U2 TİGRİS DEĞİŞTİ PİL DEĞİŞTİ ŞARJ FİLM TEMİZLENDİ',2,7,1,0,NULL,1,NULL,0,'2024-09-30 08:42:00','2024-10-01 09:52:25','abefc718d2388c2c5ca9e5175fddb904',NULL,NULL,0,'',0,NULL,NULL,'İPHONE 11','356157216624567',1),(4,1727685949,9,'DARBELİ 10 HATASI VERİYOR BAKILACAK','',2,7,7,0,NULL,1,NULL,0,'2024-09-30 08:45:00',NULL,'0808a6ca3fc9ef001f4fb504a82f262e',NULL,NULL,0,'',0,NULL,NULL,'15 PRO MAVİ','',1),(6,1727705694,6,'RESETLİYOR','',2,7,1,0,NULL,1,NULL,0,'2024-09-30 14:14:00',NULL,'d57a0adcfd578c7c86696b5e605a0382',NULL,NULL,0,'',0,NULL,NULL,'İPHONE 11','352925119508168',1),(5,1727699369,10,'PİL AKTARIM','',2,7,1,0,NULL,1,NULL,0,'2024-09-30 12:29:00',NULL,'ff61c1b11b1a721e653a43e689773910',NULL,NULL,0,'',0,NULL,NULL,'İPHONE 11 SİYAH','',1),(7,1727764925,11,'PİL DEĞİŞİMİ','',8,7,1,0,NULL,1,NULL,0,'2024-10-01 06:42:00',NULL,'42a43a96d3eca01381eb940a3ef3d24b',NULL,NULL,0,'',0,NULL,NULL,'İPHONE 6S','',1),(8,1727874105,12,'İÇ KULAKLIK KISIK DIŞ HOPARLÖR KISIK VE PİL DEĞİŞİM YAPILACAK','',2,7,1,0,NULL,1,NULL,0,'2024-10-02 13:01:00',NULL,'fc15017e5488950636676c60595c98c5',NULL,NULL,0,'',0,NULL,NULL,'11 SİYAH','',1),(9,1727875969,13,'DARBELİ BAKILACAK','897349',2,7,3,0,NULL,1,NULL,0,'2024-10-02 13:32:00','2024-10-02 16:39:09','e1a97169bde1dde5a59d0686a88acc8f',NULL,NULL,0,'',0,NULL,NULL,'13 PRO MAX GOLD','',1),(10,1727947979,14,'AKTARIM YAPILACAK LOGO RESET ATIYOR DENENMİŞ','',2,7,1,0,NULL,1,NULL,0,'2024-10-03 09:32:00',NULL,'b7e3454da944d920ba40fc214fd1e4ca',NULL,NULL,0,'',0,NULL,NULL,'11 SİYAH','352986117401574',1),(11,1728037522,15,'11 PRO EKRAN DEĞİŞİMİ YAPILACAK ORJ + CHİP','202222',2,7,1,0,NULL,1,NULL,0,'2024-10-04 10:25:00','2024-10-04 14:24:12','cc91fd012fce34af374e546bf6fce6d7',NULL,NULL,0,'KILIF',0,NULL,NULL,'11 PRO','352828112387194',1),(12,1728123550,13,'KISA DEVRE','',2,7,1,0,NULL,1,NULL,0,'2024-10-05 10:19:00',NULL,'f3f50a4ef51ffd68dae73356e2875a63',NULL,NULL,0,'',0,NULL,NULL,'12 SİYAH','357076833280794',1),(13,1728128421,16,'ORİJİNAL EKRAN DEĞİŞİMİ OLACAK','261094',2,7,1,0,NULL,1,NULL,0,'2024-10-05 11:40:00',NULL,'b4e058cfa4f4e4971306cf0f804610e0',NULL,NULL,0,'',0,NULL,NULL,'13 PRO','',1),(14,1728386614,17,'HOME TUŞ HASSAS BAKILACAK','2057',2,7,1,0,NULL,1,NULL,0,'2024-10-08 11:23:00','2024-10-08 14:25:28','8f9f2e3bc7c13d1b80fe633652b42753',NULL,NULL,0,'',0,NULL,NULL,'SE 2020','',1),(15,1728395505,9,'RESET ATIYOR 3 DK','150515',2,7,1,0,NULL,1,NULL,0,'2024-10-08 13:51:00',NULL,'cbe2216787c253c92f65ca7a94328da8',NULL,NULL,0,'',0,NULL,NULL,'SE 2020','350122228605752',1),(16,1728463695,18,'XS MAX SIVILI RESET BAKILACAK','6143\r\nYAZILIM HATASI İLE DÜZELDİ',2,7,1,0,NULL,1,NULL,0,'2024-10-09 08:48:00','2024-10-09 15:49:47','1faa68e093363d915417b6d4dfdf69a1',NULL,NULL,0,'',0,NULL,NULL,'XS MAX','',1),(17,1728478215,13,'PİL AKTARIM','DAĞINIK GELDİ',2,7,1,0,NULL,1,NULL,0,'2024-10-09 12:50:00',NULL,'d99d0041c2023cd57758285f1d2476a7',NULL,NULL,0,'',0,NULL,NULL,'13 PRO','',1),(18,1728478283,13,'ŞARJ FİLM DEĞİŞMİŞ RESET ATIYOR MİC1','',2,7,1,0,NULL,1,NULL,0,'2024-10-09 12:51:00',NULL,'14c676aa3608a7fff423638e116f5fd1',NULL,NULL,0,'',0,NULL,NULL,'X SİYAH','354861092182119',1),(19,1728478401,19,'KISA DEVRE','',2,7,1,0,NULL,1,NULL,0,'2024-10-09 12:53:00',NULL,'0ff07b885c5a4efb83df77f50a5ee245',NULL,NULL,0,'',0,NULL,NULL,'12 SİYAH','',1),(20,1728478614,19,'WİFİ ÇALIŞMIYOR','',2,7,0,0,NULL,1,NULL,0,'2024-10-09 12:56:00',NULL,'74622070d8676b34c91e6d6279f0f9b1',NULL,NULL,0,'',0,NULL,NULL,'8G SİYAH','',1),(21,1728478657,19,'PİL TEMASSIZLIK VAR BAKILACAK','KONNEKTÖR SIKILAŞTIRILDI',2,7,1,0,NULL,1,NULL,0,'2024-10-09 12:57:00','2024-10-09 16:32:54','6aa1bf0dce7f4936bbf056aace9976e2',NULL,NULL,0,'',0,NULL,NULL,'X BEYAZ','',1),(22,1728479048,20,'KAMERA CAMI DEĞİŞECEK','',8,7,1,0,NULL,1,NULL,0,'2024-10-09 13:04:00',NULL,'b41170a48decd1980fc435b7f2e20462',NULL,NULL,0,'',0,NULL,NULL,'15 PRO MAX TİTANYUM','',1),(24,1728480175,19,'ŞEBEKE ÇEKMİYOR KULAKTAN KIRIK','',2,4,1,0,NULL,1,NULL,0,'2024-10-09 13:22:00',NULL,'bda54e5a688ba301b9849a9ef87109e5',NULL,NULL,0,'',0,NULL,NULL,'A52','',1),(25,1728564021,19,'İÇ KULAKLIKTAN SES GELMİYOR','',2,7,1,0,NULL,1,NULL,0,'2024-10-10 12:40:00',NULL,'4c7ea86f4fe4a40675dc3c69b55f0055',NULL,NULL,0,'',0,NULL,NULL,'12 SİYAH','',1),(26,1728642554,21,'CAM DEĞİŞİMİ YAPILACAK','170219',2,7,0,0,NULL,1,NULL,0,'2024-10-11 10:29:00',NULL,'f850e34448e90ae65eee42fc453b29c4',NULL,NULL,0,'',0,NULL,NULL,'11 PRO MAX GOLD','',1);
/*!40000 ALTER TABLE `sy_servis_fisleri` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_servis_fisleri` with 24 row(s)
--

--
-- Table structure for table `sy_servis_islemleri`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_servis_islemleri` (
  `servis_islem_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `servis_fis_id` int(10) unsigned NOT NULL,
  `servis_tutar` decimal(10,2) unsigned NOT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `durum_id` int(10) unsigned NOT NULL,
  `servis_islem_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `servis_islem_aciklama` varchar(255) NOT NULL,
  `servis_islem_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `servis_formunda_goster` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `gider_aciklama` varchar(255) DEFAULT NULL,
  `gider_tutar` decimal(10,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`servis_islem_id`),
  KEY `servis_fis_id` (`servis_fis_id`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `durum_id` (`durum_id`),
  KEY `servis_islem_tarihi` (`servis_islem_tarihi`)
) ENGINE=MyISAM AUTO_INCREMENT=34 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_servis_islemleri`
--

LOCK TABLES `sy_servis_islemleri` WRITE;
/*!40000 ALTER TABLE `sy_servis_islemleri` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_servis_islemleri` VALUES (10,6,3000.00,1,1,'2024-09-29 21:00:00','YANTUŞ VE WİFİ ANTEN SIVILI DEĞİŞİM YAPILDI',0,1,'',0.00),(2,4,15000.00,1,5,'2024-09-29 21:00:00','YAZILIM ATILDI AÇILDI ŞEBEKE WİFİ GÖRMÜYOR AKTARIM FİYATI VERİLDİ',0,1,'',0.00),(3,3,5000.00,1,3,'2024-09-29 21:00:00','ANAKART BAKILACAK ONARIM BEDELİ',0,1,'',0.00),(6,3,1000.00,1,3,'2024-09-29 21:00:00','PİL',0,1,'REAL POWER PİL',480.00),(7,3,1000.00,1,3,'2024-09-29 21:00:00','SES GİTMİYOR ŞARJ FİLM DEĞİŞİMİ',0,1,'AĞAOĞLU ŞARJ FİLM',350.00),(8,2,6000.00,1,5,'2024-09-29 21:00:00','ŞEBEKE WİFİ VE RESET SORUNU KATMAN ARASI KOPUK YOLLAR VAR',0,1,'',0.00),(9,5,500.00,1,1,'2024-09-29 21:00:00','PİL AKTARIM YAPILDI',0,1,'',0.00),(11,7,750.00,1,1,'2024-09-30 21:00:00','pil değişimi yapıldı',0,1,'real power egetech',300.00),(13,8,3500.00,1,1,'2024-10-01 21:00:00','FİLTRE DEĞİŞİMLERİ YAPILDI PİL DEĞİŞTİ',0,1,'REAL PİL EGE',480.00),(14,4,0.00,1,7,'2024-10-01 21:00:00','İADE',0,1,'',0.00),(15,10,5000.00,1,1,'2024-10-02 21:00:00','AKTARIM YAPILACAK GPU HAT ONARILACAK',0,1,'',0.00),(16,9,7500.00,1,0,'2024-10-02 21:00:00','AKTARIM ALT BOARD ŞEBEKE SORUNU VAR RESET ATIYOR',0,1,'',0.00),(19,11,5000.00,1,3,'2024-10-03 21:00:00','11 PRO EKRAN MONTAJI',0,1,'AĞAOĞLU',2700.00),(18,11,500.00,1,3,'2024-10-03 21:00:00','ÇİP AKTARIMI',0,1,'',0.00),(20,12,4000.00,1,1,'2024-10-04 21:00:00','VDD MAİN KISA DEVRE CAP ONARIM',0,1,'',0.00),(21,13,11500.00,1,1,'2024-10-07 21:00:00','ORİJİNAL ÇİP AKTARIMSIZ EKRAN',0,1,'AĞAOĞLU EKRAN 245',8390.00),(22,13,2300.00,1,1,'2024-10-07 21:00:00','KDV',0,1,'',0.00),(23,14,1300.00,1,1,'2024-10-07 21:00:00','HOME TUŞ YOL ÇEKİLDİ',0,1,'',0.00),(24,16,4000.00,1,0,'2024-10-08 21:00:00','LOGO ARIZASI ONARIMI',0,1,'',0.00),(25,17,750.00,1,1,'2024-10-08 21:00:00','PİL AKTARIMI YAPILDI',0,1,'',0.00),(26,22,200.00,1,1,'2024-10-08 21:00:00','KAMERA CAMI KIRIK. KORUMASI KIRIK OLDUĞU TESPİT EDİLDİ. İŞLEM YAPILMADI',0,1,'',0.00),(27,18,1500.00,1,1,'2024-10-08 21:00:00','KATMAN ONARIM',0,1,'AĞAOĞLU SOKET',350.00),(28,24,1500.00,1,1,'2024-10-08 21:00:00','YOL ÇEKİLDİ İŞLEM HAZIR',0,1,'',0.00),(29,19,4000.00,1,1,'2024-10-08 21:00:00','KISA DEVRE TİGRİS DEĞİŞİM U2 DEĞİŞİM',0,1,'',0.00),(30,20,750.00,1,1,'2024-10-08 21:00:00','WİFİ DEĞİŞİMİ',0,1,'',0.00),(31,21,750.00,1,1,'2024-10-08 21:00:00','PİL KONNEKTÖRÜ DEĞİŞİMİ',0,1,'',0.00),(32,15,1500.00,1,1,'2024-10-09 21:00:00','HAT ÇEKİLECEK MİC 1',0,1,'',0.00),(33,25,1500.00,1,1,'2024-10-09 21:00:00','AHİZE DEĞİŞİM',0,1,'',0.00);
/*!40000 ALTER TABLE `sy_servis_islemleri` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_servis_islemleri` with 28 row(s)
--

--
-- Table structure for table `sy_sms_email_gonderilenler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_sms_email_gonderilenler` (
  `se_gonderim_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `se_gonderen_id` int(10) unsigned NOT NULL,
  `se_baslik` varchar(255) DEFAULT NULL,
  `se_mesaj` text NOT NULL,
  `se_tur` varchar(155) NOT NULL,
  `servis_fis_id` int(10) unsigned NOT NULL,
  `se_gonderim_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`se_gonderim_id`),
  KEY `servis_fis_id` (`servis_fis_id`),
  KEY `se_gonderen_id` (`se_gonderen_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_sms_email_gonderilenler`
--

LOCK TABLES `sy_sms_email_gonderilenler` WRITE;
/*!40000 ALTER TABLE `sy_sms_email_gonderilenler` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_sms_email_gonderilenler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_sms_email_gonderilenler` with 0 row(s)
--

--
-- Table structure for table `sy_sms_email_yapilandirma`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_sms_email_yapilandirma` (
  `ayar_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `sms_kullanici_adi` varchar(155) NOT NULL,
  `sms_sifre` varchar(155) NOT NULL,
  `sms_mesaj_baslik` varchar(155) NOT NULL,
  `email_sunucu` varchar(255) NOT NULL,
  `email_kullanici_adi` varchar(255) NOT NULL,
  `email_sifre` varchar(255) NOT NULL,
  `email_port` mediumint(8) unsigned NOT NULL,
  PRIMARY KEY (`ayar_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_sms_email_yapilandirma`
--

LOCK TABLES `sy_sms_email_yapilandirma` WRITE;
/*!40000 ALTER TABLE `sy_sms_email_yapilandirma` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_sms_email_yapilandirma` VALUES (1,'sms_kullanici_adi','sifre','MESAJBASLIK','smtp.bilhane.com','info@bilhane.com','',587);
/*!40000 ALTER TABLE `sy_sms_email_yapilandirma` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_sms_email_yapilandirma` with 1 row(s)
--

--
-- Table structure for table `sy_sms_sablonlari`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_sms_sablonlari` (
  `sms_sablon_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `sms_sablon_baslik` varchar(155) NOT NULL,
  `sms_sablon_detay` text NOT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `sms_sablon_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `sms_sablon_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`sms_sablon_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_sms_sablonlari`
--

LOCK TABLES `sy_sms_sablonlari` WRITE;
/*!40000 ALTER TABLE `sy_sms_sablonlari` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_sms_sablonlari` VALUES (1,'Onay Talebi','Sayın [musteri_adi], [cihaz_adi] cihazınızın arızası tespit edilmiştir.\r\nTamir işlemini onaylıyor musunuz?',1,'2016-07-02 09:56:15',0),(2,'Tamir Yapıldı','Sayın [musteri_adi], [cihaz_adi] cihazınızın tamir işlemi tamamlanmıştır.Ofisimizden teslim alabilirsiniz.',1,'2016-07-02 09:58:31',0),(3,'Kayıt Kabul','Sayın [musteri_adi], [cihaz_adi] cihazınızın kaydı alındı.Cihazınızla ilgili son bilgilere [musteri_sorgulama_url] adresinden [musteri_tel] ve [servis_fis_no] ile ulaşabilirsiniz.',1,'2016-07-02 10:01:15',0);
/*!40000 ALTER TABLE `sy_sms_sablonlari` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_sms_sablonlari` with 3 row(s)
--

--
-- Table structure for table `sy_tahsilat`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_tahsilat` (
  `tahsilat_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `islem` varchar(255) NOT NULL,
  `tahsilat_tur` tinyint(3) unsigned NOT NULL,
  `musteri_id` int(10) unsigned NOT NULL,
  `tahsilat_fiyat` decimal(10,2) NOT NULL,
  `fatura_seri_no` varchar(155) DEFAULT NULL,
  `aciklama` varchar(255) DEFAULT NULL,
  `odeme_tur` tinyint(3) unsigned DEFAULT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `servis_fis_no` int(10) unsigned DEFAULT NULL,
  `tahsilat_tarihi` datetime DEFAULT NULL,
  `tahsilat_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`tahsilat_id`),
  KEY `musteri_id` (`musteri_id`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `islem` (`islem`),
  KEY `fatura_seri_no` (`fatura_seri_no`),
  KEY `tahsilat_tarihi` (`tahsilat_tarihi`),
  KEY `odeme_tur` (`odeme_tur`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_tahsilat`
--

LOCK TABLES `sy_tahsilat` WRITE;
/*!40000 ALTER TABLE `sy_tahsilat` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_tahsilat` VALUES (3,'gelir',1,11,750.00,'4',NULL,1,1,1727764925,'2024-10-01 00:00:00',0),(2,'gelir',1,10,500.00,'2',NULL,1,1,1727699369,'2024-09-30 00:00:00',0),(4,'gelir',1,12,3500.00,'5',NULL,1,1,1727874105,'2024-10-02 00:00:00',0),(5,'gelir',1,8,7000.00,'6',NULL,1,1,1727685779,'2024-10-02 00:00:00',0),(6,'gelir',1,15,5500.00,'8',NULL,1,1,1728037522,'2024-10-04 00:00:00',0),(7,'gelir',1,13,4000.00,'9',NULL,1,1,1728123550,'2024-10-05 00:00:00',0),(8,'gelir',1,13,7500.00,'10',NULL,1,1,1727875969,'2024-10-05 00:00:00',0),(9,'gelir',1,16,13800.00,'11',NULL,1,1,1728128421,'2024-10-08 00:00:00',0),(10,'gelir',1,17,1300.00,'12',NULL,1,1,1728386614,'2024-10-08 00:00:00',0),(11,'gelir',1,18,4000.00,'13',NULL,1,1,1728463695,'2024-10-09 00:00:00',0),(12,'gelir',1,13,750.00,'14',NULL,1,1,1728478215,'2024-10-09 00:00:00',0),(13,'gelir',1,20,200.00,'15',NULL,1,1,1728479048,'2024-10-09 00:00:00',0),(14,'gelir',1,13,1500.00,'16',NULL,1,1,1728478283,'2024-10-09 00:00:00',0),(15,'gelir',1,19,4000.00,'17',NULL,1,1,1728478401,'2024-10-09 00:00:00',0),(16,'gelir',1,19,750.00,'18',NULL,1,1,1728478614,'2024-10-09 00:00:00',0),(17,'gelir',1,19,750.00,'19',NULL,1,1,1728478657,'2024-10-09 00:00:00',0),(18,'gelir',1,7,6000.00,'20',NULL,1,1,1727685582,'2024-10-10 00:00:00',0),(19,'gelir',1,6,3000.00,'','',1,1,0,'2024-10-10 00:00:00',0),(20,'gelir',1,19,1500.00,'22',NULL,1,1,1728564021,'2024-10-10 00:00:00',0);
/*!40000 ALTER TABLE `sy_tahsilat` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_tahsilat` with 19 row(s)
--

--
-- Table structure for table `sy_users`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_users` (
  `user_id` int(10) NOT NULL AUTO_INCREMENT,
  `user_uniq_id` varchar(155) NOT NULL,
  `user_name` varchar(155) NOT NULL,
  `user_sifre` varchar(155) NOT NULL,
  `user_email` varchar(155) DEFAULT NULL,
  `user_ad` varchar(155) DEFAULT NULL,
  `user_soyad` varchar(155) DEFAULT NULL,
  `user_yetki` smallint(6) NOT NULL DEFAULT '-1',
  `user_vizyon` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `user_gorev_tanim` varchar(155) DEFAULT NULL,
  `user_kayit_tarih` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `user_son_giris` datetime DEFAULT NULL,
  `user_tel` varchar(155) DEFAULT NULL,
  `user_durum` tinyint(3) unsigned DEFAULT NULL,
  `user_profil_resmi` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_name_2` (`user_name`),
  KEY `user_name` (`user_name`),
  KEY `user_ad` (`user_ad`),
  KEY `user_soyad` (`user_soyad`),
  KEY `user_durum` (`user_durum`),
  KEY `user_email` (`user_email`)
) ENGINE=MyISAM AUTO_INCREMENT=10002 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_users`
--

LOCK TABLES `sy_users` WRITE;
/*!40000 ALTER TABLE `sy_users` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_users` VALUES (1,'5777d9b2e9dc9_1467472306','admin','fea0f7eb18997075135eaec7ed9d4e79','info@fixtel.com.tr','Fix','Tel',0,1,'Yönetici','2016-07-02 09:11:46','2024-10-12 11:48:29','(507) 494 26 46',1,''),(7,'5777d9b2e9dc9_146723206','test','11da558ef6edd542352b7332aa212d25','user@gmail.com','Test','Test',0,0,'Test Hesabı','2016-07-02 09:11:46','2024-09-27 11:16:11','',1,'');
/*!40000 ALTER TABLE `sy_users` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_users` with 2 row(s)
--

--
-- Table structure for table `sy_veresiye_defteri`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_veresiye_defteri` (
  `veresiye_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cari_id` int(10) unsigned NOT NULL,
  `tutar` decimal(10,2) unsigned NOT NULL,
  `tahsil` tinyint(3) unsigned DEFAULT '0',
  `odeme_tur` tinyint(3) unsigned DEFAULT NULL,
  `aciklama` varchar(255) DEFAULT NULL,
  `kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `vade_tarihi` datetime DEFAULT NULL,
  `tahsil_tarihi` datetime DEFAULT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `veresiye_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`veresiye_id`),
  KEY `cari_id` (`cari_id`,`ekleyen_id`),
  KEY `kayit_tarihi` (`kayit_tarihi`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_veresiye_defteri`
--

LOCK TABLES `sy_veresiye_defteri` WRITE;
/*!40000 ALTER TABLE `sy_veresiye_defteri` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_veresiye_defteri` VALUES (10,10,800.00,1,1,'11 PİL x2','2024-09-30 12:32:24',NULL,'2024-09-30 00:00:00',1,0),(9,6,12500.00,0,NULL,'','2024-09-30 11:16:37',NULL,NULL,1,0);
/*!40000 ALTER TABLE `sy_veresiye_defteri` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_veresiye_defteri` with 2 row(s)
--

--
-- Table structure for table `sy_yedek_parca`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_yedek_parca` (
  `yedek_parca_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `yedek_parca_adi` varchar(255) NOT NULL,
  `stok_kodu` varchar(40) DEFAULT NULL,
  `stok_foto` varchar(200) DEFAULT NULL,
  `birim_fiyat` decimal(10,2) unsigned NOT NULL DEFAULT '0.00',
  `alis_fiyat` decimal(10,2) unsigned NOT NULL DEFAULT '0.00',
  `kdv` smallint(5) unsigned NOT NULL DEFAULT '0',
  `stok` int(10) NOT NULL DEFAULT '0',
  `barkod` varchar(32) DEFAULT NULL,
  `raf_no` varchar(50) DEFAULT NULL,
  `eksi_stok` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `ekleyen_id` int(10) unsigned NOT NULL,
  `yedek_parca_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `yedek_parca_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`yedek_parca_id`),
  UNIQUE KEY `barkod` (`barkod`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `yedek_parca_adi_2` (`yedek_parca_adi`),
  KEY `yedek_parca_kayit_tarihi` (`yedek_parca_kayit_tarihi`),
  KEY `stok_kodu` (`stok_kodu`),
  FULLTEXT KEY `yedek_parca_adi` (`yedek_parca_adi`)
) ENGINE=MyISAM AUTO_INCREMENT=71 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_yedek_parca`
--

LOCK TABLES `sy_yedek_parca` WRITE;
/*!40000 ALTER TABLE `sy_yedek_parca` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_yedek_parca` VALUES (1,'İPHONE 14 PRO MAX 128GB  (ONUR POLAT)','1',NULL,55000.00,48700.00,18,0,'359265388634988','yunus al sat',0,1,'2023-10-26 12:38:36',1),(2,'İPHONE 13 PRO MAX 512GB','2',NULL,49000.00,46000.00,18,0,'355325327644110','yunus al sat',0,1,'2023-10-26 12:50:13',1),(3,'İPHONE 13 PRO MAX 256GB (müşteri)','3',NULL,45500.00,42000.00,18,0,'356579550393485','Zeydan amca',0,1,'2023-10-26 12:52:45',1),(4,'İPHONE 13 PRO MAX 128GB','4',NULL,46000.00,43500.00,18,0,'358275389537719','Fırat al sat',0,1,'2023-10-26 12:57:18',1),(5,'İPHONE 13 PRO MAX 128GB','5',NULL,45500.00,41000.00,18,0,'353652735016835','volkan abi gıda',0,1,'2023-10-26 12:59:14',1),(6,'İPHONE 12 PRO MAX YD (İSAM HAC AHMED)','6',NULL,16000.00,11000.00,18,0,'355018178318054','ramazan çeşme',0,1,'2023-10-26 13:00:18',1),(7,'İPHONE 11 PRO MAX 64GB','7',NULL,25000.00,18500.00,18,0,'353908108803369','müşteri',0,1,'2023-10-26 13:01:32',1),(8,'İPHONE 11 PRO MAX 64GB (ali çelik)','8',NULL,23750.00,17500.00,18,0,'353907103535406','sülo Sony',0,1,'2023-10-26 13:02:58',1),(9,'İPHONE 11 PRO MAX YD (MUSTAFA TUNÇ)','9',NULL,12000.00,7000.00,18,0,'352850116053929','9',0,1,'2023-10-26 13:03:52',1),(10,'İPHONE 14 PRO 128GB (MURAT LASTİKÇİ)','10',NULL,50000.00,47000.00,18,0,'351083373417367','Mustafa doğrudağ',0,1,'2023-10-26 13:05:05',1),(11,'İPHONE 13 PRO 128 GOLD','11',NULL,43500.00,40000.00,18,0,'352835986517715','müşteri lego',0,1,'2023-10-26 13:06:27',1),(12,'İPHONE 13 PRO 128 MVİ (NURETTİN KOMİSER)','12',NULL,42000.00,37500.00,18,0,'350367272925487','MÜŞTERİ LETGO',0,1,'2023-10-26 13:07:59',1),(13,'İPHONE 13 PRO 128GB MAVİ','13',NULL,42000.00,32500.00,18,0,'355786373157580','MUSTAFA DOĞRUDAĞ',0,1,'2023-10-26 13:09:01',1),(14,'İPHONE 12 PRO 256GB','14',NULL,34000.00,29250.00,18,0,'358611741658951','MUSTAFA DOĞRUDAĞ',0,1,'2023-10-26 13:10:35',1),(15,'İPHONE 12 PRO 128 BEYAZ (müşteri satıldı)','15',NULL,32000.00,28000.00,18,0,'354121935469581','URLA OKAN RESTORAN',0,1,'2023-10-26 13:11:46',1),(16,'İPHONE 11 PRO 64GB','16',NULL,22500.00,18000.00,18,0,'353239100147617','ESAT ÇAKIR',0,1,'2023-10-26 13:13:18',1),(17,'İPHONE 11 PRO 64GB SİYAH','17',NULL,22000.00,18500.00,18,0,'353835104461886','BURAK KURUYEMİŞ',0,1,'2023-10-26 13:14:45',1),(18,'İPHONE 11 PRO 64GB','18',NULL,18500.00,16000.00,18,0,'353830105391067','BURHAN LİONES',0,1,'2023-10-26 13:17:01',1),(19,'İPHONE 13 128GB (Atakan doğalgaz)','19',NULL,31000.00,28250.00,18,0,'352364227067745','ATAKAN DOĞALGAZ',0,1,'2023-10-26 13:18:48',1),(20,'İPHONE 13 128GB (BİROL ABİ)','20',NULL,31000.00,29000.00,18,0,'358288946513388','MUSTAFA DOĞRUDAĞ',0,1,'2023-10-26 13:20:08',1),(21,'İPHONE 12 64GB (Müşteri )','21',NULL,19000.00,13000.00,18,0,'353057118638587','ÖMER BUDAK',0,1,'2023-10-26 13:23:36',1),(22,'İPHONE 13 PRO MAX 128GB','22',NULL,45500.00,42000.00,18,0,'355777912048414','MUSTAFA DOĞRUDAĞ',0,1,'2023-10-26 13:52:02',1),(23,'İPHONE 11 64GB YEŞİL','23',NULL,16500.00,13000.00,18,0,'35399108943586','MÜŞTERİ',0,1,'2023-10-27 08:21:19',1),(24,'İPHONE 11 64GB BEYAZ (MUHAMMET BUDAK)','24',NULL,16000.00,12000.00,18,0,'352915114965703','MUSA KOKAN',0,1,'2023-10-27 08:22:23',1),(25,'İPHONE 11 64GB SİYAH','25',NULL,16500.00,14000.00,18,0,'350588702457664','MÜŞTERİ',0,1,'2023-10-27 08:24:44',1),(26,'İPHONE 11 64GB SİYAH','26',NULL,16500.00,14500.00,18,0,'352989119386629','BERKE KİP',0,1,'2023-10-27 08:35:48',1),(27,'İPHONE 11 64GB SİYAH','27',NULL,17000.00,15500.00,18,0,'356814119858300','MÜŞTERİ',0,1,'2023-10-27 08:38:51',1),(28,'İPHONE 11 64GB BEYAZ (CANSU GÜNET)','28',NULL,19500.00,17500.00,18,0,'355685277184817','MURAT FURKAN',0,1,'2023-10-27 08:53:54',1),(29,'İPHONE 11 64GB BEYAZ (osman balı)','29',NULL,20000.00,18000.00,20,0,'352737596864216','İLKAY ALP',0,1,'2023-10-27 08:54:56',1),(30,'İPHONE 11 128GB SARI','30',NULL,19500.00,15500.00,18,0,'352923115156090','YUNUS AL SAT',0,1,'2023-10-27 08:56:53',1),(31,'İPHONE 11 128GB MOR','31',NULL,20000.00,16000.00,18,0,'352926119799047','FERHAT YUNUSLAR',0,1,'2023-10-27 08:58:40',1),(32,'İPHONE 11 128GB YEŞİL','32',NULL,20000.00,17000.00,18,0,'352747618567150','MÜŞTERİ',0,1,'2023-10-27 10:42:51',1),(33,'İPHONE 11 128GB BEYAZ','33',NULL,20000.00,18000.00,18,0,'356314149011566','ESAT ÇAKIR',0,1,'2023-10-27 10:45:40',1),(34,'İPHONE 11 128GB BEYAZ (A.VAHAP ABA)','34',NULL,20600.00,19500.00,18,0,'353568250239125','BÜNYO',0,1,'2023-10-27 10:47:18',1),(35,'İPHONE 11 128GB SİYAH (ammo nezir)','35',NULL,21100.00,20500.00,18,0,'356446470173555','İBRAHİM BAYRAKLI',0,1,'2023-10-27 11:00:54',1),(36,'İPHONE 14 PRO MAX 256GB  (İRFAN SEYREK)SATILDI','36',NULL,59500.00,51250.00,18,0,'358686322950506','MUHAMMET BUDAK',0,1,'2023-10-27 13:39:22',1),(37,'İPHONE 11 128GB SİYAH','37',NULL,24000.00,24000.00,18,0,'351957187526971','TEKNOSA',0,1,'2023-10-27 14:42:54',1),(38,'İPHONE 7 PLUS 32GB','38',NULL,5250.00,3500.00,18,0,'355346080455445','MÜŞTERİ',0,1,'2023-10-27 14:44:12',1),(39,'İPHONE 7 PLUS 32GB','39',NULL,5000.00,3000.00,18,0,'355353080593175','MÜŞTERİ',0,1,'2023-10-27 14:45:31',1),(40,'İPHONE 7 PLUS 32GB','40',NULL,5000.00,4000.00,18,0,'355345088441522','MÜŞTERİ',0,1,'2023-10-27 14:47:15',1),(41,'İPHONE 7 PLUS 32GB','41',NULL,5000.00,3000.00,18,0,'355352086256480','MÜŞTERİ',0,1,'2023-10-27 14:48:32',1),(42,'İPHONE 7 PLUS 32GB','42',NULL,5000.00,2750.00,18,0,'359216073077082','MÜŞTERİ',0,1,'2023-10-27 14:53:57',1),(43,'İPHONE 8 PLUS 64GB (muhittin abi)','43',NULL,7650.00,4500.00,18,0,'352978091964404','MÜŞTERİ',0,1,'2023-10-27 14:54:51',1),(44,'İPHONE 11 64GB KIRMIZI','44',NULL,17000.00,14250.00,18,0,'352604705762535','EMİN SEZGİN AMCA',0,1,'2023-10-28 09:00:45',1),(45,'İPHONE 11 PRO MAX 256GB','45',NULL,22000.00,15500.00,18,0,'352873110511213','MUHAMMET BUDAK',0,1,'2023-11-02 08:37:47',1),(46,'İPHONE 14 PRO 128GB','46',NULL,42500.00,37000.00,18,0,'358168380255029','MUSTAFA DOĞRUDAĞ',0,1,'2023-11-03 13:45:28',1),(47,'İPHONE 14 PRO 256 YD (APO ABİ BOZDOĞAN)','47',NULL,25500.00,16000.00,18,0,'350923383149902','BİROL ABİ',0,1,'2023-11-04 12:36:56',1),(48,'İPHONE 13 128GB','48',NULL,31000.00,26500.00,18,0,'358288944500502','ERCAN TAYBILLI (05364372360)',0,1,'2023-11-04 14:12:47',1),(49,'İPHONE 11 128GB BEYAZ','49',NULL,20000.00,15000.00,18,0,'355169424195950','MUSA KOKAN',0,1,'2023-11-04 14:27:42',1),(50,'İPHONE 15 PRO 128GB (ALİ KARA)','50',NULL,34000.00,28000.00,18,0,'357627940692154','MUSTAFA DOĞRUDAĞ',0,1,'2023-11-07 09:22:15',1),(51,'İPHONE 14 PROMAX YD (MUHTAR)','51',NULL,25500.00,22000.00,18,0,'351643939669307','ALİ KARA',0,1,'2023-11-11 08:14:41',1),(52,'İPHONE 14 PRO MAX 256GB (arda)','52',NULL,28000.00,21750.00,18,0,'350270054062356','BARIŞ BULUT (05425222265)',0,1,'2023-11-11 09:23:31',1),(53,'İPHONE 8 PLUS 64GB (MANİSA ESNAF)','53',NULL,8250.00,4000.00,18,0,'354833091851077','ARDA DEMİR (05306315935)',0,1,'2023-11-15 13:47:43',1),(54,'İPHONE 14 PRO 128GB MOR','54',NULL,52500.00,47500.00,18,0,'354256832821664','ONUR POLAT',0,1,'2023-11-17 12:01:24',1),(55,'İPHONE XSMAX 64GB (BUCA NEDİM ABİ)','55',NULL,15000.00,11000.00,18,0,'357285099368330','HAKAN OCAK',0,1,'2023-11-20 11:21:04',1),(56,'İPHONE 13 128GB PİNK','56',NULL,29500.00,26500.00,18,0,'352391570077195','Arda AL sAT',0,1,'2023-11-27 08:29:29',1),(57,'İPHONE 11 64GB BEYAZ','57',NULL,19000.00,15000.00,18,0,'356428225191918','ARDA AL SAT',0,1,'2023-11-27 08:31:26',1),(58,'İPHONE 11 64GB (UĞUR TAMİRCİ)','58',NULL,16500.00,14500.00,18,0,'355608709484779','ARDA AL SAT',0,1,'2023-11-27 08:32:35',1),(59,'İPHONE 15 PRO MAX 256GB (ÇELEBİ AMCA)','59',NULL,42000.00,31000.00,18,0,'359779342818834','TÜRKAN KARAKAŞ (05522174158)',0,1,'2023-11-27 13:11:52',1),(60,'İPHONE 11 64GB KIRMIZI','60',NULL,17000.00,15000.00,18,0,'350308229802759','OSMAN BALI (0530 628 2488)',0,1,'2023-12-02 10:22:31',1),(61,'İPHONE X 64GB','61',NULL,10500.00,8250.00,18,0,'356726086958485','YUSUF İLHAN',0,1,'2023-12-04 08:43:25',1),(62,'İPHONE 11 128GB','62',NULL,19500.00,15500.00,18,0,'353995108109772','HAMMET',0,1,'2023-12-04 10:38:23',1),(63,'İPHONE 14 PRO MAX 128GB','63',NULL,57000.00,49000.00,18,0,'359265388972487','MUSA KOKAN',0,1,'2023-12-21 08:44:16',1),(64,'İPHONE XS MAX SİYAH','64',NULL,15000.00,11500.00,18,0,'357291098927241','HAMMET',0,1,'2023-12-21 08:45:35',1),(65,'İPHONE 12 MİNİ (MÜŞTERİ)','64',NULL,18500.00,16000.00,18,0,'353023114989879','HAMMET',0,1,'2023-12-21 08:47:01',1),(66,'İPHONE 13 128GB','65',NULL,27000.00,24000.00,18,0,'352691139538086','SÜLEYMAN AKMAN (AEGON)',0,1,'2023-12-22 07:49:31',1),(67,'İPHONE 11 64GB SIFIR','66',NULL,21250.00,19750.00,18,0,'352695692738488','HAMİT İŞÇİ (10298578044)',0,1,'2024-02-04 10:19:37',1),(68,'İPHONE 11 64GB','67',NULL,17500.00,15000.00,18,0,'355685275495033','MUHTAR',0,1,'2024-03-22 11:58:30',1),(69,'İPHONE 12 64GB MOR','68',NULL,0.00,17000.00,18,0,'358209593680098','Sami Medcezir İLT',0,1,'2024-03-23 09:55:32',1),(70,'İPHONE 12 PRO MAX 128GB','69',NULL,0.00,28500.00,18,0,'351406663565681','ASLAN UÇAR (41435134038) 05551640719',0,1,'2024-04-11 12:38:31',1);
/*!40000 ALTER TABLE `sy_yedek_parca` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_yedek_parca` with 70 row(s)
--

--
-- Table structure for table `sy_yetkiler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_yetkiler` (
  `yetki_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `yetki_baslik` varchar(255) NOT NULL,
  `yetkiler` text,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `yetki_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `yetki_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`yetki_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_yetkiler`
--

LOCK TABLES `sy_yetkiler` WRITE;
/*!40000 ALTER TABLE `sy_yetkiler` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_yetkiler` VALUES (3,'Full','[bireysel_listele][servis_fisi_listele][servis_fisi_ekle][servis_fisi_duzenle][servis_fisi_sil][servis_gorev_ata][servis_resim_ekle][servis_resim_sil][servis_email_gonder][servis_sms_gonder][musteri_onay][servis_islemi_ekle][servis_islemi_sil][servis_tutari_guncelle][musteri_listele][musteri_ekle][musteri_duzenle][cari_hareketleri][musteri_sil][musteri_resim_ekle][musteri_resim_sil][yedek_parca_listele][yedek_parca_ekle][yedek_parca_duzenle][stok_hareketleri][yedek_parca_sil][tahsilat_listele][tahsilat_ekle][tahsilat_duzenle][tahsilat_sil][fatura_listele][alis_faturasi_ekle][satis_faturasi_ekle][fatura_sil][gg_fis_listele][gg_fis_ekle][gg_fis_duzenle][gg_fis_sil][veresiye_listele][veresiye_ekle][veresiye_duzenle][veresiye_sil][durum_ekle][durum_duzenle][durum_sil][durum_ikon_ekle][cihaz_ekle][cihaz_duzenle][cihaz_sil][cihaz_ikon_ekle][marka_ekle][marka_duzenle][marka_sil][marka_logo_ekle][yetki_ekle][yetki_duzenle][yetki_sil][gg_kart_ekle][gg_kart_duzenle][gg_kart_hareketleri][gg_kart_sil][sms_sablon_ekle][sms_sablon_duzenle][sms_sablon_sil][email_sablon_ekle][email_sablon_duzenle][email_sablon_sil][personel_listele][personel_ekle][personel_duzenle][personel_sil][personel_resim_ekle][personel_resim_sil][hatirlatma_listele][hatirlatma_ekle][hatirlatma_duzenle][hatirlatma_sil][servis_fisi_disari_aktar][servis_fisi_iceri_aktar][musteri_disari_aktar][musteri_iceri_aktar][stok_iceri_aktar][stok_disari_aktar][sms_gonder][email_gonder][rapor_cari_hareketleri][rapor_kasa_raporu][rapor_kasa_hareketleri][rapor_kar_zarar][rapor_yogunluk_analizi][rapor_gunluk_alis_satis][rapor_stok_hareketleri][genel_ayarlar_duzenle][sms_ayarlari_duzenle][email_ayarlari_duzenle][firma_bilgileri_guncelle][firma_logo_ekle]',1,'2016-06-18 21:05:33',0);
/*!40000 ALTER TABLE `sy_yetkiler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_yetkiler` with 1 row(s)
--

DROP TRIGGER IF EXISTS `insert_stok_guncelle`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`fixtechmobil`@`localhost`*/ /*!50003 TRIGGER `insert_stok_guncelle` AFTER INSERT ON `sy_fatura_urunler` FOR EACH ROW Begin 
Update `sy_yedek_parca` set stok = 
CASE 
WHEN NEW.fatura_tur = 'satis' THEN stok - NEW.urun_adet 
WHEN NEW.fatura_tur = 'alis' THEN stok + NEW.urun_adet 
END 
Where yedek_parca_id = NEW.yedek_parca_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `delete_stok_guncelle`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`fixtechmobil`@`localhost`*/ /*!50003 TRIGGER `delete_stok_guncelle` AFTER DELETE ON `sy_fatura_urunler` FOR EACH ROW Begin 
Update `sy_yedek_parca` set stok = 
CASE 
WHEN OLD.fatura_tur = 'satis' THEN stok + OLD.urun_adet 
WHEN OLD.fatura_tur = 'alis' THEN stok - OLD.urun_adet 
END 
Where yedek_parca_id = OLD.yedek_parca_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `cari_bakiye_ekle`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`fixtechmobil`@`localhost`*/ /*!50003 TRIGGER `cari_bakiye_ekle` AFTER INSERT ON `sy_faturalar` FOR EACH ROW Begin 
Update `sy_musteriler` set bakiye = 
CASE 
WHEN NEW.fatura_tur = 'satis' THEN bakiye + NEW.fatura_toplam_tutar 
WHEN NEW.fatura_tur = 'alis' THEN bakiye - NEW.fatura_toplam_tutar 
END 
Where musteri_id = NEW.musteri_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `fatura_urun_sil`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`fixtechmobil`@`localhost`*/ /*!50003 TRIGGER `fatura_urun_sil` AFTER DELETE ON `sy_faturalar` FOR EACH ROW Begin

Delete from `sy_fatura_urunler` where sy_fatura_urunler.fatura_id = OLD.fatura_id;
Delete from `sy_tahsilat` where sy_tahsilat.fatura_seri_no = OLD.fatura_seri_no;

Update `sy_musteriler` set bakiye = 
CASE 
WHEN OLD.fatura_tur = 'satis' THEN bakiye - OLD.fatura_toplam_tutar 
WHEN OLD.fatura_tur = 'alis' THEN bakiye + OLD.fatura_toplam_tutar 
END 
Where sy_musteriler.musteri_id = OLD.musteri_id;

End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `gorev_islem_email_sil`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`fixtechmobil`@`localhost`*/ /*!50003 TRIGGER `gorev_islem_email_sil` AFTER DELETE ON `sy_servis_fisleri` FOR EACH ROW Begin
Delete from `sy_gorevler` where `sy_gorevler`.servis_fis_id = OLD.servis_fis_id;
Delete from `sy_servis_islemleri` where `sy_servis_islemleri`.servis_fis_id = OLD.servis_fis_id;
Delete from `sy_sms_email_gonderilenler` where `sy_sms_email_gonderilenler`.servis_fis_id = OLD.servis_fis_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `k_parca_sil`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`fixtechmobil`@`localhost`*/ /*!50003 TRIGGER `k_parca_sil` AFTER DELETE ON `sy_servis_islemleri` FOR EACH ROW Begin
Delete from `sy_kullanilan_malzemeler` where `sy_kullanilan_malzemeler`.servis_islem_id = OLD.servis_islem_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `cari_bakiye_tahsilat`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`fixtechmobil`@`localhost`*/ /*!50003 TRIGGER `cari_bakiye_tahsilat` AFTER INSERT ON `sy_tahsilat` FOR EACH ROW Begin 
Update `sy_musteriler` set bakiye = 
CASE 
WHEN NEW.islem = 'gelir' THEN bakiye - NEW.tahsilat_fiyat 
WHEN NEW.islem = 'gider' THEN bakiye + NEW.tahsilat_fiyat 
END 
Where sy_musteriler.musteri_id = NEW.musteri_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `cari_bakiye_kaldir`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`fixtechmobil`@`localhost`*/ /*!50003 TRIGGER `cari_bakiye_kaldir` AFTER DELETE ON `sy_tahsilat` FOR EACH ROW Begin 
Update `sy_musteriler` set bakiye = 
CASE 
WHEN OLD.islem = 'gelir' THEN bakiye + OLD.tahsilat_fiyat 
WHEN OLD.islem = 'gider' THEN bakiye - OLD.tahsilat_fiyat 
END 
Where sy_musteriler.musteri_id = OLD.musteri_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `gorev_sil`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`fixtechmobil`@`localhost`*/ /*!50003 TRIGGER `gorev_sil` AFTER DELETE ON `sy_users` FOR EACH ROW Begin
Delete from `sy_gorevler` where `sy_gorevler`.gorev_alan_id = OLD.user_id;
End */;;
DELIMITER ;

/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
/*!40101 SET AUTOCOMMIT=@OLD_AUTOCOMMIT */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on: Sat, 12 Oct 2024 11:48:31 +0300
