<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Iller.php";
	
	$form		=	"firma-duzenleme-formu";
	$id				=	1;
	
	$_servis	=	new Servis();
	$_il				=	new Il();
	
	$yetki_firma_bilgileri_guncelle	=	yetki( "firma_bilgileri_guncelle" );
	$yetki_firma_logo_ekle					=	yetki( "firma_logo_ekle" );
	
	if( $yetki_firma_bilgileri_guncelle ){
		
		$bilgiler	=	$_servis -> ozelSorgu("select * from "._FIRMA." where firma_id = ? LIMIT 1", array( $id ) );
		
		if( $bilgiler === false || !count( $bilgiler ) ){
			$hata	=	"Firma Bilgileri Bulunamadı. ".$_servis -> getHata();
		}
		
		$_resim	=	$bilgiler[0]["firma_logo"];
		extract( $bilgiler[0] );
		
		if( is_file( $_SESSION["root"]."/uploads/resimler/".$_resim ) ){
			$_resim		=	$_SESSION["oto_url"]."/uploads/resimler/".$_resim;
			$resimEkli	=	true;
		}
		else{
			$_resim		=	$_SESSION["oto_url"]."/assets/img/no-image.jpg";
		}
		
	}

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
								
								<?php if( $hata ): ?>
									<div class="alert alert-danger">
										<strong>İstenilen Bilgilere Ulaşılamıyor veya Kaynak Silinmiş.</strong><br />
										<strong>Bilgi :</strong> <?php echo $hata; ?>
									</div>
								<?php exit(); ?>
								<?php endif; ?>
								
								<?php if( $yetki_firma_bilgileri_guncelle ): ?>
									<form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data" data-par='{ "hangisi" : "firma_bilgileri" , "listele" : "firma_bilgileri" }' autocomplete = "off" >
										<div class="row">
											<div class="col-xs-12 col-sm-7 sablon-paneli-css">
												<div class="row ilk-panel">
													<div class="row">
														<div class="col-xs-12">
															<div class="row">
															<div class="col-xs-12">
																<div class="col-xs-12">
																	<div class="form-group">
																		<label><i class="fa fa-building"></i> Firma Adı</label>
																		<div class="form-group pos-rel input-data">
																			<input type="text" name="firma_adi" class="form-control" value="<?php echo $firma_adi; ?>"/>
																		</div>
																	</div>
																</div>
															</div>
															</div>
															<hr />
															<div class="col-xs-6">
																<div class="form-group">
																	<label><i class="fa fa-phone"></i> Telefon 1</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="telefon1" class="form-control" data-inputmask="'mask': '(999) 999 99 99'" 
																		value="<?php echo $firma_tel1; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-6">
																<div class="form-group">
																	<label><i class="fa fa-phone"></i> Telefon 2</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="telefon2" class="form-control" data-inputmask="'mask': '(999) 999 99 99'" 
																		value="<?php echo $firma_tel2; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-6">
																<div class="form-group">
																	<label><i class="fa fa-fax"></i> Faks</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="faks" class="form-control" data-inputmask="'mask': '(999) 999 99 99'" 
																		value="<?php echo $firma_faks; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-6">
																<div class="form-group">
																	<label><i class="fa fa-map-marker"></i> İl</label>
																	<div class="form-group pos-rel input-data">
																		<select name="il" class="selectpicker form-control" data-live-search="true">
																			<?php echo $_il -> illerHtml( $firma_il ); ?>
																		</select>
																	</div>
																</div>
															</div>
														</div>
													</div>
													<hr />
													<div class="row">
														<div class="col-xs-12">
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label><i class="fa fa-at"></i> Email</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="email" class="form-control" value="<?php echo $firma_email; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label><i class="fa fa-list"></i> Sektör</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="sektor" class="form-control" value="<?php echo $firma_sektor; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-at"></i> Web Site</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="web_site" class="form-control" value="<?php echo $firma_site; ?>" />
																	</div>
																</div>
															</div>
														</div>
													</div>
													<hr />
													<div class="row">
														<div class="col-xs-12">
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-location-arrow"></i> Adres</label>
																	<div class="form-group pos-rel input-data">
																		<textarea name="adres" class="form-control" rows="3"><?php echo $firma_adres; ?></textarea>
																	</div>
																</div>
															</div>
														</div>
														<div class="col-xs-12">
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label><i class="fa fa-list-alt"></i> Vergi No</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="vergi_no" class="form-control" value="<?php echo $firma_vergi_no; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label><i class="fa fa-bank"></i> Vergi Dairesi</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="vergi_dairesi" class="form-control" value="<?php echo $firma_vergi_dairesi; ?>" />
																	</div>
																</div>
															</div>
														</div>
													</div>
													<hr />
													<div class="col-xs-12">
														<div class="form-group">
															<label><i class="fa fa-info"></i> Firma Hakkında</label>
															<div class="form-group pos-rel input-data">
																<textarea name="firma_hakkinda" class="form-control" rows="6"><?php echo $firma_hakkinda; ?></textarea>
															</div>
														</div>
													</div>
													<div class="col-xs-12">
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>">
														<span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
													</div>
												</div>
												<div class="row son-panel">
													<div class="col-xs-12">
														<div class="alert alert-success response" role="alert"></div>
													</div>
												</div>
											</div>
											<div class="col-xs-12 col-sm-5 resim-yukleme-paneli no-border">
												<div class="pos-rel">
													<span class="yeni-resim-yukleniyor rotate"><i class="fa fa-spinner"></i></span>
													<div class="resim-ozellikleri">
														<!--<span>max : 200x200</span>-->
														<span>jpg , png</span>
													</div>
													<img src="<?php echo $_resim; ?>" class="thumbnail img-responsive ortala" alt="Firma Logo" 
													data-guncellenecek-resim="true" />
														<?php if( $resimEkli && $yetki_firma_logo_ekle ): ?>
															<span class="ikon-resim-sil" data-toggle-iki="tooltip" title="Resmi Sil" 
															data-param='{ "tur" : "firma_bilgileri", "id" : <?php echo $id; ?>, 
															"resim_adi" : "<?php echo $firma_logo; ?>" }'><i class="fa fa-times"></i></span>
														<?php endif; ?>
													<div class="resim-siliniyor">
														<span class="rotate"><i class="fa fa-spinner"></i></span>
													</div>
												</div>
												
												<?php if( $yetki_firma_logo_ekle ): ?>
												<div class="resim-secme clear" style="margin-top:10px;">
													<span class="btn btn-default btn-sm dosya-sec in-block left col-xs-5"><i class="fa fa-floppy-o"></i> Logo Seç
														<input type="file" name="resim" accept=".jpg, .png" />
													</span>
													<span class="secilen-dosya left in-block col-xs-7 font-bold">
														
													</span>
												</div>
												<?php endif; ?>
												
												<div class="resim-yukleme-islemi">
													<div class="resim-load-bar">
														<div class="progress" style="margin:10px 0;">
														  <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:0%">
															<span class="sr-only">0%</span>
														  </div>
														</div>
													</div>
													<div class="resim-yukleme-butonu">
														<input type="hidden" name="hangisi" value="firma_bilgileri" />
														<input type="hidden" name="islem" value="duzenle" />
														<input type="hidden" name="resim_adi" value="<?php echo $firma_logo; ?>" />
														<input type="hidden" name="id" value="<?php echo $id; ?>" />
														<button type="submit" class="btn btn-primary btn-sm col-xs-5" data-form="<?php echo $form; ?>" data-resim-duzenle="true"><i class="fa fa-cloud-upload"></i> Yükle</button>
													</div>
												</div>
												
												<div class="sonuc-mesaj">
													<div class="alert alert-success response" role="alert"></div>
												</div>
												
											</div>
										</div>
									</form>
									<?php else: ?>
										<div class="alert alert-danger">
											<strong><i class="fa fa-times"></i> Firma Bilgilerini Güncelleme Yetkiniz Yok !</strong>
										</div>
									<?php endif; ?>
									
								</div>
							</div>
						</div>