<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Iller.php";
	
	$_servis				=	new Servis();
	$il							=	new Il();
	$form					=	"musteri-ekleme-formu";
	
	$max_mus_id	=	$_servis -> ozelSorgu("select MAX(musteri_id) as max from "._MUSTERILER." LIMIT 1");
	$son = intVal( $max_mus_id[0]["max"] );
	$max					=	sprintf( "%05d", ++$son );

?>
	<div class="modal-icerik-style">
	
		<div class="row">
			<div class="col-xs-12">
				<form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data" data-par='{ "hangisi" : "musteri" , "listele" : "musteriler" }' autocomplete = "off" >
					<div class="row">
						<div class="col-xs-12 col-sm-7 sablon-paneli-css">
							<div class="row ilk-panel">
								<div class="row no-margin">
									<div class="col-xs-12">
										<div class="form-group">
											<label><i class="fa fa-user"></i> Cari Adı ( * )</label>
												<div class="form-group pos-rel input-data">
													<input type="text" name="musteri_adi" class="form-control" maxlength="100" required />
												</div>
											</div>
									</div>
									<div class="col-xs-12">
										<div class="form-group">
											<label><i class="fa fa-barcode"></i> Hesap Kodu ( * )</label>
											<div class="form-group pos-rel input-data">
												<input type="text" name="musteri_kodu" class="form-control" maxlength="100" required 
												value="<?php echo $max; ?>" />
											</div>
										</div>
									</div>
								</div>
								<hr />
								<div class="row no-margin">
									<div class="col-xs-12">
										<div class="form-group">
											<label><i class="fa fa-at"></i> Email</label>
												<div class="form-group pos-rel input-data">
													<input type="text" name="email" class="form-control" maxlength="150" />
												</div>
										</div>
									</div>
								</div>
								<hr />
								<div class="row">
									<div class="col-xs-12">
										<div class="col-xs-6">
											<div class="form-group">
												<label><i class="fa fa-phone"></i> Telefon 1</label>
												<div class="form-group pos-rel input-data">
													<input type="text" name="telefon1" class="form-control" data-inputmask="'mask': '(999) 999 99 99'" />
												</div>
											</div>
										</div>
										<div class="col-xs-6">
											<div class="form-group">
												<label><i class="fa fa-phone"></i> Telefon 2</label>
												<div class="form-group pos-rel input-data">
													<input type="text" name="telefon2" class="form-control" data-inputmask="'mask': '(999) 999 99 99'" />
												</div>
											</div>
										</div>
										<div class="col-xs-6">
											<div class="form-group">
												<label><i class="fa fa-fax"></i> Faks</label>
												<div class="form-group pos-rel input-data">
													<input type="text" name="faks" class="form-control" data-inputmask="'mask': '(999) 999 99 99'" />
												</div>
											</div>
										</div>
										<div class="col-xs-6">
											<div class="form-group">
												<label><i class="fa fa-credit-card-alt"></i> Vergi / Tc No</label>
												<div class="form-group pos-rel input-data">
													<input type="text" name="vergi_no" class="form-control" />
												</div>
											</div>
										</div>
										<div class="col-xs-12">
											<div class="form-group">
												<label><i class="fa fa-bank"></i> Vergi Dairesi</label>
												<div class="form-group pos-rel input-data">
													<input type="text" name="vergi_dairesi" class="form-control" />
												</div>
											</div>
										</div>
										<div class="col-xs-12">
											<div class="form-group">
												<label><i class="fa fa-location-arrow"></i> Adres</label>
												<div class="form-group pos-rel input-data">
													<textarea name="adres" class="form-control" rows="2"></textarea>
												</div>
											</div>
										</div>
									</div>
									<div class="col-xs-12">
										<div class="col-xs-12 col-sm-6">
											<div class="form-group">
												<label><i class="fa fa-map-marker"></i> İl</label>
												<div class="form-group pos-rel input-data">
													<select name="il" class="selectpicker form-control" data-live-search="true">
														<?php echo $il -> illerHtml(); ?>
													</select>
												</div>
											</div>
										</div>
										<div class="col-xs-12 col-sm-6">
											<div class="form-group">
												<label><i class="fa fa-map-marker"></i> İlce / Semt</label>
												<div class="form-group pos-rel input-data">
													<input type="text" name="ilce_semt" class="form-control" maxlength="150" />
												</div>
											</div>
										</div>
									</div>
								</div>
								<div class="col-xs-12">
									<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" data-fonksiyon="kayitEkle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
								</div>
							</div>
							<div class="row son-panel">
								<div class="col-xs-12">
									<div class="alert alert-success response" role="alert"></div>
								</div>
							</div>
						</div>
						
						<div class="col-xs-12 col-sm-5 resim-yukleme-paneli no-border">
							<div class="pos-rel">
								<span class="yeni-resim-yukleniyor rotate"><i class="fa fa-spinner"></i></span>
								<div class="resim-ozellikleri">
									<!--<span>max : 200x200</span>-->
									<span>jpg , png</span>
								</div>
								<img src="<?php echo $_SESSION["oto_url"]; ?>/assets/img/no-image.jpg" class="thumbnail img-responsive ortala" alt="Resim Yok" data-guncellenecek-resim="true" />
							</div>
							<div class="resim-secme clear" style="margin-top:10px;">
								<span class="btn btn-default btn-sm dosya-sec in-block left col-xs-5" disabled="disabled"><i class="fa fa-floppy-o"></i> Resim Seç
									<input type="file" name="resim" accept=".jpg, .png" disabled="disabled" />
								</span>
								<span class="secilen-dosya left in-block col-xs-7 font-bold">
									
								</span>
							</div>
							<div class="resim-yukleme-islemi">
								<div class="resim-load-bar">
									<div class="progress" style="margin:10px 0;">
									  <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:0%">
										<span class="sr-only">0%</span>
									  </div>
									</div>
								</div>
								<div class="resim-yukleme-butonu">
									<input type="hidden" name="hangisi" value="musteri" />
									<input type="hidden" name="id" value="0" />
									<button type="submit" class="btn btn-primary btn-sm col-xs-5" data-form="<?php echo $form; ?>"><i class="fa fa-cloud-upload"></i> Yükle</button>
								</div>
							</div>
							<div class="sonuc-mesaj">
								<div class="alert alert-success response" role="alert"></div>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>