<?php

    session_start();
		
    if( basename( __FILE__ ) == basename( $_SERVER["PHP_SELF"] ) || !$_SESSION["login"] ){
        header("Content-type: text/html; charset=UTF-8");
        echo "Bu Sayfayi Gorme Yetkiniz Yok";
        exit;
    }

?>

<div class="col-xs-12 col-sm-6">

    <div id="mobil-imza">
    
        <div id="eimza-pad">

            <div class="info personel">
                Personel İmza : <?= ( $mobil_onay ) ? $info["personel"] : $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"]; ?>
            </div>

            <div class="info musteri">
                Müşteri İmza : <?= ( $mobil_onay ) ? $info["musteri"] : ""; ?>
            </div>
            
                <canvas id="eimza1" class="eimza" width="400" height="200"></canvas>

                <canvas id="eimza2" class="eimza" width="400" height="200"></canvas>

            <?php if( $mobil_onay ): ?>

                <div id="imza-resim">
                    <img src="<?= $_SESSION["oto_url"]."/uploads/resimler/".$info["dosya"]."_1.jpeg"; ?>" class="img img-responsive"/>
                    <img src="<?= $_SESSION["oto_url"]."/uploads/resimler/".$info["dosya"]."_2.jpeg"; ?>" class="img img-responsive"/>
                </div>

                <a href="<?= $_SESSION["oto_url"]."/uploads/dosyalar/".$info["dosya"].".pdf"; ?>" target="_blank" class="pdf-dosya"><i class="fa fa-file-pdf-o"></i> PDF Dosya</a>

            <?php endif; ?>

        </div>

        <div class="row" style="margin-top:10px;">

            <div class="col-xs-12 col-sm-6">
                <div class="form-group">
                    <label><i class="fa fa-info-circle"></i> Durum</label>
                        <div class="form-group pos-rel input-data">
                            <select name="durum" class="selectpicker form-control" id="servis-durum">
                                <option value="0">Yeni Servis</option>
                                <?php foreach($_SESSION["bilgi"]["durumlar"] as $dur): ?>
                                    <option value="<?php echo $dur["durum_id"]; ?>" <?php echo ($dur["durum_id"] == $bilgiler["durum_id"]) ? "selected" : null; ?>>
                                        <?php echo $dur["durum_baslik"]; ?>
                                    </option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                </div>
            </div>

            <div class="col-xs-12 col-sm-6">
                
                <div class="form-group">

                    <label><i class="fa fa-at"></i> Email</label>

                    <div class="form-group pos-rel input-data">

                        <input type="text" name="email" class="form-control" value="<?php echo $bilgiler["musteri_email"]; ?>" placeholder="Müşteri email"/>

                        <input type="hidden" name="personel" value="<?= $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"]; ?>"/>

                    </div>

                </div>
            
            </div>
			
			<div class="col-xs-12">
                
                <div class="form-group">

                    <label><i class="fa fa-user"></i> Müşteri Yetkili</label>

                    <div class="form-group pos-rel input-data">

                        <input type="text" name="musteri" class="form-control" value="<?= $bilgiler["musteri_adi"]; ?>" placeholder="Yetkili İsim"/>

                    </div>

                </div>
            
            </div>

            <div class="col-xs-6">
                <button id="eimza-temizle" class="btn btn-default btn-block">Temizle</button>
            </div>

            <div class="col-xs-6">

                <button id="eimza-kaydet" data-mobil-imza="kaydet" class="btn btn-primary btn-block <?= ($mobil_onay) ? "gizli" : null; ?>">
                    Kaydet
                </button>

                <button id="eimza-sil" data-mobil-imza="sil" class="btn btn-danger btn-block no-margin <?= ($mobil_onay) ? null : "gizli"; ?>">
                    Sil
                </button>

            </div>

        </div>

    </div>

</div>