<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$form		=	"sms-ayarlar-formu";
	$form2	=	"email-ayarlar-formu";
	$id				=	1;
	
	$_servis	=	new Servis();
	
	$yetki_sms_ayarlari_duzenle		=	yetki( "sms_ayarlari_duzenle" );
	$yetki_email_ayarlari_duzenle	=	yetki( "email_ayarlari_duzenle" );
	
	if( $yetki_sms_ayarlari_duzenle || $yetki_email_ayarlari_duzenle ){
		
		$bilgiler	=	$_servis -> ozelSorgu( "select * from "._SMS_EMAIL." where ayar_id = ? LIMIT 1", array( $id ) );
		
		if( $bilgiler === false || !count( $bilgiler ) ){
			$hata	=	"Ayarlar Yüklenemedi. ".$_servis -> getHata();
		}

		extract( $bilgiler[0] );
		
	}

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
								
								<?php if( $hata ): ?>
									<div class="alert alert-danger">
										<strong>İstenilen Bilgilere Ulaşılamıyor veya Kaynak Silinmiş.</strong><br />
										<strong>Bilgi :</strong> <?php echo $hata; ?>
									</div>
								<?php exit(); ?>
								<?php endif; ?>
								
										<div class="ms-tab">
											<div class="tab-menu">
												<ul class="clearfix">
													<li class="active"><a href="#">Sms</a></li>
													<li><a href="#">Email</a></li>
												</ul>
											</div>
										
											<div class="ms-tab-content">
										
												<div class="row tab-bir" style="display:block;min-height:200px;">
													<div class="col-xs-12">
													
													<?php if( $yetki_sms_ayarlari_duzenle ): ?>
													<form id="<?php echo $form; ?>" action="" method="post" 
													data-par='{ "hangisi" : "sms_email_ayarlar" , "listele" : "sms_email_ayarlar" }' autocomplete = "off" >
														<div class="row">
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-user"></i> Gsm No</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="sms_kullanici_adi" class="form-control" 
																		value="<?php echo $sms_kullanici_adi; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-lock"></i> Şifre</label>
																	<div class="form-group pos-rel input-data">
																		<input type="password" name="sms_sifre" class="form-control" 
																		value="<?php echo $sms_sifre; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-header"></i> Mesaj Başlığı</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="sms_mesaj_baslik" class="form-control" 
																		value="<?php echo $sms_mesaj_baslik; ?>" maxlength="11" />
																	</div>
																</div>
																
																<div class="sms-email-test-sonuc"></div>
																
																<button type="button" class="btn btn-default btn-sm no-shadow sms-email-test-btn col-xs-12" 
																data-form="#<?php echo $form; ?>" data-tur="sms" style="margin-bottom:10px;">
																<i class="fa fa-cog"></i> Test Et</button>
															</div>
															
															<input type="hidden" name="id" value="<?php echo $id; ?>" />
															<input type="hidden" name="islem" value="sms" />
															
														</div>
														<hr style="margin-bottom:10px;" />
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" 
														data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>">
														<span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> 
														Kaydet</button>
														
													</form>
													<?php else : ?>
														<div class="alert alert-danger">
															<strong><i class="fa fa-times"></i> Sms Ayarlarını Düzenleme Yetkiniz Yok !</strong>
														</div>
													<?php endif ;?>
													</div>
												</div>
												
												<div class="row tab-bir">
													<div class="col-xs-12">
													
													<?php if( $yetki_email_ayarlari_duzenle ): ?>
													<form id="<?php echo $form2; ?>" action="" method="post" 
													data-par='{ "hangisi" : "sms_email_ayarlar" , "listele" : "sms_email_ayarlar" }' autocomplete = "off" >
														<div class="row">
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-database"></i> Email Sunucu</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="email_sunucu" class="form-control" 
																		value="<?php echo $email_sunucu; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-user"></i> Kullanıcı Adı</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="email_kullanici_adi" class="form-control" 
																		value="<?php echo $email_kullanici_adi; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-lock"></i> Şifre</label>
																	<div class="form-group pos-rel input-data">
																		<input type="password" name="email_sifre" class="form-control" 
																		value="<?php echo $email_sifre; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-wrench"></i> Port</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="email_port" class="form-control" value="<?php echo $email_port; ?>"
																		data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" placeholder="587" />
																	</div>
																</div>
																
																<div class="sms-email-test-sonuc"></div>
																
																<button type="button" class="btn btn-default btn-sm no-shadow sms-email-test-btn col-xs-12" 
																data-form="#<?php echo $form2; ?>" data-tur="email" style="margin-bottom:10px;">
																<i class="fa fa-cog"></i> Test Et</button>
															</div>
															
															<input type="hidden" name="id" value="<?php echo $id; ?>" />
															<input type="hidden" name="islem" value="email" />
															
														</div>
														<hr style="margin-bottom:10px;" />
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" 
														data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form2; ?>">
														<span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> 
														Kaydet</button>
													</form>
													<?php else : ?>
														<div class="alert alert-danger">
															<strong><i class="fa fa-times"></i> Email Ayarlarını Düzenleme Yetkiniz Yok !</strong>
														</div>
													<?php endif ;?>
													
													</div>
												</div>
												
											</div>
										</div>
										
								</div>
							</div>
						</div>