<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$_token											=	uniqid();
	$_SESSION["yazdirToken"]	=	$_token;
	$disariAktarAction					=	$_SESSION["oto_url"]."/goster/excele-aktar.php?hangisi=stok-disari-aktar&token=".$_token;
	$musterilerOrnekDosya			=	$_SESSION["oto_url"]."/goster/excele-aktar.php?hangisi=stok-ornek-dosya-indir&token=".$_token;
	
	$disariAktarilacaklar	=	array(
		"yedek_parca_adi"					=>	"Parça Adı",
		"barkod"											=>	"Barkod",
		"stok_kodu"											=>	"Stok Kodu",
		"raf_no"											=>	"Raf No",
		"alis_fiyat"										=>	"Alış Fiyatı",
		"birim_fiyat"									=>	"Satış Fiyatı",
		"kdv"												=>	"Kdv %",
		"stok"												=>	"Stok Miktarı",
		"yedek_parca_kayit_tarihi"	=>	"Kayıt Tarihi"
	);
	
	$yetki_stok_iceri_aktar		=	yetki( "stok_iceri_aktar" );
	$yetki_stok_disari_aktar	=	yetki( "stok_disari_aktar" );

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
								
										<div class="ms-tab">
											<div class="tab-menu">
												<ul class="clearfix">
													<li class="active"><a href="#">Dışarı Aktar</a></li>
													<li><a href="#">İçeri Aktar</a></li>
												</ul>
											</div>
										
											<div class="ms-tab-content">
												
												<div class="row tab-bir" style="display:block;">
													<div class="col-xs-12">
													
													<?php if( $yetki_stok_disari_aktar ): ?>
														<form action="<?php echo $disariAktarAction; ?>" method="post" autocomplete = "off" target="_blank" >
														<h5 style="padding-bottom:5px;font-size:13px;"><strong>Aktarılacak Alanları Seçin</strong></h5>
														<div class="row">
															<?php foreach( $disariAktarilacaklar as $key => $aktar ): ?>
																<div class="col-xs-12 col-sm-4">
																	<div class="garanti-kutu">
																		<div class="ui checkbox checked">
																			<input type="checkbox" name="aktar[<?php echo $key; ?>]" value="1" checked />
																			<label><?php echo $aktar; ?></label>
																	   </div>
																	</div>
																</div>
															<?php endforeach; ?>
															
															<div class="col-xs-12">
																<div class="form-inline">
																		<div class="form-group pos-rel input-data">
																			<input type="text" name="bas" class="form-control" size="6" placeholder="baş" 
																			data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" />
																		</div> 
																		- 
																		<div class="form-group pos-rel input-data">
																			<input type="text" name="adet" class="form-control" size="6" placeholder="adet" 
																			data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" />
																		</div> 
																		<span style="font-size:13px;">Arası Kayıtları Aktar</span>
																</div>
															</div>
															<input type="hidden" name="aktarilacaklar" value="<?php echo http_build_query( $disariAktarilacaklar ); ?>" />
															
															<div class="col-xs-12" style="margin-top:10px;">
																<button type="submit" class="btn btn-primary"><i class="fa fa-external-link-square"></i> Dışarı Aktar</button>
															</div>
															
														</div>
														</form>
													<?php else: ?>
														<div class="alert alert-danger">
															<strong><i class="fa fa-times"></i> Stokları Dışarı Aktarma Yetkiniz Yok !</strong>
														</div>
													<?php endif; ?>
													
													</div>
												</div>
												
												<div class="row tab-bir">
													<div class="col-xs-12">
													
													<?php if( $yetki_stok_iceri_aktar ): ?>
														<form id="iceri-aktar" action="" method="post" enctype="multipart/form-data">
															<h6 class="clearfix">
																<strong>İçeri Aktarılacak Excel Dosyası</strong>
																<strong class="pull-right">
																	<a href="<?php echo $musterilerOrnekDosya; ?>" target="_blank">
																	<i class="fa fa-file-text-o"></i> Örnek Dosya</a>
																</strong>
															</h6>
															<div class="resim-secme clear" style="margin-top:10px;">
																<span class="btn btn-default btn-sm dosya-sec in-block left col-xs-3 no-shadow"><i class="fa fa-floppy-o"></i> Dosya Seç
																	<input type="file" name="dosya" accept=".xls, .xlsx" />
																</span>
																<span class="secilen-dosya left in-block col-xs-9 font-bold">
																	
																</span>
															</div>
															<div class="resim-yukleme-islemi">
																<div class="resim-load-bar">
																	<div class="progress" style="margin:10px 0;">
																	  <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:0%">
																		<span class="sr-only">0%</span>
																	  </div>
																	</div>
																</div>
																<div class="resim-yukleme-butonu clearfix">
																	<input type="hidden" name="hangisi" value="stok" />
																	<button type="submit" class="btn btn-primary btn-sm col-xs-3 iceri-aktar"><i class="fa fa-download"></i> 
																	İçeri Aktar</button>
																</div>
															</div>
															<div class="result"></div>
														</form>
													<?php else: ?>
														<div class="alert alert-danger">
															<strong><i class="fa fa-times"></i> Stokları İçeri Aktarma Yetkiniz Yok !</strong>
														</div>
													<?php endif; ?>
													
													</div>
												</div>
												
											</div>
										</div>
										
								</div>
							</div>
						</div>