<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Iller.php";
	
	$iller = new Il();
	$dun = time() - (60 * 60 *24);
	$yarin = time() + (60 * 60 *24);

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
									<form id="tahsilat-arama-formu" action="" method="post">
										<div class="row">
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label><i class="fa fa-list-ol"></i> İşlem No</label>
													<input type="text" name="tahsilat_id" class="form-control" data-inputmask="'alias' : 'integer', 'rightAlign' : false, 'allowMinus' : false" data-tur='{ "tur" : "tam", "kolon" : "t_no" }' />
												</div>
											</div>
											
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label><i class="fa fa-exchange"></i> İşlem Türü</label>
														<div class="form-group pos-rel input-data">
															<select name="islem_tur" class="form-control selectpicker" data-tur='{ "tur" : "tam", "kolon" : "islem" }'>
																<option value="">Seçin</option>
																<option value="gelir">Tahsilat</option>
																<option value="gider">Ödeme</option>
															</select>
														</div>
												</div>
											</div>
											
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label><i class="fa fa-user"></i> Cari Hesap</label>
														<input type="text" name="musteri" class="form-control" data-otomatik-tamamla="musteri" data-param="musteri" />
														<input type="hidden" name="musteri_id" value="" data-tur='{ "tur" : "tam", "kolon" : "m_id" }' />
												</div>
											</div>
											
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label><i class="fa fa-barcode"></i> Servis Fiş No</label>
													<input type="text" name="fis_no" class="form-control" data-otomatik-tamamla="musteri" data-tur='{ "tur" : "tam", "kolon" : "fis_no" }' />
												</div>
											</div>
											
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label><i class="fa fa-barcode"></i> Fatura Seri No</label>
													<input type="text" name="fatura_seri_no" class="form-control" data-tur='{ "tur" : "tam", "kolon" : "seri_no" }' />
												</div>
											</div>
											
										</div>
										<hr />
										<div class="row">
											<div class="col-xs-12">
												<div class="form-group">
													<label><i class="fa fa-try"></i> Tutar</label>
													<div style="padding:0 6px;">
														<div class="slider-range" data-options='{ "range" : true, "min" : 0, "max" : 5000, "values" : [0,5000], "minText" : "#min-fiyat", "maxText" : "#max-fiyat" }'></div>
													</div>
													<div class="input-group input-daterange" style="margin-top:10px;">
														<input id="min-fiyat" type="text" placeholder="min" name="start" class="form-control" data-tur='{ "tur" : "between", "kolon" : "t_tutar", "tarih" : "ekle" }' data-inputmask="'alias' : 'integer', 'rightAlign' : false, 'allowMinus' : false" maxlength="5" />
														<span class="input-group-addon"><i class="fa fa-arrows-h"></i></span>
														<input id="max-fiyat" type="text" placeholder="max" name="end" class="form-control" data-tur='{ "tur" : "between", "kolon" : "t_tutar", "tarih" : "bitis" }' data-inputmask="'alias' : 'integer', 'rightAlign' : false, 'allowMinus' : false" maxlength="5" />
													</div>
												</div>
											</div>
										</div>
										<hr />
										<div class="row">
											<div class="col-xs-12">
												<div class="form-group">
													<label><i class="fa fa-calendar"></i> Tarihi</label>
													<div class="input-group tarih-secim input-daterange">
														<input type="text" name="start" placeholder="Başlangıç" class="form-control datepicker" data-tur='{ "tur" : "between", "kolon" : "t_tarih", "tarih" : "ekle" }' readonly />
														<span class="input-group-addon"><i class="fa fa-arrows-h"></i></span>
														<input type="text" name="end" placeholder="Bitiş" class="form-control datepicker" data-tur='{ "tur" : "between", "kolon" : "t_tarih", "tarih" : "bitis" }' readonly />
													</div>
												</div>
											</div>
										</div>
										<div class="row">
											<div class="col-xs-12">
												<button type="submit" class="btn btn-primary btn-block" data-liste-ara='{ "hangisi" : "tahsilatlar", "form" : "tahsilat-arama-formu" }'><i class="fa fa-search"></i> Arama Yap</button>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>