<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Tahsilat.php";
	require $_SESSION["root"]."/inc/Iller.php";
	
	$_servis		=	new Servis();
	$_tahsilat	=	new Tahsilat();
	$_il					=	new Il();
	
	$yetki_tahsilat_duzenle	=	yetki( "tahsilat_duzenle" );
	
	$kilitle	=	( $yetki_tahsilat_duzenle ) ? null : "kilitle";
	
	$users			=	$_servis -> ozelSorgu( "select user_id, user_name, user_ad, user_soyad from "._USERS." where user_durum = 1" );
	
	$form			=	"tahsilat-ekleme-formu";
	$id					=	get("id");
	
	$bilgiler		=	$_tahsilat -> ozelSorgu( "select "._TAHSILAT.".*,"._MUSTERILER.".musteri_adi,"._MUSTERILER.".il,"._MUSTERILER.".musteri_tel1, 
								"._MUSTERILER.".musteri_email, "._MUSTERILER.".musteri_kodu 
								from "._TAHSILAT." left join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._TAHSILAT.".musteri_id 
								where "._TAHSILAT.".tahsilat_id = ? and "._TAHSILAT.".tahsilat_sil = 0 LIMIT 1", array( $id ) );
								
	if( $bilgiler === false || !count( $bilgiler ) ){
		$hata	=	"Tahsilat Bulunamadı. ".$_tahsilat -> getHata();
	}
	
	$musteri_il			=	$_il -> ilTek($bilgiler[0]["il"]);
	$tahsilat_tur		=	$bilgiler[0]["tahsilat_tur"];
	$tahsilat_tutar	=	sqlToPara($bilgiler[0]["tahsilat_fiyat"]);
	$tarih						=	date("d/m/Y",strtotime($bilgiler[0]["tahsilat_tarihi"]));

?>
<div class="modal-icerik-style">
    <div class="row">
        <div class="col-xs-12">

            <?php if( $hata ): ?>
            <div class="alert alert-danger">
                <strong>İstenilen Bilgilere Ulaşılamıyor veya Kaynak Silinmiş.</strong><br />
                <strong>Bilgi :</strong> <?php echo $hata; ?>
            </div>
            <?php exit(); ?>
            <?php endif; ?>

            <form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data"
                data-par='{ "hangisi" : "tahsilat" , "listele" : "tahsilatlar" }' autocomplete="off"
                class="<?php echo $kilitle; ?>">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="row ilk-panel">
                            <div class="row no-margin">
                                <div class="col-xs-12 col-sm-6">
                                    <div class="form-group">
                                        <label style="display:block;"><i class="fa fa-user"></i> Cari Hesap ( * )
                                        </label>
                                        <div class="form-group pos-rel input-data">
                                            <input type="text" name="musteri" class="form-control" maxlength="100"
                                                data-otomatik-tamamla="musteri-sec" data-param='musteri-sec'
                                                value="<?php echo $bilgiler[0]["musteri_adi"]; ?>" readonly />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-sm-6">
                                    <div class="form-group">
                                        <label><i class="fa fa-exchange"></i> İşlem Türü</label>
                                        <div class="form-group pos-rel input-data">
                                            <select name="islem_tur" class="form-control selectpicker">
                                                <?php if( $bilgiler[0]["islem"] == "gelir" ): ?>
                                                <option value="gelir" selected>Tahsilat</option>
                                                <?php elseif( $bilgiler[0]["islem"] == "gider" ): ?>
                                                <option value="gider" selected>Ödeme</option>
                                                <?php endif; ?>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <hr style="margin:0 5px 0 5px;" />
                            <div class="col-xs-12">

                                <div class="musteri-sec" style="display:block; margin-bottom:5px;">
                                    <fieldset>
                                        <legend>
                                            <i class="fa fa-info-circle"></i> Cari Bilgileri <span class="ok"><i
                                                    class="fa fa-check"></i></span>
                                        </legend>
                                        <div class="bilgiler">
                                            <table>
                                                <tr>
                                                    <td class="baslik"><strong>Cari Adı</strong></td>
                                                    <td class="bilgi-musteri-adi">:
                                                        <?php echo $bilgiler[0]["musteri_adi"]; ?></td>
                                                </tr>
                                                <tr>
                                                    <td class="baslik"><strong>Hesap Kodu</strong></td>
                                                    <td class="bilgi-hesap-kodu">:
                                                        <?php echo $bilgiler[0]["musteri_kodu"]; ?></td>
                                                </tr>
                                                <tr>
                                                    <td class="baslik"><strong>Email</strong></td>
                                                    <td class="bilgi-musteri-email">:
                                                        <?php echo $bilgiler[0]["musteri_email"]; ?></td>
                                                </tr>
                                                <tr>
                                                    <td class="baslik"><strong>Telefon</strong></td>
                                                    <td class="bilgi-musteri-telefon">:
                                                        <?php echo $bilgiler[0]["musteri_tel1"]; ?></td>
                                                </tr>
                                                <tr>
                                                    <td class="baslik"><strong>İl</strong></td>
                                                    <td class="bilgi-musteri-il">:
                                                        <?php echo $_il -> ilTek( $bilgiler[0]["il"] ); ?></td>
                                                </tr>
                                            </table>
                                        </div>
                                    </fieldset>

                                    <input type="hidden" name="musteri_id"
                                        value="<?php echo $bilgiler[0]["musteri_id"]; ?>" data-uyari="Cari Seçmediniz!"
                                        required />

                                </div>

                            </div>

                            <div class="col-xs-12 col-sm-6">
                                <div class="form-group">
                                    <label><i class="fa fa-barcode"></i> Fatura Seri No</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="fatura_seri_no" class="form-control" maxlength="100"
                                            value="<?php echo $bilgiler[0]["fatura_seri_no"]; ?>" />
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-12">
                                <div class="garanti-kutu">
                                    <div class="row">
                                        <div class="col-xs-6">
                                            <div
                                                class="ui checkbox radio <?php echo (($tahsilat_tur == 1) ? "checked" : null); ?>">
                                                <input type="radio" name="tahsilat_tur" value="1"
                                                    data-panel-check="#servis-fis-no"
                                                    <?php echo (($tahsilat_tur == 1) ? 'checked="checked"' : null); ?> />
                                                <label>Serbest Tahsilat</label>
                                            </div>
                                        </div>
                                        <div class="col-xs-6">
                                            <div
                                                class="ui checkbox radio <?php echo (($tahsilat_tur == 2) ? "checked" : null); ?>">
                                                <input type="radio" name="tahsilat_tur" value="2"
                                                    data-panel-check="#servis-fis-no"
                                                    <?php echo (($tahsilat_tur == 2) ? 'checked="checked"' : null); ?> />
                                                <label>Servis Tahsilatı</label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="gizli" id="servis-fis-no"
                                        <?php echo ($tahsilat_tur == 2) ? 'style="display:block;"' : null; ?>>
                                        <div class="form-group">
                                            <label><i class="fa fa-barcode"></i> Servis Fiş Numarası</label>
                                            <div class="form-group pos-rel input-data">
                                                <input type="text" name="fis_no" class="form-control" maxlength="11"
                                                    data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false"
                                                    value="<?php echo $bilgiler[0]["servis_fis_no"]; ?>" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <div class="row">
                                    <div class="col-xs-12">
                                        <div class="form-group">
                                            <label><i class="fa fa-comment"></i> Açıklama</label>
                                            <div class="form-group pos-rel input-data">
                                                <textarea name="aciklama" class="form-control"
                                                    rows="2"><?php echo $bilgiler[0]["aciklama"]; ?></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xs-6">
                                        <div class="form-group">
                                            <label><i class="fa fa-money"></i> Tutar</label>
                                            <div class="input-group pos-rel input-data">
                                                <input type="text" name="tutar" class="form-control" required
                                                    value="<?php echo $tahsilat_tutar; ?>" readonly />
                                                <span class="input-group-addon"><i class="fa fa-try"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xs-6">
                                        <div class="form-group">
                                            <label><i class="fa fa-calendar"></i> Tarih</label>
                                            <div class="form-group pos-rel tarih-secim">
                                                <input type="text" name="tarih" class="form-control datepicker"
                                                    value="<?php echo $tarih; ?>" readonly required />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xs-12 col-sm-6">
                                        <div class="form-group">
                                            <label><i class="fa fa-user"></i> Personel</label>
                                            <div class="form-group pos-rel input-data">
                                                <select name="ekleyen_id" class="selectpicker form-control">
                                                    <?php foreach($users as $usr): ?>
                                                    <option value="<?php echo $usr["user_id"]; ?>"
                                                        <?php echo ($bilgiler[0]["ekleyen_id"] == $usr["user_id"]) ? "selected" : null; ?>>
                                                        <?php echo $usr["user_ad"]." ".$usr["user_soyad"]; ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-sm-6">
                                        <div class="form-group">
                                            <label><i class="fa fa-credit-card-alt"></i> Ödeme Türü</label>
                                            <div class="form-group pos-rel input-data">
                                                <select name="odeme_tur" class="selectpicker form-control">
                                                    <option value="1"
                                                        <?php echo ( $bilgiler[0]["odeme_tur"] == 1 ) ? "selected" : null; ?>>
                                                        Nakit</option>
                                                    <option value="2"
                                                        <?php echo ( $bilgiler[0]["odeme_tur"] == 2 ) ? "selected" : null; ?>>
                                                        Kredi Kartı</option>
                                                    <option value="3"
                                                        <?php echo ( $bilgiler[0]["odeme_tur"] == 3 ) ? "selected" : null; ?>>
                                                        Çek</option>
                                                    <option value="4"
                                                        <?php echo ( $bilgiler[0]["odeme_tur"] == 4 ) ? "selected" : null; ?>>
                                                        Havale</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <input type="hidden" name="islem" value="duzenle" />
                                <input type="hidden" name="id" value="<?php echo $id; ?>" />

                                <?php if( $yetki_tahsilat_duzenle ): ?>
                                <button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4"
                                    data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>"><span
                                        class="rotate"><i class="fa fa-spinner"></i></span> <i
                                        class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
                                <?php endif; ?>

                                <?php if( $bilgiler[0]["islem"] == "gelir" ): ?>
                                <button type="button" class="btn btn-default pull-right hidden-768"
                                    data-param='{ "where" : <?php echo $id; ?> }' data-yazdir-btn="tahsilat_formu"
                                    data-token="<?php echo $_SESSION["yazdirToken"]; ?>">
                                    <i class="fa fa-print"></i> Yazdır</button>
                                <?php endif; ?>

                            </div>
                        </div>
                        <div class="row son-panel">
                            <div class="col-xs-12">
                                <div class="alert alert-success response" role="alert"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>