<?php

	if( !defined( "F_TUR" ) ){
		exit();
	}
	
	ob_start();

	$__no_logo = true;
	
?>
	
	<div class="fatura" style="position:relative;height:100%;">
	
		<div class="top clear" style="padding-top:100px;">
		
			<div class="sayin left">
				<h4>Sayın : </h4>
				<h4 style="padding:4px 0;"><?php echo $cari["musteri_adi"]; ?></h4>
				<h4 style="padding:4px 0;"><?php echo $cari["musteri_adres"]; ?></h4>
				<h4 style="padding:4px 0;"><?php echo implode( " / ", $musteri_il_ilce ); ?></h4>
				<h4 class="clear">
					<span class="left" style="width:100px;">Müşteri V.D. :</span>
					<span class="left" style="width:100px;"><?php echo $cari["musteri_vergi_dairesi"]; ?></span>
					<span class="left" style="width:100px;">Müşteri V.No :</span>
					<span class="left" style="width:100px;"><?php echo $cari["musteri_vergi_no"]; ?></span>
				</h4>
			</div>
			
			<div class="tarih right">
				<h4 class="clear" style="padding:4px 0;">
					<span class="left" style="width:130px;">Fatura ID</span>
					<span class="left" style="width:130px;">: <?php echo $bilgiler["fatura_id"]; ?></span>
				</h4>
				<h4 class="clear" style="padding:4px 0;">
					<span class="left" style="width:130px;">Seri Sıra No</span>
					<span class="left" style="width:130px;">: <?php echo $bilgiler["fatura_seri_no"]; ?></span>
				</h4>
				<h4 class="clear" style="padding:4px 0;">
					<span class="left" style="width:130px;">Fatura Tarihi</span>
					<span class="left" style="width:130px;">: <?php echo date( "d.m.Y" , strtotime( $bilgiler["fatura_tarihi"] ) ); ?></span>
				</h4>
			</div>
			
		</div>
		
		<div class="orta" style="margin-top:100px;">
			<table>
				<thead>
					<tr>
						<th style="width:100px;">Barkod</th>
						<th style="width:200px;">Stok</th>
						<th style="width:50px;">Birim Fiyat</th>
						<th style="width:50px;">Kdv</th>
						<th style="width:50px;">Adet</th>
						<th style="width:100px;">Tutarı</th>
					</tr>
				</thead>
				<tbody>
					<?php foreach( $urunler as $urun ): ?>
					<?php 
						$tutar = $urun["birim_fiyat"];

						$kdvsi = floatval( $urun["kdv"] / 100 );
		
						$matrah = ( $urun["kdv_dahil"] ) ? $tutar / ( 1 + $kdvsi ) : $tutar;
		
						$kdv = ( $urun["kdv_dahil"] ) ? floatval( $tutar - $matrah ) : floatval( $matrah * $kdvsi );
		
						$tutar = $matrah + $kdv;
		 
						$toplam = intval( $urun["urun_adet"] ) * floatval( $tutar );
					?>
					<tr>
						<td class="text-center"><?php echo $urun["barkod"]; ?></td>
						<td><?php echo ( $urun["yedek_parca_id"] ) ? $urun["yedek_parca_adi"] : "Teknik Hizmet Bedeli"; ?></td>
						<td class="text-center"><?php echo sqlToPara( $matrah ); ?></td>
						<td class="text-center"><?php echo sqlToPara( $kdv ); ?></td>
						<td class="text-center"><?php echo $urun["urun_adet"]; ?></td>
						<td class="text-center"><?php echo sqlToPara( $toplam ); ?></td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		</div>
		
		<div class="bottom" style="position:absolute;bottom:0;left:0;height:400px;width:100%;">
		
			<div class="yalniz clear">
				<h4 style="padding:4px 0;" class="clear">
					<span class="left" style="width:100px;">Yalnız</span>
					: #<?php echo sayiyiYaziyaCevir( floatval( $bilgiler["fatura_toplam_tutar"] ), 2, "TL", "Kuruş", null, null, null, null ); ?>#
				</h4>
				<h4 style="padding:4px 0;" class="clear">
					<span class="left" style="width:100px;">Açıklama</span>
					: <?php echo $bilgiler["fatura_aciklama"]; ?>
				</h4>
			</div>
			
			<div class="tutarlar clear" style="margin-top:40px;">
				<div class="tutar-tablo right">
					<h4 style="padding:4px 0;" class="clear">
						<span class="left" style="width:100px;">Ara Toplam</span>
						<span class="right" style="width:100px;">: <?php echo sqlToPara( $bilgiler["fatura_ara_toplam"] ); ?></span>
					</h4>
					<h4 style="padding:4px 0;" class="clear">
						<span class="left" style="width:100px;">İskonto</span>
						<span class="right" style="width:100px;">: <?php echo sqlToPara( $bilgiler["fatura_iskonto"] ); ?></span>
					</h4>
					<h4 style="padding:4px 0;" class="clear">
						<span class="left" style="width:100px;">Kdv</span>
						<span class="right" style="width:100px;">: <?php echo sqlToPara( $bilgiler["fatura_kdv_tutar"] ); ?></span>
					</h4>
					<h4 style="padding:4px 0;" class="clear">
						<span class="left" style="width:100px;">Genel Toplam</span>
						<span class="right" style="width:100px;">: <?php echo sqlToPara( $bilgiler["fatura_toplam_tutar"] ); ?></span>
					</h4>
				</div>
			</div>
		
		</div>
		
	</div>
	
<?php

	$cikti	=	ob_get_contents();
	
	ob_end_clean();
	
	$_cikti	=	$cikti;

?>