<?php

	if(!defined("ROOT")){
		header("Content-type: text/html; charset=UTF-8");
		echo "Bu Sayfayı Görme Yetkiniz Yok";
		exit;
	}

?>
<!DOCTYPE html>
<html lang="tr-TR">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<title>Teknik Servis Yönetimi v<?= ver(); ?> - Kullanıcı Girişi</title>
		
		<link rel="shortcut icon" type="image/png" href="<?php echo OTO_URL; ?>/assets/img/favicon.png" />
		<link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/bootstrap.min.css" />
		<link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/font-awesome.min.css" />
		<link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/checkbox.min.css" />
		<link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/jquery.qtip.min.css" />
		<link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/transition.min.css" />
		<link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/plugin/jquery-ui/jquery-ui.min.css" />
		<link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/tanimlama.css?v=<?= ver(); ?>" />
		<link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/login.css?v=<?= ver(); ?>" />
		
		<script type="text/javascript">
			var SITE = "<?= OTO_URL; ?>";
			var FOUNDED = 0;
		</script>
		<script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/jquery-1.11.3.min.js"></script>
		<script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/bootstrap.min.js"></script>
		<script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/checkbox.min.js"></script>
		<script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/transition.min.js"></script>
		<script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/jquery.qtip.min.js"></script>
		<script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/modernizr-custom.js"></script>
		<script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/jquery-ui/jquery-ui.min.js"></script>
		<script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/tanimlama.js?v=<?= ver(); ?>"></script>
		<script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/login.js?v=<?= ver(); ?>"></script>
	</head>
	
	<body>
		<div class="container full-height">
			<div class="row full-height">
				<div class="col-xs-12 col-sm-6 col-sm-offset-3 col-md-4 col-md-offset-4 full-height" style="display:table;">
					<div id="loginPanel" class="full-height">
						<div id="login">
							<div class="row">
								<div class="col-xs-12">
									<form id="loginForm" action="" method="post" autocomplete="off">
										<h4 class="baslik">
											<span class="simge"><i class="fa fa-user"></i></span>
											Teknik Servis Yönetimi <span class="pull-right" style="color:#a9a9a9;font-size:12px;"><?= ver(); ?></span>
											<span class="baslik-alt"><i class="fa fa-sign-in"></i> Kullanıcı Giriş Paneli</span>
										</h4>
										<div class="input-group input-data">
											<span class="input-group-addon"><i class="fa fa-user"></i></span>
											<input type="text" name="username" class="form-control" placeholder="Kullanıcı Adı veya Email" required />
										</div>
										<div class="input-group input-data">
											<span class="input-group-addon"><i class="fa fa-lock"></i></span>
											<input type="password" name="sifre" class="form-control" placeholder="Şifre" required />
										</div>
										<div class="row">
											<div class="col-xs-12 col-sm-6 col-md-7">
												<div class="ui checkbox">
													<input type="checkbox" name="benihatirla" value="1" />
													<label>Beni Hatırla</label>
											   </div>
											</div>
											<div class="col-xs-12 col-sm-6 col-md-5">
												<button type="submit" class="submit-btn btn btn-primary btn-block" data-fonksiyon="login" data-form="#loginForm"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-sign-in"></i> Giriş Yap</button>
											</div>
										</div>
										<div class="row">
											<div class="col-xs-12 sonuc">
												
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>
	</body>
</html>