<?php

	if( !defined("ROOT") ){
		header("Content-type: text/html; charset=UTF-8");
		echo "Bu Sayfayı Görme Yetkiniz Yok";
		exit;
	}
	
	require $_SESSION["root"]."/inc/Iller.php";
	
	$sorgula = $_SITE_AYARLAR["musteri_sorgulama"];
	$_il = new Il();
	
	$result = '<div class="alert alert-info"><strong>Servisteki Cihazınızla İlgili Bilgileri Bu Panelden Öğrenebilirsiniz.</strong></div>';
	
	$firma = $_servis -> ozelSorgu( "select firma_adi, firma_tel1, firma_tel2, firma_email, firma_il, firma_adres, firma_logo, firma_site from "._FIRMA." where firma_id = 1 LIMIT 1" )[0];
																			
	$logo = ( is_file( $_SESSION["root"]."/uploads/resimler/".$firma["firma_logo"] ) ) ? 
									'<img src="'.$_SESSION["oto_url"]."/uploads/resimler/".$firma["firma_logo"].'" alt="Firma Logo" />' : null;
									
	$telefon = array();
	if( $firma["firma_tel1"] ) $telefon[ ]	=	$firma["firma_tel1"];
	if( $firma["firma_tel2"] ) $telefon[ ]	=	$firma["firma_tel2"];
									
	if( (get( "telefon" ) && strlen(get( "fis_no" )) > 0) || Url::getP(0) == "qrcode" ){
		if( get( "token" ) == $_SESSION["csrf"] || Url::getP(1) ){
            $qrID = explode("_", Url::getP(1));
            
			$fis_no = get( "fis_no" );
			$telNo = get("telefon");
			$telNoNumber = filter_var( get("telefon"), FILTER_SANITIZE_NUMBER_INT );
			
            if( Url::getP(0) == "qrcode" && Url::getP(1) ){
                $servis = $_servis -> ozelSorgu("
                    select "._SERVISFISLERI.".servis_fis_id, "._SERVISFISLERI.".sikayet, "._SERVISFISLERI.".servis_giris_tarihi, "._SERVISFISLERI.".birlikte_gelenler, "._SERVISFISLERI.".servis_garanti_durum, 
                    "._SERVISFISLERI.".servis_model_no, "._SERVISFISLERI.".servis_seri_no, "._CIHAZLAR.".cihaz_baslik, 
                    "._MARKALAR.".marka_baslik, "._DURUMLAR.".durum_baslik from "._SERVISFISLERI." 
                    left join "._CIHAZLAR." on "._SERVISFISLERI.".cihaz_id = "._CIHAZLAR.".cihaz_id 
                    left join "._MARKALAR." on "._SERVISFISLERI.".marka_id = "._MARKALAR.".marka_id 
                    left join "._DURUMLAR." on "._SERVISFISLERI.".durum_id = "._DURUMLAR.".durum_id 
                    left join "._MUSTERILER." on "._SERVISFISLERI.".musteri_id = "._MUSTERILER.".musteri_id 
                    where "._SERVISFISLERI.".servis_fis_no = ? and "._SERVISFISLERI.".fis_sil = 0 and "._SERVISFISLERI.".servis_fis_id = ? 
                    LIMIT 1
                ", 
                array( $qrID[0], $qrID[1] )
                );
            }
            else{
                $servis = $_servis -> ozelSorgu("
                    select "._SERVISFISLERI.".servis_fis_id, "._SERVISFISLERI.".sikayet, "._SERVISFISLERI.".servis_giris_tarihi, "._SERVISFISLERI.".birlikte_gelenler, "._SERVISFISLERI.".servis_garanti_durum, 
                    "._SERVISFISLERI.".servis_model_no, "._SERVISFISLERI.".servis_seri_no, "._CIHAZLAR.".cihaz_baslik, 
                    "._MARKALAR.".marka_baslik, "._DURUMLAR.".durum_baslik from "._SERVISFISLERI." 
                    left join "._CIHAZLAR." on "._SERVISFISLERI.".cihaz_id = "._CIHAZLAR.".cihaz_id 
                    left join "._MARKALAR." on "._SERVISFISLERI.".marka_id = "._MARKALAR.".marka_id 
                    left join "._DURUMLAR." on "._SERVISFISLERI.".durum_id = "._DURUMLAR.".durum_id 
                    left join "._MUSTERILER." on "._SERVISFISLERI.".musteri_id = "._MUSTERILER.".musteri_id 
                    where "._SERVISFISLERI.".servis_fis_no = ? and "._SERVISFISLERI.".fis_sil = 0 and ( 
                    "._MUSTERILER.".musteri_tel1 = ? or "._MUSTERILER.".musteri_tel1 = ? or 
                    "._MUSTERILER.".musteri_tel2 = ? or "._MUSTERILER.".musteri_tel2 = ? ) 
                    LIMIT 1
                ",
                array( $fis_no, $telNo, $telNoNumber, $telNo, $telNoNumber )
                );
            }
																				
			if( $servis === false ){
				$result = '<div class="alert alert-danger"><strong>Kayıt Bulunamadı.</strong> '.$_servis -> getHata().'</div>';
			}
			else{
				if( count( $servis ) ){
					$founded = true;
					$servis = $servis[0];
					
					$result = '<div class="alert alert-success no-print"><strong>İşlem Başarılı.</strong></div>';
					
					$servis_islemleri = $_servis -> ozelSorgu( "select servis_islem_id, servis_islem_tarihi, servis_islem_aciklama, servis_tutar from "._SERVISISLEMLERI." where servis_islem_sil = 0 and servis_formunda_goster = 1 and servis_fis_id = ? 
					order by servis_islem_tarihi asc", 
					array( $servis["servis_fis_id"] ) );
				}
				else{
					$result = '<div class="alert alert-danger"><strong>Kayıt Bulunamadı !</strong></div>';
				}
			}
			
		}
	}
	
	$token = uniqid();
	$_SESSION["csrf"]  = $token;

?>
<!DOCTYPE html>
<html lang="tr-TR">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="robots" content="noindex,nofollow" />
    <title>Teknik Servis Yönetimi v<?= ver(); ?> - Cihaz Sorgulama Paneli</title>

    <link rel="shortcut icon" type="image/png" href="<?php echo OTO_URL; ?>/assets/img/favicon.png" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/font-awesome.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/transition.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/tanimlama.css?v=<?= ver(); ?>" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/login.css?v=<?= ver(); ?>" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/sorgula.css?v=<?= ver(); ?>" />

    <script type="text/javascript">
    var SITE = "<?php echo OTO_URL; ?>";
    var FOUNDED = <?= ($founded) ? 1 : 0; ?>;
    </script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/jquery-1.11.3.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/transition.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/modernizr-custom.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/inputmask/jquery.inputmask.bundle.min.js">
    </script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/login.js?v=<?= ver(); ?>"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/sorgula.js?v=<?= ver(); ?>"></script>
</head>

<body>
    <div class="container full-height">
        <div class="row full-height">
            <?php
				$widthClass = ($founded) ? "col-sm-10 col-sm-offset-1 col-md-8 col-md-offset-2" 
					: "col-sm-6 col-sm-offset-3 col-md-4 col-md-offset-4";
			?>
            <div class="col-xs-12 <?= $widthClass; ?> full-height" style="display:table;">
                <div id="loginPanel" class="full-height">
                    <div id="login">
                        <div class="row">
                            <?php
								$widthClass = ($founded) ? "col-sm-8 col-sm-offset-2" : null;
							?>
                            <div class="col-xs-12 <?= $widthClass; ?>">
                                <div class="firma-bilgileri">
                                    <div class="row">
                                        <div class="col-xs-12">
                                            <?php if( $logo ): ?>
                                            <div class="logo"><?php echo $logo; ?></div>
                                            <?php endif; ?>
                                        </div>
                                        <div class="col-xs-12">
                                            <div class="bilgiler">
                                                <table>

                                                    <?php if( $firma["firma_adi"] ): ?>
                                                    <tr>
                                                        <td colspan="2" class="baslik2 text-center">
                                                            <strong><?php echo $firma["firma_adi"]; ?></strong>
                                                        </td>
                                                    </tr>
                                                    <?php endif; ?>
                                                    <?php if( count( $telefon ) ): ?>
                                                    <tr>
                                                        <td class="baslik"></td>
                                                        <td>
                                                            <i class="fa fa-phone"></i>
                                                            <?php echo implode( " - ", $telefon ); ?>
                                                        </td>
                                                    </tr>
                                                    <?php endif; ?>
                                                    <?php if( $firma["firma_site"] ): ?>
                                                    <tr>
                                                        <td class="baslik"></td>
                                                        <td>
                                                            <i class="fa fa-link"></i>
                                                            <?php echo $firma["firma_site"]; ?>
                                                        </td>
                                                    </tr>
                                                    <?php endif; ?>
                                                    <?php if( $firma["firma_email"] ): ?>
                                                    <tr>
                                                        <td class="baslik"></td>
                                                        <td>
                                                            <i class="fa fa-at"></i>
                                                            <?php echo $firma["firma_email"]; ?>
                                                        </td>
                                                    </tr>
                                                    <?php endif; ?>

                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php if( !count($servis) ): ?>
                                <form id="loginForm" action="sorgula" method="get" autocomplete="off" class="no-print">
                                    <h4 class="baslik clearfix">
                                        <span class="simge">
                                            <i class="fa fa-question"></i>
                                        </span>
                                        Teknik Servis Yönetimi
                                        <span class="pull-right"
                                            style="color: #a9a9a9;font-size: 12px;"><?= ver(); ?></span>
                                        <span class="baslik-alt">
                                            <i class="fa fa-desktop"></i> Cihaz Sorgulama Paneli
                                        </span>
                                    </h4>
                                    <div class="input-group input-data">
                                        <span class="input-group-addon"><i class="fa fa-phone"></i></span>
                                        <input type="text" name="telefon" class="form-control" placeholder="Telefon"
                                            data-inputmask="'mask': '(999) 999 99 99'" required />
                                    </div>
                                    <div class="input-group input-data">
                                        <span class="input-group-addon"><i class="fa fa-file-text-o"></i></span>
                                        <input type="text" name="fis_no" class="form-control"
                                            placeholder="Fiş / Takip No" maxlength="11"
                                            data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false"
                                            required />
                                    </div>
                                    <div class="row">
                                        <div class="col-xs-12 col-sm-6 col-md-5 pull-right">
                                            <input type="hidden" name="token" value="<?php echo $token; ?>" />
                                            <button type="submit" class="submit-btn btn btn-primary btn-block"
                                                data-form="#loginForm">
                                                <span class="rotate"><i class="fa fa-spinner"></i></span> <i
                                                    class="ikon-gizle fa fa-sign-in"></i> Sorgula</button>
                                        </div>
                                    </div>
                                </form>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-xs-12">
                                <?php echo ( $result ) ? $result : null; ?>
                                <?php if( count( $servis ) ): ?>
                                <?php
									$toplam_toplam_tutar = 0.00;
									$servis_toplam_tutar = 0.00;
									$parca_toplam_tutar = 0.00;
								?>
                                <div>
                                    <button class="btn btn-default pull-right no-print" onclick="window.print();"
                                        style="margin-top:10px;">
                                        <i class="fa fa-print"></i>
                                        Yazdır
                                    </button>
                                </div>
                                <div class="servis-bilgileri">
                                    <table>
                                        <tr>
                                            <td colspan="2">Cihaz Bilgileri</td>
                                        </tr>
                                        <tr>
                                            <td class="baslik">Cihaz</td>
                                            <td>:
                                                <?php echo $servis["cihaz_baslik"]." ".$servis["marka_baslik"]; ?>
                                            </td>
                                        </tr>
                                        <?php if( $servis["servis_model_no"] ): ?>
                                        <tr>
                                            <td class="baslik">Model No</td>
                                            <td>: <?php echo $servis["servis_model_no"]; ?></td>
                                        </tr>
                                        <?php endif; ?>
                                        <?php if( $servis["servis_seri_no"] ): ?>
                                        <tr>
                                            <td class="baslik">Seri No</td>
                                            <td>: <?php echo $servis["servis_seri_no"]; ?></td>
                                        </tr>
                                        <?php endif; ?>
                                        <tr>
                                            <td class="baslik">Garantili</td>
                                            <td>:
                                                <?php echo ( $servis["servis_garanti_durum"] ) ? "Evet" : "Değil"; ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="baslik">Kabul Tarihi</td>
                                            <td>:
                                                <?php echo date( "d.m.Y", strtotime( $servis["servis_giris_tarihi"] ) ); ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="baslik">Durumu</td>
                                            <td>:
                                                <?php echo ( $servis["durum_baslik"] ) ? $servis["durum_baslik"] : "Yeni Servis"; ?>
                                            </td>
                                        </tr>
                                        <?php if( $servis_islemleri ): ?>
                                        <tr>
                                            <td colspan="2" style="border-top:1px solid #ddd;">Servis
                                                İşlemleri</td>
                                        </tr>
                                        <?php 
											foreach( $servis_islemleri as $islem ):
											static $sira = 1;
											
											$parca	=	$_servis -> ozelSorgu("
												select "._KULLANILANMALZEMELER.".adet,"._KULLANILANMALZEMELER.".birim_fiyat, "._YEDEKPARCA.".yedek_parca_adi 
												from "._KULLANILANMALZEMELER." 
												left join "._YEDEKPARCA." on "
													._KULLANILANMALZEMELER.".yedek_parca_id = "._YEDEKPARCA.".yedek_parca_id 
												where "._KULLANILANMALZEMELER.".servis_islem_id = ?
											", 
											array($islem["servis_islem_id"] ) );
										?>
                                        <tr>
                                            <td class="baslik text-left" style="padding:6px 0 6px 0;">
                                                #<?php echo $sira; ?>
                                            </td>
                                            <td class="text-right" style="padding:6px 0 6px 0;">
                                                <?php echo date( "d.m.Y", strtotime( $islem["servis_islem_tarihi"] ) ); ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <?php
												$parca_tutar = 0.00;
												$toplam_tutar = 0.00;
											?>
                                            <td colspan="2" class="aciklama">
                                                <?php echo $islem["servis_islem_aciklama"]; ?>
                                                <div class="degisen-parcalar clearfix">
                                                    <?php if( count( $parca ) ): ?>
                                                    <h4 class="baslik">Değişen Parçalar :</h4>
                                                    <ul class="clearfix">
                                                        <?php foreach( $parca as $par ): ?>
                                                        <?php
															$parca_tutar += $par["birim_fiyat"] * $par["adet"];
															$toplam_tutar = $islem["servis_tutar"] + $parca_tutar;
														?>
                                                        <li class="parca pull-left">
                                                            <?php echo $par["yedek_parca_adi"]; ?>
                                                            <span
                                                                class="adet"><strong><?= $par["adet"]; ?></strong></span>
                                                        </li>
                                                        <?php endforeach; ?>
                                                    </ul>
                                                    <div>
                                                        <table class="table" style="margin:0;">
                                                            <tr>
                                                                <td width="100">Servis Tutarı</td>
                                                                <td>
                                                                    <strong>
                                                                        <i class="fa fa-try"></i>
                                                                        <?= sqlToPara($islem["servis_tutar"]); ?>
                                                                    </strong>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td width="100">Parça Tutarı</td>
                                                                <td>
                                                                    <strong>
                                                                        <i class="fa fa-try"></i>
                                                                        <?= sqlToPara($parca_tutar); ?>
                                                                    </strong>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td width="100">Toplam</td>
                                                                <td>
                                                                    <strong>
                                                                        <i class="fa fa-try"></i>
                                                                        <?= sqlToPara($toplam_tutar); ?>
                                                                    </strong>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                    <?php endif; ?>
                                                </div>
                                            </td>
                                        </tr>
                                        <?php
											$sira++;
											$servis_toplam_tutar += $islem["servis_tutar"];
											$parca_toplam_tutar += $parca_tutar;
											$toplam_toplam_tutar = $servis_toplam_tutar + $parca_toplam_tutar;
											endforeach;
										?>
                                        <?php endif; ?>
                                    </table>
                                </div>

                                <div style="margin-top:15px;">
                                    <table class="table" style="margin:0;">
                                        <tr>
                                            <td></td>
                                            <td width="150">Servis Toplam Tutar</td>
                                            <td width="150">
                                                <h4>
                                                    <strong>
                                                        <i class="fa fa-try"></i>
                                                        <?= sqlToPara($servis_toplam_tutar); ?>
                                                    </strong>
                                                </h4>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td width="150">Parça Toplam Tutar</td>
                                            <td width="150">
                                                <h4>
                                                    <strong>
                                                        <i class="fa fa-try"></i>
                                                        <?= sqlToPara($parca_toplam_tutar); ?>
                                                    </strong>
                                                </h4>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td width="150">Toplam</td>
                                            <td width="150">
                                                <h4>
                                                    <strong>
                                                        <i class="fa fa-try"></i>
                                                        <?= sqlToPara($toplam_toplam_tutar); ?>
                                                    </strong>
                                                </h4>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</body>

</html>