<?php

	class Durum extends Servis{
		
		public function getDurumlar(array $alanlar = null){
			$select = (is_array($alanlar)) ? rtrim(implode(",",$alanlar),",") : "*";
			$sql = "select ".$select." from "._DURUMLAR." where "._DURUMLAR.".durum_sil = 0 order by "._DURUMLAR.".durum_id desc";
			try{
				$durum = $this -> db -> _baglan -> prepare($sql);
				$durum -> execute();
				$durumlar = $durum -> fetchAll(PDO::FETCH_ASSOC);
				return $durumlar;
			}
			catch(PDOException $hata){
				$this -> db -> _hata = $hata -> getMessage();
				return false;
			}
		}
		
		public function sadeceDurumlar(array $alanlar = null){
			$select = (is_array($alanlar)) ? rtrim(implode(",",$alanlar),",") : "*";
			$sql = "select ".$select." from "._DURUMLAR." where "._DURUMLAR.".durum_sil = 0 order by durum_id desc";
			try{
				$durum = $this -> db -> _baglan -> prepare($sql);
				$durum -> execute();
				$durumlar = $durum -> fetchAll(PDO::FETCH_ASSOC);
				return $durumlar;
			}
			catch(PDOException $hata){
				$this -> db -> _hata = $hata -> getMessage();
				return false;
			}
		}
		
	}

?>