<?php

    class Yazdir
    {

		private $yedekParcalar = array();

        public function servis_teslim($_servis = null, $fis_id = 0)
        {
            $il = new Il();
			$bbcode = new BBcode();
			
			$fisSql = "select "._SERVISFISLERI.".*, "._MUSTERILER.".musteri_adi, "._MUSTERILER.".musteri_tel1, "._MUSTERILER.".musteri_tel2, 
											"._MUSTERILER.".musteri_faks, "._MUSTERILER.".musteri_email, "._MUSTERILER.".musteri_adres, "._MUSTERILER.".il, "._MUSTERILER.".bakiye,
											"._MUSTERILER.".musteri_kodu, "._MUSTERILER.".musteri_vergi_no, "._MUSTERILER.".musteri_vergi_dairesi, 
											"._USERS.".user_ad, "._USERS.".user_soyad, "._CIHAZLAR.".cihaz_baslik, "._MARKALAR.".marka_baslik 
											from "._SERVISFISLERI." 
											left join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._SERVISFISLERI.".musteri_id 
											left join "._USERS." on "._USERS.".user_id = "._SERVISFISLERI.".ekleyen_id 
											left join "._CIHAZLAR." on "._CIHAZLAR.".cihaz_id = "._SERVISFISLERI.".cihaz_id 
											left join "._MARKALAR." on "._MARKALAR.".marka_id = "._SERVISFISLERI.".marka_id 
											where "._SERVISFISLERI.".servis_fis_id = ? and "._SERVISFISLERI.".fis_sil = 0 LIMIT 1";
											
			$islemSql = "select servis_islem_id, servis_tutar, servis_islem_tarihi, servis_islem_aciklama, servis_formunda_goster 
											from "._SERVISISLEMLERI." where servis_fis_id = ? and servis_islem_sil = 0 order by servis_islem_tarihi asc";
			
			$firmaSql = "select firma_adi,firma_tel1,firma_tel2,firma_faks,firma_email,firma_adres,firma_il from "._FIRMA." where firma_id = 1 LIMIT 1";

			$ayarSql = "select musteri_sorgula, servis_formu_tutar_yaz, panel_bilgilerini_ekle, sartname, versiyon, kdv_oran from "._AYARLAR." where ayar_id = 1 LIMIT 1";
											
			$fis = $_servis -> ozelSorgu( $fisSql, array( $fis_id ) );
			$islemler = $_servis -> ozelSorgu( $islemSql, array( $fis_id ) );
			$firma = $_servis -> ozelSorgu( $firmaSql );
			$ayar = $_servis -> ozelSorgu( $ayarSql );
			
			if( $fis === false || $islemler === false ){
				die( $_servis -> getHata() );
			}

			extract( $fis[0], EXTR_PREFIX_ALL, "fis" );
			extract( $firma[0] );
			extract( $ayar[0], EXTR_PREFIX_ALL, "ayar" );
			
			$toplamTutar = 0;

			$imza = json_decode( $fis_mobil_imza, true );
			
			foreach( $islemler as $islem ){
				
				$_malzemeler = $_servis -> ozelSorgu( "select "._KULLANILANMALZEMELER.".*, "._YEDEKPARCA.".yedek_parca_adi, "._YEDEKPARCA.".barkod 
													from "._KULLANILANMALZEMELER." 
													left join "._YEDEKPARCA." on "._KULLANILANMALZEMELER.".yedek_parca_id = "._YEDEKPARCA.".yedek_parca_id 
													where "._KULLANILANMALZEMELER.".servis_islem_id = ?", array( $islem["servis_islem_id"] ) );
													
				foreach( $_malzemeler as $mal ){
					$toplamTutar += intval( $mal["adet"] ) * floatval( $mal["birim_fiyat"] );
					$this -> yedekParcalar[ $islem["servis_islem_id"] ]	.=	$mal["yedek_parca_adi"]." [".$mal["barkod"]."] [".$mal["adet"]."] , ";
				}
													
				$toplamTutar += floatval( $islem["servis_tutar"] );
			}
																
			$tutarlar_yaz = '<span>Toplam : </span>
							<span>
								<strong>'.sqlToPara( $toplamTutar ).' TL</strong>
							</span>';

			if( $ayar_kdv_oran ){
				$kdv_oran			=	1 + floatval( floatval( $ayar_kdv_oran ) / 100 );
				$ara_toplam		=	$toplamTutar / $kdv_oran;
				$kdv_tutar		=	$toplamTutar - $ara_toplam;
				$tutarlar_yaz	=	'<span>Ara Toplam : </span>
									<span>
										<strong>'.sqlToPara( $ara_toplam ).' TL</strong>
									</span><br />

									<span>Kdv Tutarı ( %'.$ayar_kdv_oran.' ) : </span>
									<span>
										<strong>'.sqlToPara( $kdv_tutar ).' TL</strong>
									</span><br />

									<span>Toplam : </span>
									<span>
										<strong>'.sqlToPara( $toplamTutar ).' TL</strong>
									</span>';
			}
			$firma_bilgileri_array	=	array( $firma_adi, ( ( $firma_tel1 ) ? $firma_tel1 : $firma_tel2 ), $firma_email, $firma_adres );
			$ayar_sartname				=	$bbcode -> Sartname( $ayar_sartname, $firma_bilgileri_array, "strong" );
		
			$_cikti	=	'<table>
							<tbody>
								<tr>
									<td style="border:1px solid #ddd;">
										<strong>Servis No</strong> : '.$fis_servis_fis_no.'
									</td>
								</tr>

								<tr>
									<td style="border:1px solid #ddd;">
										<strong>Cari Kodu</strong> : '.$fis_musteri_kodu.'
									</td>
								</tr>

								<tr>
									<td style="border:1px solid #ddd;">
										<strong>Tarih</strong> : '.date( "d/m/Y H:i").'
									</td>
								</tr>

								<tr>
									<td>&nbsp;</td>
								</tr>

							</tbody>
						</table>

						<table style="border:1px solid #ddd;width:100%;"><tbody>
							<tr>
								<td colspan="2">
									<h4>Cari Bilgileri</h4>
								</td>
							</tr>

							<tr>
								<td style="width:50%;"><strong>Cari Adı</strong> : '.$fis_musteri_adi.'</td>
								<td style="width:50%;"><strong>Telefon 2</strong> : '.$fis_musteri_tel2.'</td>
							</tr>
							<tr>
								<td><strong>Telefon</strong> : '.$fis_musteri_tel1.'</td>
								<td><strong>E-Posta</strong> : '.$fis_musteri_email.'</td>
							</tr>
							<tr>
								<td><strong>Bakiye</strong> : '.$fis_bakiye.' TL</td>
								<td><strong>Adres</strong> : '.$fis_musteri_adres.' '.( $il -> ilTek( $fis_il ) ).'</td>
							</tr>

							<tr>
								<td><strong>Vergi Dairesi</strong> : '.$fis_musteri_vergi_dairesi.'</td>
								<td><strong>Vergi / Tc No</strong> : '.$fis_musteri_vergi_no.'</td>
							</tr>

							<tr>
								<td>&nbsp;</td>
							</tr>
							</tbody>
						</table>

						<table style="border:1px solid #ddd;margin-top:10px;width:100%;"><tbody>
							<tr>
								<td colspan="2">
									<h4>Cihaz Bilgileri</h4>
								</td>
							</tr>

							<tr>
								<td style="width:50%;"><strong>Cihaz</strong> : '.$fis_cihaz_baslik.'</td>
								<td style="width:50%;"><strong>Marka</strong> : '.$fis_marka_baslik.'</td>
							</tr>
							<tr>
								<td><strong>Seri No</strong> : '.$fis_servis_seri_no.'</td>
								<td><strong>Model No</strong> : '.$fis_servis_model_no.'</td>
							</tr>
							<tr>
								<td><strong>Kabul Tarihi</strong> : '.( date( "d/m/Y H:i", strtotime( $fis_servis_giris_tarihi ) ) ).'</td>
							</tr>

							<tr>
								<td>&nbsp;</td>
							</tr>
							</tbody>
						</table>

						<table style="border:1px solid #ddd;margin-top:10px;width:100%;"><tbody>
							<tr>
								<td>
									<h4>Servis Bilgileri</h4>
								</td>
							</tr>

							<tr>
								<td style="width:100%;"><strong>Bildirilen Arıza</strong> : '.$fis_sikayet.'</td>
							</tr>
							<tr>
								<td>&nbsp;</td>
							</tr>
							<tr>
								<td><strong>Birlikte Gelenler</strong> : '.$fis_birlikte_gelenler.'</td>
							</tr>
							<tr>
								<td>&nbsp;</td>
							</tr>

							<tr>
								<td><strong>Yapılan İşlemler</strong> :</td>
							</tr>

							<tr>
								<td>
									'.( implode( array_map( function( $islem ){
										if( $islem["servis_formunda_goster"] ){
											static $sira	=	0;
											$sira++;

											return 
												'<div>
													<p>
														<strong>'.$sira.' -</strong> [ '.( date( "d/m/Y", strtotime( $islem["servis_islem_tarihi"] ) ) ).' ]
													</p>
													<p>'.nl2br($islem["servis_islem_aciklama"]).'</p>
													<br />
													'.( 
														( $this -> yedekParcalar[ $islem["servis_islem_id"] ] ) ? 
															'<p>
																<strong>Değişenler :</strong> '.$this -> yedekParcalar[ $islem["servis_islem_id"] ].'
															</p><br />' : null 
													).'
												</div>';
										}
										else{
											return null;
										}
									}, $islemler ) ) ).'
								</td>

							</tr>

							<tr>
								<td>&nbsp;</td>
							</tr>

							<tr>
								<td>'.( ( $ayar_servis_formu_tutar_yaz ) ? $tutarlar_yaz : '&nbsp;' ).'</td>
							</tr>

							<tr>
								<td>&nbsp;</td>
							</tr>

							</tbody>
							</table>';

			if( $imza["dosya"] && is_file( $_SESSION["root"]."/uploads/resimler/".$imza["dosya"]."_1.jpeg" ) 
								&& is_file( $_SESSION["root"]."/uploads/resimler/".$imza["dosya"]."_2.jpeg" ) ){
				$_cikti .= '<table style="width:100%;">
								<tbody>

									<tr>
										<td>&nbsp;</td>
									</tr>

									<tr>
										<td style="width:50%;">
											<strong>Müşteri İmza</strong> : '.$imza["musteri"].'
										</td>

										<td  style="width:50%;">
											<strong>Personel imza</strong> : '.$imza["personel"].'
										</td>
										
									</tr>

									<tr>

										<td>
											<img src="'.$_SESSION["root"]."/uploads/resimler/".$imza["dosya"]."_2.jpeg".'" style="width:200px;" />
										</td>

										<td>
											<img src="'.$_SESSION["root"]."/uploads/resimler/".$imza["dosya"]."_1.jpeg".'"  style="width:200px;" />
										</td>

									</tr>

								</tbody>
							</table>';
			}

			$_cikti .= '<div style="padding:10px 0;">
							Teknik Servis Şartları
						</div>
						<div>
							'.nl2br( $ayar_sartname ).'
						</div>';

            $_cikti = trim($_cikti);
            
            return $_cikti;
        }

    }

?>