<?php

	class Yetki extends Servis{
		
		public function getYetkiler(array $alanlar = null){
			$select = (is_array($alanlar)) ? rtrim(implode(",",$alanlar),",") : "*";
			$sql = "select ".$select." from "._YETKILER." where "._YETKILER.".yetki_sil = 0 order by "._YETKILER.".yetki_id desc";
			try{
				$yetki = $this -> db -> _baglan -> prepare($sql);
				$yetki -> execute();
				$yetkiler = $yetki -> fetchAll(PDO::FETCH_ASSOC);
				return $yetkiler;
			}
			catch(PDOException $hata){
				$this -> db -> _hata = $hata -> getMessage();
				return false;
			}
		}
		
		public function sadeceYetkiler(array $alanlar = null){
			$select = (is_array($alanlar)) ? rtrim(implode(",",$alanlar),",") : "*";
			$sql = "select ".$select." from "._YETKILER." where "._YETKILER.".yetki_sil = 0 order by yetki_id desc";
			try{
				$yetki = $this -> db -> _baglan -> prepare($sql);
				$yetki -> execute();
				$yetkiler = $yetki -> fetchAll(PDO::FETCH_ASSOC);
				return $yetkiler;
			}
			catch(PDOException $hata){
				$this -> db -> _hata = $hata -> getMessage();
				return false;
			}
		}
		
	}

?>