<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Cihazlar.php";
	
	$cihaz_adi	=	post("cihaz_adi");
	$id					=	post("id");
	
	$sonuc		=	array();
	
	$yetki_cihaz_duzenle	=	yetki( "cihaz_duzenle" );
	
	//Yetki Kontrolü
	if( !$yetki_cihaz_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Cihaz Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if(empty($cihaz_adi)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen İlgili Alanı Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	if(empty($id) || !is_numeric($id)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik Bilgi!";
		echo json_encode($sonuc);
		exit();
	}
	
	$cihaz = new Cihaz();
	
	$sql = "update "._CIHAZLAR." set cihaz_baslik = ? where cihaz_id = ?";
	$kayit = $cihaz -> kayitGuncelle($sql,array($cihaz_adi, $id));
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $cihaz -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<i class="fa fa-check"></i> Cihaz Bilgileri Güncellendi.';
			$_SESSION["bilgi"]["cihazlar"] = $cihaz -> sadeceCihazlar(array("cihaz_id","cihaz_baslik"));
		}
	
	echo json_encode($sonuc);

?>