<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Cihazlar.php";
	
	$cihaz_adi = post("cihaz_adi");
	
	$sonuc = array();
	
	$yetki_cihaz_ekle	=	yetki( "cihaz_ekle" );
	
	//Yetki Kontrolü
	if( !$yetki_cihaz_ekle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Cihaz Ekleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if(empty($cihaz_adi)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen İlgili Alanı Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	$cihaz = new Cihaz();
	
	$ekleyen_id = $_SESSION["user"]["user_id"];
	$tarih = date("Y-m-d H:i:s");
	
	$sql = "insert into "._CIHAZLAR." set cihaz_baslik = ?, ekleyen_id = ?, cihaz_kayit_tarihi = ?";
	$kayit = $cihaz -> kayitEkle($sql,array($cihaz_adi, $ekleyen_id, $tarih));
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $cihaz -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<strong><i class="fa fa-check"></i> Tebrikler.</strong> Kayıt Başarılı.<br /><i class="fa fa-info-circle"></i>
Yandaki Panelden İkon Ekleyebilisiniz.';
			$sonuc["son_id"] = $cihaz -> last_id();
			$_SESSION["bilgi"]["cihazlar"] = $cihaz -> sadeceCihazlar(array("cihaz_id","cihaz_baslik"));
		}
	
	echo json_encode($sonuc);

?>