<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Durumlar.php";
	
	$durum_baslik	=	post("durum_baslik");
	$id							=	post("id");
	
	$sonuc	=	array();
	
	$yetki_durum_duzenle	=	yetki( "durum_duzenle" );
	
	//Yetki Kontrolü
	if( !$yetki_durum_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Durum Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if(empty($durum_baslik)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen İlgili Alanı Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	if(empty($id) || !is_numeric($id)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik Bilgi!";
		echo json_encode($sonuc);
		exit();
	}
	
	$durum = new Durum();
	
	$sql = "update "._DURUMLAR." set durum_baslik = ? where durum_id  = ?";
	$kayit = $durum -> kayitGuncelle($sql,array($durum_baslik, $id));
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $durum -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<i class="fa fa-check"></i>  Durum Bilgileri Güncellendi.';
			$_SESSION["bilgi"]["durumlar"] = $durum -> sadeceDurumlar(array("durum_id","durum_baslik"));
		}
	
	echo json_encode($sonuc);

?>