<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Durumlar.php";
	
	$durum_baslik = post("durum_baslik");
	
	$sonuc = array();
	
	$yetki_durum_ekle	=	yetki( "durum_ekle" );
	
	//Yetki Kontrolü
	if( !$yetki_durum_ekle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Durum Ekleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if(empty($durum_baslik)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen İlgili Alanı Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	$durum = new Durum();
	
	$ekleyen_id = $_SESSION["user"]["user_id"];
	$tarih = date("Y-m-d H:i:s");
	
	$sql = "insert into "._DURUMLAR." set durum_baslik = ?, ekleyen_id = ?, durum_kayit_tarihi = ?";
	$kayit = $durum -> kayitEkle($sql,array($durum_baslik, $ekleyen_id, $tarih));
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $durum -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<strong><i class="fa fa-check"></i> Tebrikler.</strong> Kayıt Başarılı.<br /><i class="fa fa-info-circle"></i>
Yandaki Panelden İkon Ekleyebilisiniz.';
			$sonuc["son_id"] = $durum -> last_id();
			$_SESSION["bilgi"]["durumlar"] = $durum -> sadeceDurumlar(array("durum_id","durum_baslik"));
		}
	
	echo json_encode($sonuc);

?>