<?php

	session_start();
	
	if(isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"])){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/Durumlar.php";
		
		$secilecek_alanlar	=	array(
			_DURUMLAR.".durum_id",
			_DURUMLAR.".durum_baslik",
			_DURUMLAR.".durum_resim",
			_DURUMLAR.".ekleyen_id",
			_DURUMLAR.".durum_kayit_tarihi"
		);
		
		$durum		=	new Durum();
		$durumlar	=	$durum -> getDurumlar($secilecek_alanlar);
		$sonuc		=	array();
		
			if( $durumlar === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$durum -> getHata();
			}
			else{
				
				$yetki_durum_ekle			=	yetki( "durum_ekle" );
				$yetki_durum_sil				=	yetki( "durum_sil" );
				$yetki_durum_duzenle	=	yetki( "durum_duzenle" );
				
				$cikti = '<div id="tabloUst">
									'.( ( $yetki_durum_ekle ) ? '<button type="button" class="btn btn-success" data-modal-ac="durum_ekleme" data-param=\'{ "baslik" : "Yeni Durum Ekle" }\'><i class="fa fa-plus"></i> Yeni Durum</button>' : null ).'
									<button type="button" class="btn btn-warning" data-listele="durumlar" data-param=""><i class="fa fa-refresh"></i> Yenile</button>
									'.( ( $yetki_durum_sil ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" 
									data-toplu-sil=\'{ "hangisi" : "durumlar", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\' 
									title="Seçilenleri Sil"><i class="fa fa-trash-o"></i></button>' : null ).'
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="durumlar">
											<thead>
												<tr> 
													'.( ( $yetki_durum_sil ) ? '<th class="no-sort hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Başlık</th>
													<th style="width:150px;">Eklenme Tarihi</th>
													<th class="no-sort" style="width:80px;">İkon</th>
													<th class="no-sort" style="width:150px;">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach($durumlar as $dur){
												$ikon = ($dur["durum_resim"]) ? '<span class="abs-left"><img src="'.OTO_URL.'/uploads/resimler/'.$dur["durum_resim"].'" alt="Durum İkonu" /></span>' : null;
												$cikti .= '<tr data-durum-id = "'.$dur["durum_id"].'">
															'.( ( $yetki_durum_sil ) ? '<th class="hepsini-sec-gen">
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$dur["durum_id"].'" />
																</div>
															</th>' : null ).'
															<td>'.$dur["durum_baslik"].'</td>
															<td class="liste-tarih-kolon" title="'.(date("d/m/Y H:i",strtotime($dur["durum_kayit_tarihi"]))).'" data-order="'.$dur["durum_kayit_tarihi"].'" data-time="'.strtotime($dur["durum_kayit_tarihi"]).'">'.tarihGoster($dur["durum_kayit_tarihi"]).'</td>
															<td class="pos-relative-1">'.$ikon.'</td>
															<td>
																'.( ( $yetki_durum_duzenle ) ? '<button type="button" class="btn btn-primary btn-xs" data-modal-ac="durum_duzenleme" data-param=\'{ "baslik" : "Durum Düzenle", "id" : '.$dur["durum_id"].', "yenile" : true }\'>Düzenle <i class="fa fa-pencil"></i></button>' : null ).'
																'.( ( $yetki_durum_sil ) ? '<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "durumlar", "mesaj" : "'.$dur["durum_baslik"].', Silmek İstediğinize Emin misiniz?", 
																"id" : '.$dur["durum_id"].' }\'>Sil <i class="fa fa-times"></i></button>' : null ).'
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													'.( ( $yetki_durum_sil ) ? '<th class="hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Başlık</th>
													<th>Eklenme Tarihi</th>
													<th>İkon</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.count($durumlar).'</strong> Kayıt. Tüm Kayıtlar Listeleniyor.
								</div>
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>