<?php

	session_start();
	
	if( isset( $_SESSION["root"] ) && $_SESSION["login"] && isset( $_POST["data"] ) ){
		
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/Fatura.php";
		require $_SESSION["root"]."/inc/ListeParam.php";
		
		$fatura_tur	=	$_POST["params"]["where"]["value"][0];
		
		//Hücre ve siralama başlıklarını değştirecek
		$basliklar	=	array(
			"hucreler"	=>	array(
				"f_id"				=>	"fatura_id",
				"f_seri_no"		=>	"fatura_seri_no",
				"f_fis_no"		=>	"servis_fis_no",
				"f_tur"				=>	"fatura_tur",
				"f_toplam"		=>	"fatura_toplam_tutar",
				"f_tarih"			=>	"fatura_tarihi",
				"f_k_tarih"		=>	"fatura_kayit_tarihi",
				"m_id"				=>	_FATURALAR.".musteri_id"
			),
			"siralama"	=>	array(
				"desc"	=>	"desc",
				"asc"		=>	"asc"
			),
			"_paramYoksa"	=>	"fatura_tarihi",
			"_tablo"					=>	_FATURALAR
		);
		
		$listeParam	=	new ListeParam($_POST,$basliklar);
		
		$paramValue	=	$listeParam -> paramValue;
		$param				=	$listeParam -> param;
		$where				=	$listeParam -> where;
		$wherePars		=	$listeParam -> wherePars;
		$pars					=	$listeParam -> pars;
		$sayfa					=	$listeParam -> sayfa;
		
		$secilecek_alanlar = array(
			_FATURALAR.".fatura_id",
			_FATURALAR.".fatura_seri_no",
			_FATURALAR.".fatura_tarihi",
			_FATURALAR.".fatura_tur",
			_FATURALAR.".fatura_ara_toplam",
			_FATURALAR.".fatura_kdv_tutar",
			_FATURALAR.".fatura_iskonto",
			_FATURALAR.".fatura_toplam_tutar",
			_FATURALAR.".musteri_id",
			_FATURALAR.".servis_fis_no",
			_MUSTERILER.".musteri_adi",
			_MUSTERILER.".musteri_sil"
		);
		
		$musteri = new Fatura();
		$musteriler = $musteri -> getFatura($sayfa,$param,$paramValue,$secilecek_alanlar);
		$sonuc = array();
		
			if( $musteriler === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$musteri -> getHata();
			}
			else{
				require $_SESSION["root"]."/inc/Sayfalama.php";
				$sayfala 											= new Sayfalama();
				$sayfalar 										= $sayfala -> Sayfala($sayfa,$musteri -> toplam,"fatura",$pars,$musteri -> limit);
				
				$yetki_alis_faturasi_ekle	=	yetki( "alis_faturasi_ekle" );
				$yetki_satis_faturasi_ekle	=	yetki( "satis_faturasi_ekle" );
				$yetki_fatura_sil						=	yetki( "fatura_sil" );
				
				if( $fatura_tur == "satis" ){
					$fatura_ekleme	=	$yetki_satis_faturasi_ekle;
				}
				else if( $fatura_tur == "alis" ){
					$fatura_ekleme	=	$yetki_alis_faturasi_ekle;
				}
				
				$tur	=	array(
					"alis"		=>	"Alış",
					"satis"	=>	"Satış"
				);
				
				$cikti = '<div id="tabloUst">
									<div class="inline-block listele-secenek">
										'.( ( $fatura_ekleme ) ? '<button type="button" class="btn btn-success" data-modal-ac="fatura_ekleme" 
										data-param=\'{ "baslik" : "'.$tur[ $fatura_tur ].' Faturası Ekle", "yenile" : true, "args" : { "fatura_tur" : "'.$fatura_tur.'" } }\'>
										<i class="fa fa-plus"></i> '.$tur[ $fatura_tur ].' Faturası Gir</button>' : null ).'
										<div class="btn-group" '.(($musteri -> toplam) ? null : 'style="display:none;"').'>
										  <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
											<i class="fa fa-magnet"></i> Sırala <i class="fa fa-caret-down"></i>
										  </button>
										  <ul class="dropdown-menu">
											<li '.(($_POST["params"]["order"] == "f_id" && $_POST["params"]["sort"] == "asc" || !isset($_POST["params"]["order"])) ? 'class="active"' : null).'><a href="#" data-listele="fatura" 
											data-param=\'{ "order" : "f_id", "sort" : "asc" '.$wherePars.' }\'>Önce Eski Kayıt</a></li>
											<li '.(($_POST["params"]["order"] == "f_id" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="fatura" data-param=\'{ "order" : "f_id", "sort" : "desc" '.$wherePars.' }\'>Önce Yeni Kayıt</a></li>
											<li '.(($_POST["params"]["order"] == "f_tarih" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="fatura" data-param=\'{ "order" : "f_tarih", "sort" : "asc" '.$wherePars.' }\'>Tarihe Göre ( Eski )</a></li>
											<li '.(($_POST["params"]["order"] == "f_tarih" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="fatura" data-param=\'{ "order" : "f_tarih", "sort" : "desc" '.$wherePars.' }\'>Tarihe Göre ( Yeni )</a></li>
											<li '.(($_POST["params"]["order"] == "f_toplam" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="fatura" data-param=\'{ "order" : "f_toplam", "sort" : "asc" '.$wherePars.' }\'>Tutara Göre ( Az )</a></li>
											<li '.(($_POST["params"]["order"] == "f_toplam" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="fatura" data-param=\'{ "order" : "f_toplam", "sort" : "desc" '.$wherePars.' }\'>Tutara Göre ( Çok )</a></li>
										  </ul>
										</div>
										<button type="button" class="btn btn-primary" data-modal-ac="fatura_arama" data-param=\'{ "baslik" : "Fatura Ara", "size" : "modal-sm", "yenile" : true, "args" : { "fatura_tur" : "'.$fatura_tur.'" } }\'><i class="fa fa-search-plus"></i> Bul</button>
									</div>
									<div class="inline-block listele-secenek">
										<button type="button" class="btn btn-warning" data-listele="fatura" 
										data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-refresh"></i> Yenile</button>
										'.( ( $yetki_fatura_sil ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
										data-toplu-sil=\'{ "hangisi" : "fatura", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\'>
										<i class="fa fa-trash-o"></i></button>' : null ).'
									</div>
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="fatura">
											<thead>
												<tr> 
													'.( ( $yetki_fatura_sil ) ? '<th class="no-sort">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>ID</th>
													<th class="no-sort">Seri / Sıra No</th>
													<th class="no-sort">Tür</th>
													<th>Cari Hesap</th>
													<th>Tarih</th>
													<th>Genel Toplam</th>
													<th>Kdv</th>
													<th>Ara Toplam</th>
													<th>İskonto</th>
													<th>Servis Fişi</th>
													<th class="no-sort">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach($musteriler as $mus){
												static $toplamTutar							=	array();
												$toplamTutar["genelToplam"]	+=	floatval( $mus["fatura_toplam_tutar"] );
												$toplamTutar["kdvTutar"]			+=	floatval( $mus["fatura_kdv_tutar"] );
												$toplamTutar["araToplam"]			+=	floatval( $mus["fatura_ara_toplam"] );
												$toplamTutar["iskonto"]				+=	floatval( $mus["fatura_iskonto"] );
												
												$cariYaz	=	( $mus["musteri_sil"] ) ? kisalt( $mus["musteri_adi"],15, false ) : 
																		'<a href="#" class="link-ata" data-musteri-id="'.$mus["musteri_id"].'" data-modal-ac="musteri_duzenleme" 
																		data-param=\'{ "baslik" : "Cari Bilgileri", "id" : '.$mus["musteri_id"].' , "yenile" : true }\' 
																		title="'.$mus["musteri_adi"].'">'.kisalt( $mus["musteri_adi"],15, false ).'</a>';
												
												$cikti .= '<tr data-fatura-id = "'.$mus["fatura_id"].'">
															'.( ( $yetki_fatura_sil ) ? '<th>
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$mus["fatura_id"].'" />
																</div>
															</th>' : null ).'
															<td>'.$mus["fatura_id"].'</td>
															<td>'.$mus["fatura_seri_no"].'</td>
															<td>'.$tur[ $mus["fatura_tur"] ].'</td>
															<td>'.$cariYaz.'</td>
															<td data-order="'.$mus["fatura_tarihi"].'" data-time="'.strtotime($mus["fatura_tarihi"]).'">
															'.date( "d.m.Y" , strtotime( $mus["fatura_tarihi"] ) ).'</td>
															<td data-order="'.$mus["fatura_toplam_tutar"].'">'.sqlToPara( $mus["fatura_toplam_tutar"] ).' 
															<i class="fa fa-try"></i></td>
															<td data-order="'.$mus["fatura_kdv_tutar"].'">'.sqlToPara( $mus["fatura_kdv_tutar"] ).' <i class="fa fa-try"></i></td>
															<td data-order="'.$mus["fatura_ara_toplam"].'">'.sqlToPara( $mus["fatura_ara_toplam"] ).' 
															<td data-order="'.$mus["fatura_iskonto"].'">'.sqlToPara( $mus["fatura_iskonto"] ).' 
															<i class="fa fa-try"></i></td>
															<td>'.( $mus["servis_fis_no"] ? $mus["servis_fis_no"] : null ).'</td>
															<td>
																<button type="button" class="btn btn-primary btn-xs" data-modal-ac="fatura_ekleme" 
																data-param=\'{ "baslik" : "'.$tur[ $fatura_tur ].' Faturası Bilgileri", "id" : '.$mus["fatura_id"].', "yenile" : true }\'>
																İncele <i class="fa fa-external-link-square"></i></button>
																'.( ( $yetki_fatura_sil ) ? '<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "fatura", "mesaj" : "'.$mus["fatura_seri_no"].', Silmek İstediğinize Emin misiniz?", 
																"id" : '.$mus["fatura_id"].' }\'>
																Sil <i class="fa fa-times"></i></button>' : null ).'
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													'.( ( $yetki_fatura_sil ) ? '<th>
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>ID</th>
													<th>Seri / Sıra No</th>
													<th>Tür</th>
													<th>Cari Hesap</th>
													<th>Tarih</th>
													<th>'.sqlToPara( $toplamTutar["genelToplam"] ).' <i class="fa fa-try"></i></th>
													<th>'.sqlToPara( $toplamTutar["kdvTutar"] ).' <i class="fa fa-try"></i></th>
													<th>'.sqlToPara( $toplamTutar["araToplam"] ).' <i class="fa fa-try"></i></th>
													<th>'.sqlToPara( $toplamTutar["iskonto"] ).' <i class="fa fa-try"></i></th>
													<th>Servis Fişi</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.$musteri -> toplam.'</strong> Kayıt. Sayfa <strong>'.$sayfa.'</strong> / <strong>'.count($musteriler).'</strong> Adet Kayıt Listeleniyor. 
								</div>'.$sayfalar.'
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode( $sonuc );
		
	}
	
?>