<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$id																=	post("id");
	$panel_sifre											=	post("panel_sifre");
	$sartname												=	post("sartname");
	$devam_suresi									=	post("devam_suresi");
	$firma_imza											=	post("firma_imza");
	$kdv_oran												=	post("kdv_oran") ? post("kdv_oran") : 0;
	$servis_tutari_kdv								=	post("servis_tutari_kdv") ? post("servis_tutari_kdv") : 0;
	$tahsilat_makbuzu_tutar_yaz		=	( post("tahsilat_makbuzu_tutar_yaz") ) ? 1 : 0;
	$servis_formu_tutar_yaz				=	( post("servis_formu_tutar_yaz") ) ? 1 : 0;
	$musteri_sorgulama						=	( post("musteri_sorgulama") ) ? 1 : 0;
	$backup						=	( post("backup") ) ? 1 : 0;
	$panel_bilgilerini_ekle					=	( post("panel_bilgilerini_ekle") ) ? 1 : 0;
	
	$sonuc								=	array();
	
	$yetki_genel_ayarlar_duzenle	=	yetki( "genel_ayarlar_duzenle" );
	
	if( !$yetki_genel_ayarlar_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Genel Ayarları Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if( $id != 1 ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik ID Bilgisi! ";
		echo json_encode($sonuc);
		exit();
	}
	
	//Panel Şifre doğruluk kontrolü
	if( preg_match( "@[^a-zA-Z0-9]@i", $panel_sifre ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Panel Şifresi İzin Verilmeyen Karakter !";
		echo json_encode($sonuc);
		exit();
	}
	//Panel Şifre doğruluk kontrolü
	if( empty( $panel_sifre ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Geçerli Panel Şifresi Girin!";
		echo json_encode($sonuc);
		exit();
	}
	//Panel Şifre doğruluk kontrolü
	if( strlen( $panel_sifre ) > 10 || strlen( $panel_sifre ) < 4 ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Panel Şifresi En Az 4 En Çok 10 Karakterden Oluşabilir !";
		echo json_encode($sonuc);
		exit();
	}
	
	$_servis	=	new Servis();
	
	$sql			=	"update "._AYARLAR." set panel_sifre = ?, backup = ?, musteri_sorgula = ?, sartname = ?, tahsilat_makbuzu_tutar_yaz = ?, 
							servis_formu_tutar_yaz = ?, panel_bilgilerini_ekle = ?, firma_imza = ?, kdv_oran = ?, devam_suresi = ?,  servis_tutari_kdv = ? 
							where ayar_id = ?";
							 
	$kayit		=	$_servis -> kayitGuncelle( $sql,array( $panel_sifre, $backup, $musteri_sorgulama, $sartname, $tahsilat_makbuzu_tutar_yaz,
																					$servis_formu_tutar_yaz, $panel_bilgilerini_ekle, $firma_imza, $kdv_oran, 
																					$devam_suresi, $servis_tutari_kdv, $id ));
	
	if($kayit === false){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	$_servis -> getHata();
	}
	else{
		$sonuc["hata"]	=	false;
		$sonuc["mesaj"]	=	'<i class="fa fa-check"></i> Ayarlar Güncellendi.';
	}
	
	echo json_encode($sonuc);

?>