<?php

	session_start();
	
	if( !isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"] ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$kart_adi		=	post("kart_adi");
	$id						=	post("id");
	
	$sonuc = array();
	
	$yetki_gg_kart_duzenle	=	yetki( "gg_kart_duzenle" );
	
	//Yetki Kontrolü
	if( !$yetki_gg_kart_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Gelir Gider Kartı Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if( empty( $kart_adi ) ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen İlgili Alanı Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	if(empty($id) || !is_numeric($id)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik Bilgi!";
		echo json_encode($sonuc);
		exit();
	}
	
	$_servis = new Servis();
	
	$sql		=	"update "._GEGKART." set kart_ismi = ? where kart_id = ?";
	$kayit	=	$_servis -> kayitGuncelle( $sql,array( $kart_adi, $id ) );
	
		if( $kayit === false ){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	$_servis -> getHata();
		}
		else{
			$sonuc["hata"]	=	false;
			$sonuc["mesaj"]	=	'<i class="fa fa-check"></i> Gelir Gider Kartı Güncellendi.';
		}
	
	echo json_encode( $sonuc );

?>