<?php

	session_start();
	
	if(isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"])){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/GGKart.php";
		
		$secilecek_alanlar = array(
			"kart_id",
			"kart_ismi",
			"kart_kayit_tarihi"
		);
		
		$yetki		=	new GGKart();
		$yetkiler	=	$yetki -> getGGKartlar( $secilecek_alanlar );
		$sonuc	=	array();
		
			if( $yetkiler === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$yetki -> getHata();
			}
			else{
				
				$yetki_gg_kart_ekle				=	yetki( "gg_kart_ekle" );
				$yetki_gg_kart_sil						=	yetki( "gg_kart_sil" );
				$yetki_gg_kart_duzenle		=	yetki( "gg_kart_duzenle" );
				$yetki_gg_kart_hareketleri	=	yetki( "gg_kart_hareketleri" );
				
				$cikti = '<div id="tabloUst">
									'.( ( $yetki_gg_kart_ekle ) ? '<button type="button" class="btn btn-success" 
									data-modal-ac="gg_kart_ekleme" data-param=\'{ "baslik" : "Gelir Gider Kartı Ekle", "size" : "modal-sm" }\'>
									<i class="fa fa-plus"></i> Yeni Kart Ekle</button>' : null ).'
									<button type="button" class="btn btn-warning" data-listele="gg_kartlar" data-param=""><i class="fa fa-refresh"></i> Yenile</button>
									'.( ( $yetki_gg_kart_sil ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
									data-toplu-sil=\'{ "hangisi" : "gg_kartlar", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\' >
									<i class="fa fa-trash-o"></i></button>' : null ).'
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="gg_kartlar">
											<thead>
												<tr> 
													'.( ( $yetki_gg_kart_sil ) ? '<th class="no-sort hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th style="width:100px;">Kart ID</th>
													<th>Kart Adı</th>
													<th style="width:150px;">Eklenme Tarihi</th>
													<th class="no-sort" style="width:150px;">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach( $yetkiler as $ytk ){
												$cikti .= '<tr data-kart-id = "'.$ytk["kart_id"].'">
															'.( ( $yetki_gg_kart_sil ) ? '<th class="hepsini-sec-gen">
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$ytk["kart_id"].'" />
																</div>
															</th>' : null ).'
															<td>'.$ytk["kart_id"].'</td>
															<td>'.$ytk["kart_ismi"].'</td>
															<td class="liste-tarih-kolon" title="'.(date("d/m/Y H:i",strtotime($ytk["kart_kayit_tarihi"]))).'" data-order="'.$ytk["kart_kayit_tarihi"].'" data-time="'.strtotime($ytk["kart_kayit_tarihi"]).'">'.tarihGoster($ytk["kart_kayit_tarihi"]).'</td>
															<td>
																'.( ( $yetki_gg_kart_duzenle ) ? '<button type="button" class="btn btn-primary btn-xs" data-modal-ac="gg_kart_duzenleme" data-param=\'{ "baslik" : "Gelir Gider Kartı Düzenle", "id" : '.$ytk["kart_id"].', "yenile" : true, "size" : "modal-sm" }\'>Düzenle <i class="fa fa-pencil"></i></button>' : null ).'
																'.( ( $yetki_gg_kart_sil ) ? '<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "gg_kartlar", "mesaj" : "'.$ytk["kart_ismi"].', Silmek İstediğinize Emin misiniz?", 
																"id" : '.$ytk["kart_id"].' }\'>Sil <i class="fa fa-times"></i></button>' : null ).'
																'.( ( $yetki_gg_kart_hareketleri ) ? '
																<button type="button" class="btn btn-info btn-xs" data-listele="gg_kart_hareketleri" 
																data-param=\'{ "where" : { "kolon" : ["k_id"], "tur" : ["tam"], "value" : [ "'.$ytk["kart_id"].'" ] } }\'>
																<i class="fa fa-bars"></i> Kart Hareketleri</button>' : null ).'
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													'.( ( $yetki_gg_kart_sil ) ? '<th class="hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Kart ID</th>
													<th>Kart Adı</th>
													<th>Eklenme Tarihi</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.count($yetkiler).'</strong> Kayıt. Tüm Kayıtlar Listeleniyor.
								</div>
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>