<?php

	session_start();
	
	if( !isset($_SESSION["root"]) || !$_SESSION["login"] || !isset($_POST) ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$gorev_id					=	post("gorev_id");
	$gorev_veren_id	=	post("gorev_veren_id");
	$servis_fis_id			=	post("servis_fis_id");
	$benID						=	$_SESSION["user"]["user_id"];
	$tarih							=	date("Y-m-d H:i:s");
	$sonuc						=	array();
	
	$_servis						=	new Servis();
	
	$gorevBitirSql			=	"update "._GOREVLER." set gorev_durum = 1, gorev_bitirme_tarihi = ? where gorev_id = ? and gorev_alan_id = ?";
	
	$bitir								=	$_servis -> kayitGuncelle( $gorevBitirSql, array( $tarih, $gorev_id, $benID ) );
	
	if( $bitir === false ){
		$sonuc["hata"]	=	true;
		echo json_encode( $sonuc );
		exit();
	}
	else{
		$sonuc["hata"]	=	false;
		$sonuc["span"]	=	'<strong><i class="fa fa-info-circle"></i> Bu Servis Size Görev Olarak Atanmış.</strong> 
												<strong><span class="gorev-bitirilmis">
													<i class="fa fa-check"></i> 
													<span>'.date("d.m.Y [H:i]", strtotime( $tarih )).'</span> 
													Tarihinde Görevi Bitirdiniz.
												</span></strong>';
												
		$bildirimSql			=	"insert into "._BILDIRIM." set bildirim_gonderici = ?, bildirim_alici = ?, bildirim_tur = 'gorev_bitti', bildirim_kayit_id = ?";
		$_servis -> kayitEkle( $bildirimSql, array( $benID, $gorev_veren_id, $servis_fis_id ) );
	}
	
	echo json_encode( $sonuc );

?>