<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Markalar.php";
	
	$marka_adi = post("marka_adi");
	
	$sonuc = array();
	
	$yetki_marka_ekle	=	yetki( "marka_ekle" );
	
	//Yetki Kontrolü
	if( !$yetki_marka_ekle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Marka Ekleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if(empty($marka_adi)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen İlgili Alanı Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	$marka = new Marka();
	
	$ekleyen_id = $_SESSION["user"]["user_id"];
	$tarih = date("Y-m-d H:i:s");
	
	$sql = "insert into "._MARKALAR." set marka_baslik = ?, ekleyen_id = ?, marka_kayit_tarihi = ?";
	$kayit = $marka -> kayitEkle($sql,array($marka_adi, $ekleyen_id, $tarih));
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $marka -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<strong><i class="fa fa-check"></i> Tebrikler.</strong> Kayıt Başarılı.<br /><i class="fa fa-info-circle"></i>
Yandaki Panelden Logo Ekleyebilisiniz.';
			$sonuc["son_id"] = $marka -> last_id();
			$_SESSION["bilgi"]["markalar"] = $marka -> sadeceMarkalar(array("marka_id","marka_baslik"));
		}
	
	echo json_encode($sonuc);

?>