<?php

	session_start();
	
	if(isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"])){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/Mesaj.php";
		require $_SESSION["root"]."/inc/ListeParam.php";
		
		//Hücre ve siralama başlıklarını değştirecek
		$basliklar = array(
			"hucreler" =>  array(
				"m_id"				=>	"mesaj_id",
				"g_id"				=>	_MESAJLAR.".gonderen_id",
				"a_id"				=>	_MESAJLAR.".alanlar_id",
				"m_g_s"			=>	_MESAJLAR.".mesaj_gonderen_sil",
				"m_a_s"			=>	_MESAJLAR.".mesaj_alan_sil"
			),
			"siralama" => array(
				"desc" => "desc",
				"asc" => "asc"
			),
			"_paramYoksa" => "mesaj_islem_tarihi",
			"_tablo" => _MESAJLAR
		);
		
		$listeParam = new ListeParam($_POST,$basliklar);
		
		$paramValue = $listeParam -> paramValue;
		$param = $listeParam -> param;
		$where = $listeParam -> where;
		$wherePars = $listeParam -> wherePars;
		$pars = $listeParam -> pars;
		$sayfa = $listeParam -> sayfa;
		
		$secilecek_alanlar = array(
			_MESAJLAR.".mesaj_id",
			_MESAJLAR.".mesaj_baslik",
			_MESAJLAR.".mesaj_tarihi",
			_MESAJLAR.".mesaj_islem_tarihi",
			"G_USERS.user_id as g_id",
			"G_USERS.user_name as g_name",
			"G_USERS.user_ad as g_ad",
			"G_USERS.user_soyad as g_soyad",
			"G_USERS.user_durum as g_durum",
			"A_USERS.user_id as a_id",
			"A_USERS.user_name as a_name",
			"A_USERS.user_ad as a_ad",
			"A_USERS.user_soyad as a_soyad",
			"A_USERS.user_durum as a_durum"
		);
		
		$musteri = new Mesaj();
		$musteriler = $musteri -> getMesajlar($sayfa,$param,$paramValue,$secilecek_alanlar,$_SESSION["user"]["user_id"]);
		$sonuc = array();
		
			if($musteriler === false){
				$sonuc["hata"]				=	true;
				$sonuc["mesaj"]				=	$musteri -> getHata();
			}
			else{
				require $_SESSION["root"]."/inc/Sayfalama.php";
				$sayfala = new Sayfalama();
				$sayfalar = $sayfala -> Sayfala($sayfa,$musteri -> toplam,"mesajlar",$pars,$musteri -> limit);
				
				$cikti = '<div id="tabloUst">
									<div class="inline-block listele-secenek">
										<button type="button" class="btn btn-success" data-modal-ac="mesaj_gonder" 
										data-param=\'{ "baslik" : "Mesaj Gönder", "yenile" : true }\'><i class="fa fa-plus"></i> Mesaj Gönder</button>
									</div>
									<div class="inline-block listele-secenek">
										<button type="button" class="btn btn-warning" data-listele="mesajlar" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-refresh"></i> Yenile</button>
										<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
										data-toplu-sil=\'{ "hangisi" : "mesajlar", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\'>
										<i class="fa fa-trash-o"></i></button> 
									</div>
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="mesajlar">
											<thead>
												<tr> 
													<th class="no-sort">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>
													<th>Mesaj ID</th>
													<th>Başlık</th>
													<th>Gönderen</th>
													<th>Alıcı</th>
													<th>Açılma Tarihi</th>
													<th>Son Mesaj</th>
													<th class="no-sort">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach($musteriler as $mus){
												$gUserYaz	=	( $mus["g_durum"] != 1 ) ? kisalt($mus["g_ad"]." ".$mus["g_soyad"],25, false) : '
																			<a href="#" class="link-ata" data-modal-ac="personel_duzenleme" 
																			data-param=\'{ "baslik" : "Personel Bilgileri", "id" : '.$mus["g_id"].' , "yenile" : true }\' 
																			title="'.$mus["g_name"].'">'.( kisalt($mus["g_ad"]." ".$mus["g_soyad"],25, false) ).'</a>';
																			
												$aUserYaz	=	( $mus["a_durum"] != 1 ) ? kisalt($mus["a_ad"]." ".$mus["a_soyad"],25, false) : '
																			<a href="#" class="link-ata" data-modal-ac="personel_duzenleme" 
																			data-param=\'{ "baslik" : "Personel Bilgileri", "id" : '.$mus["a_id"].' , "yenile" : true }\' 
																			title="'.$mus["a_name"].'">'.( kisalt($mus["a_ad"]." ".$mus["a_soyad"],25, false) ).'</a>';
												
												$cikti .= '<tr data-mesaj-id = "'.$mus["mesaj_id"].'">
															<th>
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$mus["mesaj_id"].'" />
																</div>
															</th>
															<td>'.$mus["mesaj_id"].'</td>
															<td>'.( kisalt($mus["mesaj_baslik"], 40) ).'</td>
															<td>'.$gUserYaz.'</td>
															<td>'.$aUserYaz.'</td>
															<td class="liste-tarih-kolon" title="'.(date("d/m/Y H:i",strtotime($mus["mesaj_tarihi"]))).'" data-order="'.$mus["mesaj_tarihi"].'" data-time="'.strtotime($mus["mesaj_tarihi"]).'">'.tarihGoster($mus["mesaj_tarihi"]).'</td>
															
															<td class="liste-tarih-kolon" title="'.(date("d/m/Y H:i",strtotime($mus["mesaj_islem_tarihi"]))).'" data-order="'.$mus["mesaj_islem_tarihi"].'" data-time="'.strtotime($mus["mesaj_islem_tarihi"]).'">'.tarihGoster($mus["mesaj_islem_tarihi"]).'</td>
															<td>
																<button type="button" class="btn btn-primary btn-xs" data-modal-ac="mesaj_okuma" data-param=\'{ "baslik" : "Mesaj Detay", "id" : '.$mus["mesaj_id"].', "yenile" : true }\'>Göster <i class="fa fa-external-link-square"></i></button>
																<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "mesajlar", "mesaj" : "Silmek İstediğinize Emin misiniz?", 
																"id" : '.$mus["mesaj_id"].' }\'>
																Sil <i class="fa fa-times"></i></button>
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													<th>
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>
													<th>Mesaj ID</th>
													<th>Başlık</th>
													<th>Gönderen</th>
													<th>Alıcı</th>
													<th>Açılma Tarihi</th>
													<th>Son Mesaj</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.$musteri -> toplam.'</strong> Kayıt. Sayfa <strong>'.$sayfa.'</strong> / <strong>'.count($musteriler).'</strong> Adet Kayıt Listeleniyor. 
								</div>'.$sayfalar.'
							</div>';
							
				$sonuc["hata"] 				= false;
				$sonuc["data"] 				= $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>