<?php

	session_start();
	
	if(!$_SESSION["root"] || !isset($_GET["term"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$aranan	=	get("term");
	$nerede	=	get("nerede");
	$sonuc	=	array();
	
	$servis		=	new Servis();
	
		switch( $nerede ){
			case "musteri":
				$sql = "select musteri_id as id,musteri_adi as baslik from "._MUSTERILER." 
								where musteri_sil = 0 and musteri_adi LIKE ?";
			break;
			case "musteri-sec":
				$sql = "select musteri_id,musteri_kodu,musteri_adi,musteri_adres,musteri_tel1,il, ilce_semt, musteri_email, bakiye from "._MUSTERILER." 
								where musteri_sil = 0 and musteri_adi LIKE ?";
			break;
			case "yedek_parca":
				$sql = "select yedek_parca_id as id,yedek_parca_adi as baslik from "._YEDEKPARCA." 
								where yedek_parca_sil = 0 and Match( yedek_parca_adi ) Against( ? IN BOOLEAN MODE )";
			break;
			case "barkod-sec" :
				$sql	=	"select yedek_parca_id, yedek_parca_adi, barkod, birim_fiyat, alis_fiyat, kdv from "._YEDEKPARCA." 
								where barkod = ? and yedek_parca_sil = 0 LIMIT 1";
			break;
		}
		
	switch( $nerede ){
		case	"barkod-sec"	:
			$val	=	array( $aranan );
		break;
		case	"musteri"	:
		case	"musteri-sec"	:
			$val	=	array( "%".$aranan."%" );
		break;
		default	:
			$val	=	array( $aranan.'*' );
		break;
	}
		
	$sonuclar = $servis -> ozelSorgu( $sql, $val );
	
	switch($nerede){
			case "musteri-sec":
				require $_SESSION["root"]."/inc/Iller.php";
				$il = new Il();
				
				foreach($sonuclar as $row){
					$sonuc[ ]	=	array(
						"value"	=>	$row["musteri_adi"],
						"id"			=>	$row["musteri_id"],
						"kod"		=>	$row["musteri_kodu"],
						"email"	=>	$row["musteri_email"],
						"tel"			=>	$row["musteri_tel1"],
						"il"				=>	$row["bakiye"],
						"sehir" => $il -> ilTek($row["il"]),
						"ilce" => $row["ilce_semt"],
						"adres" => $row["musteri_adres"]
					);
				}
			break;
			
			case "barkod-sec"	:
				foreach($sonuclar as $row){
					$sonuc[ ]	=	array(
						"value"			=>	$row["yedek_parca_adi"],
						"id"					=>	$row["yedek_parca_id"],
						"barkod"			=>	$row["barkod"],
						"birim_fiyat"	=>	sqlToPara( $row["birim_fiyat"] ),
						"alis_fiyat"		=>	sqlToPara( $row["alis_fiyat"] ),
						"kdv"				=>	$row["kdv"],
						"fatura_tur"	=>	$_SESSION["fatura_tur"]
					);
				}
			break;
			
			default:
				foreach($sonuclar as $row){
					$sonuc[ ]	=	array(
						"value"	=>	$row["baslik"],
						"id"			=>	$row["id"]
					);
				}
			break;
		}
	
	echo json_encode($sonuc);

?>