<?php

	session_start();
	
	if( !isset( $_SESSION["root"] ) || !$_SESSION["login"] || !isset( $_POST["data"] ) ){
		exit();
	}
		
	require $_SESSION["root"]."/inc/autoload.php";
	
	$sonuc	=	array();
	$_servis	=	new Servis();
	
	parse_str( $_POST["ekstraPar"], $params );
	
	$bas		=	$params["start"]	?	unixTarih( $params["start"], "00:00:00" )	:	date( "Y-m-d 00:00:00" );
	$bitis	=	$params["end"]		?	unixTarih( $params["end"], "00:00:00" )		:	date( "Y-m-d 00:00:00" );
	
	$tur		=	$params["tur"] ? $params["tur"] : "hepsi";
	
	$select	=	array(
		"tahsilat"	=>	"Tahsilat",
		"odeme"		=>	"Ödeme",
		"gelirfisi"		=>	"Gelir Fişi",
		"giderfisi"	=>	"Gider Fişi",
		"servisfis"	=>	"Servis Gideri"
	);
	
	$ggSql				=	' and false ';
	$tahsilatSql	=	' and false ';
	$servisSql		=	' and false ';
	
	if( $tur == "tahsilat" ){
		$tahsilatSql	=	' and '._TAHSILAT.'.islem = "gelir" ';
	}
	else if( $tur == "odeme" ){
		$tahsilatSql	=	' and '._TAHSILAT.'.islem = "gider" ';
	}
	else if( $tur == "gelirfisi" ){
		$ggSql	=	' and '._GGFISLER.'.islem = "gelir" ';
	}
	else if( $tur == "giderfisi" ){
		$ggSql	=	' and '._GGFISLER.'.islem = "gider" ';
	}
	else if( $tur == "servisfis" ){
		$servisSql	=	null;
	}
	else{
		$servisSql	=	$ggSql	=	$tahsilatSql	=	null;
	}
	
	$whereTarih1	=	( $bas && $bitis ) ? ' and ( '._SERVISISLEMLERI.'.servis_islem_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$servisSql : $servisSql;
	$whereTarih2	=	( $bas && $bitis ) ? ' and ( '._TAHSILAT.'.tahsilat_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$tahsilatSql : $tahsilatSql;
	$whereTarih3	=	( $bas && $bitis ) ? ' and ( '._GGFISLER.'.gg_fis_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$ggSql : $ggSql;
																					
	$sFisler	=	array(
		_SERVISISLEMLERI.".servis_islem_id as ID",
		_SERVISISLEMLERI.".servis_islem_tarihi as Tarih",
		_SERVISFISLERI.".servis_fis_no as No",
		_SERVISISLEMLERI.".gider_tutar as Tutar ",
		" NULL as Odeme ",
		" 'servis_islem' as Tur ",
		_MUSTERILER.".musteri_adi as cari_adi"
	);
	
	$tahs		=	array(
		_TAHSILAT.".tahsilat_id as ID",
		_TAHSILAT.".tahsilat_tarihi as Tarih",
		_TAHSILAT.".islem as No",
		_TAHSILAT.".tahsilat_fiyat as Tutar",
		_TAHSILAT.".odeme_tur as Odeme",
		" 'tahsilat' as Tur ",
		_MUSTERILER.".musteri_adi as cari_adi"
	);
	
	$fat			=	array(
		_GGFISLER.".gg_fis_id as ID",
		_GGFISLER.".gg_fis_tarihi as Tarih",
		_GGFISLER.".islem as No ",
		_GGFISLER.".tutar as Tutar",
		_GGFISLER.".odeme_tur as Odeme",
		" 'gg_fis' as Tur ",
		_GEGKART.".kart_ismi as cari_adi"
	);
																					
	$hareketler	=	$_servis -> ozelSorgu( "( select ".implode( ",", $sFisler )." from "._SERVISISLEMLERI." 
																					inner join "._SERVISFISLERI." on "._SERVISFISLERI.".servis_fis_id = "._SERVISISLEMLERI.".servis_fis_id 
																					inner join "._MUSTERILER." on "._SERVISFISLERI.".musteri_id = "._MUSTERILER.".musteri_id 
																					where "._SERVISFISLERI.".fis_sil = 0 and "._SERVISISLEMLERI.".servis_islem_sil = 0 
																					and "._SERVISISLEMLERI.".gider_tutar > 0  ".$whereTarih1." ) 
																					UNION ALL 
																					( select ".implode( ",", $tahs )." from "._TAHSILAT." 
																					inner join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._TAHSILAT.".musteri_id 
																					where "._TAHSILAT.".tahsilat_sil = 0 ".$whereTarih2." ) 
																					UNION ALL 
																					( select ".implode( ",", $fat )." from "._GGFISLER." 
																					inner join "._GEGKART." on "._GEGKART.".kart_id = "._GGFISLER.".kart_id 
																					where "._GGFISLER.".gg_fis_sil = 0 ".$whereTarih3." ) 
																					order by Tarih desc" );
																					
	$islem_tur	=	array(
		"servis_islem"	=>	"Servis Gideri",
		"tahsilat"	=>	array(
			"gelir"	=>	"Tahsilat",
			"gider"	=>	"Ödeme"
		),
		"gg_fis"		=>	array(
			"gelir"		=>	"Gelir Fişi",
			"gider"		=>	"Gider Fişi"
		)
	);
	
	$odeme_tur	=	array( "", "Nakit", "Kredi Kartı", "Çek" );
																					
	ob_start();
	
?>

	<div id="tabloUst">
		<form id="kasa-hareketleri" method="post" action="">
		
		<div class="inline-block listele-secenek clearfix" style="z-index:120;">
		
			<div class="form-group no-margin pull-left">
				<div class="input-group no-margin">
					<select name="tur" class="form-control selectpicker">
						<option value="hepsi">Hepsi</option>
						<?php foreach( $select as $key => $val ): ?>
							<option value="<?php echo $key; ?>" <?php echo ( $params["tur"] == $key ) ? "selected" : null; ?>><?php echo $val; ?></option>
						<?php endforeach; ?>
					</select>
				</div>
			</div>
		</div>
		
		<div class="inline-block listele-secenek clearfix">
			<div class="form-group no-margin pull-left">
				<div class="input-group tarih-secim input-daterange no-margin">
					<input type="text" name="start" placeholder="Başlangıç" class="form-control datepicker" 
					value="<?php echo ( $bas ) ? date( "d/m/Y", strtotime( $bas ) ) : null; ?>" />
					<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
					<input type="text" name="end" placeholder="Bitiş" class="form-control datepicker" 
					value="<?php echo ( $bitis ) ? date( "d/m/Y", strtotime( $bitis ) ) : null; ?>" />
				</div>
			</div>
		</div>
		
		<div class="inline-block listele-secenek clearfix">
			<button type="button" class="btn btn-primary no-radius no-shadow pull-left" 
			data-hrk-form="#kasa-hareketleri" data-listele="rapor_kasa_hareketleri">
			<i class="fa fa-search"></i></button>
		</div>
		
		</form>
	</div>
	
	<div id="tabloListelemeDiv">
		<form method="post" action="" id="dataForm">
			<table id="tabloListeleme" class="table table-bordered" data-hangisi="rapor_kasa_hareketleri">
				<thead>
					<tr> 
						<th style="width:70px;">ID</th>
						<th>Cari / Kart Adı</th>
						<th style="width:100px;">İşlem Türü</th>
						<th style="width:100px;">Tarih</th>
						<th style="width:150px;">Fiş No / Ödeme Türü</th>
						<th style="width:100px;">Tutar</th>
					</tr>
				</thead>
				
				<tbody>
					<?php foreach( $hareketler as $hrk ): 
						
						static $toplam	=	0.00;
						$tutar						=	0.00;
						
						$_tur	=	$islem_tur[ $hrk["Tur"] ];
						
						if( $hrk["Tur"] == "gg_fis" ){
							$_tur		=	$islem_tur[ $hrk["Tur"] ][ $hrk["No"] ];
							$odeme	=	$odeme_tur[ $hrk["Odeme"] ];
							
							if( $hrk["No"] == "gider" ){
								$tutar		=		-floatval( $hrk["Tutar"] );
							}
							else if( $hrk["No"] == "gelir" ){
								$tutar		=		floatval( $hrk["Tutar"] );
							}
						}
						else if( $hrk["Tur"] == "tahsilat" ){
							$_tur		=	$islem_tur[ $hrk["Tur"] ][ $hrk["No"] ];
							$odeme	=	$odeme_tur[ $hrk["Odeme"] ];
							
							if( $hrk["No"] == "gelir" ){
								$tutar		=	floatval( $hrk["Tutar"] );
							}
							else if( $hrk["No"] == "gider" ){
								$tutar		=	-floatval( $hrk["Tutar"] );
							}
						}
						else if( $hrk["Tur"] == "servis_islem" ){
							$tutar		=	-floatval( $hrk["Tutar"] );
							$odeme	=	$hrk["No"];
						}
						
						$toplam	+=	$tutar;
					?>
						<tr>
							<td data-order="<?php echo $hrk["ID"]; ?>"><?php echo $hrk["ID"]; ?></td>
							
							<td><strong><?php echo $hrk["cari_adi"]; ?></strong></td>
							
							<td><?php echo $_tur; ?></td>
							
							<td data-order="<?php echo $hrk["Tarih"]; ?>"><?php echo date( "d.m.Y", strtotime( $hrk["Tarih"] ) ); ?></td>
							
							<td><?php echo $odeme; ?></td>
							
							<td data-order="<?php echo ( $tutar ) ? $tutar : null; ?>">
								<?php echo ( $tutar ) ? '<strong 
								style="color:'.( ( $tutar >= 0 ) ? '#0086b3' : '#d90000' ).';">'.sqlToPara( $tutar ).'</strong>'.' <i class="fa fa-try"></i>' : null; ?>
							</td>
							
						</tr>
					<?php endforeach; ?>
				</tbody>
				
				<tfoot>
					<tr> 
						<th>ID</th>
						<th>Cari / Kart Adı</th>
						<th>İşlem Türü</th>
						<th>Tarih</th>
						<th>Fiş No / Ödeme Türü</th>
						<th>
							<?php echo ( $toplam ) ? '<strong 
								style="color:'.( ( $toplam >= 0 ) ? '#0086b3' : '#d90000' ).';">'.sqlToPara( $toplam ).'</strong>'.' <i class="fa fa-try"></i>' : null; ?>
						</th>
					</tr>
				</tfoot>
			</table>
		</form>
	</div>

<?php

	$cikti	=	ob_get_contents();
	
	ob_end_clean();
	
	$sonuc["hata"]					=	false;
	$sonuc["datePicker"]		=	true;
	$sonuc["selectPicker"]	=	true;
	$sonuc["data"]					=	$cikti;
	
	echo json_encode( $sonuc );

?>