<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_FILES["resim"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/plugin/upload/class.upload.php";
	
	$servis = new Servis();
	$resim = new upload($_FILES["resim"],"tr_TR");
	$hangisi = post("hangisi");
	$id = post("id");
	$resim_adi = (trim($_POST["resim_adi"])) ? post("resim_adi") : false;
	$sonuc = array();
	$max_size = 4 * 1024 * 1024; //4mb max boyut
	$servis_max_resim = 6;
	
	switch( $hangisi ){
		case "durum":
			$yetkiMesaj	=	( yetki( "durum_ikon_ekle" ) ) ? null : "Durum İkonu Ekleme Yetkiniz Yok !";
		break;
		case "cihaz":
			$yetkiMesaj	=	( yetki( "cihaz_ikon_ekle" ) ) ? null : "Cihaz İkonu Ekleme Yetkiniz Yok !";
		break;
		case "marka":
			$yetkiMesaj	=	( yetki( "marka_logo_ekle" ) ) ? null : "Marka Logosu Ekleme Yetkiniz Yok !";
		break;
		case "personel":
			$yetkiMesaj	=	( yetki( "personel_resim_ekle" ) ) ? null : "Personel Resmi Ekleme Yetkiniz Yok !";
		break;
		case "musteri":
			$yetkiMesaj	=	( yetki( "musteri_resim_ekle" ) ) ? null : "Müşteri Resmi Ekleme Yetkiniz Yok !";
		break;
		case "servis_fisi":
			$yetkiMesaj	=	( yetki( "servis_resim_ekle" ) ) ? null : "Servis Resmi Ekleme Yetkiniz Yok !";
		break;
		case "firma_bilgileri":
			$yetkiMesaj	=	( yetki( "firma_logo_ekle" ) ) ? null : "Firma Logosu Ekleme Yetkiniz Yok !";
		break;
	}
	
	if( $yetkiMesaj ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	$yetkiMesaj;
		echo json_encode( $sonuc );
		exit();
	}
	
	if( !$id ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Tanımsız Gelen Bilgi.";
		echo json_encode( $sonuc );
		exit();
	}
	
	$mesaj = '<strong><i class="fa fa-check"></i> Tebrikler.</strong><br /><i class="fa fa-info-circle"></i> Yükleme Başarılı.';
	
		switch( $hangisi ){
			case "durum":
				$resim -> image_max_height = 200;
				$resim -> image_max_width = 200;
				$sql = "update "._DURUMLAR." set durum_resim = ? where durum_id = ?";
			break;
			case "cihaz":
				$resim -> image_max_height = 200;
				$resim -> image_max_width = 200;
				$sql = "update "._CIHAZLAR." set cihaz_resim = ? where cihaz_id = ?";
			break;
			case "marka":
				$resim -> image_resize = true;
				$resim -> image_ratio = true;
				$resim -> image_x = 250;
				$resim -> image_y = 200;
				$sql = "update "._MARKALAR." set marka_resim = ? where marka_id = ?";
			break;
			case "personel":
				$resim -> image_resize = true;
				$resim -> image_ratio = true;
				$resim -> image_x = 250;
				$resim -> image_y = 200;
				$sql = "update "._USERS." set user_profil_resmi = ? where user_id = ?";
			break;
			case "musteri":
				$resim -> image_resize = true;
				$resim -> image_ratio = true;
				$resim -> image_x = 480;
				$resim -> image_y = 320;
				$sql = "update "._MUSTERILER." set musteri_profil_resmi = ? where musteri_id = ?";
			break;
			case "stok":
				$resim -> image_resize = true;
				$resim -> image_ratio = true;
				$resim -> image_x = 480;
				$resim -> image_y = 320;
				$sql = "update "._YEDEKPARCA." set stok_foto = ? where yedek_parca_id = ?";
			break;
			case "servis_fisi":
				$resim -> image_resize = true;
				$resim -> image_ratio = true;
				$resim -> image_x = 1024;
				$resim -> image_y = 768;
				$sql = "insert into "._RESIMLER." set resim_tur = 'servis_fisi', resim_link = ?, resim_tur_id = ?";
			break;
			case "firma_bilgileri":
				$resim -> image_resize = true;
				$resim -> image_ratio = true;
				$resim -> image_x = 480;
				$resim -> image_y = 320;
				$sql = "update "._FIRMA." set firma_logo = ? where firma_id = ?";
			break;
		}
		
		$dosya_ismi = uniqid()."_".time();
		
	$resim -> image_ratio_no_zoom_in = true;
	$resim -> file_max_size = $max_size;
	$resim -> allowed = array("image/jpg","image/png","image/jpeg");
	$resim -> file_name_body_pre = $hangisi."_";
	$resim -> file_new_name_body = $dosya_ismi;
	$resim -> Process($_SESSION["root"]."/uploads/resimler/");
	
		if($resim -> processed){
			$isim = $resim -> file_dst_name;
			//Eğer gönderilen resim servis fişi içinse
			if($hangisi == "servis_fisi"){
				$kayit = $servis -> ozelSorgu("select resim_id from "._RESIMLER." where resim_tur = 'servis_fisi' and resim_tur_id = ?",array($id));
				if(count($kayit) >= $servis_max_resim){
					$sonuc["hata"] = true;
					$sonuc["mesaj"] = "En Fazla {$servis_max_resim} Adet Resim Yükleyebilirsiniz!";
				}
				else{
					if($servis -> kayitEkle($sql,array($isim,$id))){
						$resimler = $servis -> ozelSorgu("select * from "._RESIMLER." where resim_tur = 'servis_fisi' and resim_tur_id = ?",array($id));
						$content = "";
						foreach($resimler as $rsm){
							$path = $_SESSION["oto_url"]."/uploads/resimler/".$rsm["resim_link"];
							$content .= '<div class="col-xs-6 col-sm-3 col-md-2">
											<a href="'.$path.'" class="fancybox" rel="servis-resimleri">
												<span data-resim-id="'.$rsm["resim_id"].'" class="servis-resim-sil" data-resim-adi="'.$rsm["resim_link"].'" data-servis-id="'.$id.'"><i class="fa fa-times"></i></span>
												<img src="'.$path.'" class="img-responsive servis-resmi-bir" alt="" />
													<div class="resim-siliniyor">
														<span class="rotate"><i class="fa fa-spinner"></i></span>
													</div>
											</a>
										</div>';
						}
							$sonuc["hata"] = false;
							$sonuc["son_id"] = $id;
							$sonuc["servis_fisi"] = true;
							$sonuc["mesaj"] = $mesaj;
							$sonuc["content"] = '<div class="panel panel-default" style="margin:0;border:none;box-shadow:none;">
													<div class="panel-heading baslik">
													<h3 class="panel-title" style="font-size:13px;"><strong>Resimler</strong></h3>
													</div>
													<div class="panel-body">
													<div class="row">
													'.$content.'
													</div>
													</div>
												</div>';
							$sonuc["resim_path"] = $_SESSION["oto_url"]."/uploads/resimler/".$isim;
					}
					else{
						$sonuc["hata"] = true;
						$sonuc["mesaj"] = $servis -> getHata();
					}
				}
				echo json_encode($sonuc);
				exit();
			}
			//-----------------------------------------------------------------------------------------
			
			if($servis -> kayitGuncelle($sql,array($isim,$id))){
				$sonuc["hata"] = false;
				$sonuc["mesaj"] = $mesaj;
				$sonuc["resim_path"] = $_SESSION["oto_url"]."/uploads/resimler/".$isim;
				if($resim_adi){
					unlink($_SESSION["root"]."/uploads/resimler/".$resim_adi);
				}
			}
			else{
				$sonuc["hata"] = true;
				$sonuc["mesaj"] = $servis -> getHata();
			}
		}
		else{
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $resim -> error;
		}
		
	echo json_encode($sonuc);

?>