<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$tutar			=	paraToSql( post("tutar") );
	$islem_id	=	post("islem_id");
	$fis_id			=	post("fis_id");
	$sonuc		=	array();
	
	$yetki_servis_tutari_guncelle	=	yetki( "servis_tutari_guncelle" );
	
	//Yetki Kontrolü
	if( !$yetki_servis_tutari_guncelle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Servis Tutarı Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	$_servis		=	new Servis();
	
	//Boşluk kontrolü
	if( !$fis_id || !$islem_id ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Eksik Bilgi!";
		echo json_encode( $sonuc );
		exit();
	}
	
	$guncelle	=	$_servis -> kayitGuncelle("update "._SERVISISLEMLERI." set servis_tutar = ? where servis_islem_id = ?", array( $tutar, $islem_id ) );
	
	if( $guncelle !== false ){
		$toplam_tutar		=	$_servis -> ozelSorgu("select SUM(servis_tutar) as toplam_tutar from "._SERVISISLEMLERI." 
																								where servis_fis_id = ? and servis_islem_sil = 0", array( $fis_id ) );
																							
		$sonuc["hata"]									=	false;
		$sonuc["tutar"]									=	sqlToPara( $tutar );
		$sonuc["servis_toplam_tutar"]	=	sqlToPara( $toplam_tutar[0]["toplam_tutar"] );
		$sonuc["servis_fis_id"]					=	$fis_id;
	}
	
	echo json_encode( $sonuc );

?>