<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$tur			=	post("tur");
	$sonuc	=	array();
	
	switch( $tur ){
		case "email"	:
			
			$sunucu				=	post("email_sunucu");
			$kullanici_adi	=	post("email_kullanici_adi");
			$sifre					=	post("email_sifre");
			$port					=	post("email_port");
			
			if( empty( $sunucu ) || empty( $kullanici_adi ) || empty( $sifre ) ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	'<div class="alert alert-danger">Lütfen Bilgileri Boş Bırakmayın!</div>';
				echo json_encode( $sonuc );
				exit();
			}
			
			require $_SESSION["root"]."/plugin/phpmailer/PHPMailerAutoload.php";
			
			$mail				=	new PHPMailer();
	
			$mail -> isSMTP();
			$mail -> SMTPAuth	= true;
			$mail -> Host		= $sunucu;
			$mail -> Username	= $kullanici_adi;
			$mail -> Password	= $sifre;
			$mail -> SMTPSecure	= 'TLS';
			$mail -> Port		= ( $port ) ? intval($port) : 587;
			$mail -> Timeout	= 5;
			$mail -> SMTPOptions = array (
				'ssl' => array(
				'verify_peer' => false,
				'verify_peer_name' => false,
				'allow_self_signed' => true)
			);
			
			if( $mail -> smtpConnect() ){
				$mail->smtpClose();
				$sonuc["hata"]	=	false;
				$sonuc["mesaj"]	=	'<div class="alert alert-success"><i class="fa fa-check"></i> Tebrikler Ayarlar Doğrulandı.</div>';
			}
			else{
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	'<div class="alert alert-danger"><i class="fa fa-times"></i> Ayarlar Doğrulanamadı!</div>';
			}
			
		break;
		
		case "sms"	:
		
			$kullanici_adi	=	post("sms_kullanici_adi");
			$sifre					=	post("sms_sifre");
			$baslik					=	post("sms_mesaj_baslik");
			
			if( empty( $kullanici_adi ) || empty( $sifre ) || empty( $baslik ) ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	'<div class="alert alert-danger">Lütfen Bilgileri Boş Bırakmayın!</div>';
				echo json_encode( $sonuc );
				exit();
			}
			
			require $_SESSION["root"]."/inc/Curl.php";
			require $_SESSION["root"]."/inc/Sms.php";
			
			$sms			=	new Sms();
			
			$_sonuc	=	$sms -> Test( $kullanici_adi, $sifre );
			
			if( $_sonuc ){
				$sonuc["hata"]	=	false;
				$sonuc["mesaj"]	=	'<div class="alert alert-success">'.$sms -> Mesaj().'</div>';
			}
			else{
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	'<div class="alert alert-danger">'.$sms -> Mesaj().'</div>';
			}
			
		break;
	}
	
	echo json_encode( $sonuc );

?>