<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Curl.php";
	require $_SESSION["root"]."/inc/Sms.php";
	
	$musteriler		=	post("musteriler");
	$mesaj					=	post("mesaj");
	$sonuc				=	array();
	
	$yetki_sms_gonder					=	yetki( "sms_gonder" );
	$yetki_servis_sms_gonder	=	yetki( "servis_sms_gonder" );
	
	//Yetki Kontrolü
	if( post("kayit") == "ekle" ){
		if( !$yetki_servis_sms_gonder ){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	"Sms Gönderme Yetkiniz Yok !";
			echo json_encode( $sonuc );
			exit();
		}
	}
	else{
		if( !$yetki_sms_gonder ){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	"Sms Gönderme Yetkiniz Yok !";
			echo json_encode( $sonuc );
			exit();
		}
	}
	
	if( empty( $mesaj ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Gerekli Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	if( !is_array( $musteriler ) && empty( $musteriler ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Gerekli Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	$_servis				=	new Servis();
	
	$sms_ayarlar	=	$_servis -> ozelSorgu("select sms_kullanici_adi, sms_sifre, sms_mesaj_baslik from "._SMS_EMAIL." where ayar_id = 1");
	
	extract( $sms_ayarlar[0] );
	
	if( !$sms_kullanici_adi || !$sms_sifre ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Sms Ayarlarınız Yapılandırılmamış! Ayarlar Bölümüden Sms Ayarlarınızı Yapabilirsiniz.";
		echo json_encode($sonuc);
		exit();
	}
	
	$sms	=	new Sms();
	
	//Gönderilecek telefonlar belirtiliyor
	foreach( $musteriler as $telNo ){
		$sms -> numaraEkle( $telNo ); // Name is optional
	}
	
	$gonder	=	$sms -> smsGonder( $sms_kullanici_adi, $sms_sifre, $mesaj, $sms_mesaj_baslik );

	if( !$gonder ) {
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Mesajınız Gönderilemedi. ".$sms -> Mesaj();
	} else {
		$sonuc["hata"]	=	false;
		$sonuc["mesaj"]	=	"<i class='fa fa-check'></i> Sms Mesajınız Gönderildi. ".$sms -> Mesaj();
		
		//Sms gönderilmişse veritabanına kaydediliyor
		if( post("kayit") == "ekle" ){
			$servis_fis_id	=	post("servis_fis_id");
			$benID				=	$_SESSION["user"]["user_id"];
			$kayit					=	$_servis -> kayitEkle("insert into "._SMS_EMAIL_GONDERILENLER." set se_gonderen_id = ?, se_mesaj = ?, 
																		se_tur = ?, servis_fis_id = ?", array($benID, $mesaj, "sms", $servis_fis_id) );
			if( $kayit !== false ){
				$sonuc["gonderim"]	=	true;
				$sonuc["content"]	=	'<div class="gonderim-bir">
																	<div class="header clearfix">
																		<span class="gonderen pull-left">
																		<strong> '.$_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"].'</strong></span>
																		<span class="tarih pull-right"><strong>'.date( "d/m/Y H:i" ).'</strong></span>
																	</div>
																	<div class="mesaj">
																		<div class="detay">'.$mesaj.'</div>
																	</div>
																</div>';
			}
		}
	}
	
	echo json_encode($sonuc);

?>