<?php

	session_start();
	
	if( !isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"] ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Yetkiler.php";
	
	$id				=	post("id");
	$baslik		=	post("yetki_baslik");
	$yetkiler	=	post("yetkiler");
	$_servis	=	new Servis();
	$_yetki	=	new Yetki();
	$sonuc	=	array();
	
	$yetki_duzenle	=	yetki( "yetki_duzenle" );
	
	//Yetki Kontrolü
	if( !$yetki_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Yetki Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if( empty( $baslik ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode( $sonuc );
		exit();
	}
	
	if( !$id ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Tanımsız Bilgi. ID Eksik !";
		echo json_encode( $sonuc );
		exit();
	}
	
	$yetkiSql	=	array_reduce( array_keys( $yetkiler ), function( $k, $item ){
									$k	.= "[".$item."]";
									return $k;
								} );
								
	$guncelle	=	$_servis -> kayitGuncelle( "update "._YETKILER." set yetki_baslik = ?, yetkiler = ? where yetki_id = ?", array( $baslik, $yetkiSql, $id ) );
	
	if( $guncelle === false ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Güncelleme Başarısız. ".$_servis -> getHata();
		echo json_encode( $sonuc );
		exit();
	}
	
	$_SESSION["bilgi"]["yetkiler"]	=	$_yetki -> sadeceYetkiler( array( "yetki_id", "yetki_baslik" ) );
	
	$sonuc["hata"]	=	false;
	$sonuc["mesaj"]	=	"Yetki Grubu Güncellendi. Değişiklik İçin Sayfayı Yenileyiniz.";
	
	echo json_encode( $sonuc );

?>