	
	//
	var bildirimler = {
		simdi : window._simdi,
		cache : function(){
			this.$bildirimMesajlar						=	$("#bildirim-mesajlar");
			this.$bildirimMesajlarAdet			=	this.$bildirimMesajlar.find(" > a > .badges");
			this.$bildirimMesajlarHeader		=	this.$bildirimMesajlar.find("li.header");
			this.$bildirimMesajlarMenu			=	this.$bildirimMesajlar.find(".bildirimler-menu");
			this.$bildirimBildirimler					=	$("#bildirim-bildirimler");
			this.$bildirimBildirimlerAdet		=	this.$bildirimBildirimler.find(" > a > .badges");
			this.$bildirimBildirimlerDrop		=	this.$bildirimBildirimler.find("ul.dropdown-menu");
			this.$bildirimBildirimlerHeader	=	this.$bildirimBildirimlerDrop.find("li.header");
			this.$bildirimBildirimlerMenu		=	this.$bildirimBildirimlerDrop.find(".bildirimler-menu");
		},
		basla : function(){
			this.cache();
			this.$ses = document.getElementById("bildirimSes");
			this.yeniFisKontrolInterval	=	setInterval( this.yeniFisKontrol.bind( this ), 35000 );//35 saniyede bir yeni fiş kontrolü yapar
			this.bildirimKontrolInterval	=	setInterval( this.bildirimKontrol.bind( this ), 45000 );//45 saniyede bir bildirim kontrolü yapar
		},
		yeniFisKontrol : function(){
			var dis = this;
			$.ajax({
				url : SITE + "/ajax/ajax_yeni_fis_kontrol.php",
				type : "post",
				dataType : "json",
				data : { zaman : dis.simdi },
				success : function(c){
					if( c.adet > 0 ){
						bildirim({
							"mesaj" : c.mesaj,
							"merkez" : "bottomRight",
							"zaman" : false,
							"durum" : "success"
						});
						dis.$ses.play();
					}
					dis.simdi = c.simdi;
				}
			});
		},
		sil : function( id ){
			$.post( SITE + "/ajax/ajax_bildirim_sil.php", {
				bildirim_id	:	id
			});
		},
		bildirimKontrol : function(){
			var dis = this;
			$.ajax({
				url : SITE + "/ajax/ajax_bildirim_kontrol.php",
				type : "post",
				dataType : "json",
				success : function(c){
					if( c.mesajSayisi > 0 ){
						dis.$bildirimMesajlarAdet.show().text( c.mesajSayisi );
						dis.$bildirimMesajlarHeader.text( c.mesajSayisi + " Yeni Mesajınız Var" );
						dis.$bildirimMesajlarMenu.html( c.mesajlarHtml );
					}
					else{
						dis.$bildirimMesajlarAdet.hide();
						dis.$bildirimMesajlarHeader.text( "Yeni Mesajınız Yok" );
						dis.$bildirimMesajlarMenu.html( "" );
					}
					if( c.bildirimSayisi > 0 ){
						dis.$bildirimBildirimlerAdet.show().text( c.bildirimSayisi );
						dis.$bildirimBildirimlerDrop.css("visibility","visible");
						dis.$bildirimBildirimlerHeader.text( c.bildirimSayisi + " Adet Bildiriminiz Var" );
						dis.$bildirimBildirimlerMenu.html( c.bildirimlerHtml );
					}
					else{
						dis.$bildirimBildirimlerAdet.hide();
						dis.$bildirimBildirimlerDrop.css("visibility","hidden");
						dis.$bildirimBildirimlerHeader.text( "Yeni Bildiriminiz Yok" );
						dis.$bildirimBildirimlerMenu.html( "" );
					}
				}
			});
		}
	};
	
	//Aktif personel kontrolleri
	var aktifPersoneller = {
		simdi			:	window._simdi,
		cache		:	function(){
			this.$aktifUsers		=	$("span#aktif-users");
			this.$onlineUsers	=	$(".online-users");
		},
		basla			:	function(){
			this.cache();
			this.aktifPersonellerKontrol = setInterval( this.gonder.bind(this), 55000);//55 saniyede bir aktif personelleri kontrol eder
		},
		gonder	:	function(){
			var dis = this;
			$.ajax({
				url : SITE + "/ajax/ajax_aktif_personel_kontrol.php",
				type : "post",
				dataType : "json",
				data : { zaman : dis.simdi },
				success : function(c){
					dis.simdi = c.zaman;
					if( c.aktifPersonelSayisi > 0 ){
						 dis.$aktifUsers.show().text( c.aktifPersonelSayisi );
						 dis.$onlineUsers.html( c.aktifPersonellerHtml );
					}
				}
			});
		}
	};