$(function(){
	
	// var parr = {
		// "order" : "fis_id",
		// "sort" : "desc",
		// "where" : {
			// "kolon" : [ "tarih" , "sikayet" ],
			// "tur" : [ "aylik" , "like"],
			// "value" : [ "2016-02-26 17:48" , "lorem"]
		// }
	// };
	
	// Listele("servis_fisleri",parr);
	
	Listele("durumliste");
	
	aktifPersoneller.basla();
	aktifPersoneller.gonder();
	bildirimler.basla();
	bildirimler.bildirimKontrol();
	tabMenu.basla();
	malzemeEkle.basla();
	panelAccordion.basla();
	servisIslem.basla();
	smsEmailGonder.basla();
	kayitSil.basla();
	devamSuresi.basla();
	iceriAktar.basla();
	kayitliMusteriSec.basla();
	tumunuSec.basla();
	faturaEkle.basla();
	
	$("[data-inputmask]").inputmask();
	$("[data-para-format]").maskMoney();
	
	$( "#hizli-musteri-ekle" ).on( 'hidden.bs.modal', function ( e ){
		$( "body" ).addClass( "modal-open" );
	});
	
	//Hızlı parça ekle
	$("body").on( "click", "[data-yedek-parca-ekle=true]", function(e){
		e.preventDefault();
		var $panel	=	$("#yedek-parca-ekle");
		var $form	=	$panel.find( "#yedek-parca-ekleme-formu" );
		var $barkod=	$form.find( "input[name=barkod]" );
		var zaman	=	Math.floor(Date.now() / 1000);
		
		$form[0].reset();
		$barkod.val( zaman );
		$panel.modal( "show" );
	});
	
	$( "#yedek-parca-ekle" ).on( 'hidden.bs.modal', function ( e ){
		var $dis					=	$( this );
		var $son_panel	=	$dis.find( ".son-panel" );
		
		$.ajax({
			url				:	SITE + "/ajax/ajax_yedek_parcalar_get.php",
			type			:	"post",
			dataType:	"json",
			data			:	{ "data" : true },
			success	:	function( c ){
				$( "select[name=yedek_parca_id]" ).html( c.cikti ).selectpicker( 'refresh' );
				
				urunler	=	{};
				$.each( c.urunler, function( i, v){
					urunler["id_" + v.yedek_parca_id]  = {
						"yedek_parca_id"		:	v.yedek_parca_id,
						"yedek_parca_adi"	:	v.yedek_parca_adi,
						"barkod"							:	v.barkod,
						"birim_fiyat"					:	parseFloat( v.birim_fiyat.replace( ",", "." ) ),
						"alis_fiyat"						:	parseFloat( v.alis_fiyat.replace( ",", "." ) ),
						"kdv"								:	v.kdv
					}
				});
				
				console.log( urunler );
			}
		});
		
		$son_panel.hide();
		$( "body" ).addClass( "modal-open" );
	});
	
	//Email ayarları test ediliyor
	$(document).on("click",".sms-email-test-btn",function(){
		var $dis			=	$( this );
		var $sonuc	=	$dis.siblings(".sms-email-test-sonuc");
		var form		=	$( $dis.data("form") );
		var tur				=	$dis.data("tur");
		$dis.attr("disabled", true);
		$.ajax( SITE + "/ajax/ajax_sms_email_test.php",{
			type				:	"post",
			data				:	form.serialize() + "&tur=" + tur,
			dataType	:	"json",
			success		:	function( c ){
				$sonuc.html( c.mesaj );
			},
			complete	:	function(){
				$dis.removeAttr( "disabled" );
			}
		});
		
		$dis.off("click");
	});
	
	//Excele aktarım için paramtreler hazırlanıyor
	$(document).on("click","[data-excel-btn]",function(e){
		e.preventDefault();
		var $dis			=	$(this);
		var hangisi		=	$dis.data("excel-btn");
		var param		=	$dis.data("param");
		var token		=	$dis.data("token");
		var sayfa		=	param.sayfa || 1;
		var where		=	param.where || false;
		var noToken	=	param.noToken || false;
		var order		=	param.order || undefined;
		var sort			=	param.sort || undefined;
		var getPar		=	{
			params			:	{
				sayfa				:	sayfa,
				where			:	where,
				noToken		:	noToken,
				order			:	order,
				sort				:	sort
			}
		};
		window.open( SITE + "/goster/excele-aktar.php?" + $.param( getPar ) + "&hangisi=" + hangisi + "&token=" + token ,"_blank" );
		
		$dis.off("click");
	});
	
	//Yazdırma için paramtreler hazırlanıyor
	$(document).on("click","[data-yazdir-btn]",function(e){
		e.preventDefault();
		var $dis			=	$(this);
		var hangisi		=	$dis.data("yazdir-btn");
		var param		=	$dis.data("param");
		var token		=	$dis.data("token");
		var sayfa		=	param.sayfa || 1;
		var where		=	param.where || false;
		var noToken	=	param.noToken || false;
		var order		=	param.order || undefined;
		var sort			=	param.sort || undefined;
		var getPar		=	{
			params			:	{
				sayfa				:	sayfa,
				where			:	where,
				noToken		:	noToken,
				order			:	order,
				sort				:	sort
			}
		};
		window.open( SITE + "/goster/yazdir.php?" + $.param( getPar ) + "&hangisi=" + hangisi + "&token=" + token ,"_blank" );
		
		$dis.off("click");
	});
	
	//Servis işlemi siliniyor
	$(document).on("click",".islem-bir .islem-sil",function(){
		var $dis			=	$(this);
		var islemId	=	$dis.data("islem-id");
		var servisId	=	$dis.data("servis-fis-id");
		var post			=	{ "id" : islemId, "fis_id" : servisId };

		if( confirm( "Silmek İstediğinize Emin misiniz ?" ) ){
			$dis.attr("disabled",true);
						
			$.ajax( SITE + "/ajax/ajax_servis_islemi_sil.php", {
				type				:	"post",
				dataType	:	"json",
				data				:	post,
				success		:	function( e ){
					if( e.silindi ){
						servisIslemleriGetir( servisId );
					}
				},
				complete	:	function(){
					$dis.removeAttr("disabled");
				}
			});
		}
		
		$dis.off("click");
	});
	
	//Url değiştirme kapatılıyor
	$(document).on("click","a.link-ata",function(e){
		e.preventDefault();
		$(this).off("click");
	});
	
	//İkon resmi silme işlemi
	$(document).on("click",".ikon-resim-sil",function(){
		var dis = $(this);
		var _param = dis.data("param");
		var loader = dis.siblings(".resim-siliniyor");
		loader.toggleClass("acik");
			$.ajax({
				url : SITE + "/ajax/ajax_resim_sil.php",
				type : "post",
				dataType : "json",
				data : _param,
				success : function(c){
					if(c.sil){
						dis.siblings("img[data-guncellenecek-resim]").attr("src",SITE + "/assets/img/no-image.jpg");
						dis.remove();
					}
				},
				complete : function(){
					loader.removeClass("acik");
				}
			});
		dis.off("click");
	});
	
	//Servis resmi silme işlemi
	$(document).on("click",".servis-resim-sil",function(e){
		e.preventDefault();
		var dis = $(this);

		if( confirm( "Silmek İstediğinize Emin misiniz ?" ) ){
			var loader = dis.siblings(".resim-siliniyor");
			loader.toggleClass("acik");

			var _data = {
				"resim_id" : dis.data("resim-id"),
				"servis_id" : dis.data("servis-id"),
				"resim_adi" : dis.data("resim-adi"),
				"tur" : "servis_resim"
			};

			$.ajax({
				url : SITE + "/ajax/ajax_resim_sil.php",
				type : "post",
				dataType : "json",
				data : _data,
				success : function(c){
					if( !c.hata ){
						servisResimleri( _data.servis_id, c.content );
					}
				},
				complete : function(){
					loader.removeClass("acik");
				}
			});
		}

		dis.off("click");
		return false;
	});
	
	$(document).on("click",".resim-siliniyor",function(){
		var dis = $(this);
		dis.off("click");
		return false;
	});
	
	//Hızlı müşteri kaydetme
	$(document).on("click",".hizli-musteri-kaydet",function(){
		var dis			=	$( this );
		var $form	=	$( dis.data( "form" ) );
		var $panel	=	$( "#hizli-musteri-ekle" );
		dis.attr( "disabled", true );
		
		$.ajax({
			url					:	SITE + "/ajax/ajax_musteri_ekle.php?hizliEkle=1",
			type				:	"post",
			dataType	:	"json",
			data				:	$form.serialize(),
			success		:	function( c ){
				if( c.hata ){
					mesaj( "uyari","HATA!",c.mesaj, true );
				}
				else{
					$panel.modal( "hide" );
					window.max_mus_id++;
					bildirim({
						"mesaj"		:	'<i class="fa fa-check"></i> Yeni Müşteri Kaydedildi.',
						"merkez"	:	"center",
						"zaman"		:	4000,
						"durum"		:	"success"
					});
					$form[0].reset();
					musteriSec(c.son_id,c.mInfo.kod,c.mInfo.isim,c.mInfo.email,c.mInfo.telefon,c.mInfo.il,c.mInfo.sehir,c.mInfo.adres);
				}
			},
			error				:	function( xhr, c ){
				mesaj( "uyari","HATA!","Sistem Hatası." + c, true );
			},
			complete	:	function(){
				dis.removeAttr( "disabled" );
			}
		});
			
		dis.off("click");
		return false;
	});
	
	//Hızlı müşteri ekleme paneli açılıyor
	$(document).on("click","[data-hizli-ekleme-paneli]",function(){
		var dis			=	$(this);
		var panel	=	$(dis.data("hizli-ekleme-paneli"));
		var $kod		=	panel.find("input[name=musteri_kodu]");
		$kod.val( "00" + window.max_mus_id );
		panel.modal( "show" );
		dis.off("click");
		
		$.ajax({ //hesap kodu almak için
			url : SITE + "/ajax/ajax_hesap_kodu.php",
			type : "post",
			dataType : "json",
			data : { "post" : true, "token" : _token },
			success : function( e ){
				( e.hesap ) ? $kod.val( e.hesap ) : undefined;
			}
		});
	});
	
	//Gizli panelleri aç - kapa
	$(document).on("change","[data-panel-check]",function(){
		var dis = $(this);
		var panel = $(dis.data("panel-check"));
		panel.slideToggle(200);
		dis.off("change");
	});
	
	//Bulunamayan resimlerin kaynağı değiştiriliyor
	$("img").error(function(){
		var dis = $(this);
		dis.attr("src", SITE + "/assets/img/img-not-found.png");
	});
	
	//Kayıttan sonra dosya seçme
	$(document).on("change","span.dosya-sec > input[type=file]",function(){
		var dis = $(this);
		var label = dis.parent().siblings("span.secilen-dosya");
		var yuklemeDiv = dis.parent().parent().siblings(".resim-yukleme-islemi");
		if(dis.val()){
			label.text(dis.val().split('/').pop().split('\\').pop());
			yuklemeDiv.fadeIn(250);
		}
		else{
			yuklemeDiv.fadeOut(250);
		}
	dis.off("change");
	});
	
	$(document).on("click",".resim-yukleme-butonu button[type=submit]",function(e){
		e.preventDefault();
		var dis = $(this);
		dis.attr("disabled",true);
		var _duzenle = dis.data("resim-duzenle");
		var form = $("#" + dis.data("form"));
		var fonksiyon = dis.data("fonksiyon");
		var resimPanel = dis.parent().parent().parent(".resim-yukleme-paneli");
		var loadBar = resimPanel.find(".resim-load-bar .progress-bar");
		var suankiResim = resimPanel.find("img[data-guncellenecek-resim]");
		var options = {
			url : SITE + "/ajax/ajax_resim_ekle.php",
			dataType : "json",
			beforeSend : function(){
				loadBar.css("width","0%");
			},
			success : function(e){
				if(e.hata){
					mesaj("uyari","HATA!",e.mesaj,true);
					dis.removeAttr("disabled");
					loadBar.css("width","0%");
				}
				else{
					//mesaj("basari","TEBRİKLER.","Yükleme Başarılı.",true);
					//Eğer servis fiş resmi yüklenmişse
					if(!e.servis_fisi){
						if(!_duzenle){
							resimPanel.find(".resim-secme").remove();
							resimPanel.find(".resim-yukleme-islemi").remove();
							resimPanel.find(".resim-ozellikleri").remove();
							resimPanel.find(".sonuc-mesaj").fadeIn(250).find(".alert").html(e.mesaj);
						}
						resimPanel.find(".dosya-sec").attr("disabled",true).find("input[type=file]").attr("disabled",true);
						resimPanel.find(".resim-yukleme-islemi").fadeOut(250);
						resimPanel.find(".ikon-resim-sil").remove();
						loadBar.css("width","0%");
						dis.removeAttr("disabled");
						suankiResim.attr("src",e.resim_path).siblings(".yeni-resim-yukleniyor").fadeIn(200);
						suankiResim.load(function(){
							suankiResim.siblings(".yeni-resim-yukleniyor").hide();
						});
					}
						
					if(fonksiyon){
						window[fonksiyon](e.son_id,e.content);
						dis.removeAttr("disabled");
						loadBar.css("width","0%");
						resimPanel.find(".resim-yukleme-islemi").slideUp(250);
					}
				}
			},
			uploadProgress : function(e,pos,total,yuklenen){
				loadBar.css("width",yuklenen + "%");
			},
			error : function(xhr,c){
				mesaj("uyari","HATA!","Sistem Hatası." + c,true);
				dis.removeAttr("disabled");
				loadBar.css("width","0%");
			}
		}
			form.ajaxSubmit(options);
			
		dis.off("click");
	});
	
	//Arama
	$(document).on("click","[data-liste-ara]",function(e){
		e.preventDefault();
		var dis = $(this);
		var param = dis.data("liste-ara");
		var form = $("#" + param.form);
		var data = form.serialize();
		var inputs = form.find(":input[data-tur]");
		var tur = [], kolon = [], value = [], ekstraTablo = [];
		var tarihValue = "";
		var i = 0;

			inputs.each(function(){
				var tis = $(this);
				var par = tis.data("tur");
				if($.trim(tis.val()) && par){
					if(par.tarih){
						if(par.tarih == "bitis"){
							tarihValue += tis.val() + "&";
							tur.push(par.tur);
							kolon.push(par.kolon);
							value.push(tarihValue);
							ekstraTablo.push(par.ekstraTablo);
							tarihValue = "";
						}
						else{
							tarihValue += tis.val() + "&";
						}
					}
					else{
						tur.push(par.tur);
						kolon.push(par.kolon);
						value.push($.trim(tis.val()));
						ekstraTablo.push(par.ekstraTablo);
						tarihValue = "";
					}
					i++;
				}
			});
		
		if(i){
			var parr = {
				"where" : {
					"kolon" : kolon,
					"tur" : tur,
					"value" : value,
					"ekstraTablo" : ekstraTablo
				}
			}
			Listele(param.hangisi,parr);
			$("#modal-panel").modal("hide");
		}
		
	dis.off("click");
	});
	
	$(document).on("click","[data-modal-ac]",function(e){
		e.preventDefault();
		var dis = $(this);
		var param = dis.data("param");
		var form = dis.data("modal-ac");
		modalAc(form,param);
		dis.off("click");
	});
	
	//Önceki panele geçiş yapılıyor
	$("#onceki-panel").click(function(){
		var dis = $(this);
		Listele(dis.data("hangisi"),dis.data("param"));
	});
	
	//Seçilen satırları sil
	// $(document).on("click","button.sil-ikon",function(){
		// var dis = $(this);
		// if(!dis.hasClass("disabled")){
			// var secilecekler = $("#tabloListeleme").find("[data-gorev=secilecekler]:checked");
			// var hangisi = $("#tabloListeleme").data("hangisi");
			// var secilenler = $.map(secilecekler,function(k,v){
				// return k.value;
			// });
		// }
		
		// dis.off("click");
	// });
	
	//Tıklamaları kapat
	// $(document).on("click","a",function(e){
		// e.preventDefault();
	// });
	
	//Alt menü açılıyor
	$("a[data-alt-menu=true]").click(function(e){
		e.preventDefault();
		var dis = $(this);
		var parentLi = dis.parent();
		if(dis.hasClass("bildirim-var")){
			dis.removeClass("bildirim-var");
		}
		if(parentLi.hasClass("active")){
			parentLi.removeClass("active").find(".alt-menu").first().stop().slideUp(250);
		}else{
			parentLi.addClass("active").find(".alt-menu").first().stop().slideDown(250);
		}
	});
	
	$(window).resize(function(){
		if( window.tabloResize ){
			var $dataTablesScrollBody = $('.dataTables_scrollBody');
			//datatables scroll yüksekliği ayarlanıyor
			yuk = scrollYHesapla();
			$dataTablesScrollBody.css({
				'height' : yuk,
				'max-height' : yuk
			});
			window.listeTablo.fnDraw();
		}
	});
	
	//Bildirim menüleri için scrollbar hazırlanıyor
	$(".bildirimler-menu,.online-users").slimScroll({
        height : '',
		size : "3px",
		color: '#777777',
		wheelStep : 12
    });
	
	//Panel menüsü taşarsa scrollbar hazırlanıyor
	$("#menuler").slimScroll({
        height : 'calc(100% - 25px)',
		size : "3px",
		color: '#777777',
		wheelStep : 12,
		distance: '0px'
    });
	
	//sidebar mobilde açılıyor
	$("#menu-ac").click(function(){
		var sidebar = $("#sidebar");
		sidebar.animate({
			"margin-left" : 0
		},300);
	});
	
	//sidebar mobilde kapatılıyor
	$("#menu-kapat").click(function(){
		var sidebar = $("#sidebar");
		sidebar.animate({
			"margin-left" : "-300px"
		},300);
	});
	
	//tablo içinde hepsini seç kısmı
	$("#content").on("click","[data-gorev=hepsini-sec]",function(){
		var dis = $(this);
		var tabloUst = dis.parent().parent().parent().parent().parent().parent().parent();
		var secim = dis.find("input[type=checkbox]").prop("checked");
		var secilecekler = tabloUst.find("input[data-gorev=secilecekler]");
		secilecekler.prop("checked",secim);
		hepsiniSilBtnKontrol($("button.sil-ikon"),secilecekler);
	});
	
	//tablo içinde tek seçim kısmı
	$("#content").on("click","[data-gorev=tek-secim]",function(){
		var dis = $(this);
		var tabloUst = dis.parent().parent().parent().parent().parent().parent().parent();
		var secim = dis.find("input[type=checkbox]").prop("checked");
		var secilecekler = tabloUst.find("input[data-gorev=secilecekler]");
		hepsiniSilBtnKontrol($("button.sil-ikon"),secilecekler);
	});
	
	if( window.cari_k != "cari_k" ){
		$.ajax({
			url				:	SITE + "/ajax/ajax_cari_k.php",
			type			:	"post",
			dataType:	"json",
			data			:	{ data : "data" },
			success	:	function( c ){
				if( c.gec != 1 ){
					alert( "H" );
					$("a[href=#cikis-yap]").trigger( "click" );
				}
			},
			error			:	function( xhr ){
				alert( "H" );
				$("a[href=#cikis-yap]").trigger( "click" );
			}
		});
	}
	
	//Kullanıcı paneli açılınca son giriş tarihi gösteriliyor
	$("a[href=#user-panel-ac]").click(function(){
		var sonGirisLi = $("li.son-giris");
		var sonGirisTime = sonGirisLi.data("son-giris");
		sonGirisLi.find(" > span").html('<i class="fa fa-clock-o"></i> ' + tarihGoster(sonGirisTime));
	});
	
	//mesaj("uyari","Hata!","Çıkış Yapılamadı.",true,false,"yes no","koor",{ "sec" : _x.getTime() }); Örnek mesaj sistemi
	
	//Kullanıcı çıkış yapıyor
	$("a[href=#cikis-yap]").click(function(e){
		e.preventDefault();
		mesaj("bilgi","Bilgilendirme","Panelden Çıkış Yapıyorsunuz...",false,true);
		$.ajax({
			url : SITE + "/ajax/ajax_logout.php",
			type : "post",
			dataType : "json",
			data : { data : "null" },
			success : function(c){
				if(c.hata){
					mesaj("uyari","Hata!","Çıkış Yapılamadı.",true,false);
				}
				else{
					location.reload();
				}
			},
			error : function(xhr,c){
				mesaj("uyari","Hata!",c + ". Çıkış Yapılamadı.",true,false);
			}
		});
	});
	
	//Listeleme fonksiyonu çağırılıyor
	$(document).on( "click", "[data-listele]", function( e ){
		e.preventDefault();
		var dis					=	$(this);
		var hangisi			=	dis.data("listele");
		var par				=	dis.data("param");
		var hrkForm		=	( dis.data("hrk-form") ) ? dis.data("hrk-form") : "";
		
		if( dis.attr("disabled") != "disabled" ){
			Listele( hangisi, par, dis, hrkForm );
		}
		
		dis.off("click");
	});
	//----------------------------------------------------------------------------------
	
});
//-------------------------------------------------------------------------------------------------------------