-- mysqldump-php https://github.com/ifsnop/mysqldump-php
--
-- Host: localhost	Database: servisv2
-- ------------------------------------------------------
-- Server version 	5.7.36
-- Date: Tue, 10 Jan 2023 00:48:07 +0300

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40101 SET @OLD_AUTOCOMMIT=@@AUTOCOMMIT */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `sy_aktif_personeller`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_aktif_personeller` (
  `user_id` int(10) unsigned NOT NULL,
  `son_islem_zamani` datetime DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_aktif_personeller`
--

LOCK TABLES `sy_aktif_personeller` WRITE;
/*!40000 ALTER TABLE `sy_aktif_personeller` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_aktif_personeller` VALUES (1,'2023-01-10 00:48:04');
/*!40000 ALTER TABLE `sy_aktif_personeller` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_aktif_personeller` with 1 row(s)
--

--
-- Table structure for table `sy_ayarlar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_ayarlar` (
  `ayar_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `musteri_sorgula` tinyint(3) unsigned NOT NULL,
  `tahsilat_makbuzu_tutar_yaz` tinyint(3) unsigned NOT NULL,
  `servis_formu_tutar_yaz` tinyint(3) unsigned NOT NULL,
  `panel_bilgilerini_ekle` tinyint(3) unsigned NOT NULL,
  `panel_sifre` varchar(255) NOT NULL,
  `backup` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `sartname` text NOT NULL,
  `yandex_api_key` varchar(255) DEFAULT NULL,
  `versiyon` varchar(155) NOT NULL,
  `firma_imza` text NOT NULL,
  `mail_sec` varchar(155) NOT NULL,
  `kdv_oran` smallint(5) unsigned NOT NULL,
  `devam_suresi` smallint(5) unsigned NOT NULL,
  `servis_tutari_kdv` smallint(5) unsigned NOT NULL,
  `cari_kodu` varchar(150) NOT NULL,
  `lisans` varchar(255) NOT NULL,
  PRIMARY KEY (`ayar_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_ayarlar`
--

LOCK TABLES `sy_ayarlar` WRITE;
/*!40000 ALTER TABLE `sy_ayarlar` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_ayarlar` VALUES (1,1,1,1,1,'123456',1,'- Servis aşamalarımızın il etabı olarak elden veya kargo ile teslim ettiğiniz arızalı ürününüze ilişkin servis kayıt formu isteğiniz doğrultusunda e-posta ile yada size elden size iletilecektir. Servisimize arızalı ürün teslim eden her müşterimiz aşağıda belirtilen servis koşullarını okuyup, kabul etmiş sayılır.Cihaz onarımı tamamlanmış ürünler, servis ücretinin ödemesi yapılmadan teslim edilmemektedir.\r\n- İdeal arıza tespit süresi 2, maksimum arıza tespit süresi 5 gündür. İdeal onarım süresi 3, maksimum onarım süresi 30 gündür. Yurt dışından temin edilecek yedek parça olması durumunda müşteri aranarak bilgilendirme yapılır ve ek süre istenir.Cihazın onarımında kullanılacak parça, tedarikçi firma tarafından temin edilecekse; bu durum müşteriye bildirilir ve bu süre onarım süresine eklenir.\r\n- Onarımları tamamlanmış ürünler 45 gün içerisinde teslim alınmaz ise; sonraki her gün için ardiye bedeli talep edilir. Şayet ürünlerin teslim alınması 90 günü geçtiği taktirde Firma her hangi bir mesuliyet kabul etmemektedir.\r\n- Arızalı ürünleri servisimize vermeden önce içerisinde bulunan önemli verilerin yedeklenmesi gerekmektedir. Şayet müşteri servisimize arızalı ürünü teslim etmeden önce bu durumdan servisimizi haberdar etmediyse her hangi bir veri kaybı durumunda sorumluluk kabul edilmez.\r\n- Extra bir durum söz konusu değil ise servisimize bırakılan arızalı cihaz fabrika ayarlarıyla teslim edilmiş sayılır. Kullanıcı tarafından ekstra donanım talep edilemez.\r\n- Servisimiz lisanssız yazılım yüklemesi yapmamaktadır. Müşteri tarafından gelen bu tarz talepler geri çevrilmektedir.Servis bu durumdan sorumlu tutulamaz.\r\n- Cihaz arıza tespiti veya onarım için servisimize bırakılan kısmi çalışır durumdaki ürünlerin gerekli çalışmaları gerçekleştirilemez ise müşteriye bu durum bilgilendirilmesi yapılır ve söz konusu ürün için teslim edildiği şekilde teslim almayı müşteri kabul etmiş sayılır.\r\n- Arızalı ürünlerin kargo tarafından gönderilmesi halinde; ürün zarar görmeyecek şekilde paketlenmelidir ve onarımları yapılarak müşteriye teslimi sırasında kargo ile gönderilen ürünler müşteri tarafından son kontrolleri yapılarak teslim alınmalıdır.','850f0c23-20a6-49c3-bdcd-8eb7eacf282f','2.4.2','&lt;p&gt;&lt;span style=&quot;line-height: 1.42857; color: rgb(192, 80, 77);&quot;&gt;Bilhane&lt;/span&gt;&lt;span style=&quot;line-height: 1.42857;&quot;&gt; &lt;/span&gt;&lt;span style=&quot;line-height: 1.42857; background-color: rgb(255, 255, 0);&quot;&gt;Web Yazılım Çözümleri&lt;/span&gt;&lt;/p&gt;','smtp',18,30,18,'AA48','1f9e4f46685ee807a6df998d4fab2b5a');
/*!40000 ALTER TABLE `sy_ayarlar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_ayarlar` with 1 row(s)
--

--
-- Table structure for table `sy_bildirim`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_bildirim` (
  `bildirim_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `bildirim_gonderici` int(10) unsigned NOT NULL,
  `bildirim_alici` int(10) unsigned NOT NULL,
  `bildirim_tur` varchar(155) NOT NULL,
  `bildirim_kayit_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`bildirim_id`),
  KEY `bildirim_gonderici` (`bildirim_gonderici`),
  KEY `bildirim_alici` (`bildirim_alici`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_bildirim`
--

LOCK TABLES `sy_bildirim` WRITE;
/*!40000 ALTER TABLE `sy_bildirim` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_bildirim` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_bildirim` with 0 row(s)
--

--
-- Table structure for table `sy_cihazlar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_cihazlar` (
  `cihaz_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `cihaz_baslik` varchar(155) NOT NULL,
  `cihaz_resim` varchar(255) DEFAULT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `cihaz_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `cihaz_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`cihaz_id`),
  KEY `cihaz_baslik` (`cihaz_baslik`),
  KEY `ekleyen_id` (`ekleyen_id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_cihazlar`
--

LOCK TABLES `sy_cihazlar` WRITE;
/*!40000 ALTER TABLE `sy_cihazlar` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_cihazlar` VALUES (1,'Tablet','cihaz_5777dd4690c3f_1467473222.png',1,'2016-07-02 09:26:37',0),(2,'Telefon','cihaz_5777ddf2b4932_1467473394.png',1,'2016-07-02 09:29:50',0),(3,'Laptop','cihaz_5777de5b6fa31_1467473499.png',1,'2016-07-02 09:30:08',0),(4,'Masaüstü','cihaz_5777deefe8eee_1467473647.png',1,'2016-07-02 09:31:49',0),(5,'Monitör','cihaz_5777de977a562_1467473559.png',1,'2016-07-02 09:32:36',0),(6,'Diğer','cihaz_5777df23968db_1467473699.png',1,'2016-07-02 09:34:17',0),(7,'Ev Aleti','cihaz_5777e074b585f_1467474036.png',1,'2016-07-02 09:35:48',0),(8,'Beyaz Eşya','cihaz_5777e004296ba_1467473924.png',1,'2016-07-02 09:36:07',0);
/*!40000 ALTER TABLE `sy_cihazlar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_cihazlar` with 8 row(s)
--

--
-- Table structure for table `sy_dosyalar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_dosyalar` (
  `dosya_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dosya_adi` varchar(255) NOT NULL,
  PRIMARY KEY (`dosya_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_dosyalar`
--

LOCK TABLES `sy_dosyalar` WRITE;
/*!40000 ALTER TABLE `sy_dosyalar` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_dosyalar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_dosyalar` with 0 row(s)
--

--
-- Table structure for table `sy_durumlar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_durumlar` (
  `durum_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `durum_baslik` varchar(155) NOT NULL,
  `durum_resim` varchar(255) DEFAULT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `durum_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `durum_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`durum_id`),
  KEY `durum_baslik` (`durum_baslik`),
  KEY `ekleyen_id` (`ekleyen_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_durumlar`
--

LOCK TABLES `sy_durumlar` WRITE;
/*!40000 ALTER TABLE `sy_durumlar` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_durumlar` VALUES (1,'Teslim Edildi','durum_5777db3047c3b_1467472688.png',1,0,'2016-07-02 09:15:50'),(2,'İade','durum_5777dba7adf2b_1467472807.png',1,0,'2016-07-02 09:16:01'),(3,'Garantide','durum_5777dc5bbde5c_1467472987.png',1,0,'2016-07-02 09:16:08'),(4,'Parça Bekliyor','durum_5777dcc3a5e90_1467473091.png',1,0,'2016-07-02 09:16:25'),(5,'Onay Bekliyor','durum_5777dce2535c4_1467473122.png',1,0,'2016-07-02 09:16:39'),(6,'Tamiri Yapıldı','durum_5777dd1d6d36b_1467473181.png',1,0,'2016-07-02 09:25:47');
/*!40000 ALTER TABLE `sy_durumlar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_durumlar` with 6 row(s)
--

--
-- Table structure for table `sy_email_sablonlari`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_email_sablonlari` (
  `email_sablon_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `email_sablon_baslik` varchar(155) NOT NULL,
  `email_sablon_konu` varchar(255) NOT NULL,
  `email_sablon_detay` text NOT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `email_sablon_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `email_sablon_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`email_sablon_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_email_sablonlari`
--

LOCK TABLES `sy_email_sablonlari` WRITE;
/*!40000 ALTER TABLE `sy_email_sablonlari` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_email_sablonlari` VALUES (1,'Kayıt Kabul','Cihazınızın Kaydı Yapıldı','&lt;p&gt;Sayın [musteri_adi], [cihaz_adi] cihazınızın kaydı alındı.Cihazınızla ilgili son bilgilere [musteri_sorgulama_url] adresinden [musteri_tel] ve [servis_fis_no] ile ulaşabilirsiniz.&lt;/p&gt;',1,'2016-07-02 10:02:48',0),(2,'Tamir Yapıldı','Cihazınızın Tamiri Tamamlandı','&lt;p&gt;Sayın [musteri_adi], [cihaz_adi] cihazınızın tamir işlemi tamamlanmıştır.Ofisimizden teslim alabilirsiniz.&lt;/p&gt;',1,'2016-07-02 10:03:20',0);
/*!40000 ALTER TABLE `sy_email_sablonlari` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_email_sablonlari` with 2 row(s)
--

--
-- Table structure for table `sy_fatura_urunler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_fatura_urunler` (
  `fatura_urun_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fatura_id` int(10) unsigned NOT NULL,
  `yedek_parca_id` int(10) unsigned NOT NULL,
  `satis_fiyat` decimal(10,2) unsigned NOT NULL,
  `alis_fiyat` decimal(10,2) unsigned NOT NULL,
  `kdv` smallint(5) unsigned NOT NULL,
  `kdv_dahil` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `urun_adet` int(10) NOT NULL,
  `fatura_tur` varchar(55) NOT NULL,
  PRIMARY KEY (`fatura_urun_id`),
  KEY `fatura_id` (`fatura_id`,`yedek_parca_id`),
  KEY `fatura_tur` (`fatura_tur`),
  KEY `yedek_parca_id` (`yedek_parca_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_fatura_urunler`
--

LOCK TABLES `sy_fatura_urunler` WRITE;
/*!40000 ALTER TABLE `sy_fatura_urunler` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_fatura_urunler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_fatura_urunler` with 0 row(s)
--

--
-- Table structure for table `sy_faturalar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_faturalar` (
  `fatura_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fatura_seri_no` varchar(255) NOT NULL,
  `fatura_tarihi` datetime NOT NULL,
  `fatura_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `fatura_ara_toplam` decimal(10,2) unsigned NOT NULL,
  `fatura_kdv_tutar` decimal(10,2) unsigned NOT NULL,
  `fatura_iskonto` decimal(10,2) unsigned NOT NULL,
  `fatura_toplam_tutar` decimal(10,2) unsigned NOT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `fatura_aciklama` varchar(255) DEFAULT NULL,
  `musteri_id` int(10) unsigned NOT NULL,
  `fatura_tur` varchar(155) NOT NULL,
  `servis_fis_id` int(10) unsigned NOT NULL DEFAULT '0',
  `servis_fis_no` int(10) unsigned NOT NULL DEFAULT '0',
  `fatura_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`fatura_id`),
  UNIQUE KEY `fatura_seri_no` (`fatura_seri_no`),
  KEY `fatura_tur` (`fatura_tur`),
  KEY `servis_fis_id` (`servis_fis_id`),
  KEY `servis_fis_no` (`servis_fis_no`),
  KEY `musteri_id` (`musteri_id`),
  KEY `fatura_tarihi` (`fatura_tarihi`),
  KEY `fatura_kayit_tarihi` (`fatura_kayit_tarihi`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_faturalar`
--

LOCK TABLES `sy_faturalar` WRITE;
/*!40000 ALTER TABLE `sy_faturalar` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_faturalar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_faturalar` with 0 row(s)
--

--
-- Table structure for table `sy_firma_bilgileri`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_firma_bilgileri` (
  `firma_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `firma_adi` varchar(255) DEFAULT NULL,
  `firma_tel1` varchar(155) DEFAULT NULL,
  `firma_tel2` varchar(155) DEFAULT NULL,
  `firma_faks` varchar(155) DEFAULT NULL,
  `firma_email` varchar(255) DEFAULT NULL,
  `firma_il` smallint(5) unsigned DEFAULT NULL,
  `firma_adres` text,
  `firma_logo` varchar(255) DEFAULT NULL,
  `firma_hakkinda` text,
  `firma_vergi_no` varchar(255) DEFAULT NULL,
  `firma_vergi_dairesi` varchar(255) DEFAULT NULL,
  `firma_sektor` varchar(255) DEFAULT NULL,
  `firma_site` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`firma_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_firma_bilgileri`
--

LOCK TABLES `sy_firma_bilgileri` WRITE;
/*!40000 ALTER TABLE `sy_firma_bilgileri` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_firma_bilgileri` VALUES (1,'Bilhane Online Yazılım Çözümleri','(534) 014 55 63','','','info@bilhane.com',59,'','firma_bilgileri_576b40c1b123f_1466646721.png','','','','Bilişim','');
/*!40000 ALTER TABLE `sy_firma_bilgileri` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_firma_bilgileri` with 1 row(s)
--

--
-- Table structure for table `sy_gelir_gider_fisleri`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_gelir_gider_fisleri` (
  `gg_fis_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `kart_id` int(10) unsigned NOT NULL,
  `tutar` decimal(10,2) unsigned NOT NULL,
  `islem` varchar(155) NOT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `gg_fis_aciklama` varchar(255) DEFAULT NULL,
  `odeme_tur` tinyint(3) unsigned NOT NULL,
  `gg_fis_tarihi` datetime DEFAULT NULL,
  `gg_fis_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`gg_fis_id`),
  KEY `kart_id` (`kart_id`,`islem`,`ekleyen_id`),
  KEY `gg_fis_tarihi` (`gg_fis_tarihi`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_gelir_gider_fisleri`
--

LOCK TABLES `sy_gelir_gider_fisleri` WRITE;
/*!40000 ALTER TABLE `sy_gelir_gider_fisleri` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_gelir_gider_fisleri` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_gelir_gider_fisleri` with 0 row(s)
--

--
-- Table structure for table `sy_gelir_gider_kartlari`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_gelir_gider_kartlari` (
  `kart_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `kart_ismi` varchar(255) NOT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `kart_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `kart_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`kart_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_gelir_gider_kartlari`
--

LOCK TABLES `sy_gelir_gider_kartlari` WRITE;
/*!40000 ALTER TABLE `sy_gelir_gider_kartlari` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_gelir_gider_kartlari` VALUES (1,'Elektrik Faturası',1,'2016-07-14 05:57:36',0),(2,'Yemek',1,'2016-07-14 06:57:24',0),(3,'Su  Faturası',1,'2016-07-14 07:09:49',0),(4,'Maaş Ödemeleri',1,'2016-07-14 07:10:27',0),(5,'Teknik Servis',1,'2016-07-30 11:24:25',0);
/*!40000 ALTER TABLE `sy_gelir_gider_kartlari` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_gelir_gider_kartlari` with 5 row(s)
--

--
-- Table structure for table `sy_gorevler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_gorevler` (
  `gorev_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `gorev_veren_id` int(10) unsigned NOT NULL,
  `gorev_alan_id` int(10) unsigned NOT NULL,
  `servis_fis_id` int(10) unsigned NOT NULL,
  `gorev_durum` tinyint(3) unsigned DEFAULT NULL,
  `gorev_bitirme_aciklamasi` text,
  `gorev_bitirme_tarihi` datetime DEFAULT NULL,
  PRIMARY KEY (`gorev_id`),
  KEY `gorev_alan_id` (`gorev_alan_id`),
  KEY `servis_fis_id` (`servis_fis_id`),
  KEY `gorev_veren_id` (`gorev_veren_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_gorevler`
--

LOCK TABLES `sy_gorevler` WRITE;
/*!40000 ALTER TABLE `sy_gorevler` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_gorevler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_gorevler` with 0 row(s)
--

--
-- Table structure for table `sy_hatirlatma`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_hatirlatma` (
  `hatirlatma_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `hatirlatma_baslik` varchar(255) NOT NULL,
  `hatirlatma_detay` text,
  `hatirlatma_personeller` text,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `hatirlatma_kimlere` tinyint(3) unsigned NOT NULL,
  `hatirlatma_tarih` datetime DEFAULT NULL,
  `hatirlatma_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`hatirlatma_id`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `hatirlatma_tarih` (`hatirlatma_tarih`),
  FULLTEXT KEY `hatirlatma_personeller` (`hatirlatma_personeller`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_hatirlatma`
--

LOCK TABLES `sy_hatirlatma` WRITE;
/*!40000 ALTER TABLE `sy_hatirlatma` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_hatirlatma` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_hatirlatma` with 0 row(s)
--

--
-- Table structure for table `sy_kullanilan_malzemeler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_kullanilan_malzemeler` (
  `km_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `servis_fis_id` int(10) unsigned NOT NULL,
  `servis_islem_id` int(10) unsigned NOT NULL,
  `yedek_parca_id` int(10) unsigned NOT NULL,
  `adet` int(10) unsigned NOT NULL,
  `birim_fiyat` decimal(10,2) unsigned NOT NULL,
  `alis_fiyat` decimal(10,2) unsigned NOT NULL,
  `kdv` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`km_id`),
  KEY `servis_islem_id` (`servis_islem_id`),
  KEY `yedek_parca_id` (`yedek_parca_id`),
  KEY `servis_fis_id` (`servis_fis_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_kullanilan_malzemeler`
--

LOCK TABLES `sy_kullanilan_malzemeler` WRITE;
/*!40000 ALTER TABLE `sy_kullanilan_malzemeler` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_kullanilan_malzemeler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_kullanilan_malzemeler` with 0 row(s)
--

--
-- Table structure for table `sy_markalar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_markalar` (
  `marka_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `marka_baslik` varchar(255) NOT NULL,
  `marka_resim` varchar(255) DEFAULT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `marka_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `marka_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`marka_id`),
  KEY `marka_baslik` (`marka_baslik`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_markalar`
--

LOCK TABLES `sy_markalar` WRITE;
/*!40000 ALTER TABLE `sy_markalar` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_markalar` VALUES (1,'Acer','marka_5777e35235626_1467474770.jpg',1,'2016-07-02 09:40:53',0),(2,'Sony','marka_5777e334877d5_1467474740.png',1,'2016-07-02 09:40:57',0),(3,'Apple','marka_5777e2f8a913e_1467474680.png',1,'2016-07-02 09:41:01',0),(4,'Samsung','marka_5777e2cbd4a42_1467474635.png',1,'2016-07-02 09:41:06',0),(5,'Hp','marka_5777e23ff20f6_1467474495.png',1,'2016-07-02 09:41:21',0),(6,'Lg','marka_5777e0c918f2e_1467474121.png',1,'2016-07-02 09:41:29',0);
/*!40000 ALTER TABLE `sy_markalar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_markalar` with 6 row(s)
--

--
-- Table structure for table `sy_mesajlar`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_mesajlar` (
  `mesaj_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `mesaj_ust_id` int(10) unsigned NOT NULL DEFAULT '0',
  `gonderen_id` int(10) unsigned NOT NULL,
  `alanlar_id` int(10) unsigned NOT NULL,
  `dosya_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kim_gonderdi` varchar(50) DEFAULT NULL,
  `kim_aldi` varchar(50) DEFAULT NULL,
  `mesaj_baslik` varchar(255) DEFAULT NULL,
  `mesaj_icerik` text NOT NULL,
  `mesaj_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `mesaj_islem_tarihi` datetime DEFAULT NULL,
  `mesaj_gonderen_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `mesaj_alan_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`mesaj_id`),
  KEY `mesaj_ust_id` (`mesaj_ust_id`),
  KEY `gonderen_id` (`gonderen_id`),
  KEY `alanlar_id` (`alanlar_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_mesajlar`
--

LOCK TABLES `sy_mesajlar` WRITE;
/*!40000 ALTER TABLE `sy_mesajlar` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_mesajlar` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_mesajlar` with 0 row(s)
--

--
-- Table structure for table `sy_musteriler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_musteriler` (
  `musteri_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `musteri_kodu` varchar(155) NOT NULL,
  `musteri_adi` varchar(255) NOT NULL,
  `bakiye` decimal(13,2) NOT NULL DEFAULT '0.00',
  `ekleyen_id` int(10) unsigned NOT NULL,
  `musteri_email` varchar(155) DEFAULT NULL,
  `musteri_adres` text,
  `konum` varchar(255) DEFAULT NULL,
  `musteri_tel1` varchar(50) DEFAULT NULL,
  `musteri_tel2` varchar(50) DEFAULT NULL,
  `musteri_faks` varchar(155) DEFAULT NULL,
  `sifre` varchar(100) DEFAULT NULL,
  `musteri_vergi_dairesi` varchar(255) DEFAULT NULL,
  `musteri_vergi_no` varchar(155) DEFAULT NULL,
  `musteri_profil_resmi` varchar(255) DEFAULT NULL,
  `musteri_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `musteri_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `il` mediumint(8) unsigned DEFAULT NULL,
  `ilce_semt` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`musteri_id`),
  UNIQUE KEY `musteri_kodu` (`musteri_kodu`),
  KEY `musteri_adi_2` (`musteri_adi`),
  KEY `musteri_tel1` (`musteri_tel1`),
  KEY `musteri_tel2` (`musteri_tel2`),
  KEY `musteri_kayit_tarihi` (`musteri_kayit_tarihi`),
  FULLTEXT KEY `musteri_adi` (`musteri_adi`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_musteriler`
--

LOCK TABLES `sy_musteriler` WRITE;
/*!40000 ALTER TABLE `sy_musteriler` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_musteriler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_musteriler` with 0 row(s)
--

--
-- Table structure for table `sy_resimler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_resimler` (
  `resim_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `resim_tur` varchar(155) NOT NULL,
  `resim_link` varchar(255) NOT NULL,
  `resim_tur_id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`resim_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_resimler`
--

LOCK TABLES `sy_resimler` WRITE;
/*!40000 ALTER TABLE `sy_resimler` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_resimler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_resimler` with 0 row(s)
--

--
-- Table structure for table `sy_servis_fisleri`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_servis_fisleri` (
  `servis_fis_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `servis_fis_no` int(10) unsigned NOT NULL,
  `musteri_id` int(10) unsigned NOT NULL,
  `sikayet` text NOT NULL,
  `servis_aciklama` text,
  `cihaz_id` mediumint(8) unsigned DEFAULT '0',
  `marka_id` smallint(5) unsigned DEFAULT '0',
  `durum_id` int(10) unsigned DEFAULT '0',
  `hatirlat` tinyint(3) unsigned DEFAULT '0',
  `ozel_alan` text,
  `ekleyen_id` int(10) DEFAULT NULL,
  `mobil_imza` varchar(500) DEFAULT NULL,
  `cari_kayit` tinyint(3) unsigned DEFAULT '0',
  `servis_giris_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `duzenleme_tarihi` datetime DEFAULT NULL,
  `hash` varchar(32) DEFAULT NULL,
  `servis_teslim_tarihi` datetime DEFAULT NULL,
  `plan_tarihi` datetime DEFAULT NULL,
  `fis_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `birlikte_gelenler` text,
  `servis_garanti_durum` tinyint(3) unsigned DEFAULT '0',
  `garanti_baslangic` datetime DEFAULT NULL,
  `garanti_bitis` datetime DEFAULT NULL,
  `servis_model_no` varchar(255) DEFAULT NULL,
  `servis_seri_no` varchar(155) DEFAULT NULL,
  `gorev_mudahale` tinyint(3) unsigned DEFAULT '0',
  PRIMARY KEY (`servis_fis_id`),
  UNIQUE KEY `servis_fis_no` (`servis_fis_no`),
  KEY `cihaz_id` (`cihaz_id`),
  KEY `marka_id` (`marka_id`),
  KEY `durum_id` (`durum_id`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `musteri_id` (`musteri_id`),
  KEY `servis_giris_tarihi` (`servis_giris_tarihi`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_servis_fisleri`
--

LOCK TABLES `sy_servis_fisleri` WRITE;
/*!40000 ALTER TABLE `sy_servis_fisleri` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_servis_fisleri` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_servis_fisleri` with 0 row(s)
--

--
-- Table structure for table `sy_servis_islemleri`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_servis_islemleri` (
  `servis_islem_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `servis_fis_id` int(10) unsigned NOT NULL,
  `servis_tutar` decimal(10,2) unsigned NOT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `durum_id` int(10) unsigned NOT NULL,
  `servis_islem_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `servis_islem_aciklama` varchar(255) NOT NULL,
  `servis_islem_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `servis_formunda_goster` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `gider_aciklama` varchar(255) DEFAULT NULL,
  `gider_tutar` decimal(10,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`servis_islem_id`),
  KEY `servis_fis_id` (`servis_fis_id`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `durum_id` (`durum_id`),
  KEY `servis_islem_tarihi` (`servis_islem_tarihi`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_servis_islemleri`
--

LOCK TABLES `sy_servis_islemleri` WRITE;
/*!40000 ALTER TABLE `sy_servis_islemleri` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_servis_islemleri` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_servis_islemleri` with 0 row(s)
--

--
-- Table structure for table `sy_sms_email_gonderilenler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_sms_email_gonderilenler` (
  `se_gonderim_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `se_gonderen_id` int(10) unsigned NOT NULL,
  `se_baslik` varchar(255) DEFAULT NULL,
  `se_mesaj` text NOT NULL,
  `se_tur` varchar(155) NOT NULL,
  `servis_fis_id` int(10) unsigned NOT NULL,
  `se_gonderim_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`se_gonderim_id`),
  KEY `servis_fis_id` (`servis_fis_id`),
  KEY `se_gonderen_id` (`se_gonderen_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_sms_email_gonderilenler`
--

LOCK TABLES `sy_sms_email_gonderilenler` WRITE;
/*!40000 ALTER TABLE `sy_sms_email_gonderilenler` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_sms_email_gonderilenler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_sms_email_gonderilenler` with 0 row(s)
--

--
-- Table structure for table `sy_sms_email_yapilandirma`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_sms_email_yapilandirma` (
  `ayar_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `sms_kullanici_adi` varchar(155) NOT NULL,
  `sms_sifre` varchar(155) NOT NULL,
  `sms_mesaj_baslik` varchar(155) NOT NULL,
  `email_sunucu` varchar(255) NOT NULL,
  `email_kullanici_adi` varchar(255) NOT NULL,
  `email_sifre` varchar(255) NOT NULL,
  `email_port` mediumint(8) unsigned NOT NULL,
  PRIMARY KEY (`ayar_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_sms_email_yapilandirma`
--

LOCK TABLES `sy_sms_email_yapilandirma` WRITE;
/*!40000 ALTER TABLE `sy_sms_email_yapilandirma` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_sms_email_yapilandirma` VALUES (1,'sms_kullanici_adi','sifre','MESAJBASLIK','smtp.bilhane.com','info@bilhane.com','',587);
/*!40000 ALTER TABLE `sy_sms_email_yapilandirma` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_sms_email_yapilandirma` with 1 row(s)
--

--
-- Table structure for table `sy_sms_sablonlari`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_sms_sablonlari` (
  `sms_sablon_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `sms_sablon_baslik` varchar(155) NOT NULL,
  `sms_sablon_detay` text NOT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `sms_sablon_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `sms_sablon_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`sms_sablon_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_sms_sablonlari`
--

LOCK TABLES `sy_sms_sablonlari` WRITE;
/*!40000 ALTER TABLE `sy_sms_sablonlari` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_sms_sablonlari` VALUES (1,'Onay Talebi','Sayın [musteri_adi], [cihaz_adi] cihazınızın arızası tespit edilmiştir.\r\nTamir işlemini onaylıyor musunuz?',1,'2016-07-02 09:56:15',0),(2,'Tamir Yapıldı','Sayın [musteri_adi], [cihaz_adi] cihazınızın tamir işlemi tamamlanmıştır.Ofisimizden teslim alabilirsiniz.',1,'2016-07-02 09:58:31',0),(3,'Kayıt Kabul','Sayın [musteri_adi], [cihaz_adi] cihazınızın kaydı alındı.Cihazınızla ilgili son bilgilere [musteri_sorgulama_url] adresinden [musteri_tel] ve [servis_fis_no] ile ulaşabilirsiniz.',1,'2016-07-02 10:01:15',0);
/*!40000 ALTER TABLE `sy_sms_sablonlari` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_sms_sablonlari` with 3 row(s)
--

--
-- Table structure for table `sy_tahsilat`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_tahsilat` (
  `tahsilat_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `islem` varchar(255) NOT NULL,
  `tahsilat_tur` tinyint(3) unsigned NOT NULL,
  `musteri_id` int(10) unsigned NOT NULL,
  `tahsilat_fiyat` decimal(10,2) NOT NULL,
  `fatura_seri_no` varchar(155) DEFAULT NULL,
  `aciklama` varchar(255) DEFAULT NULL,
  `odeme_tur` tinyint(3) unsigned DEFAULT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `servis_fis_no` int(10) unsigned DEFAULT NULL,
  `tahsilat_tarihi` datetime DEFAULT NULL,
  `tahsilat_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`tahsilat_id`),
  KEY `musteri_id` (`musteri_id`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `islem` (`islem`),
  KEY `fatura_seri_no` (`fatura_seri_no`),
  KEY `tahsilat_tarihi` (`tahsilat_tarihi`),
  KEY `odeme_tur` (`odeme_tur`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_tahsilat`
--

LOCK TABLES `sy_tahsilat` WRITE;
/*!40000 ALTER TABLE `sy_tahsilat` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_tahsilat` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_tahsilat` with 0 row(s)
--

--
-- Table structure for table `sy_users`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_users` (
  `user_id` int(10) NOT NULL AUTO_INCREMENT,
  `user_uniq_id` varchar(155) NOT NULL,
  `user_name` varchar(155) NOT NULL,
  `user_sifre` varchar(155) NOT NULL,
  `user_email` varchar(155) DEFAULT NULL,
  `user_ad` varchar(155) DEFAULT NULL,
  `user_soyad` varchar(155) DEFAULT NULL,
  `user_yetki` smallint(6) NOT NULL DEFAULT '-1',
  `user_vizyon` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `user_gorev_tanim` varchar(155) DEFAULT NULL,
  `user_kayit_tarih` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `user_son_giris` datetime DEFAULT NULL,
  `user_tel` varchar(155) DEFAULT NULL,
  `user_durum` tinyint(3) unsigned DEFAULT NULL,
  `user_profil_resmi` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_name_2` (`user_name`),
  KEY `user_name` (`user_name`),
  KEY `user_ad` (`user_ad`),
  KEY `user_soyad` (`user_soyad`),
  KEY `user_durum` (`user_durum`),
  KEY `user_email` (`user_email`)
) ENGINE=MyISAM AUTO_INCREMENT=10002 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_users`
--

LOCK TABLES `sy_users` WRITE;
/*!40000 ALTER TABLE `sy_users` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_users` VALUES (1,'5777d9b2e9dc9_1467472306','admin','e10adc3949ba59abbe56e057f20f883e','user@gmail.com','Admin','Admin',0,1,'Yönetici','2016-07-02 09:11:46','2023-01-10 00:48:04','',1,''),(7,'5777d9b2e9dc9_146723206','test','11da558ef6edd542352b7332aa212d25','user@gmail.com','Test','Test',0,0,'Test Hesabı','2016-07-02 09:11:46','2022-12-20 18:45:11','',1,'');
/*!40000 ALTER TABLE `sy_users` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_users` with 2 row(s)
--

--
-- Table structure for table `sy_veresiye_defteri`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_veresiye_defteri` (
  `veresiye_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cari_id` int(10) unsigned NOT NULL,
  `tutar` decimal(10,2) unsigned NOT NULL,
  `tahsil` tinyint(3) unsigned DEFAULT '0',
  `odeme_tur` tinyint(3) unsigned DEFAULT NULL,
  `aciklama` varchar(255) DEFAULT NULL,
  `kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `vade_tarihi` datetime DEFAULT NULL,
  `tahsil_tarihi` datetime DEFAULT NULL,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `veresiye_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`veresiye_id`),
  KEY `cari_id` (`cari_id`,`ekleyen_id`),
  KEY `kayit_tarihi` (`kayit_tarihi`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_veresiye_defteri`
--

LOCK TABLES `sy_veresiye_defteri` WRITE;
/*!40000 ALTER TABLE `sy_veresiye_defteri` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_veresiye_defteri` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_veresiye_defteri` with 0 row(s)
--

--
-- Table structure for table `sy_yedek_parca`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_yedek_parca` (
  `yedek_parca_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `yedek_parca_adi` varchar(255) NOT NULL,
  `stok_kodu` varchar(40) DEFAULT NULL,
  `stok_foto` varchar(200) DEFAULT NULL,
  `birim_fiyat` decimal(10,2) unsigned NOT NULL DEFAULT '0.00',
  `alis_fiyat` decimal(10,2) unsigned NOT NULL DEFAULT '0.00',
  `kdv` smallint(5) unsigned NOT NULL DEFAULT '0',
  `stok` int(10) NOT NULL DEFAULT '0',
  `barkod` varchar(32) DEFAULT NULL,
  `raf_no` varchar(50) DEFAULT NULL,
  `eksi_stok` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `ekleyen_id` int(10) unsigned NOT NULL,
  `yedek_parca_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `yedek_parca_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`yedek_parca_id`),
  UNIQUE KEY `barkod` (`barkod`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `yedek_parca_adi_2` (`yedek_parca_adi`),
  KEY `yedek_parca_kayit_tarihi` (`yedek_parca_kayit_tarihi`),
  KEY `stok_kodu` (`stok_kodu`),
  FULLTEXT KEY `yedek_parca_adi` (`yedek_parca_adi`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_yedek_parca`
--

LOCK TABLES `sy_yedek_parca` WRITE;
/*!40000 ALTER TABLE `sy_yedek_parca` DISABLE KEYS */;
SET autocommit=0;
/*!40000 ALTER TABLE `sy_yedek_parca` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_yedek_parca` with 0 row(s)
--

--
-- Table structure for table `sy_yetkiler`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sy_yetkiler` (
  `yetki_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `yetki_baslik` varchar(255) NOT NULL,
  `yetkiler` text,
  `ekleyen_id` int(10) unsigned NOT NULL,
  `yetki_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `yetki_sil` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`yetki_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sy_yetkiler`
--

LOCK TABLES `sy_yetkiler` WRITE;
/*!40000 ALTER TABLE `sy_yetkiler` DISABLE KEYS */;
SET autocommit=0;
INSERT INTO `sy_yetkiler` VALUES (3,'Full','[bireysel_listele][servis_fisi_listele][servis_fisi_ekle][servis_fisi_duzenle][servis_fisi_sil][servis_gorev_ata][servis_resim_ekle][servis_resim_sil][servis_email_gonder][servis_sms_gonder][musteri_onay][servis_islemi_ekle][servis_islemi_sil][servis_tutari_guncelle][musteri_listele][musteri_ekle][musteri_duzenle][cari_hareketleri][musteri_sil][musteri_resim_ekle][musteri_resim_sil][yedek_parca_listele][yedek_parca_ekle][yedek_parca_duzenle][stok_hareketleri][yedek_parca_sil][tahsilat_listele][tahsilat_ekle][tahsilat_duzenle][tahsilat_sil][fatura_listele][alis_faturasi_ekle][satis_faturasi_ekle][fatura_sil][gg_fis_listele][gg_fis_ekle][gg_fis_duzenle][gg_fis_sil][veresiye_listele][veresiye_ekle][veresiye_duzenle][veresiye_sil][durum_ekle][durum_duzenle][durum_sil][durum_ikon_ekle][cihaz_ekle][cihaz_duzenle][cihaz_sil][cihaz_ikon_ekle][marka_ekle][marka_duzenle][marka_sil][marka_logo_ekle][yetki_ekle][yetki_duzenle][yetki_sil][gg_kart_ekle][gg_kart_duzenle][gg_kart_hareketleri][gg_kart_sil][sms_sablon_ekle][sms_sablon_duzenle][sms_sablon_sil][email_sablon_ekle][email_sablon_duzenle][email_sablon_sil][personel_listele][personel_ekle][personel_duzenle][personel_sil][personel_resim_ekle][personel_resim_sil][hatirlatma_listele][hatirlatma_ekle][hatirlatma_duzenle][hatirlatma_sil][servis_fisi_disari_aktar][servis_fisi_iceri_aktar][musteri_disari_aktar][musteri_iceri_aktar][stok_iceri_aktar][stok_disari_aktar][sms_gonder][email_gonder][rapor_cari_hareketleri][rapor_kasa_raporu][rapor_kasa_hareketleri][rapor_kar_zarar][rapor_yogunluk_analizi][rapor_gunluk_alis_satis][rapor_stok_hareketleri][genel_ayarlar_duzenle][sms_ayarlari_duzenle][email_ayarlari_duzenle][firma_bilgileri_guncelle][firma_logo_ekle]',1,'2016-06-18 21:05:33',0);
/*!40000 ALTER TABLE `sy_yetkiler` ENABLE KEYS */;
UNLOCK TABLES;
COMMIT;

-- Dumped table `sy_yetkiler` with 1 row(s)
--

DROP TRIGGER IF EXISTS `insert_stok_guncelle`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `insert_stok_guncelle` AFTER INSERT ON `sy_fatura_urunler` FOR EACH ROW Begin 
Update `sy_yedek_parca` set stok = 
CASE 
WHEN NEW.fatura_tur = 'satis' THEN stok - NEW.urun_adet 
WHEN NEW.fatura_tur = 'alis' THEN stok + NEW.urun_adet 
END 
Where yedek_parca_id = NEW.yedek_parca_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `delete_stok_guncelle`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `delete_stok_guncelle` AFTER DELETE ON `sy_fatura_urunler` FOR EACH ROW Begin 
Update `sy_yedek_parca` set stok = 
CASE 
WHEN OLD.fatura_tur = 'satis' THEN stok + OLD.urun_adet 
WHEN OLD.fatura_tur = 'alis' THEN stok - OLD.urun_adet 
END 
Where yedek_parca_id = OLD.yedek_parca_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `cari_bakiye_ekle`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `cari_bakiye_ekle` AFTER INSERT ON `sy_faturalar` FOR EACH ROW Begin 
Update `sy_musteriler` set bakiye = 
CASE 
WHEN NEW.fatura_tur = 'satis' THEN bakiye + NEW.fatura_toplam_tutar 
WHEN NEW.fatura_tur = 'alis' THEN bakiye - NEW.fatura_toplam_tutar 
END 
Where musteri_id = NEW.musteri_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `fatura_urun_sil`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `fatura_urun_sil` AFTER DELETE ON `sy_faturalar` FOR EACH ROW Begin

Delete from `sy_fatura_urunler` where sy_fatura_urunler.fatura_id = OLD.fatura_id;
Delete from `sy_tahsilat` where sy_tahsilat.fatura_seri_no = OLD.fatura_seri_no;

Update `sy_musteriler` set bakiye = 
CASE 
WHEN OLD.fatura_tur = 'satis' THEN bakiye - OLD.fatura_toplam_tutar 
WHEN OLD.fatura_tur = 'alis' THEN bakiye + OLD.fatura_toplam_tutar 
END 
Where sy_musteriler.musteri_id = OLD.musteri_id;

End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `gorev_islem_email_sil`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `gorev_islem_email_sil` AFTER DELETE ON `sy_servis_fisleri` FOR EACH ROW Begin
Delete from `sy_gorevler` where `sy_gorevler`.servis_fis_id = OLD.servis_fis_id;
Delete from `sy_servis_islemleri` where `sy_servis_islemleri`.servis_fis_id = OLD.servis_fis_id;
Delete from `sy_sms_email_gonderilenler` where `sy_sms_email_gonderilenler`.servis_fis_id = OLD.servis_fis_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `k_parca_sil`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `k_parca_sil` AFTER DELETE ON `sy_servis_islemleri` FOR EACH ROW Begin
Delete from `sy_kullanilan_malzemeler` where `sy_kullanilan_malzemeler`.servis_islem_id = OLD.servis_islem_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `cari_bakiye_tahsilat`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `cari_bakiye_tahsilat` AFTER INSERT ON `sy_tahsilat` FOR EACH ROW Begin 
Update `sy_musteriler` set bakiye = 
CASE 
WHEN NEW.islem = 'gelir' THEN bakiye - NEW.tahsilat_fiyat 
WHEN NEW.islem = 'gider' THEN bakiye + NEW.tahsilat_fiyat 
END 
Where sy_musteriler.musteri_id = NEW.musteri_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `cari_bakiye_kaldir`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `cari_bakiye_kaldir` AFTER DELETE ON `sy_tahsilat` FOR EACH ROW Begin 
Update `sy_musteriler` set bakiye = 
CASE 
WHEN OLD.islem = 'gelir' THEN bakiye + OLD.tahsilat_fiyat 
WHEN OLD.islem = 'gider' THEN bakiye - OLD.tahsilat_fiyat 
END 
Where sy_musteriler.musteri_id = OLD.musteri_id;
End */;;
DELIMITER ;

DROP TRIGGER IF EXISTS `gorev_sil`;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `gorev_sil` AFTER DELETE ON `sy_users` FOR EACH ROW Begin
Delete from `sy_gorevler` where `sy_gorevler`.gorev_alan_id = OLD.user_id;
End */;;
DELIMITER ;

/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
/*!40101 SET AUTOCOMMIT=@OLD_AUTOCOMMIT */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on: Tue, 10 Jan 2023 00:48:07 +0300
