<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Fatura.php";
	
	$_servis			=	new Servis();
	$fatura			=	new Fatura();
	
	$form				=	"fatura-ekleme-formu";
	$form2			=	"urun-ekleme-formu";
	$id						=	get("id");
	
	$args				=	get("args");
	$args				=	json_decode( html_entity_decode( $args ), true );
	
	$servis_fis_id	=	$args["id"];
	$servis_fis_no	=	$args["servis_fis_no"];
	$musteri_id		=	$args["musteri_id"];
	$fatura_tur		=	$args["fatura_tur"];
	
	$_SESSION["fatura_tur"]	=	$fatura_tur;
	
	$fatura_tur_array	=		array(
		"alis"		=>	"Alış Fiyatı",
		"satis"	=>	"Satış Fiyatı"
	);
	$fatura_tur_alan	=		array(
		"alis"		=>	"alis_fiyat",
		"satis"	=>	"satis_fiyat"
	);
	
	$odeme_baslik	=	array(
		"alis"		=>	"Tutar Ödendi",
		"satis"	=>	"Tahsil Edildi"
	);
	
	unset( $_SESSION["ekli_urunler"]["urunler"] );
	// if( !$servis_fis_id ){
		// unset( $_SESSION["ekli_urunler"]["urunler"] );
	// }
	
	if( $id ){
		$bilgiler	=	$_servis -> ozelSorgu( "select "._FATURALAR.".fatura_seri_no, "._FATURALAR.".fatura_tarihi, "._FATURALAR.".fatura_ara_toplam, 
								"._FATURALAR.".fatura_kdv_tutar, "._FATURALAR.".fatura_toplam_tutar, "._FATURALAR.".fatura_aciklama, 
								"._FATURALAR.".fatura_iskonto, 
								"._FATURALAR.".fatura_tur, "._FATURALAR.".musteri_id, "._MUSTERILER.".musteri_adi from "._FATURALAR." 
								left join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._FATURALAR.".musteri_id 
								where "._FATURALAR.".fatura_id = ? and "._FATURALAR.".fatura_sil = 0 LIMIT 1", array( $id ) );
								
		$bilgiler	=	$bilgiler[0];
		
		$islem_tur	=	array(
			"alis"		=>	"gider",
			"satis"	=>	"gelir"
		);
		
		$fatura_tur			=	$bilgiler["fatura_tur"];
		
		$odeme_info	=	$_servis -> ozelSorgu( "select odeme_tur from "._TAHSILAT." where fatura_seri_no = ? and islem = ? LIMIT 1", 
																							array( $bilgiler["fatura_seri_no"], $islem_tur[ $fatura_tur ] ) );
		
		$_SESSION["fatura_tur"]	=	$fatura_tur;
		
		$cariler		=	$_servis -> ozelSorgu( "select musteri_id, musteri_adi from "._MUSTERILER." where musteri_sil = 0 and musteri_id = ? LIMIT 1", 
																					array( $bilgiler["musteri_id"] ) );
																				
		$parcalar	=	$_servis -> ozelSorgu( "select "._FATURA_URUNLER.".satis_fiyat, "._FATURA_URUNLER.".alis_fiyat, 
																					"._FATURA_URUNLER.".kdv,
																					"._FATURA_URUNLER.".kdv_dahil, 
																					 "._FATURA_URUNLER.".urun_adet, "._YEDEKPARCA.".yedek_parca_adi, 
																					"._FATURA_URUNLER.".yedek_parca_id from "._FATURA_URUNLER." 
																					left join "._YEDEKPARCA." on "._YEDEKPARCA.".yedek_parca_id = "._FATURA_URUNLER.".yedek_parca_id 
																					where "._FATURA_URUNLER.".fatura_id = ?", array( $id ) );
																					
		$max_id	=	$_servis -> ozelSorgu( "select MAX(fatura_id) as max_id from "._FATURALAR." LIMIT 1" );
		$max_id	=	( $max_id ) ? intval( $max_id[0]["max_id"] ) + 1 : 1;
	}
	else{
		$cariler	=	$_servis -> ozelSorgu( "select musteri_id, musteri_adi from "._MUSTERILER." where musteri_sil = 0" );
	
		$urunler	=	$_servis -> ozelSorgu( "select yedek_parca_id, yedek_parca_adi, barkod, birim_fiyat, alis_fiyat, kdv from "._YEDEKPARCA." 
																				where yedek_parca_sil = 0" );
																				
		$max_id	=	$_servis -> ozelSorgu( "select MAX(fatura_id) as max_id from "._FATURALAR." LIMIT 1" );
		$max_id	=	( $max_id ) ? intval( $max_id[0]["max_id"] ) + 1 : 1;
	}
	
	if( $servis_fis_id ){
		$cariler		=	$_servis -> ozelSorgu( "select musteri_id, musteri_adi from "._MUSTERILER." where musteri_sil = 0 and musteri_id = ? LIMIT 1", 
																					array( $musteri_id ) );
	}
	
	$val_seri_no				=	( $bilgiler["fatura_seri_no"] )				?	$bilgiler["fatura_seri_no"] : $max_id;
	$val_tarih					=	( $bilgiler["fatura_tarihi"] )					?	date( "d/m/Y", strtotime( $bilgiler["fatura_tarihi"] ) ) : date( "d/m/Y" );
	$val_aciklama			=	( $bilgiler["fatura_aciklama"] )			?	$bilgiler["fatura_aciklama"] : null;
	$val_araToplam		=	( $bilgiler["fatura_ara_toplam"] )		?	sqlToPara( $bilgiler["fatura_ara_toplam"] )." TL" : null;
	$val_iskonto				=	( $bilgiler["fatura_iskonto"] )				?	sqlToPara( $bilgiler["fatura_iskonto"] )." TL" : null;
	$val_kdvTutar			=	( $bilgiler["fatura_kdv_tutar"] )			?	sqlToPara( $bilgiler["fatura_kdv_tutar"] )." TL" : null;
	$val_toplamTutar	=	( $bilgiler["fatura_toplam_tutar"] )	?	sqlToPara( $bilgiler["fatura_toplam_tutar"] )." TL" : null;
	$val_matrah				=	sqlToPara( floatval( $bilgiler["fatura_ara_toplam"] ) - floatval( $bilgiler["fatura_iskonto"] ) )." TL";

?>
						<div class="modal-icerik-style">
						
							<?php if( $args["hangisi"] ): ?>
								<div class="geri-don-btn clearfix">
									<button type="button" class="btn btn-default btn-sm pull-left" data-toggle-iki="tooltip" title="Geri Dön"
									data-modal-ac="<?php echo $args["hangisi"]; ?>" data-param='{ "baslik" : "<?php echo $args["baslik"]; ?>", 
									"id" : <?php echo ( $args["id"] ) ? $args["id"] : $musteri_id; ?>, "yenile" : true, "size" : "<?php echo $args["size"]; ?>" }'>
									<i class="fa fa-arrow-left"></i></button>
								</div>
							<?php endif; ?>
						
							<div class="row">
								<div class="col-xs-12">
									<form id="<?php echo $form; ?>" action="" method="post" data-par='{ "hangisi" : "fatura" , "listele" : "faturalar" }'  class="<?php echo ( $id ) ? "kilitle" : null; ?>" autocomplete = "off">
									
										<div class="row">
										
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label><i class="fa fa-user"></i> Cari Hesap</label>
														<div class="form-group pos-rel input-data">
															<select name="cari_hesap" class="selectpicker form-control" data-live-search="true">
																<?php foreach( $cariler as $cari ): ?>
																	<option value="<?php echo $cari["musteri_id"]; ?>" <?php echo ( $musteri_id == $cari["musteri_id"] ) ? "selected" : null ?>><?php echo $cari["musteri_adi"]; ?>
																	</option>
																<?php endforeach; ?>
															</select>
														</div>
												</div>
											</div>
											
											<div class="col-xs-6 col-sm-3">
												<div class="form-group">
													<label>Seri / Sıra No ( * )</label>
														<div class="form-group pos-rel input-data">
															<input type="text" name="fatura_seri_no" class="form-control" required 
															style="text-transform:uppercase;" value="<?php echo $val_seri_no; ?>" />
														</div>
												</div>
											</div>
											
											<div class="col-xs-6 col-sm-3">
												<div class="form-group">
													<label><i class="fa fa-calendar"></i> Fatura Tarihi</label>
													<div class="form-group tarih-secim">
														<input type="text" name="fatura_tarihi" class="form-control datepicker" 
														value="<?php echo $val_tarih; ?>" readonly />
													</div>
												</div>
											</div>
											
											<div class="col-xs-12">
												<div class="form-group">
													<label><i class="fa fa-comment-o"></i> Açıklama</label>
													<div class="form-group tarih-secim">
														<input type="text" name="fatura_aciklama" class="form-control" maxlength="255" 
														value="<?php echo $val_aciklama; ?>" />
													</div>
												</div>
											</div>
											
											<?php
												
												//Fatura bilgileri okunurken eğer ödeme yapılmışsa gerekli parametre ayarlanıyor.
												if( $id ){
													$odeme_checked	=	count( $odeme_info ) ? "checked" : "";
												}
												else{
													$odeme_checked	=	"checked";
												}
												
											?>
											
											<div class="col-xs-12" >
												<div class="garanti-kutu" style="border-top:1px solid #e5e5e5;padding-top:10px;">
													<div class="row">
														<div class="col-xs-12 col-sm-6">
																<div class="ui checkbox <?php echo $odeme_checked; ?>">
																	<input type="checkbox" name="odendi" value="1" <?php echo $odeme_checked; ?> />
																	<label><?php echo $odeme_baslik[ $fatura_tur ]; ?></label>
															   </div>
														</div>
														
														<div class="col-xs-12 col-sm-6">
															<?php if( !$id || ( count( $odeme_info ) ) ): ?>
																<div class="form-group">
																	<select name="odeme_tur" class="selectpicker form-control">
																		<option value="1" 
																		<?php echo ( count( $odeme_info ) && $odeme_info[0]["odeme_tur"] == 1 ) ? "selected" : null; ?> >Nakit
																		</option>
																		
																		<option value="2" 
																		<?php echo ( count( $odeme_info ) && $odeme_info[0]["odeme_tur"] == 2 ) ? "selected" : null; ?> >Kredi Kartı
																		</option>
																		
																		<option value="3" 
																		<?php echo ( count( $odeme_info ) && $odeme_info[0]["odeme_tur"] == 3 ) ? "selected" : null; ?> >Çek
																		</option>

																		<option value="4" 
																		<?php echo ( count( $odeme_info ) && $odeme_info[0]["odeme_tur"] == 4 ) ? "selected" : null; ?> >Havale
																		</option>
																	</select>
																</div>
															<?php endif; ?>
														</div>
														
													</div>
												</div>
											</div>
											
											<?php if( $servis_fis_id ): ?>
												<input type="hidden" name="servis_fis_id" value="<?php echo $servis_fis_id; ?>" />
												<input type="hidden" name="servis_fis_no" value="<?php echo $servis_fis_no; ?>" />
											<?php endif; ?>
											
									</form>
									
									<div class="duz-cizgi" style="margin-bottom:10px;"><hr /></div>
									
									<form id="<?php echo $form2; ?>" action="" method="post"  autocomplete = "off">
											
										<?php if( !$id && !$servis_fis_id ): ?>
											<div class="row no-margin">
												<div class="col-xs-12 col-sm-6">
													<div class="form-group">
														<label><i class="fa fa-barcode"></i> Barkod</label>
															<div class="form-group pos-rel input-data">
																<input type="text" name="barkod" class="form-control" maxlength="32" data-param='barkod-sec' data-otomatik-tamamla="barkod-sec"/>
															</div>
													</div>
												</div>

												<div class="col-xs-12 col-sm-6">
													<div class="ui checkbox" style="margin-top:30px;">
														<input type="checkbox" name="kdv_dahil" value="1" checked />
														<label>Kdv Dahil</label>
													</div>
												</div>
											</div>
											
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label style="display:block;">Yedek Parça
													<a href="#" class="pull-right" data-yedek-parca-ekle="true">
													<i class="fa fa-plus"></i> Hızlı Ekle</a>
													</label>
														<div class="form-group pos-rel input-data">
															<select name="yedek_parca_id" class="form-control selectpicker" data-live-search="true">
																<option value="0">Seçiniz</option>
																<?php foreach( $urunler as $urun ): ?>
																	<option value="<?php echo $urun["yedek_parca_id"]; ?>"><?php echo $urun["yedek_parca_adi"]; ?></option>
																<?php endforeach; ?>
															</select>
														</div>
												</div>
											</div>
											
											<div class="col-xs-6 col-sm-2">
												<div class="form-group">
													<label><?php echo $fatura_tur_array[ $fatura_tur ]; ?></label>
														<div class="form-group pos-rel input-data">
															<input type="text" name="<?php echo ( $fatura_tur == "satis" ) ? "satis_fiyati" : "alis_fiyati"; ?>" 
															class="form-control" placeholder="0,00" data-para-format="TR" data-thousands="." data-decimal="," />
															<input type="hidden" name="<?php echo ( $fatura_tur == "satis" ) ? "alis_fiyati" : "satis_fiyati"; ?>" value="0.00" />
														</div>
												</div>
											</div>
											
											<div class="col-xs-6 col-sm-2">
												<div class="form-group">
													<label>Kdv %</label>
														<div class="form-group pos-rel input-data">
															<input type="text" name="yedek_parca_kdv" class="form-control" maxlength="2" 
															data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" />
														</div>
												</div>
											</div>
											
											<div class="col-xs-6 col-sm-2">
												<div class="form-group">
													<label>Adet</label>
														<div class="form-group pos-rel input-data">
															<input type="text" name="adet" class="form-control" value="1" required maxlength="4" 
															data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" />
														</div>
												</div>
											</div>
										<?php endif; ?>
											
											<div class="col-xs-12">
												<div class="fatura-girilen-urunler">
													<?php 
														if( count( $parcalar ) ){
															$ekliUrunler	=	array_map( function( $item ){
																return array(
																	"urun_adi"		=>	$item["yedek_parca_adi"],
																	"urun_id"		=>	$item["yedek_parca_id"],
																	"kdv"				=>	$item["kdv"],
																	"kdv_dahil"				=>	$item["kdv_dahil"],
																	"adet"				=>	$item["urun_adet"],
																	"satis_fiyati"	=>	$item["satis_fiyat"],
																	"alis_fiyati"	=>	$item["alis_fiyat"]
																);
															}, $parcalar );
															
															$cikti	=	$fatura -> ekliurunlerCiktila( $ekliUrunler, false );
															echo $cikti;
														}
														else if( $servis_fis_id ){
															
															$servis_islemleri	=	$_servis 
																									-> ozelSorgu( "select "._SERVISISLEMLERI.".servis_tutar, "._SERVISISLEMLERI.".servis_islem_id 
																									from "._SERVISISLEMLERI." 
																									where "._SERVISISLEMLERI.".servis_fis_id = ? and "._SERVISISLEMLERI.".servis_islem_sil = 0", 
																									array( $servis_fis_id ) );
																								
															$servisKdv	=	$_servis -> ozelSorgu( "select servis_tutari_kdv from "._AYARLAR." where ayar_id = 1 LIMIT 1" )[0];
		
															$_SESSION["ekli_urunler"]["urunler"][0]	=	array(
																"urun_adi"		=>	"Teknik Hizmet Bedeli",
																"urun_id"		=>	0,
																"kdv"				=>	$servisKdv["servis_tutari_kdv"],
																"kdv_dahil"				=>	1,
																"adet"				=>	1,
																"satis_fiyati"	=>	array_sum( array_map( function( $islem ){
																										return $islem["servis_tutar"];
																									}, $servis_islemleri ) ),
																"alis_fiyati"	=>	0.00
															);
															
															foreach( $servis_islemleri as $islem ){
																
																$_malzemeler	=	$_servis -> ozelSorgu( "select "._KULLANILANMALZEMELER.".*, "._YEDEKPARCA.".yedek_parca_adi 
																from "._KULLANILANMALZEMELER." 
																left join "._YEDEKPARCA." on "._KULLANILANMALZEMELER.".yedek_parca_id = "._YEDEKPARCA.".yedek_parca_id 
																where "._KULLANILANMALZEMELER.".servis_islem_id = ?", array( $islem["servis_islem_id"] ) );
																
																foreach( $_malzemeler as $mzl ){
																	
																	$_SESSION["ekli_urunler"]["urunler"][ ]	=	array(
																		"urun_adi"		=>	$mzl["yedek_parca_adi"],
																		"urun_id"		=>	$mzl["yedek_parca_id"],
																		"kdv"				=>	$mzl["kdv"],
																		"kdv_dahil"				=>	1,
																		"adet"				=>	$mzl["adet"],
																		"satis_fiyati"	=>	floatval( $mzl["birim_fiyat"] ),
																		"alis_fiyati"	=>	floatval( $mzl["alis_fiyat"] )
																	);
																}
																
															}
															
															$tutarlar	=	$fatura -> tutarlar( $_SESSION["ekli_urunler"]["urunler"] );
															
															$cikti		=	$fatura -> ekliurunlerCiktila( $_SESSION["ekli_urunler"]["urunler"], false );
															
															$tutarGuncelle	=	implode( ",", array_map( function( $item ){
																return str_replace( array( ".","," ), array( null,"." ), $item );
															}, $tutarlar ) );
															
															$cikti	.=	'<script type="text/javascript">
																						$(function(){
																							faturaEkle.cache();
																							faturaEkle.tutarGuncelle( '.$tutarGuncelle.' );
																						});
																					</script>';
																					
															echo $cikti;
														}
													?>
												</div>
											</div>
											
											<div class="col-xs-12">
												<div class="fatura-tutarlari">
													<div class="row">
														
														<div class="col-xs-12 col-sm-6" style="margin:10px 0 0;">
															<?php if( !$id ): ?>
																<div class="form-inline clearfix">
																		<div class="form-group pos-rel input-data pull-left">
																			<label>İskonto</label>
																			<input type="text" name="iskonto_yuzde" class="form-control" placeholder="%" maxlength="5" 
																			data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" 
																			style="width:54px;display:inline-block;" />
																		</div>
																		<div class="input-group pos-rel input-data pull-left" style="margin-left:5px;width:100px;">
																			<input type="text" name="iskonto_tutar" class="form-control" placeholder="0,00" 
																			data-para-format="TR" data-thousands="." data-decimal="," style="width:80px;display:inline-block;" />
																			<span class="input-group-addon"><i class="fa fa-try"></i></span>
																		</div>
																		<button type="button" class="btn btn-primary no-shadow no-radius iskonto-ekle" 
																		data-toggle-iki="tooltip" title="İskonto Ekle"><i class="fa fa-plus"></i></button>
																</div>
																
																<button type="button" class="btn btn-primary ekle-btn"><i class="fa fa-floppy-o"></i> Fatura Kaydet</button>
																
															<?php else: ?>
															
																<button type="button" class="btn btn-default hidden-768 no-shadow no-radius pull-left" 
																data-param='{ "where" : <?php echo $id; ?> }' 
																data-yazdir-btn="fatura" data-token = "<?php echo $_SESSION["yazdirToken"]; ?>">
																<i class="fa fa-print"></i> Fatura Yazdır</button>
																
																<button type="button" class="btn btn-default hidden-768 no-shadow no-radius pull-left" 
																style="margin-left:5px;" data-param='{ "where" : <?php echo $id; ?> }' 
																data-yazdir-btn="fatura_fis" data-token = "<?php echo $_SESSION["yazdirToken"]; ?>">
																<i class="fa fa-print"></i> Satış Fişi</button>
																
															<?php endif; ?>
															
														</div>
														
														<div class="col-xs-12 col-sm-6">
															<table class="table table-bordered full-width" style="margin:10px 0 0;">
																<tr><td><strong>Ara Toplam</strong></td>
																<td data-field="ara-toplam" style="width:50%;"><?php echo $val_araToplam; ?></td></tr>
																<tr><td><strong>Toplam</strong></td>
																<td data-field="matrah" style="width:50%;"><?php echo $val_matrah; ?></td></tr>
																<tr><td><strong>Kdv</strong></td>
																<td data-field="kdv-tutar" style="width:50%;"><?php echo $val_kdvTutar; ?></td></tr>
																<tr><td><strong>İskonto</strong></td>
																<td data-field="iskonto" style="width:50%;"><?php echo $val_iskonto; ?></td></tr>
																<tr><td><strong>Genel Toplam</strong></td>
																<td data-field="genel-toplam" style="width:50%;"><?php echo $val_toplamTutar; ?></td></tr>
															</table>
															
															<?php if( !$id && !$servis_fis_id ): ?>
																<button type="submit" class="btn btn-primary">Ekle</button>
															<?php endif; ?>
																
														</div>
													</div>
												</div>
											</div>
											
										</div>
									
									</form>
								</div>
							</div>
						</div>
						
						<?php if( !$id && !$servis_fis_id ): ?>
							<script type="text/javascript">
								faturaEkle.tur	=	"<?php echo $fatura_tur; ?>";
								window.urunler	=	{
								<?php foreach( $urunler as $urun ): ?>
									"id_<?php echo $urun["yedek_parca_id"]; ?>" : {
										"yedek_parca_id"	: <?php echo $urun["yedek_parca_id"]; ?>,
										"yedek_parca_adi"	: "<?php echo str_replace(array("\n", "\r"),"",$urun["yedek_parca_adi"]); ?>",
										"barkod"			: "<?php echo $urun["barkod"]; ?>",
										"birim_fiyat"		: "<?php echo sqlToPara( $urun["birim_fiyat"] ); ?>",
										"alis_fiyat"		: "<?php echo sqlToPara( $urun["alis_fiyat"] ); ?>",
										"kdv"				: <?php echo $urun["kdv"]; ?>
									},
								<?php endforeach; ?>
								};
							</script>
						<?php endif; ?>