<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Markalar.php";
	
	$form		=	"marka-ekleme-formu";
	$id				=	get("id");
	$_marka	=	new Marka();
	$bilgiler	=	$_marka -> ozelSorgu("select marka_baslik,marka_resim from "._MARKALAR." 
																			where marka_id = ? and marka_sil = 0 LIMIT 1",array($id));
																			
	if( $bilgiler === false || !count( $bilgiler ) ){
		$hata	=	"Marka Bulunamadı. ".$_marka -> getHata();
	}
	
	$_resim	=	$bilgiler[0]["marka_resim"];
	
		if(is_file($_SESSION["root"]."/uploads/resimler/".$_resim)){
			$_resim = $_SESSION["oto_url"]."/uploads/resimler/".$_resim;
			$resimEkli = true;
		}
		else{
			$_resim = $_SESSION["oto_url"]."/assets/img/no-image.jpg";
		}

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
								
								<?php if( $hata ): ?>
									<div class="alert alert-danger">
										<strong>İstenilen Bilgilere Ulaşılamıyor veya Kaynak Silinmiş.</strong><br />
										<strong>Bilgi :</strong> <?php echo $hata; ?>
									</div>
								<?php exit(); ?>
								<?php endif; ?>
								
									<form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data" data-par='{ "hangisi" : "marka" , "listele" : "markalar" }' autocomplete = "off" >
										<div class="row">
											<div class="col-xs-12 col-sm-7">
												<div class="row ilk-panel">
													<div class="col-xs-12">
														<div class="form-group">
															<label><i class="fa fa-trademark"></i> Marka Adı</label>
															<div class="form-group pos-rel input-data">
																<input type="text" name="marka_adi" class="form-control" maxlength="100" value="<?php echo $bilgiler[0]["marka_baslik"]; ?>" required />
															</div>
														</div>
													</div>
													<div class="col-xs-12">
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
													</div>
												</div>
												<div class="row son-panel">
													<div class="col-xs-12">
														<div class="alert alert-success response" role="alert"></div>
													</div>
												</div>
											</div>
											<div class="col-xs-12 col-sm-5 resim-yukleme-paneli">
												<div class="pos-rel">
													<span class="yeni-resim-yukleniyor rotate"><i class="fa fa-spinner"></i></span>
													<img src="<?php echo $_resim; ?>" class="thumbnail img-responsive ortala" alt="<?php echo $bilgiler[0]["marka_baslik"]; ?>" data-guncellenecek-resim="true" />
													<?php if($resimEkli): ?>
														<span class="ikon-resim-sil" data-toggle-iki="tooltip" title="Resmi Sil" data-param='{ "tur" : "marka", "id" : <?php echo $id; ?>, "resim_adi" : "<?php echo $bilgiler[0]["marka_resim"]; ?>" }'><i class="fa fa-times"></i></span>
													<?php endif; ?>
													<div class="resim-siliniyor">
														<span class="rotate"><i class="fa fa-spinner"></i></span>
													</div>
												</div>
												<div class="resim-secme clear" style="margin-top:10px;">
													<span class="btn btn-default btn-sm dosya-sec in-block left col-xs-5"><i class="fa fa-floppy-o"></i> Resim Seç
														<input type="file" name="resim" accept=".jpg, .png" />
													</span>
													<span class="secilen-dosya left in-block col-xs-7 font-bold">
														
													</span>
												</div>
												<div class="resim-yukleme-islemi">
													<div class="resim-load-bar">
														<div class="progress" style="margin:10px 0;">
														  <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:0%">
															<span class="sr-only">0%</span>
														  </div>
														</div>
													</div>
													<div class="resim-yukleme-butonu">
														<input type="hidden" name="hangisi" value="marka" />
														<input type="hidden" name="islem" value="duzenle" />
														<input type="hidden" name="resim_adi" value="<?php echo $bilgiler[0]["marka_resim"]; ?>" />
														<input type="hidden" name="id" value="<?php echo $id; ?>" />
														<button type="submit" class="btn btn-primary btn-sm col-xs-5" data-form="<?php echo $form; ?>" data-resim-duzenle="true"><i class="fa fa-cloud-upload"></i> Yükle</button>
													</div>
												</div>
												<div class="sonuc-mesaj">
													<div class="alert alert-success response" role="alert"></div>
												</div>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>