<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$form		=	"mesaj-gonderme-formu";
	$user_id	=	( get("id") ) ? get("id") : false;
	
	$args		=	get("args");
	$args		=	json_decode( html_entity_decode( $args ), true );
	
	$_servis	=	new Servis();
	$_users	=	$_servis -> ozelSorgu( "select user_id, user_ad, user_soyad from "._USERS." where user_durum = 1 and user_vizyon = 1" );

?>
						<div class="modal-icerik-style">
						
							<?php if( $args["hangisi"] ): ?>
								<div class="geri-don-btn clearfix">
									<button type="button" class="btn btn-default btn-sm pull-left" data-toggle-iki="tooltip" title="Geri Dön"
									data-modal-ac="<?php echo $args["hangisi"]; ?>" data-param='{ "baslik" : "<?php echo $args["baslik"]; ?>", 
									"id" : <?php echo $user_id; ?>, "yenile" : true, "size" : "<?php echo $args["size"]; ?>" }'>
									<i class="fa fa-arrow-left"></i></button>
								</div>
							<?php endif; ?>
						
							<div class="row">
								<div class="col-xs-12">
									<form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data" 
									data-par='{ "hangisi" : "mesajlar" , "listele" : "mesajlar", "temizle" : true, "dosyaGonder" : true }' autocomplete = "off" >
										<div class="row">
											<div class="col-xs-12">
												<div class="row ilk-panel">
													<div class="col-xs-12">
														<div class="form-group">
															<label><i class="fa fa-user"></i> Kime</label>
															<div class="form-group pos-rel input-data">
																<select name="kimlere" class="selectpicker form-control" required >
																	<?php foreach($_users as $usr): ?>
																		<?php if( $_SESSION["user"]["user_id"] != $usr["user_id"] ): ?>
																			<option value="<?php echo $usr["user_id"]; ?>" <?php echo ( $user_id == $usr["user_id"] ) ? "selected" : null; ?>>
																				<?php echo $usr["user_ad"]." ".$usr["user_soyad"]; ?>
																			</option>
																		<?php endif; ?>
																	<?php endforeach; ?>
																</select>
															</div>
														</div>
														<hr />
														<div class="form-group">
															<label><i class="fa fa-header"></i> Başlık</label>
															<div class="form-group pos-rel input-data">
																<input type="text" name="baslik" class="form-control" required />
															</div>
														</div>
														<div class="form-group">
															<label><i class="fa fa-envelope-o"></i> Mesaj</label>
															<div class="form-group pos-rel input-data">
																<textarea name="mesaj" class="form-control" rows="5" required ></textarea>
															</div>
														</div>
														<hr />
														
														<div class="resim-secme clear mesaj-dosya-secimi" style="margin-top:10px;margin-bottom:10px;">
															<span class="btn btn-default btn-sm dosya-sec in-block left pull-left"><i class="fa fa-floppy-o"></i>
																<input type="file" name="dosya" accept=".zip" />
															</span>
															<span class="secilen-dosya left in-block col-xs-7 font-bold">
																[ max 4MB | *.zip ]
															</span>
														</div>
														
														<div class="resim-load-bar">
															<div class="progress" style="margin:10px 0;">
															  <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:0%;">
																<span class="sr-only">0%</span>
															  </div>
															</div>
														</div>
													</div>
													<div class="col-xs-12">
													
														<input type="hidden" name="islem" value="ekle" />
													
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Gönder</button>

													</div>
												</div>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>