<?php
	
	session_start();
	
	if( !isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"] ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Iller.php";
	require $_SESSION["root"]."/inc/ServisFisi.php";
	require $_SESSION["root"]."/inc/YedekParca.php";
	
	$form = "servis-fisi-ekleme-formu";
	$form2 = "servis-fisi-ekleme-formu2";
	$form3 = "servis-ekleme-formu";
	$id = get("id");
	$benID = $_SESSION["user"]["user_id"];
	
	$yetki_servis_fisi_duzenle = yetki( "servis_fisi_duzenle" );
	$yetki_servis_gorev_ata = yetki( "servis_gorev_ata" );
	$yetki_servis_resim_ekle = yetki( "servis_resim_ekle" );
	$yetki_servis_resim_sil = yetki( "servis_resim_sil" );
	$yetki_servis_email_gonder = yetki( "servis_email_gonder" );
	$yetki_servis_sms_gonder = yetki( "servis_sms_gonder" );
	$yetki_servis_islemi_ekle = yetki( "servis_islemi_ekle" );
	$yetki_tahsilat_ekle = yetki( "tahsilat_ekle" );
	$yetki_satis_faturasi_ekle = yetki( "satis_faturasi_ekle" );
	
	$kilitle = ( $yetki_servis_fisi_duzenle ) ? null : "kilitle";
	
	$_il = new Il();
	$_servisFisi = new ServisFisi();
	$_yedekParca = new YedekParca();
	$_servis = new Servis();
	
	$bilgiler = $_servisFisi -> ozelSorgu("
        select "._SERVISFISLERI.".*,"._USERS.".user_ad,"._USERS.".user_soyad,"._USERS.".user_name,"._USERS.".user_profil_resmi,"._MUSTERILER.".musteri_id,"._MUSTERILER.".musteri_adi,"._MUSTERILER.".musteri_kodu,"._MUSTERILER.".il,"._MUSTERILER.".musteri_tel1, "._MUSTERILER.".musteri_tel2, "._MUSTERILER.".musteri_email, "._MUSTERILER.".musteri_profil_resmi, "._MUSTERILER.".bakiye, "._MUSTERILER.".ilce_semt, "._MUSTERILER.".musteri_adres, "._CIHAZLAR.".cihaz_baslik, "._MARKALAR.".marka_baslik 
	    from "._SERVISFISLERI." left join "._USERS." on "._USERS.".user_id = "._SERVISFISLERI.".ekleyen_id 
	    left join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._SERVISFISLERI.".musteri_id 
	    left join "._CIHAZLAR." on "._CIHAZLAR.".cihaz_id = "._SERVISFISLERI.".cihaz_id 
	    left join "._MARKALAR." on "._MARKALAR.".marka_id = "._SERVISFISLERI.".marka_id 
	    where "._SERVISFISLERI.".servis_fis_id = ? and "._SERVISFISLERI.".fis_sil = 0 
	    LIMIT 1
    ",
	array($id) );
	
	if( $bilgiler === false || !count( $bilgiler ) ){
		$hata = "Servis Bulunamadı. ".$_servisFisi -> getHata();
	}
	else{
		$bilgiler = $bilgiler[0];

		$_resim = $bilgiler["musteri_profil_resmi"];
	
		if( is_file($_SESSION["root"]."/uploads/resimler/".$_resim) ){
			$_resim = $_SESSION["oto_url"]."/uploads/resimler/".$_resim;
			$resimEkli = true;
		}
		else{
			$_resim = $_SESSION["oto_url"]."/assets/img/no-image.jpg";
		}
		
		$faturaAdet = $_servis -> ozelSorgu( "select fatura_id from "._FATURALAR." 
		where fatura_sil = 0 and servis_fis_id = ? LIMIT 1",
		array( $id ) );

		$faturaVar = count( $faturaAdet );
		
		$user_icon = ($bilgiler["user_profil_resmi"] && is_file($_SESSION["root"]."/uploads/resimler/".$bilgiler["user_profil_resmi"])) ? "/uploads/resimler/".$bilgiler["user_profil_resmi"] : 
		"/assets/img/user-icon.png" ;
		
		$resimler = $_servisFisi -> ozelSorgu("select * from "._RESIMLER." where resim_tur = 'servis_fisi' and resim_tur_id = ?",array($id));
		
		//Servis işlemi ekleme yetkisi varsa malzemeler getiriliyor
		if( !$bilgiler["gorev_mudahale"] && $benID != $bilgiler["ekleyen_id"] && $_SESSION["user"]["user_yetki"] != 0 ){
			$malzemeler	=	null;
		}else{
			if( $yetki_servis_islemi_ekle ){
				$malzemeler	=	$_yedekParca -> ozelSorgu("select yedek_parca_id, yedek_parca_adi, birim_fiyat from "._YEDEKPARCA." where yedek_parca_sil = 0");
			}
		}
	
		$_gorev = array();
		$gorevliPersonel = $_servis -> ozelSorgu("
            SELECT "._GOREVLER.".*, "
                ._USERS.".user_id, "._USERS.".user_ad, "._USERS.".user_soyad, "
                ._USERS.".user_tel, "._USERS.".user_profil_resmi 
            FROM "._GOREVLER." 
            INNER JOIN "._USERS." on "._USERS.".user_id = "._GOREVLER.".gorev_alan_id 
            WHERE "._GOREVLER.".servis_fis_id = ?
        ",
		array($id) );
																									
		foreach( $gorevliPersonel as $grv ){
			if( $grv["gorev_alan_id"] == $benID ){
				$_gorev[0]["gorev_id"] = $grv["gorev_id"];
				$_gorev[0]["gorev_durum"] = $grv["gorev_durum"];
				$_gorev[0]["gorev_veren_id"] = $grv["gorev_veren_id"];
				$_gorev[0]["gorev_alan_id"] = $grv["gorev_alan_id"];
				$_gorev[0]["gorev_bitirme_tarihi"] = $grv["gorev_bitirme_tarihi"];
				$_gorev[0]["servis_fis_id"] = $grv["servis_fis_id"];
				$_gorev[0]["user_profil_resmi"] = $grv["user_profil_resmi"];
			}
		}
	
	//Müşteri emaili geçerliyse çalıştırılacak alan--------------------------------------------------------------------------------------------------
	if( filter_var( $bilgiler["musteri_email"], FILTER_VALIDATE_EMAIL ) && $yetki_servis_email_gonder ){
		$emailSablonlari = $_servis -> ozelSorgu("select email_sablon_id,email_sablon_baslik,email_sablon_konu,email_sablon_detay 
		from "._EMAILSABLONLARI." 
		where email_sablon_sil = 0");
	}
	//Müşteri emaili geçerliyse çalıştırılacak alan--------------------------------------------------------------------------------------------------
	
	//Müşteri telefonu girilmişse çalıştırılacak alan--------------------------------------------------------------------------------------------------
	if( $bilgiler["musteri_tel1"] || $bilgiler["musteri_tel2"] && $yetki_servis_sms_gonder ){
		$smsSablonlari = $_servis -> ozelSorgu("select sms_sablon_id, sms_sablon_baslik, sms_sablon_detay 
		from "._SMSSABLONLARI." 
		where sms_sablon_sil = 0");
	}
	//Müşteri telefonu girilmişse çalıştırılacak alan--------------------------------------------------------------------------------------------------
	
	
	//Müşteri emaili geçerli veya telefonu eklenmişse şablon kodları oluşturuluyor.
	if( ( filter_var( $bilgiler["musteri_email"], FILTER_VALIDATE_EMAIL ) || $bilgiler["musteri_tel1"] || $bilgiler["musteri_tel2"] ) 
		&& ( $yetki_servis_email_gonder || $yetki_servis_sms_gonder ) ){
		
		$firmaBilgileri	=	$_servis -> ozelSorgu("select firma_adi, firma_tel1, firma_tel2, firma_adres, firma_il from "._FIRMA." where firma_id = 1 LIMIT 1");
		$firmaBilgileri	=	$firmaBilgileri[0];
		
		//Şablon kodu için cihaz türü belirleniyor
		foreach( $_SESSION["bilgi"]["cihazlar"] as $cih ){
			if( $cih["cihaz_id"] == $bilgiler["cihaz_id"] ){
				$cihaz_adi	=	$cih["cihaz_baslik"];
			}
		}
		
		$sablonDegistir	=	array(
			"in"		=>	array(
							$firmaBilgileri["firma_adi"], ( ( $firmaBilgileri["firma_tel1"] ) ? $firmaBilgileri["firma_tel1"] : $firmaBilgileri["firma_tel2"] ), 
							( $firmaBilgileri["firma_adres"]." ".$_il -> ilTek( $firmaBilgileri["firma_il"] ) ), $bilgiler["servis_fis_no"], $cihaz_adi, $bilgiler["musteri_adi"], 
							$_SESSION["oto_url"], $bilgiler["musteri_tel1"]
			),
			"out"	=>	array( 
							'[firma_adi]', '[firma_tel]', '[firma_adres]', '[servis_fis_no]', '[cihaz_adi]', 
							'[musteri_adi]', '[musteri_sorgulama_url]', '[musteri_tel]' )
		);
	}
	
	$gonderilenler	=	$_servis -> ozelSorgu("select "._SMS_EMAIL_GONDERILENLER.".*, "._USERS.".user_ad, "._USERS.".user_soyad 
											from "._SMS_EMAIL_GONDERILENLER." 
											left join "._USERS." on "._USERS.".user_id = "._SMS_EMAIL_GONDERILENLER.".se_gonderen_id 
											where "._SMS_EMAIL_GONDERILENLER.".servis_fis_id = ? and ( se_tur = ? or se_tur = ? )", 
											array($bilgiler["servis_fis_id"], "email","sms" ) );
	
	//Email ve Sms geçmişi biriktiriliyor
	$gonderilenEmail	=	array();
	$gonderilenSms		=	array();
	
	array_reduce( $gonderilenler, function( $k, $item ){
		global $gonderilenEmail;
		if( $item["se_tur"] == "email" ){
			$gonderilenEmail[ ]	=	$item;
		}
	});
												
	array_reduce( $gonderilenler, function( $k, $item ){
		global $gonderilenSms;
		if( $item["se_tur"] == "sms" ){
			$gonderilenSms[ ]	=	$item;
		}
	});
	
	$teslimTarihi	=	strtotime( $bilgiler["servis_teslim_tarihi"] );
	
	$_self				=	basename( __FILE__, '.php' );
	
	}

	$info = json_decode( $bilgiler["mobil_imza"], true );
    $img1 = $_SESSION["root"]."/uploads/resimler/".$info["dosya"]."_1.jpeg";
    $img2 = $_SESSION["root"]."/uploads/resimler/".$info["dosya"]."_2.jpeg";

	$mobil_onay = ( $info["dosya"] && is_file( $img1 ) && is_file( $img2 ) );
	
?>
<div class="modal-icerik-style">
    <div class="row">
        <div class="col-xs-12" style="min-height:350px;">

            <?php if( $hata ): ?>
            <div class="alert alert-danger">
                <strong>İstenilen Bilgilere Ulaşılamıyor veya Kaynak Silinmiş.</strong><br />
                <strong>Bilgi :</strong> <?php echo $hata; ?>
            </div>
            <?php exit(); ?>
            <?php endif; ?>

            <div class="ms-tab">

                <div class="tab-menu">

                    <ul class="clearfix">

                        <li class="active">
                            <a href="#">Servis Bilgileri</a>
                        </li>

                        <li>
                            <a href="#" id="servis-islemleri-tab">Servis İşlemleri</a>
                        </li>

                        <?php if( yetki("musteri_onay") ): ?>

                        <li>
                            <a href="#" id="musteri-onay-tab">
                                Müşteri Onay
                                <?php if( $mobil_onay ): ?>
                                <i class="fa fa-check"></i>
                                <?php endif; ?>
                            </a>
                        </li>

                        <?php endif; ?>

                        <li>
                            <a href="#">Resimler
                                <?php if(count($resimler)): ?>
                                <span class="badge"><?php echo count($resimler); ?></span>
                                <?php endif; ?>
                            </a>
                        </li>

                        <li>
                            <a href="#">Email
                                <?php if( count( $gonderilenEmail ) ): ?>
                                <span class="badge"><?php echo count( $gonderilenEmail ); ?></span>
                                <?php endif; ?>
                            </a>
                        </li>

                        <li>
                            <a href="#">Sms
                                <?php if( count( $gonderilenSms ) ): ?>
                                <span class="badge"><?php echo count( $gonderilenSms ); ?></span>
                                <?php endif; ?>
                            </a>
                        </li>

                    </ul>
                </div>

                <div class="ms-tab-content">

                    <div class="row tab-bir active" style="display:block;">

                        <div class="col-xs-12 sablon-paneli-css no-border">

                            <div class="col-xs-12 col-lg-9 no-padding">

                                <form id="<?php echo $form; ?>" action="" method="post"
                                    data-par='{ "hangisi" : "servis_fisi" , "listele" : "servis-fisleri" }'
                                    autocomplete="off" class="<?php echo $kilitle; ?> first">

                                    <div class="panel-group ilk-panel no-margin" role="tablist"
                                        aria-multiselectable="true">

                                        <div class="panel panel-default">
                                            <div class="panel-heading" role="tab" id="headingOne">
                                                <h4 class="panel-title">
                                                    <a role="button" data-toggle="collapse" href="#collapse1"
                                                        aria-expanded="true" aria-controls="collapse1">
                                                        Cari Hesap Bilgileri
                                                    </a>
                                                </h4>
                                            </div>

                                            <div id="collapse1" class="panel-collapse collapse in" role="tabpanel"
                                                aria-labelledby="headingOne">
                                                <div class="panel-body form-horizontal">

                                                    <div class="form-group">
                                                        <label class="col-xs-3 col-sm-3 control-label">
                                                            Cari Hesap <i class="fa fa-user"></i> :
                                                        </label>
                                                        <div class="input-group pos-rel input-data col-xs-9 col-sm-9">

                                                            <input type="text" name="musteri" class="form-control"
                                                                maxlength="100" data-param='musteri-sec'
                                                                data-otomatik-tamamla="musteri-sec"
                                                                value="<?= $bilgiler["musteri_adi"]; ?>" />
                                                            <span class="input-group-addon hizli-ekle"
                                                                data-toggle-iki="tooltip"
                                                                data-hizli-ekleme-paneli="#hizli-musteri-ekle"
                                                                title="Hızlı Cari Ekle" style="border-left:none;">
                                                                <i class="fa fa-user-plus"></i>
                                                            </span>

                                                            <a href="#" class="btn btn-default btn-xs sec"
                                                                data-musteri-sec="true" style="right:50px;">
                                                                <i class="fa fa-file-text"></i> Liste
                                                            </a>

                                                        </div>

                                                        <div class="col-xs-offset-3 col-xs-9 col-sm-9 musteri-sec"
                                                            style="display:block;">
                                                            <fieldset>
                                                                <legend>
                                                                    <i class="fa fa-info-circle"></i> Cari Bilgileri
                                                                    <span class="ok"><i class="fa fa-check"></i></span>
                                                                </legend>
                                                                <div class="bilgiler">
                                                                    <table>
                                                                        <tr>
                                                                            <td class="baslik"><strong>Cari Adı</strong>
                                                                            </td>
                                                                            <td class="bilgi-musteri-adi">:
                                                                                <?= $bilgiler["musteri_adi"]; ?></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td class="baslik"><strong>Hesap
                                                                                    Kodu</strong></td>
                                                                            <td class="bilgi-hesap-kodu">:
                                                                                <?= $bilgiler["musteri_kodu"]; ?></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td class="baslik"><strong>Email</strong>
                                                                            </td>
                                                                            <td class="bilgi-musteri-email">:
                                                                                <?= $bilgiler["musteri_email"]; ?></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td class="baslik"><strong>Telefon</strong>
                                                                            </td>
                                                                            <td class="bilgi-musteri-telefon">:
                                                                                <?= $bilgiler["musteri_tel1"]; ?></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td class="baslik"><strong>Bakiye</strong>
                                                                            </td>
                                                                            <td class="bilgi-musteri-il">
                                                                                :
                                                                                <?= sqlToPara( $bilgiler["bakiye"] ); ?>
                                                                                <i class="fa fa-try"></i>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td class="baslik"><strong>Adres</strong>
                                                                            </td>
                                                                            <td class="bilgi-musteri-adres" style="word-break: break-word;">:
                                                                                <?= $bilgiler["musteri_adres"]; ?></td>
                                                                        </tr>
                                                                    </table>
                                                                </div>
                                                            </fieldset>

                                                            <input type="hidden" name="musteri_id"
                                                                value="<?= $bilgiler["musteri_id"]; ?>"
                                                                data-uyari="Cari Seçmediniz!" required />

                                                        </div>

                                                    </div>

                                                </div>

                                            </div>
                                        </div>

                                        <div class="panel panel-default">
                                            <div class="panel-heading" role="tab" id="headingOne">
                                                <h4 class="panel-title">
                                                    <a role="button" data-toggle="collapse" href="#collapse2"
                                                        aria-expanded="true" aria-controls="collapse2">
                                                        Cihaz Bilgileri
                                                    </a>
                                                </h4>
                                            </div>

                                            <div id="collapse2" class="panel-collapse collapse in" role="tabpanel"
                                                aria-labelledby="headingOne">
                                                <div class="panel-body form-horizontal">

                                                    <div class="form-group">
                                                        <label class="col-xs-3 col-sm-3 control-label">
                                                            Cihaz <i class="fa fa-desktop"></i> :
                                                        </label>

                                                        <div class="input-group pos-rel input-data col-xs-9 col-sm-5">
                                                            <select name="cihaz" class="selectpicker form-control">
                                                                <?php foreach($_SESSION["bilgi"]["cihazlar"] as $cih): ?>
                                                                <option value="<?= $cih["cihaz_id"]; ?>"
                                                                    <?= ($cih["cihaz_id"] == $bilgiler["cihaz_id"]) ? "selected" : null; ?>>
                                                                    <?= $cih["cihaz_baslik"]; ?>
                                                                </option>
                                                                <?php endforeach; ?>
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label class="col-xs-3 col-sm-3 control-label">
                                                            Marka <i class="fa fa-trademark"></i> :
                                                        </label>

                                                        <div class="input-group pos-rel input-data col-xs-9 col-sm-5">
                                                            <select name="marka" class="selectpicker form-control"
                                                                data-live-search="true">
                                                                <option value="0">Seçilmedi</option>
                                                                <?php foreach($_SESSION["bilgi"]["markalar"] as $mar): ?>
                                                                <option value="<?= $mar["marka_id"]; ?>"
                                                                    <?php echo ($mar["marka_id"] == $bilgiler["marka_id"]) ? "selected" : null; ?>>
                                                                    <?= $mar["marka_baslik"]; ?>
                                                                </option>
                                                                <?php endforeach; ?>
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label class="col-xs-3 col-sm-3 control-label">
                                                            Seri No <i class="fa fa-barcode"></i> :
                                                        </label>
                                                        <div class="input-group pos-rel input-data col-xs-9 col-sm-5">
                                                            <input type="text" name="seri_no" class="form-control"
                                                                value="<?= $bilgiler["servis_seri_no"]; ?>" />
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label class="col-xs-3 col-sm-3 control-label">
                                                            Model No <i class="fa fa-barcode"></i> :
                                                        </label>
                                                        <div class="input-group pos-rel input-data col-xs-9 col-sm-5">
                                                            <input type="text" name="model" class="form-control"
                                                                value="<?= $bilgiler["servis_model_no"]; ?>" />
                                                        </div>
                                                    </div>

                                                </div>

                                            </div>
                                        </div>

                                        <div class="panel panel-default">
                                            <div class="panel-heading" role="tab" id="headingOne">
                                                <h4 class="panel-title">
                                                    <a role="button" data-toggle="collapse" href="#collapse3"
                                                        aria-expanded="true" aria-controls="collapse3">
                                                        Servis Bilgileri
                                                    </a>
                                                </h4>
                                            </div>

                                            <div id="collapse3" class="panel-collapse collapse in" role="tabpanel"
                                                aria-labelledby="headingOne">
                                                <div class="panel-body form-horizontal">

                                                    <div class="form-group">
                                                        <label class="col-xs-3 col-sm-3 control-label">
                                                            Arızası <i class="fa fa-exclamation-circle"></i> :
                                                        </label>
                                                        <div class="input-group pos-rel input-data col-xs-9 col-sm-9">
                                                            <textarea name="ariza" class="form-control" rows="4"
                                                                required><?= $bilgiler["sikayet"]; ?></textarea>
                                                        </div>
                                                    </div>

                                                    <div class="form-group" style="margin-bottom:10px;">
                                                        <label class="col-xs-3 col-sm-3 control-label">
                                                            Kabul Tarihi <i class="fa fa-calendar"></i> :
                                                        </label>

                                                        <div class="col-xs-9 no-padding">
                                                            <div
                                                                class="pos-rel no-padding input-data col-xs-6 col-sm-4 tarih-secim">
                                                                <input type="text" name="kabul_tarihi"
                                                                    class="form-control datepicker"
                                                                    value="<?= date("d/m/Y", strtotime($bilgiler["servis_giris_tarihi"])); ?>"
                                                                    readonly />
                                                            </div>
                                                            <div class="pos-rel input-data col-xs-4 col-sm-3">
                                                                <input type="time" name="kabul_saati"
                                                                    class="form-control"
                                                                    value="<?= date("H:i", strtotime($bilgiler["servis_giris_tarihi"])); ?>" />
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label class="col-xs-3 col-sm-3 control-label">
                                                            Servis Durum <i class="fa fa-info-circle"></i> :
                                                        </label>
                                                        <div class="input-group pos-rel input-data col-xs-9 col-sm-8">
                                                            <select name="durum" class="selectpicker form-control">
                                                                <option value="0">Yeni Servis</option>
                                                                <?php foreach($_SESSION["bilgi"]["durumlar"] as $dur): ?>
                                                                <option value="<?php echo $dur["durum_id"]; ?>"
                                                                    <?= ($dur["durum_id"] == $bilgiler["durum_id"]) ? "selected" : null; ?>>
                                                                    <?php echo $dur["durum_baslik"]; ?>
                                                                </option>
                                                                <?php endforeach; ?>
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label class="col-xs-3 col-sm-3 control-label">
                                                            Aksesuar <i class="fa fa-tag"></i> :
                                                        </label>
                                                        <div class="input-group pos-rel input-data col-xs-9 col-sm-8">
                                                            <input type="text" name="birlikte_gelenler"
                                                                class="form-control"
                                                                value="<?= $bilgiler["birlikte_gelenler"]; ?>" />
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label class="col-xs-3 col-sm-3 control-label">
                                                            Not <i class="fa fa-file-o"></i> :
                                                        </label>
                                                        <div class="input-group pos-rel input-data col-xs-9 col-sm-8">
                                                            <textarea name="servis_aciklama" class="form-control"
                                                                rows="3"><?= $bilgiler["servis_aciklama"]; ?></textarea>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label class="col-xs-3 col-sm-3 control-label">
                                                            Hatırlatma <i class="fa fa-calendar"></i> :
                                                        </label>

                                                        <div class="input-group pos-rel input-data col-xs-9 col-sm-8">
                                                            <select name="hatirlat" class="selectpicker form-control">
                                                                <option value="0">YOK</option>
                                                                <?php foreach( range(1,12) as $htr ): ?>
                                                                <option value="<?= $htr; ?>"
                                                                    <?= ($htr == $bilgiler["hatirlat"]) ? "selected" : null; ?>>
                                                                    <?= $htr." AYLIK BAKIM / KONTROL HATIRLAT"; ?>
                                                                </option>
                                                                <?php endforeach; ?>
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <?php if( strtotime($bilgiler["servis_teslim_tarihi"]) > 0 ): ?>

                                                    <div class="form-group">
                                                        <label class="col-xs-3 col-sm-3 control-label">
                                                            Teslim Tarihi <i class="fa fa-calendar"></i> :
                                                        </label>

                                                        <div class="col-xs-9 no-padding" style="margin-bottom:10px;">
                                                            <div
                                                                class="pos-rel no-padding input-data col-xs-6 col-sm-4 tarih-secim">
                                                                <input type="text" name="teslim_tarihi"
                                                                    class="form-control teslim"
                                                                    value="<?= inputDate( $bilgiler["servis_teslim_tarihi"] ); ?>"
                                                                    readonly />
                                                            </div>

                                                            <?php if( strtotime($bilgiler["servis_teslim_tarihi"]) < time() ): ?>
                                                            <span class="aciklama">Teslim Tarihi Geçmiş Durumda</span>
                                                            <?php endif; ?>
                                                        </div>

                                                    </div>

                                                    <?php endif; ?>


                                                    <div class="form-group">
                                                        <label class="col-xs-3 col-sm-3 control-label">
                                                            Takvime Ekle <i class="fa fa-calendar"></i> :
                                                        </label>

                                                        <div class="col-xs-9 no-padding">
                                                            <div
                                                                class="pos-rel no-padding input-data col-xs-6 col-sm-4 tarih-secim">
                                                                <input type="text" name="plan_tarihi"
                                                                    class="form-control takvim datepicker"
                                                                    value="<?= inputDate( $bilgiler["plan_tarihi"] ); ?>"
                                                                    readonly />
                                                            </div>
                                                            <div class="pos-rel input-data col-xs-4 col-sm-4">
                                                                <input type="time" name="plan_saati"
                                                                    class="form-control takvim"
                                                                    value="<?= inputDate( $bilgiler["plan_tarihi"], "H:i" ); ?>" />
                                                            </div>
                                                        </div>
                                                    </div>


                                                </div>

                                            </div>
                                        </div>

                                        <div class="panel panel-default">
                                            <div class="panel-heading" role="tab" id="headingOne">
                                                <h4 class="panel-title">
                                                    <a role="button" data-toggle="collapse" href="#collapse3"
                                                        aria-expanded="true" aria-controls="collapse3">
                                                        Garanti ve Görev Atama
                                                    </a>
                                                </h4>
                                            </div>

                                            <div id="collapse3" class="panel-collapse collapse in" role="tabpanel"
                                                aria-labelledby="headingOne">
                                                <div class="panel-body form-horizontal">

                                                    <div
                                                        class="garanti-kutu col-xs-offset-3 col-xs-9 col-sm-offset-3 col-sm-9">
                                                        <div
                                                            class="ui checkbox <?php echo ($bilgiler["servis_garanti_durum"]) ? "checked" : null; ?>">
                                                            <input type="checkbox" name="garanti" value="1"
                                                                data-panel-check="#garanti-tarih-sec"
                                                                <?php echo ($bilgiler["servis_garanti_durum"]) ? "checked" : null; ?> />
                                                            <label>Garanti</label>
                                                        </div>
                                                        <div class="gizli" id="garanti-tarih-sec"
                                                            <?php echo ($bilgiler["servis_garanti_durum"]) ? 'style="display:block;"' : null; ?>>
                                                            <div class="input-group tarih-secim input-daterange">
                                                                <input type="text" name="garanti_baslangic"
                                                                    placeholder="Başlangıç"
                                                                    class="form-control datepicker" readonly
                                                                    value="<?php echo ( $bilgiler["servis_garanti_durum"] && strtotime($bilgiler["garanti_baslangic"]) > 0 ) ? date("d/m/Y",strtotime($bilgiler["garanti_baslangic"])) : null; ?>" />
                                                                <span class="input-group-addon"><i
                                                                        class="fa fa-arrows-h"></i></span>
                                                                <input type="text" name="garanti_bitis"
                                                                    placeholder="Bitiş" class="form-control datepicker"
                                                                    readonly
                                                                    value="<?php echo ($bilgiler["servis_garanti_durum"] && strtotime($bilgiler["garanti_bitis"]) > 0) ? date("d/m/Y",strtotime($bilgiler["garanti_bitis"])) : null; ?>" />
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>

                                    </div>

                                    <input type="hidden" name="hangisi" value="servis_fisi" />
                                    <input type="hidden" name="islem" value="duzenle" />
                                    <input type="hidden" name="id" value="<?php echo $id; ?>" />

                                    <?php if( $yetki_servis_fisi_duzenle && !$faturaVar ): ?>

                                    <button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-2"
                                        data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>"><span
                                            class="rotate"><i class="fa fa-spinner"></i>
                                        </span> <i class="ikon-gizle fa fa-floppy-o"></i> Güncelle
                                    </button>

                                    <?php endif; ?>

                                </form>

                            </div>

                            <div class="col-xs-12 col-lg-3 no-padding">

                                <div class="servis-fisi-kim-ekledi second clearfix">

                                    <div class="servis-fis-liste">
                                        <ul>
                                            <li class="fis-no">
                                                <i class="fa fa-calendar" data-toggle-iki="tooltip"
                                                    title="Eklenme Tarihi"></i>
                                                <strong data-toggle-iki="tooltip" title="Eklenme Tarihi">
                                                    <?= date("d.m.Y [H:i]", strtotime( $bilgiler["servis_giris_tarihi"] )); ?>
                                                </strong>
                                            </li>
                                            <li class="fis-no">
                                                <i class="fa fa-file-text-o" data-toggle-iki="tooltip"
                                                    title="Fiş Numarası"></i>
                                                <strong data-toggle-iki="tooltip" title="Fiş Numarası">
                                                    <?= $bilgiler["servis_fis_no"]; ?>
                                                </strong>
                                            </li>
                                            <li class="fis-no">
                                                <i class="fa fa-file-o" data-toggle-iki="tooltip" title="Fiş ID"></i>
                                                <strong data-toggle-iki="tooltip" title="Fiş ID">
                                                    <?= $bilgiler["servis_fis_id"]; ?>
                                                </strong>
                                            </li>
                                        </ul>
                                    </div>

                                    <div class="clearfix">

                                        <div class="user-avatar pull-left" data-toggle-iki="tooltip"
                                            title="Kim Eklemiş">
                                            <img src="<?= $_SESSION["oto_url"]."/".$user_icon; ?>"
                                                alt="<?= $bilgiler["user_name"]; ?>" />
                                        </div>

                                        <div class="kim-ekledi pull-left">

                                            <strong style="color: #235f82;" data-toggle-iki="tooltip"
                                                title="Kim Eklemiş">
                                                <?= $bilgiler["user_ad"]." ".$bilgiler["user_soyad"]; ?>
                                            </strong>

                                        </div>

                                    </div>

                                    <?php if( count( $gorevliPersonel ) ): ?>

                                    <ul class="gorevli-personeller clearfix">
                                        <li>Görevli Personeller</li>

                                        <?php foreach( $gorevliPersonel as $personel ): ?>
                                        <li style="display: flex;">
                                            <img src="<?= userImg( $personel["user_profil_resmi"] ); ?>" />
                                            <div
                                                style="margin-left: 4px;display: flex;flex-direction: column;line-height: 16px;">
                                                <div>
                                                    <?= $personel["user_ad"]." ".$personel["user_soyad"]; ?>
                                                </div>
                                                <?php if( $personel["user_tel"] ): ?>
                                                <?php
                                                    $personel_adi = "{$personel["user_ad"]} {$personel["user_soyad"]}";
                                                    $userpanel = getUrl()."/".$_SESSION["panel_sifre"];

                                                    $phone = filter_var($personel["user_tel"], FILTER_SANITIZE_NUMBER_INT);
                                                    $text = str_replace(
                                                        array("[/PRS]", "[/FISNO]", "[/MST]", "[/MSTTEL]", "[/LINK]"),
                                                        array($personel_adi, $bilgiler["servis_fis_no"], $bilgiler["musteri_adi"], $bilgiler["musteri_tel1"], $userpanel),
                                                        WHSAPPUSERTEXT
                                                    );
                                                ?>
                                                <a href="https://wa.me/<?= ULKEKOD.$phone; ?>/?text=<?= urlencode($text); ?>"
                                                    target="_blank" style="color:#297a28;" title="WhatsApp ile aç">
                                                    <i class="fa fa-whatsapp fa-lg" aria-hidden="true"></i>
                                                </a>
                                                <?php endif; ?>
                                            </div>
                                        </li>
                                        <?php endforeach; ?>
                                    </ul>

                                    <?php endif; ?>

                                    <div class="yazdir-barkod dropdown">

                                        <button class="btn btn-default btn-block btn-sm dropdown-toggle no-shadow"
                                            type="button" id="yazdirList" data-toggle="dropdown" aria-haspopup="true"
                                            aria-expanded="true">
                                            <i class="fa fa-print"></i> Yazdır
                                            <i class="fa fa-angle-down pull-right" style="margin-top:3px;"></i>
                                        </button>

                                        <ul class="dropdown-menu" aria-labelledby="yazdirList" style="width:100%;">

                                            <li>
                                                <a href="#" data-param='{ "where" : <?php echo $id; ?> }'
                                                    data-yazdir-btn="servis_kabul_fisi"
                                                    data-token="<?php echo $_SESSION["yazdirToken"]; ?>">
                                                    <i class="fa fa-file-text-o"></i> Kabul Fişi
                                                </a>
                                            </li>

                                            <li>
                                                <a href="#" data-param='{ "where" : <?php echo $id; ?> }'
                                                    data-yazdir-btn="servis_kabul_formu"
                                                    data-token="<?php echo $_SESSION["yazdirToken"]; ?>">
                                                    <i class="fa fa-file-o"></i> Kabul Formu
                                                </a>
                                            </li>

                                            <li>
                                                <a href="#" data-param='{ "where" : <?php echo $id; ?> }'
                                                    data-yazdir-btn="servis_teslim_formu"
                                                    data-token="<?php echo $_SESSION["yazdirToken"]; ?>">
                                                    <i class="fa fa-file-text"></i> Teslim Formu
                                                </a>
                                            </li>

                                            <li>
                                                <a href="#" data-param='{ "where" : <?php echo $id; ?> }'
                                                    data-yazdir-btn="servis_teslim_pdf"
                                                    data-token="<?php echo $_SESSION["yazdirToken"]; ?>">
                                                    <i class="fa fa-file-pdf-o"></i> Teslim Formu PDF
                                                </a>
                                            </li>

                                            <li>
                                                <a href="#" data-param='{ "where" : <?php echo $id; ?> }'
                                                    data-yazdir-btn="servis_barkod"
                                                    data-token="<?php echo $_SESSION["yazdirToken"]; ?>">
                                                    <i class="fa fa-barcode"></i> Barkod
                                                </a>
                                            </li>

                                            <li>
                                                <a href="#" data-param='{ "where" : <?php echo $id; ?> }'
                                                    data-yazdir-btn="servis_qrcode"
                                                    data-token="<?php echo $_SESSION["yazdirToken"]; ?>">
                                                    <i class="fa fa-qrcode"></i> QrKod
                                                </a>
                                            </li>

                                        </ul>

                                    </div>

                                    <div class="row">

                                        <?php if( count( $_gorev ) ): ?>

                                        <div class="col-xs-12">
                                            <div class="gorev-servisi">
                                                <strong><i class="fa fa-info-circle"></i> Bu Servis Size Görev Olarak
                                                    Atanmış.</strong>
                                                <?php if( $_gorev[0]["gorev_durum"] == 0 ): ?>
                                                <strong>
                                                    <span class="ui checkbox gorevi-bitir"
                                                        onclick="goreviBitir(<?= $_gorev[0]["gorev_id"].",".$_gorev[0]["gorev_veren_id"].",".$_gorev[0]["servis_fis_id"]; ?>)">
                                                        <label>Görevi Bitir</label>
                                                        <input type="checkbox" name="gorevi_bitir" value="1" />
                                                    </span>
                                                </strong>
                                                <?php else: ?>
                                                <strong><span class="gorev-bitirilmis">
                                                        <i class="fa fa-check"></i>
                                                        <span><?php echo date("d.m.Y [H:i]", strtotime( $_gorev[0]["gorev_bitirme_tarihi"] )); ?></span>
                                                        Tarihinde Görevi Bitirmişsiniz.
                                                    </span></strong>
                                                <?php endif; ?>
                                            </div>
                                        </div>

                                        <?php endif; ?>

                                        <div class="col-xs-12 mob-center clearfix">

                                            <div id="faturalandir" class="pos-rel clearfix">

                                                <div class="servis-toplami">
                                                    <strong class="servis-toplam-tutar">0,00</strong>
                                                    <i class="fa fa-try" style="font-size:16px;"></i>
                                                </div>

                                                <?php if( $yetki_satis_faturasi_ekle ): ?>

                                                <?php if( $faturaVar ): ?>

                                                <button type="button"
                                                    class="btn btn-default btn-block no-shadow disabled"
                                                    disabled="disabled">
                                                    <i class="fa fa-check"></i> Servis Kapatılmış
                                                </button>

                                                <?php else: ?>

                                                <button type="button" data-modal-ac="fatura_ekleme"
                                                    class="btn btn-success btn-block tahsilat-ekle-btn no-radius  no-shadow faturalandir-btn"
                                                    data-param='{ "baslik" : "Satış Faturası Ekle", "yenile" : true, "args" : { "hangisi" : "servis_fisi_duzenleme", "baslik" : "Servis Bilgileri", "id" : <?= $bilgiler["servis_fis_id"]; ?>, "size" : "modal-lg", "musteri_id" : <?= $bilgiler["musteri_id"]; ?>,"ekleyen_id" : <?= $bilgiler["ekleyen_id"]; ?>, "servis_fis_no" : <?= $bilgiler["servis_fis_no"]; ?>, "fatura_tur" : "satis" } }'
                                                    style="overflow: hidden;text-overflow: ellipsis;white-space: nowrap;"
                                                    data-toggle-iki="tooltip" title="Servisi Kapat ve Faturalandır">
                                                    <i class="fa fa-check"></i> Servisi Kapat ve Faturalandır
                                                </button>

                                                <?php endif; ?>

                                                <?php endif; ?>

                                            </div>

                                        </div>

                                    </div>

                                </div>

                            </div>

                        </div>
                    </div>

                    <div class="row tab-bir">
                        <div class="col-xs-12">

                            <?php
										/*Servis işlemi ekleme formu*/
										include $_SESSION["root"]."/form/servis_fisi/servis_islemi_ekle.php";
									?>

                        </div>

                        <div class="col-xs-12">

                            <div class="hr1"></div>

                            <?php
										/*Servis işlemleri*/
										include $_SESSION["root"]."/form/servis_fisi/servis_islemleri.php";
									?>

                        </div>
                    </div>

                    <?php if( yetki("musteri_onay") ): ?>

                    <div class="row tab-bir">

                        <?php
										/*Müşteri onay*/
										include $_SESSION["root"]."/form/servis_fisi/musteri_onay.php";
									?>

                    </div>

                    <?php endif; ?>

                    <div class="row tab-bir">

                        <?php
									/*Servis resimler*/
									include $_SESSION["root"]."/form/servis_fisi/servis_resimler.php";
								?>

                    </div>

                    <div class="row tab-bir">
                        <div class="col-xs-12 col-sm-6">

                            <div class="sms-mail-gonder">
                                <h5><strong>Email Gönder</strong></h5>
                                <form data-tur="email" action="" method="post" class="sms-mail-gonder-formu"
                                    autocomplete="off">

                                    <?php if( $yetki_servis_email_gonder ): ?>
                                    <?php if( filter_var( $bilgiler["musteri_email"], FILTER_VALIDATE_EMAIL ) ): ?>
                                    <div class="form-group">
                                        <label><i class="fa fa-code"></i> Şablon Kullan</label>
                                        <div class="form-group pos-rel input-data">
                                            <?php
														$sablonlar	=	array();
														foreach( $emailSablonlari as $sablon ){
															$detay	=	htmlentities($sablon["email_sablon_detay"], ENT_QUOTES, "UTF-8");
															$sablonlar[$sablon["email_sablon_id"]]	=	array(
																"konu"		=>	$sablon["email_sablon_konu"],
																"detay"	=>	str_replace( $sablonDegistir["out"], $sablonDegistir["in"], $detay )
															);
														}
													?>
                                            <select name="sablon_sec" class="selectpicker form-control"
                                                data-email-sablonlari='<?php echo json_encode( $sablonlar ); ?>'>
                                                <option value="">Şablon Kullan</option>
                                                <?php foreach( $emailSablonlari as $sablon ): ?>
                                                <option value="<?php echo $sablon["email_sablon_id"]; ?>">
                                                    <?php echo $sablon["email_sablon_baslik"]; ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label><i class="fa fa-header"></i> Konu</label>
                                        <div class="form-group pos-rel input-data">
                                            <input type="text" name="mail_baslik" class="form-control" />
                                        </div>
                                    </div>

                                    <div class="form-group no-margin">
                                        <label><i class="fa fa-envelope-o"></i> Detay</label>
                                        <div class="contenteditable form-control" contenteditable="true" style="height:auto;"></div>
                                    </div>

                                    <div class="ui checkbox">
                                        <input type="checkbox" name="imza_ekle" value="1" />
                                        <label>Firma İmzasını Ekle</label>
                                    </div>

                                    <input type="hidden" name="musteriler[]"
                                        value="<?php echo $bilgiler["musteri_email"]; ?>" />
                                    <input type="hidden" name="servis_fis_id"
                                        value="<?php echo $bilgiler["servis_fis_id"]; ?>" />
                                    <input type="hidden" name="mail_detay" value="" />

                                    <div class="form-group">
                                        <button type="submit" class="btn btn-primary btn-sm send"><i
                                                class="fa fa-share"></i> Gönder</button>
                                    </div>

                                    <?php else: ?>
                                    <div class="alert alert-info" style="margin:0;margin-bottom:10px;">
                                        <i class="fa fa-exclamation-circle"></i> Cari Hesap Email Kaydı Bulunamadı.
                                    </div>
                                    <?php endif; ?>
                                    <?php else: ?>
                                    <div class="alert alert-danger" style="margin:0;margin-bottom:10px;">
                                        <i class="fa fa-times"></i> Email Gönderme Yetkiniz Yok !
                                    </div>
                                    <?php endif; ?>

                                </form>
                            </div>

                        </div>

                        <div class="col-xs-12 col-sm-6">
                            <div class="gonderilmis-mesajlar email-sends">
                                <h5 class="clearfix"><strong>Email Geçmişi</strong>
                                    <?php if( count( $gonderilenEmail ) ): ?>
                                    <strong class="pull-right"><?php echo count( $gonderilenEmail ); ?> Adet</strong>
                                    <?php endif; ?>
                                </h5>
                                <div class="mesajlar slimScroll">
                                    <!-- Buraya gönderilen email mesajları listelenecek -->
                                    <?php if( count( $gonderilenEmail ) ): ?>
                                    <?php foreach( $gonderilenEmail as $email ): ?>
                                    <div class="gonderim-bir">
                                        <div class="header clearfix">
                                            <span class="gonderen pull-left">
                                                <strong><?php echo $email["user_ad"]." ".$email["user_soyad"]; ?></strong></span>
                                            <span class="tarih pull-right">
                                                <strong><?php echo tarihGoster( $email["se_gonderim_tarihi"] ); ?></strong></span>
                                        </div>
                                        <div class="mesaj">
                                            <div class="konu"><strong><?php echo $email["se_baslik"]; ?></strong></div>
                                            <div class="detay">
                                                <?php echo nl2br( html_entity_decode( $email["se_mesaj"] ) ); ?></div>
                                        </div>
                                    </div>
                                    <?php endforeach; ?>
                                    <?php else: ?>
                                    <div class="alert alert-info" style="margin:0;">
                                        <i class="fa fa-exclamation-circle"></i> Bu Servise Ait Gönderilen Email Mesajı
                                        Yok.
                                    </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="row tab-bir">
                        <div class="col-xs-12 col-sm-6">

                            <div class="sms-mail-gonder">
                                <h5><strong>Sms Gönder</strong></h5>
                                <form data-tur="sms" action="" method="post" class="sms-mail-gonder-formu"
                                    autocomplete="off">
                                    <?php if( $yetki_servis_sms_gonder ): ?>
                                    <?php if( $bilgiler["musteri_tel1"] || $bilgiler["musteri_tel2"] ): ?>
                                    <div class="form-group">
                                        <label><i class="fa fa-code"></i> Şablon Kullan</label>
                                        <div class="form-group pos-rel input-data">
                                            <?php
														$sablonlar	=	array();
														foreach( $smsSablonlari as $sablon ){
															$detay	=	htmlentities($sablon["sms_sablon_detay"], ENT_QUOTES, "UTF-8");
															$sablonlar[$sablon["sms_sablon_id"]]	=	array(
																"konu"		=> "sms",
																"detay"	=>	str_replace( $sablonDegistir["out"], $sablonDegistir["in"], $detay )
															);
														}
													?>
                                            <select name="sablon_sec" class="selectpicker form-control"
                                                data-email-sablonlari='<?php echo json_encode( $sablonlar ); ?>'>
                                                <option value="">Şablon Kullan</option>
                                                <?php foreach( $smsSablonlari as $sablon ): ?>
                                                <option value="<?php echo $sablon["sms_sablon_id"]; ?>">
                                                    <?php echo $sablon["sms_sablon_baslik"]; ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label><i class="fa fa-envelope-o"></i> Mesaj</label>
                                        <div id="whatsapp-text" class="contenteditable form-control"
                                            contenteditable="true" style="height:auto;"></div>
                                    </div>

                                    <?php
                                        $musteriTel = ( $bilgiler["musteri_tel1"] ) ? 
                                            $bilgiler["musteri_tel1"] 
                                            : $bilgiler["musteri_tel2"];

                                        $musteriTel = filter_var($musteriTel, FILTER_SANITIZE_NUMBER_INT);
                                    ?>

                                    <input type="hidden" name="musteriler[]"
                                        value="<?php echo ( $bilgiler["musteri_tel1"] ) ? $bilgiler["musteri_tel1"] : $bilgiler["musteri_tel2"]; ?>" />
                                    <input type="hidden" name="servis_fis_id"
                                        value="<?php echo $bilgiler["servis_fis_id"]; ?>" />

                                    <div class="form-group">
                                        <button type="submit" class="btn btn-primary btn-sm send"><i
                                                class="fa fa-share"></i> Gönder</button>

                                        <?php if( $musteriTel ): ?>
                                        <button type="button" class="btn btn-success btn-sm pull-right"
                                            onclick="openWhatsApp('<?= $musteriTel; ?>','#whatsapp-text');"><i
                                                class="fa fa-whatsapp"></i>
                                            WhatsApp</button>
                                        <?php endif; ?>

                                    </div>

                                    <?php else: ?>
                                    <div class="alert alert-info" style="margin:0;margin-bottom:10px;">
                                        <i class="fa fa-exclamation-circle"></i> Cari Hesap Telefon Kaydı Bulunamadı.
                                    </div>
                                    <?php endif; ?>
                                    <?php else: ?>
                                    <div class="alert alert-danger" style="margin:0;margin-bottom:10px;">
                                        <i class="fa fa-times"></i> Sms Gönderme Yetkiniz Yok !
                                    </div>
                                    <?php endif; ?>

                                </form>
                            </div>

                        </div>

                        <div class="col-xs-12 col-sm-6">
                            <div class="gonderilmis-mesajlar sms-sends">
                                <h5 class="clearfix"><strong>Sms Geçmişi</strong>
                                    <?php if( count( $gonderilenSms ) ): ?>
                                    <strong class="pull-right"><?php echo count( $gonderilenSms ); ?> Adet</strong>
                                    <?php endif; ?>
                                </h5>
                                <div class="mesajlar slimScroll">
                                    <!-- Buraya gönderilen email mesajları listelenecek -->
                                    <?php if( count( $gonderilenSms ) ): ?>
                                    <?php foreach( $gonderilenSms as $sms ): ?>
                                    <div class="gonderim-bir">
                                        <div class="header clearfix">
                                            <span class="gonderen pull-left">
                                                <strong><?php echo $sms["user_ad"]." ".$sms["user_soyad"]; ?></strong></span>
                                            <span class="tarih pull-right">
                                                <strong><?php echo tarihGoster( $sms["se_gonderim_tarihi"] ); ?></strong></span>
                                        </div>
                                        <div class="mesaj">
                                            <div class="detay"><?php echo $sms["se_mesaj"]; ?></div>
                                        </div>
                                    </div>
                                    <?php endforeach; ?>
                                    <?php else: ?>
                                    <div class="alert alert-info" style="margin:0;">
                                        <i class="fa fa-exclamation-circle"></i> Bu Servise Ait Gönderilen Sms Mesajı
                                        Yok.
                                    </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
$(function() {

    musteriSec(<?= $bilgiler["musteri_id"]; ?>, "<?= $bilgiler["musteri_kodu"]; ?>",
        "<?= $bilgiler["musteri_adi"]; ?>", "<?= $bilgiler["musteri_email"]; ?>",
        "<?= $bilgiler["musteri_tel1"]; ?>", "<?= $bilgiler["bakiye"]; ?>",
        "<?= $_il -> ilTek($bilgiler["il"]); ?>",
        `<?= preg_replace('/\s+/', ' ', trim($bilgiler["musteri_adres"])); ?>`, "<?= $bilgiler["ilce_semt"]; ?>");

    servisIslemleriGetir(<?= $id; ?>);

    //Mobil imza
    var canvas1 = document.getElementById("eimza1");
    var canvas2 = document.getElementById("eimza2");

    var $mobil_imza = $("#mobil-imza");

    var signaturePad1 = new SignaturePad(canvas1, {
        backgroundColor: 'rgb(255, 255, 255)'
    });

    var signaturePad2 = new SignaturePad(canvas2, {
        backgroundColor: 'rgb(255, 255, 255)'
    });

    $mobil_imza.find("#eimza-temizle").click(function() {
        signaturePad1.clear();
        signaturePad2.clear();
    });

    $mobil_imza.find("[data-mobil-imza]").click(function() {
        var $tis = $(this);

        if (($tis.data("mobil-imza") == "kaydet" && !signaturePad1.isEmpty() && !$tis.prop("send")) ||
            ($tis.data("mobil-imza") == "sil" && !$tis.prop("send"))) {

            $tis.prop("send", 1).attr("disabled", true);

            $.ajax({
                url: SITE + "/ajax/ajax_mobil_imza.php",
                type: "post",
                dataType: "json",
                data: {
                    "img1": signaturePad1.toDataURL('image/jpeg'),
                    "img2": signaturePad2.toDataURL('image/jpeg'),
                    "servis_fis_id": <?= $bilgiler["servis_fis_id"]; ?>,
                    "servis_fis_no": <?= $bilgiler["servis_fis_no"]; ?>,
                    "islem": $tis.data("mobil-imza"),
                    "email": $mobil_imza.find("input[name=email]").val(),
                    "durum": $mobil_imza.find("[name=durum]").val(),
                    "personel": $mobil_imza.find("input[name=personel]").val(),
                    "musteri": $mobil_imza.find("input[name=musteri]").val()
                },

                success: function(c) {
                    if (c.hata) {
                        mesaj("uyari", "HATA!", c.mesaj, true);
                    } else if (c.kaydet) {
                        bildirim({
                            "mesaj": c.mesaj,
                            "merkez": "center",
                            "zaman": 4000,
                            "durum": "success"
                        });

                        $mobil_imza.find("#eimza-pad").append(c.imza_resim).append(c.pdf);

                        $tis.hide().siblings("#eimza-sil").show();
                    } else if (c.sil) {
                        $mobil_imza.find("#imza-resim").remove().end().find("a").remove();
                        $tis.hide().siblings("#eimza-kaydet").show();
                    }
                },
                complete: function() {
                    $tis.prop("send", 0).removeAttr("disabled");
                }
            });
        }
    });

});
</script>