<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Users.php";
	require $_SESSION["root"]."/inc/Iller.php";
	
	$form = "servis-fisi-ekleme-formu";
	$_users = new Users();
	$_il = new Il();

	$args = html_entity_decode( get("args"), ENT_COMPAT, "UTF8" );
	$args = json_decode( $args, true );
	$args["planTarihi"] = explode("-", $args["planTarihi"]);
	$args["planTarihi"] = implode( "/", array_reverse($args["planTarihi"]) );
	
	$yetki_servis_gorev_ata = yetki( "servis_gorev_ata" );
	
	if( $yetki_servis_gorev_ata ){
		$_personeller = $_users -> ozelSorgu( "select user_id, user_name, user_ad, user_soyad 
		from "._USERS." where user_durum = 1 and user_vizyon = 1" );
	}

?>
<div class="modal-icerik-style">
    <div class="row">
        <div class="col-xs-12">
            <form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data"
                data-par='{ "hangisi" : "servis_fisi" , "listele" : "servis-fisleri" }' autocomplete="off">

                <div class="panel-group ilk-panel no-margin" role="tablist" aria-multiselectable="true">

                    <div class="panel panel-default">
                        <div class="panel-heading" role="tab" id="headingOne">
                            <h4 class="panel-title">
                                <a role="button" data-toggle="collapse" href="#collapse1" aria-expanded="true"
                                    aria-controls="collapse1">
                                    Cari Hesap Bilgileri
                                </a>
                            </h4>
                        </div>

                        <div id="collapse1" class="panel-collapse collapse in" role="tabpanel"
                            aria-labelledby="headingOne">
                            <div class="panel-body form-horizontal">

                                <div class="form-group">
                                    <label class="col-xs-3 col-sm-3 control-label">
                                        Cari Hesap <i class="fa fa-user"></i> :
                                    </label>
                                    <div class="input-group pos-rel input-data col-xs-9 col-sm-8">

                                        <input type="text" name="musteri" class="form-control" maxlength="100"
                                            data-param='musteri-sec' data-otomatik-tamamla="musteri-sec" />
                                        <span class="input-group-addon hizli-ekle" data-toggle-iki="tooltip"
                                            data-hizli-ekleme-paneli="#hizli-musteri-ekle" title="Hızlı Cari Ekle"
                                            style="border-left:none;">
                                            <i class="fa fa-user-plus"></i>
                                        </span>

                                        <a href="#" class="btn btn-default btn-xs sec" data-musteri-sec="true"
                                            style="right:50px;">
                                            <i class="fa fa-file-text"></i> Liste
                                        </a>

                                    </div>

                                    <div class="col-xs-offset-3 col-xs-9 col-sm-8 musteri-sec">
                                        <fieldset>
                                            <legend>
                                                <i class="fa fa-info-circle"></i> Cari Bilgileri <span class="ok"><i
                                                        class="fa fa-check"></i></span>
                                            </legend>
                                            <div class="bilgiler">
                                                <table>
                                                    <tr>
                                                        <td class="baslik"><strong>Cari Adı</strong></td>
                                                        <td class="bilgi-musteri-adi">:
                                                            <?php echo $bilgiler["musteri_adi"]; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="baslik"><strong>Hesap Kodu</strong></td>
                                                        <td class="bilgi-hesap-kodu">:
                                                            <?php echo $bilgiler["musteri_kodu"]; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="baslik"><strong>Email</strong></td>
                                                        <td class="bilgi-musteri-email">:
                                                            <?php echo $bilgiler["musteri_email"]; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="baslik"><strong>Telefon</strong></td>
                                                        <td class="bilgi-musteri-telefon">:
                                                            <?php echo $bilgiler["musteri_tel1"]; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="baslik"><strong>Bakiye</strong></td>
                                                        <td class="bilgi-musteri-il">: </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="baslik"><strong>Adres</strong>
                                                        </td>
                                                        <td class="bilgi-musteri-adres">: </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </fieldset>

                                        <input type="hidden" name="musteri_id" value="" data-uyari="Cari Seçmediniz!"
                                            required />

                                    </div>

                                </div>

                            </div>

                        </div>
                    </div>

                    <div class="panel panel-default">
                        <div class="panel-heading" role="tab" id="headingOne">
                            <h4 class="panel-title">
                                <a role="button" data-toggle="collapse" href="#collapse2" aria-expanded="true"
                                    aria-controls="collapse2">
                                    Cihaz Bilgileri
                                </a>
                            </h4>
                        </div>

                        <div id="collapse2" class="panel-collapse collapse in" role="tabpanel"
                            aria-labelledby="headingOne">
                            <div class="panel-body form-horizontal">

                                <div class="form-group">
                                    <label class="col-xs-3 col-sm-3 control-label">
                                        Cihaz <i class="fa fa-desktop"></i> :
                                    </label>

                                    <div class="input-group pos-rel input-data col-xs-9 col-sm-4">
                                        <select name="cihaz" class="selectpicker form-control">
                                            <?php foreach($_SESSION["bilgi"]["cihazlar"] as $cih): ?>
                                            <option value="<?php echo $cih["cihaz_id"]; ?>">
                                                <?php echo $cih["cihaz_baslik"]; ?></option>
                                            <?php endforeach; ?>
                                        </select>

                                        <a href="#" class="btn btn-default btn-xs sec" data-modal-ac="cihaz_ekleme"
                                            data-param='{ "baslik" : "Cihaz Ekle", "yenile" : true, "args" : { "hangisi" : "servis_fisi_ekleme", "baslik" : "Yeni Servis Fişi", "size" : "modal-lg" } }'>
                                            <i class="fa fa-plus-square"></i> Ekle
                                        </a>
                                    </div>

                                </div>

                                <div class="form-group">
                                    <label class="col-xs-3 col-sm-3 control-label">
                                        Marka <i class="fa fa-trademark"></i> :
                                    </label>

                                    <div class="input-group pos-rel input-data col-xs-9 col-sm-4">
                                        <select name="marka" class="selectpicker form-control" data-live-search="true">
                                            <option value="0">Seçilmedi</option>
                                            <?php foreach($_SESSION["bilgi"]["markalar"] as $mar): ?>
                                            <option value="<?php echo $mar["marka_id"]; ?>">
                                                <?php echo $mar["marka_baslik"]; ?></option>
                                            <?php endforeach; ?>
                                        </select>

                                        <a href="#" class="btn btn-default btn-xs sec" data-modal-ac="marka_ekleme"
                                            data-param='{ "baslik" : "Marka Ekle", "yenile" : true, "args" : { "hangisi" : "servis_fisi_ekleme", "baslik" : "Yeni Servis Fişi", "size" : "modal-lg" } }'>
                                            <i class="fa fa-plus-square"></i> Ekle
                                        </a>
                                    </div>

                                </div>

                                <div class="form-group">
                                    <label class="col-xs-3 col-sm-3 control-label">
                                        Seri No <i class="fa fa-barcode"></i> :
                                    </label>
                                    <div class="input-group pos-rel input-data col-xs-9 col-sm-4">
                                        <input type="text" name="seri_no" class="form-control" />
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-xs-3 col-sm-3 control-label">
                                        Model No <i class="fa fa-barcode"></i> :
                                    </label>
                                    <div class="input-group pos-rel input-data col-xs-9 col-sm-4">
                                        <input type="text" name="model" class="form-control" />
                                    </div>
                                </div>

                            </div>

                        </div>
                    </div>

                    <div class="panel panel-default">
                        <div class="panel-heading" role="tab" id="headingOne">
                            <h4 class="panel-title">
                                <a role="button" data-toggle="collapse" href="#collapse3" aria-expanded="true"
                                    aria-controls="collapse3">
                                    Servis Bilgileri
                                </a>
                            </h4>
                        </div>

                        <div id="collapse3" class="panel-collapse collapse in" role="tabpanel"
                            aria-labelledby="headingOne">
                            <div class="panel-body form-horizontal">

                                <div class="form-group">
                                    <label class="col-xs-3 col-sm-3 control-label">
                                        Arızası <i class="fa fa-exclamation-circle"></i> :
                                    </label>
                                    <div class="input-group pos-rel input-data col-xs-9 col-sm-8">
                                        <textarea name="ariza" class="form-control" rows="4" required></textarea>
                                    </div>
                                </div>

                                <div class="form-group" style="margin-bottom:10px;">
                                    <label class="col-xs-3 col-sm-3 control-label">
                                        Kabul Tarihi <i class="fa fa-calendar"></i> :
                                    </label>

                                    <div class="col-xs-9 no-padding">
                                        <div class="pos-rel no-padding input-data col-xs-6 col-sm-4 tarih-secim">
                                            <input type="text" name="kabul_tarihi" class="form-control datepicker"
                                                value="<?= date("d/m/Y"); ?>" readonly />
                                        </div>
                                        <div class="pos-rel input-data col-xs-4 col-sm-3">
                                            <input type="time" name="kabul_saati" class="form-control"
                                                value="<?= date("H:i"); ?>" />
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-xs-3 col-sm-3 control-label">
                                        Fiş No <i class="fa fa-barcode"></i> :
                                    </label>
                                    <div class="input-group pos-rel input-data col-xs-9 col-sm-5">
                                        <input type="number" name="fis_no" class="form-control" value="<?= time(); ?>"
                                            required />
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-xs-3 col-sm-3 control-label">
                                        Aksesuar <i class="fa fa-tag"></i> :
                                    </label>
                                    <div class="input-group pos-rel input-data col-xs-9 col-sm-5">
                                        <input type="text" name="birlikte_gelenler" class="form-control" />
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-xs-3 col-sm-3 control-label">
                                        Not <i class="fa fa-file-o"></i> :
                                    </label>
                                    <div class="input-group pos-rel input-data col-xs-9 col-sm-5">
                                        <textarea name="servis_aciklama" class="form-control" rows="3"></textarea>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-xs-3 col-sm-3 control-label">
                                        Hatırlatma <i class="fa fa-calendar"></i> :
                                    </label>

                                    <div class="input-group pos-rel input-data col-xs-9 col-sm-5">
                                        <select name="hatirlat" class="selectpicker form-control">
                                            <option value="0">YOK</option>
                                            <?php foreach( range(1,12) as $htr ): ?>
                                            <option value="<?= $htr; ?>">
                                                <?= $htr." AYLIK BAKIM / KONTROL HATIRLAT"; ?>
                                            </option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-xs-3 col-sm-3 control-label">
                                        Teslim Tarihi <i class="fa fa-calendar"></i> :
                                    </label>
                                    <div class="input-group pos-rel input-data col-xs-9 col-sm-3 tarih-secim">
                                        <input type="text" name="teslim_tarihi" class="form-control datepicker teslim"
                                            readonly />
                                    </div>
                                </div>

                                <?php if( $args["planTarihi"] ): ?>

                                <div class="form-group">
                                    <label class="col-xs-3 col-sm-3 control-label">
                                        Takvime Ekle <i class="fa fa-calendar"></i> :
                                    </label>

                                    <div class="col-xs-9 no-padding">
                                        <div class="pos-rel no-padding input-data col-xs-6 col-sm-4 tarih-secim">
                                            <input type="text" name="plan_tarihi" class="form-control datepicker takvim"
                                                value="<?= $args["planTarihi"]; ?>" readonly />
                                        </div>
                                        <div class="pos-rel input-data col-xs-4 col-sm-3">
                                            <input type="time" name="plan_saati" class="form-control" value="00:00" />
                                        </div>
                                    </div>
                                </div>

                                <?php endif; ?>

                            </div>

                        </div>
                    </div>

                    <div class="panel panel-default">
                        <div class="panel-heading" role="tab" id="headingOne">
                            <h4 class="panel-title">
                                <a role="button" data-toggle="collapse" href="#collapse3" aria-expanded="true"
                                    aria-controls="collapse3">
                                    Garanti ve Görev Atama
                                </a>
                            </h4>
                        </div>

                        <div id="collapse3" class="panel-collapse collapse in" role="tabpanel"
                            aria-labelledby="headingOne">
                            <div class="panel-body form-horizontal">

                                <div class="garanti-kutu col-xs-offset-3 col-xs-9 col-sm-offset-3 col-sm-6">
                                    <div class="ui checkbox">
                                        <input type="checkbox" name="garanti" value="1"
                                            data-panel-check="#garanti-tarih-sec" />
                                        <label>Garanti</label>
                                    </div>
                                    <div class="gizli" id="garanti-tarih-sec">
                                        <div class="input-group tarih-secim input-daterange">
                                            <input type="text" name="garanti_baslangic" placeholder="Başlangıç"
                                                class="form-control datepicker" readonly />
                                            <span class="input-group-addon"><i class="fa fa-arrows-h"></i></span>
                                            <input type="text" name="garanti_bitis" placeholder="Bitiş"
                                                class="form-control datepicker" readonly />
                                        </div>
                                    </div>
                                </div>

                                <?php if( $yetki_servis_gorev_ata ): ?>

                                <div class="garanti-kutu col-xs-offset-3 col-xs-9 col-sm-offset-3 col-sm-6">
                                    <div class="ui checkbox" data-toggle="popover"
                                        data-content="Bu servisi seçilen personellere görev olarak atayabilirsiniz."
                                        data-placement="left">
                                        <input type="checkbox" name="gorev_ata" value="1"
                                            data-panel-check="#personel-gorev-ata" />
                                        <label>Görev Olarak Ata</label>
                                    </div>
                                    <div class="gizli" id="personel-gorev-ata">
                                        <div class="form-group no-margin">
                                            <label><i class="fa fa-user"></i> Personel</label>
                                            <div class="form-group pos-rel input-data no-margin">
                                                <select name="gorevli_personel[]" class="selectpicker form-control"
                                                    multiple>
                                                    <?php foreach($_personeller as $per): ?>
                                                    <?php static $secili	=	0; ?>
                                                    <?php if($_SESSION["user"]["user_id"] != $per["user_id"]) : ?>
                                                    <option value="<?php echo $per["user_id"]; ?>"
                                                        <?php echo ( $secili == 0 ) ? "selected" : null; ?>>
                                                        <?php echo $per["user_ad"]." ".$per["user_soyad"]; ?></option>
                                                    <?php endif; ?>
                                                    <?php $secili++; ?>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="ui checkbox checked">
                                            <input type="checkbox" name="gorev_mudahale" value="1" checked />
                                            <label>Diğer Personeller Müdahale Edebilsin</label>
                                        </div>
                                    </div>

                                </div>

                                <?php endif; ?>

                            </div>
                        </div>
                    </div>

                </div>


                <button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-2" data-fonksiyon="kayitEkle"
                    data-form="#<?php echo $form; ?>">
                    <span class="rotate">
                        <i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet
                </button>

            </form>

        </div>
    </div>
</div>