<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Veresiye.php";
	require $_SESSION["root"]."/inc/Iller.php";
	
	$_servis		=	new Servis();
	$_tahsilat	=	new Veresiye();
	$_il					=	new Il();
	
	$yetki_veresiye_duzenle	=	yetki( "veresiye_duzenle" );
	
	$kilitle	=	( $yetki_veresiye_duzenle ) ? null : "kilitle";
	
	$form			=	"veresiye-ekleme-formu";
	$id					=	get("id");
	
	$bilgiler		=	$_tahsilat -> ozelSorgu( "select "._VERESIYE.".*,"._MUSTERILER.".musteri_adi,"._MUSTERILER.".il,"._MUSTERILER.".musteri_tel1, 
								"._MUSTERILER.".musteri_email, "._MUSTERILER.".musteri_kodu 
								from "._VERESIYE." left join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._VERESIYE.".cari_id 
								where "._VERESIYE.".veresiye_id = ? and "._VERESIYE.".veresiye_sil = 0 LIMIT 1", array( $id ) );
								
	if( $bilgiler === false || !count( $bilgiler ) ){
		$hata	=	"Veresiye Bulunamadı. ".$_tahsilat -> getHata();
	}
	
	$odeme_turleri	=	array( "", "Nakit", "Kredi Kartı", "Çek" );
	
	$musteri_il		=	$_il -> ilTek($bilgiler[0]["il"]);
	$odeme_tur		=	$odeme_turleri[ $bilgiler[0]["odeme_tur"] ];
	$tutar					=	sqlToPara( $bilgiler[0]["tutar"] );
	$aciklama			=	$bilgiler[0]["aciklama"];
	$tahsil					=	$bilgiler[0]["tahsil"];
	$vade_tarihi		=	date( "d/m/Y", strtotime( $bilgiler[0]["vade_tarihi"] ) );
	$tahsil_tarihi	=	( $tahsil && strtotime( $bilgiler[0]["tahsil_tarihi"] ) > 0 ) ? date( "d/m/Y", strtotime( $bilgiler[0]["tahsil_tarihi"] ) ) : null;

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
								
								<?php if( $hata ): ?>
									<div class="alert alert-danger">
										<strong>İstenilen Bilgilere Ulaşılamıyor veya Kaynak Silinmiş.</strong><br />
										<strong>Bilgi :</strong> <?php echo $hata; ?>
									</div>
								<?php exit(); ?>
								<?php endif; ?>
								
									<form id="<?php echo $form; ?>" action="" method="post" data-par='{ "hangisi" : "veresiye" , "listele" : "veresiye" }' autocomplete = "off" class="<?php echo $kilitle; ?>" >
										<div class="row">
											<div class="col-xs-12">
												<div class="row ilk-panel">
													<div class="row no-margin">
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label style="display:block;"><i class="fa fa-user"></i> Cari Hesap ( * )
																	<a href="#" class="pull-right" data-musteri-sec="true"><i class="fa fa-plus-square"></i> Liste</a>
																</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="musteri" class="form-control" maxlength="100" data-otomatik-tamamla="musteri-sec" data-param='musteri-sec' value="<?php echo $bilgiler[0]["musteri_adi"]; ?>" />
																	</div>
															</div>
														</div>
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label><i class="fa fa-calendar"></i> Vade Tarihi</label>
																	<div class="form-group pos-rel tarih-secim">
																		<input type="text" name="vade_tarihi" class="form-control" readonly 
																		value="<?php  echo ( strtotime( $vade_tarihi ) > 0 ) ? $vade_tarihi : null; ?>" />
																	</div>
															</div>
														</div>
													</div>
													<hr style="margin:0 5px 10px 5px;"/>
														<div class="col-xs-12">
														
															<div class="row musteri-sec" style="display:block;">
																<fieldset>
																	<legend>
																		<i class="fa fa-info-circle"></i> Cari Bilgileri <span class="ok"><i class="fa fa-check"></i></span>
																	</legend>
																	<div class="bilgiler">
																		<table>
																			<tr>
																				<td class="baslik"><strong>Cari Adı</strong></td>
																				<td class="bilgi-musteri-adi">: <?php echo $bilgiler[0]["musteri_adi"]; ?></td>
																			</tr>
																			<tr>
																				<td class="baslik"><strong>Hesap Kodu</strong></td>
																				<td class="bilgi-hesap-kodu">: <?php echo $bilgiler[0]["musteri_kodu"]; ?></td>
																			</tr>
																			<tr>
																				<td class="baslik"><strong>Email</strong></td>
																				<td class="bilgi-musteri-email">: <?php echo $bilgiler[0]["musteri_email"]; ?></td>
																			</tr>
																			<tr>
																				<td class="baslik"><strong>Telefon</strong></td>
																				<td class="bilgi-musteri-telefon">: <?php echo $bilgiler[0]["musteri_tel1"]; ?></td>
																			</tr>
																			<tr>
																				<td class="baslik"><strong>İl</strong></td>
																				<td class="bilgi-musteri-il">: <?php echo $_il -> ilTek( $bilgiler[0]["il"] ); ?></td>
																			</tr>
																		</table>
																	</div>
																</fieldset>
																
																<input type="hidden" name="musteri_id" value="<?php echo $bilgiler[0]["cari_id"]; ?>" data-uyari="Cari Seçmediniz!" required />
																
															</div>
															
														</div>
														
														<div class="col-xs-12">
																<div class="row">
																	<div class="col-xs-12 col-sm-6">
																		<div class="form-group">
																			<label><i class="fa fa-money"></i> Tutar</label>
																				<div class="input-group pos-rel input-data">
																					<input type="text" name="tutar" class="form-control" data-para-format="TR" data-thousands="." data-decimal="," placeholder="0,00" value="<?php echo $tutar; ?>" required />
																					<span class="input-group-addon"><i class="fa fa-try"></i></span>
																				</div>
																		</div>
																	</div>
																</div>
																<div class="row">
																	<div class="col-xs-12">
																		<div class="form-group">
																				<label><i class="fa fa-comment"></i> Açıklama</label>
																				<div class="form-group pos-rel input-data">
																					<textarea name="aciklama" class="form-control" rows="2"><?php echo $aciklama; ?></textarea>
																				</div>
																		</div>
																	</div>
																	<div class="col-xs-12">
																		<div class="garanti-kutu">
																			<div class="ui checkbox <?php echo ( $tahsil ) ? "checked" : null; ?>">
																				<input type="checkbox" name="tahsil_edildi" value="1" data-panel-check="#tahsil-edildi" 
																				<?php echo ( $tahsil ) ? "checked" : null; ?> />
																				<label>Tahsil Edildi</label>
																		   </div>
																		   <div class="gizli" id="tahsil-edildi" style="<?php echo ( $tahsil ) ? "display:block;" : null; ?>">
																			   <div class="row">
																					<div class="col-xs-12 col-sm-6">
																						<div class="form-group">
																							<label><i class="fa fa-calendar"></i> Tahsilat Tarihi</label>
																								<div class="form-group pos-rel tarih-secim">
																									<input type="text" name="tahsil_tarihi" class="form-control datepicker" 
																									value="<?php echo $tahsil_tarihi; ?>" readonly />
																								</div>
																						</div>
																					</div>
																					<div class="col-xs-12 col-sm-6">
																						<div class="form-group">
																							<label><i class="fa fa-calendar"></i> Ödeme Türü</label>
																								<div class="form-group">
																									<select name="odeme_tur" class="form-control selectpicker">
																										<?php foreach( $odeme_turleri as $key => $value ): ?>
																											<?php if( $key > 0 ): ?>
																												<option value="<?php echo $key; ?>" 
																												<?php echo ( $key == $bilgiler[0]["odeme_tur"] ) ? "selected" : null; ?>><?php echo $value; ?></option>
																											<?php endif; ?>
																										<?php endforeach; ?>
																									</select>
																								</div>
																						</div>
																					</div>
																				</div>
																			</div>
																		</div>  
																	</div>
																</div>
															</div>
														
													<div class="col-xs-12">
														<input type="hidden" name="islem" value="duzenle" />
														<input type="hidden" name="id" value="<?php echo $id; ?>" />
													
													<?php if( $yetki_veresiye_duzenle ): ?>
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
													<?php endif; ?>
														
													</div>
												</div>
												<div class="row son-panel">
													<div class="col-xs-12">
														<div class="alert alert-success response" role="alert"></div>
													</div>
												</div>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>