<?php

	class AktifPersonel extends Servis{
		
		public function getAktifPersonel(){
			$sql = "select "._AKTIFPERSONEL.".*, "._USERS.".user_id, "._USERS.".user_ad, "._USERS.".user_soyad, "._USERS.".user_profil_resmi from "._AKTIFPERSONEL." inner join "._USERS." on "._USERS.".user_id = "._AKTIFPERSONEL.".user_id order by "._AKTIFPERSONEL.".son_islem_zamani desc";
			try{
				$users = $this -> db -> _baglan -> query($sql,PDO::FETCH_ASSOC);
				return $users -> fetchAll();
			}
			catch(PDOException $hata){
				$this -> db -> _hata = $hata -> getMessage();
				return false;
			}
		}
		
		/*
			param @int
		*/
		public function aktifPersonelEkle($user_id){
			$kontrolSql = "select user_id from "._AKTIFPERSONEL." where user_id = ? LIMIT 1";
			$varmi = $this -> db -> _baglan -> prepare($kontrolSql);
			$varmi -> execute(array($user_id));
				if( $varmi -> rowCount() ){
					$ekleSql = "update "._AKTIFPERSONEL." set son_islem_zamani = ? where user_id = ?";
				}else{
					$ekleSql = "insert into "._AKTIFPERSONEL." set son_islem_zamani = ?, user_id = ?";
				}
					$ekle = $this -> db -> _baglan -> prepare($ekleSql);
					$ekle -> execute(array(date("Y-m-d H:i:s"), $user_id));
		}
		
		/*
			param @int
			return @boolean
		*/
		public function aktifPersonelSil($user_id){
			$sql = "delete from "._AKTIFPERSONEL." where user_id = ?";
			try{
				$sil = $this -> db -> _baglan -> prepare($sql);
				$sil -> execute(array($user_id));
				return true;
			}
			catch(PDOException $hata){
				$this -> db -> _hata = $hata -> getMessage();
				return false;
			}
		}
		
	}

?>