<?php

	class ListeParam extends Servis{
		
		public $paramValue	=	array();
		public $param				=	"";
		public $where				=	"";
		public $wherePars	=	"";
		public $pars					=	"";
		public $sayfa				=	1;
		
		public function __construct($posts,$basliklar){
			$this -> Ayarla($posts,$basliklar);
		}
		
		private function Ayarla($posts,$basliklar){
			//Sorgu koşul parametrleri ayarlanıyor
			if($posts["params"]){
				//Sıralama ve sayfa parametreleri hazırlanıyor
				if($posts["params"]["order"]){
					$this -> param	.=	"order by ".$basliklar[ "hucreler"][$posts["params"]["order"]]." ".$basliklar[ "siralama"][$posts["params"]["sort"]];
					$this -> pars		.=	', "order" : "'.$posts["params"]["order"].'" , "sort" : "'.$posts["params"]["sort"].'"';
				}
				else{
					$this -> param	=	"order by ".$basliklar["_tablo"].".".$basliklar["_paramYoksa"]." desc";
				}
				
				if($posts["params"]["sayfa"]){
					$this -> sayfa	=	(is_numeric($posts["params"]["sayfa"])) ? intval($posts["params"]["sayfa"]) : 1;
				}
				
				//Eğer kriterler varsa parametre hazırlanıyor
				if($posts["params"]["where"]){
					$kolon					=	$posts["params"]["where"]["kolon"];
					$tur						=	$posts["params"]["where"]["tur"];
					$value					=	$posts["params"]["where"]["value"];
					$ekstraTablo	=	($posts["params"]["where"]["ekstraTablo"]) ? $posts["params"]["where"]["ekstraTablo"] : null;
					
					$this -> wherePars .= ', "where" : { ';
						$turPar			=	' "tur" : [ ';
						$kolonPar		=	' "kolon" : [ ';
						$valuePar		=	' "value" : [ ';
						$ekstraPar	=	($ekstraTablo) ? ' "ekstraTablo" : [ ' : null;
						
							for($i = 0; $i < count($kolon); $i++){
								if($tur[$i] == "tam"){
									$this -> where	.=	" and ".$basliklar[ "hucreler" ][$kolon[$i]]." = ? ";
									$this -> paramValue[]	=	guvenlik($value[$i]);
										$turPar	.=	' "tam" , ';
								}
								else if($tur[$i] == "in"){
									$values		=	explode( ",", guvenlik( $value[$i] ) );
									$quest			=	array_fill( 0, count( $values ), "?" );
									$question	=	implode( ",", $quest );
									
									$this -> where	.=	" and ".$basliklar[ "hucreler" ][$kolon[$i]]." IN( ".$question." ) ";
									foreach( $values as $val ){
										$this -> paramValue[ ]	=	$val;
									}
										$turPar	.=	' "in" , ';
								}
								else if($tur[$i] == "like"){
									if(trim($ekstraTablo[$i])){
										$this -> where .= " and ".$basliklar[ "hucreler" ][$ekstraTablo[$i]].".".$basliklar[ "hucreler" ][$kolon[$i]]." like ? ";
									}
									else{
										$this -> where.= " and ".$basliklar[ "hucreler" ][$kolon[$i]]." like ? ";
									}
									$this -> paramValue[] = "%".guvenlik($value[$i])."%";
										$turPar .= ' "like" , ';
								}
								else if($tur[$i] == "buyuk"){
									$this -> where .= " and ".$basliklar[ "hucreler" ][$kolon[$i]]." > ? ";
									$this -> paramValue[] = guvenlik($value[$i]);
										$turPar .= ' "buyuk" , ';
								}
								else if($tur[$i] == "kucuk"){
									$this -> where .= " and ".$basliklar[ "hucreler" ][$kolon[$i]]." < ? ";
									$this -> paramValue[] = guvenlik($value[$i]);
										$turPar .= ' "kucuk" , ';
								}
								else if($tur[$i] == "gunluk"){
									$this -> where .= " and date(".$basliklar[ "hucreler" ][$kolon[$i]].") = date(?) ";
									$this -> paramValue[] = guvenlik($value[$i]);
										$turPar .= ' "gunluk" , ';
								}
								else if($tur[$i] == "haftalik"){
									$this -> where .= " and YEARWEEK(".$basliklar[ "hucreler" ][$kolon[$i]].", 1) = YEARWEEK(?, 1) ";
									$this -> paramValue[] = guvenlik($value[$i]);
										$turPar .= ' "haftalik" , ';
								}
								else if($tur[$i] == "senelik"){
									$this -> where .= " 
										AND hatirlat > 0 
										AND DATE( servis_giris_tarihi ) < CURRENT_DATE() 
										AND ( 
											DATEDIFF( DATE_ADD(CURRENT_DATE(), INTERVAL 10 DAY), servis_giris_tarihi ) % ( hatirlat * ( DAYOFYEAR(DATE_FORMAT(CURRENT_DATE(), '%Y-12-31')) / 12 ) ) 
										) < 10 
										AND ( 
											DATEDIFF( DATE_ADD(CURRENT_DATE(), INTERVAL 10 DAY), servis_giris_tarihi ) % ( hatirlat * ( DAYOFYEAR(DATE_FORMAT(CURRENT_DATE(), '%Y-12-31')) / 12 ) ) 
										) > 0 
										AND ? IS NOT NULL 
									";
									
									$this -> paramValue[] = guvenlik($value[$i]);
										$turPar .= ' "senelik" , ';
								}
								else if($tur[$i] == "aylik"){
									$this -> where	.=	" and month(".$basliklar[ "hucreler" ][$kolon[$i]].") = month(?) 
																			and year(".$basliklar[ "hucreler" ][$kolon[$i]].") = year(".guvenlik($value[$i]).") ";
									$this -> paramValue[] = guvenlik($value[$i]);
										$turPar .= ' "aylik" , ';
								}
								else if($tur[$i] == "between"){
									$deger	=	rtrim($value[$i],"&");
									$deger	=	explode("&",$deger);
									
									if(is_numeric($deger[0]) && is_numeric($deger[1])){
										$tarihBas	=	$deger[0];
										$tarihBit		=	$deger[1];
									}
									else{
										$tarihIlk		=	explode("/",$deger[0]);
										$tarihSon	=	explode("/",$deger[1]);
										
										$tarihBas	=	$tarihIlk[2]."-".$tarihIlk[1]."-".$tarihIlk[0]." 00:00:00";
										$tarihBit		=	$tarihSon[2]."-".$tarihSon[1]."-".$tarihSon[0]." 00:00:00";
									}
									
									//echo $tarihBas. " / ".$tarihBit;
									$this -> where					.= " and ( ".$basliklar[ "hucreler" ][$kolon[$i]]." between ? and ? ) ";
									$this -> paramValue[]	=	guvenlik($tarihBas);
									$this -> paramValue[]	=	guvenlik($tarihBit);
										$turPar		.=	' "between" , ';
								}
									$kolonPar		.=	' "'.$kolon[$i].'" , ';
									$valuePar		.=	' "'.$value[$i].'" , ';
									$ekstraPar	.=	($ekstraTablo[$i]) ? ' "'.$ekstraTablo[$i].'" , ' : null;
							}
						
							$turPar			=	rtrim($turPar,", ");
							$kolonPar		=	rtrim($kolonPar,", ");
							$valuePar		=	rtrim($valuePar,", ");
							$ekstraPar	=	rtrim($ekstraPar,", ");
							
						$turPar			.=	' ], ';
						$kolonPar		.=	' ], ';
						$valuePar		.=	($ekstraPar) ? ' ], ' : ' ] ';
						$ekstraPar	.=	($ekstraPar) ? ' ] ' : null;
						
					$this -> wherePars	.=	$kolonPar.$turPar.$valuePar.$ekstraPar;
					$this -> wherePars	.=	' } ';
					$this -> pars					.=	$this -> wherePars;
				}
				
				$this -> param	=	$this -> where." ".$this -> param;
				// echo $param;
				// print_r($paramValue);
			}
			
			//Parametre yoksa
			else{
				$this -> param	=	"order by ".$basliklar["_tablo"].".".$basliklar["_paramYoksa"]." desc";
			}
		}
		
	}

?>