<?php

	class ServisFisi extends Servis{
		
		public $limit = 15;
		public $toplam = 0;
		
		public function getServisFisleri($sayfa = 1,$param = null,$values = null,array $alanlar = null){
			$select = (is_array($alanlar)) ? rtrim(implode(",",$alanlar),",") : "*";
			$bas = ($sayfa * $this -> limit) - $this -> limit;
			$bit = $this -> limit;

			$bireysel_listele_sql = ( !yetki( "bireysel_listele" ) && $_SESSION["user"]["user_yetki"] != 0 ) ? 
				" and ("._SERVISFISLERI.".ekleyen_id = ".$_SESSION["user"]["user_id"]." OR "._GOREVLER.".gorev_alan_id = ".$_SESSION["user"]["user_id"]." OR "._SERVISFISLERI.".gorev_mudahale = 1)"
				: null;

			$gorev_listele_sql = ( $_SESSION["user"]["user_yetki"] != 0 ) ? 
				" and ("._SERVISFISLERI.".ekleyen_id = ".$_SESSION["user"]["user_id"]." OR "._GOREVLER.".gorev_alan_id = ".$_SESSION["user"]["user_id"]." OR "._SERVISFISLERI.".gorev_mudahale = 1)"
				: null;
			
			//left join "._USERS." on "._SERVISFISLERI.".ekleyen_id = "._USERS.".user_id
			$sql = "
				select DISTINCT ".$select." from "._SERVISFISLERI." 
				left join "._MUSTERILER." on "._SERVISFISLERI.".musteri_id = "._MUSTERILER.".musteri_id 
				left join "._DURUMLAR." on "._DURUMLAR.".durum_id = "._SERVISFISLERI.".durum_id 
				left join "._MARKALAR." on "._MARKALAR.".marka_id = "._SERVISFISLERI.".marka_id 
				left join "._CIHAZLAR." on "._CIHAZLAR.".cihaz_id = "._SERVISFISLERI.".cihaz_id 
				left join "._GOREVLER." on "._GOREVLER.".servis_fis_id = "._SERVISFISLERI.".servis_fis_id 
				where ( "._SERVISFISLERI.".fis_sil = 0 ".$bireysel_listele_sql." ".$gorev_listele_sql." ) ".$param." 
				LIMIT ".$bas.",".$bit;
			
			$toplamSql = "
				select COUNT( DISTINCT "._SERVISFISLERI.".servis_fis_id ) as toplam 
				from "._SERVISFISLERI." 
				left join "._GOREVLER." on "._GOREVLER.".servis_fis_id = "._SERVISFISLERI.".servis_fis_id 
				where ( "._SERVISFISLERI.".fis_sil = 0 ".$bireysel_listele_sql." ".$gorev_listele_sql." ) ".$param;
			
			// $toplamSql = "select count(servis_fis_id) as toplam from "._SERVISFISLERI." left join "._MUSTERILER." on "._SERVISFISLERI.".musteri_id = "._MUSTERILER.".musteri_id where ( "._SERVISFISLERI.".fis_sil = 0 ) ".$param;
			
			$this -> toplam = $this -> toplamSayfa($toplamSql,$values);
			
			try{
				$fisler = $this -> db -> _baglan -> prepare($sql);
				$fisler -> execute($values);
				return $fisler -> fetchAll(PDO::FETCH_ASSOC);
			}
			catch(PDOException $hata){
				$this -> db -> _hata = $hata -> getMessage();
				return false;
			}
		}
		
	}

?>