<?php

	session_start();
	ob_start();
	
	define("ROOT",rtrim(realpath(__DIR__),"/"));
	$_SESSION["root"]		=	ROOT;
	
	require ROOT."/inc/autoload.php";
	$_SESSION["oto_url"]	=	OTO_URL;
	
	$_servis			=	new Servis();
	$panel_sifre	=	Url::getP(0);
	
	$_SITE_AYARLAR = $_servis -> ozelSorgu("
		select cari_kodu, lisans, backup, musteri_sorgula, panel_sifre, versiyon, devam_suresi 
		from "._AYARLAR." 
		where ayar_id = 1 
		LIMIT 1
	");
																								
	//print_r( $_SITE_AYARLAR );
	//exit();
	
	$_SITE_AYARLAR	=	array(
		"musteri_sorgulama"	=>	$_SITE_AYARLAR[0]["musteri_sorgula"],
		"panel_sifre"					=>	$_SITE_AYARLAR[0]["panel_sifre"],
		"backup"					=>	$_SITE_AYARLAR[0]["backup"],
		"versiyon"							=>	$_SITE_AYARLAR[0]["versiyon"],
		"devam_suresi"				=>	$_SITE_AYARLAR[0]["devam_suresi"],
		"cari_kodu"						=>	$_SITE_AYARLAR[0]["cari_kodu"],
		"lisans"								=>	$_SITE_AYARLAR[0]["lisans"]
	);
	
	$_SESSION["lisans"]	=	array(
		"cari_kodu"	=>	$_SITE_AYARLAR["cari_kodu"],
		"lisans"			=>	$_SITE_AYARLAR["lisans"]
	);
	
	define("PANEL_SIFRE",$_SITE_AYARLAR["panel_sifre"]);
	$_SESSION["panel_sifre"] = PANEL_SIFRE;
	
	//Personel şifresi get olarak girilmişse
	if($panel_sifre == PANEL_SIFRE){
		
		//Site personel için açıksa
		if(SITE_PERSONEL_DURUM == 1){
			
			include ROOT."/inc/Login.php";
			include ROOT."/inc/Users.php";
			include ROOT."/inc/AktifPersonel.php";
			
			//Cookie Kontrolü
			if(!$_SESSION["login"] && isset($_COOKIE["user"])){
				$login	=	new Login();
				$giris		=	$login -> cookieLogin( $_COOKIE["user"] );
				if( $giris ){
					$_SESSION["login"]						=	true;
					$_SESSION["user"]						=	$login -> data;
					$_SESSION["user_son_giris"]	=	$login -> data["user_son_giris"];
					
					$_user						=	new Users();
					$_aktifPersonel	=	new AktifPersonel();
					
					$_user -> UpdateUser($login -> data["user_id"],array("user_son_giris"),array(date("Y-m-d H:i:s")));//Kullanıcı son giriş tarihi güncelleniyor
					$_aktifPersonel -> aktifPersonelEkle($login -> data["user_id"]);//Kullanıcı aktif personeller tablosuna ekleniyor
					unset($_aktifPersonel);
					unset($_user);
				}
			}
			
			//Login yapılmışsa
			if($_SESSION["login"]){
				det();
				require ROOT."/goster/index.php";
			}
			else{
				require ROOT."/goster/login.php";
			}
			
		}
		//Site personele kapalıysa
		else{
			require ROOT."/goster/site_personele_kapali.php";
		}
		
	}
	
	//Personel şifresi get olarak girilmemişse Müşteri paneli yükleniyor
	else{
		
		if( $panel_sifre == "k" ){
			if( file_exists( ROOT."/goster/kur.php" ) ){
				require ROOT."/goster/kur.php";
			}
			else{
				require ROOT."/goster/musteri_panel.php";
			}
		}
		elseif( $panel_sifre == "yedek" && file_exists( ROOT."/goster/yedek.php" ) ){
				require ROOT."/goster/yedek.php";
		}
		elseif( $panel_sifre == "calistir" ){
			if( file_exists( ROOT."/goster/calistir.php" ) ){
				require ROOT."/goster/calistir.php";
			}
			else{
				require ROOT."/goster/musteri_panel.php";
			}
		}
		elseif( $panel_sifre == "api" && file_exists( ROOT."/goster/api.php" ) ){
			//Uzaktan sorgulama için api
			require ROOT."/goster/api.php";
		}
		//Müşteri paneli açıksa
		else if( SITE_DURUM == 1 ){
			require ROOT."/goster/musteri_panel.php";
		}
		else{
			require ROOT."/goster/site_musteriye_kapali.php";
		}
	}
	
	unset($_SESSION["user"]["user_sifre"]);

?>