<?php

	error_reporting( 0 );
	set_time_limit( 0 );
	session_start();
	
	if( isset( $_SESSION["root"] ) && $_SESSION["login"] && $_GET["sifre"] ){
		
		require $_SESSION["root"]."/inc/autoload.php";
		
		$sifre					=	$_GET["sifre"];
		$hesap_kodu	=	$_GET["hesap_kodu"];
		
		if( md5( $sifre ) != "4c5bae50b4090c1f5f49f589c0e575a8" ){
			echo "Sifre Hatali !";
			exit();
		}
		
		$_servis	=	new Servis();
		
		if( $hesap_kodu ){
			//Tek cari için işlem yapılacaksa
			$cariler = $_servis -> ozelSorgu( "select musteri_id  from "._MUSTERILER." where musteri_kodu = ? LIMIT 1", array( $hesap_kodu ) );
		}
		else{
			//Tüm cariler için
			$cariler = $_servis -> ozelSorgu( "select musteri_id  from "._MUSTERILER );

		}

		if( count( $cariler ) < 1 ){
			echo "Cari Bulunamadi.";
			exit();
		}

		foreach( $cariler as $cari ){


			$cari_id	=	$cari["musteri_id"];
		
			$satisToplam	=	$_servis -> ozelSorgu( "select SUM( fatura_toplam_tutar ) as satisToplam from "._FATURALAR." 
																								where fatura_tur = 'satis' and fatura_sil = 0 and musteri_id = ?", 
																								array( $cari_id ) );
																								
			$alisToplam		=	$_servis -> ozelSorgu( "select SUM( fatura_toplam_tutar ) as alisToplam from "._FATURALAR." 
																								where fatura_tur = 'alis' and fatura_sil = 0 and musteri_id = ?", 
																								array( $cari_id ) );
																								
			$tahsilat				=	$_servis -> ozelSorgu( "select SUM( tahsilat_fiyat ) as tahsilat from "._TAHSILAT." 
																								where islem = 'gelir' and musteri_id = ? and tahsilat_sil = 0", array( $cari_id ) );
																								
			$odeme				=	$_servis -> ozelSorgu( "select SUM( tahsilat_fiyat ) as odeme from "._TAHSILAT." 
																								where islem = 'gider' and musteri_id = ? and tahsilat_sil = 0", array( $cari_id ) );
			
			$bakiye	=	( floatval( $satisToplam[0]["satisToplam"] ) + floatval( $odeme[0]["odeme"] ) ) - 
									( floatval( $tahsilat[0]["tahsilat"] ) + floatval( $alisToplam[0]["alisToplam"] ) );
									
			if( $satisToplam !== false && $alisToplam !== false && $tahsilat !== false && $odeme !== false ){
				$guncelle	=	$_servis -> kayitGuncelle( "update "._MUSTERILER." set bakiye = ? where musteri_id = ?", array( $bakiye, $cari_id ) );
				
				if( $guncelle === false ){
					echo "Guncelleme İslemi Basarisiz !";
				}
				else{
					echo "Cari Bakiyesi Guncellendi.<br />Bakiye : ".sqlToPara( $bakiye );
				}
				
			}
			else{
				echo "Bilgi Okunurken Hata Olustu !";
			}



		}
		
	}
	else{
		echo "Eksik Parametre";
	}

?>