<?php

	session_start();
	
	if( !isset( $_SESSION["root"] ) || !$_SESSION["login"] || !isset( $_POST["data"] ) ){
		exit();
	}
		
	require $_SESSION["root"]."/inc/autoload.php";
	
	$sonuc	=	array();
	$_servis	=	new Servis();
	
	$_token = uniqid();
	$_SESSION["yazdirToken"] = $_token;
	
	$_id			=	array_search(	"m_id", $_POST["params"]["where"]["kolon"] );
	$cari_id	=	$_POST["params"]["where"]["value"][$_id];
	
	parse_str( $_POST["ekstraPar"], $params );
	
	$bas = $params["start"] ? unixTarih( $params["start"], "00:00:00" ) : date( "Y-m-d 00:00:00", time()- (60*60*24*180) );
	$bitis = $params["end"] ? unixTarih( $params["end"], "00:00:00" ) : date( "Y-m-d 00:00:00" );
	
	$whereTarih1 = ' and ( '._SERVISFISLERI.'.servis_giris_tarihi Between "'.$bas.'" and "'.$bitis.'" ) ';
	$whereTarih2 = ' and ( '._TAHSILAT.'.tahsilat_tarihi Between "'.$bas.'" and "'.$bitis.'" ) ';
	$whereTarih3 = ' and ( '._FATURALAR.'.fatura_tarihi Between "'.$bas.'" and "'.$bitis.'" ) ';
	
	//Cari ID Kontrolü
	if( !$cari_id ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Cari Bilgisi Alınamadı !";
	}
	
	//Hata varsa sonuç basılıyor
	if( $sonuc["hata"] ){
		echo json_encode( $sonuc );
		exit();
	}
																					
	$sFisler	=	array(
		_SERVISFISLERI.".servis_fis_id as ID",
		_SERVISFISLERI.".servis_giris_tarihi as Tarih",
		_SERVISFISLERI.".servis_fis_no as No",
		" NULL as Tutar ",
		" NULL as Odeme ",
		" 'servis_fis' as Tur "
	);
	
	$tahs		=	array(
		_TAHSILAT.".tahsilat_id as ID",
		_TAHSILAT.".tahsilat_tarihi as Tarih",
		_TAHSILAT.".islem as No",
		_TAHSILAT.".tahsilat_fiyat as Tutar",
		_TAHSILAT.".odeme_tur as Odeme",
		" 'tahsilat' as Tur "
	);
	
	$fat			=	array(
		_FATURALAR.".fatura_id as ID",
		_FATURALAR.".fatura_tarihi as Tarih",
		_FATURALAR.".fatura_seri_no as No",
		_FATURALAR.".fatura_toplam_tutar as Tutar",
		_FATURALAR.".fatura_tur as Odeme",
		" 'fatura' as Tur "
	);
	
	$cari					=	$_servis -> ozelSorgu( "select musteri_adi from "._MUSTERILER." where musteri_id = ? LIMIT 1", array( $cari_id ) )[0];
																					
	$hareketler	=	$_servis -> ozelSorgu( "( select ".implode( ",", $sFisler )." from "._SERVISFISLERI." 
																					where "._SERVISFISLERI.".musteri_id = ? and "._SERVISFISLERI.".fis_sil = 0 ".$whereTarih1." ) 
																					UNION ALL 
																					( select ".implode( ",", $tahs )." from "._TAHSILAT." 
																					where "._TAHSILAT.".musteri_id = ? and "._TAHSILAT.".tahsilat_sil = 0 ".$whereTarih2." ) 
																					UNION ALL 
																					( select ".implode( ",", $fat )." from "._FATURALAR." 
																					where "._FATURALAR.".musteri_id = ? and "._FATURALAR.".fatura_sil = 0 ".$whereTarih3." ) 
																					order by Tarih", array( $cari_id, $cari_id, $cari_id ) );
																					
	$islem_tur	=	array(
		"servis_fis"	=>	"Servis Fişi",
		"tahsilat"	=>	array(
			"gelir"	=>	"Tahsilat",
			"gider"	=>	"Ödeme"
		),
		"fatura"		=>	array(
			"alis"		=>	"Alış Faturası",
			"satis"	=>	"Satış Faturası"
		)
	);
	
	$link = array(
		"servis_fis" => array(
			"baslik" => "Servis Bilgileri",
			"modal" => "servis_fisi_duzenleme",
			"size" => "modal-lg"
		),
		"fatura" => array(
			"baslik" => "Fatura Bilgileri",
			"modal" => "fatura_ekleme",
			"size" => ""
		),
		"tahsilat" => array(
			"baslik" => "Gelir Gider Bilgileri",
			"modal" => "tahsilat_duzenleme",
			"size" => ""
		)
	);
																					
	ob_start();
	
?>

	<div id="tabloUst">
		<form id="cari-hareketleri" method="post" action="">
		
		<div class="inline-block listele-secenek clearfix">
			<button type="button" class="btn btn-default no-radius no-shadow pull-left"><?php echo $cari["musteri_adi"]; ?></button>
		</div>
		
		<div class="inline-block listele-secenek clearfix">
			<div class="form-group no-margin pull-left">
				<div class="input-group tarih-secim input-daterange no-margin">
					<input type="text" name="start" placeholder="Başlangıç" class="form-control datepicker" 
					value="<?= date( "d/m/Y", strtotime( $bas ) ); ?>" />
					<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
					<input type="text" name="end" placeholder="Bitiş" class="form-control datepicker" 
					value="<?= date( "d/m/Y", strtotime( $bitis ) ); ?>" />
				</div>
			</div>
		</div>
		
		<div class="inline-block listele-secenek clearfix">
			<button type="button" class="btn btn-default no-radius no-shadow pull-left" data-hrk-form="#cari-hareketleri" 
			data-listele="cari_hareketleri" data-param='{ "where" : { "kolon" : ["m_id"], "tur" : ["tam"], "value" : [ "<?php echo $cari_id; ?>" ] } }'>
			<i class="fa fa-search"></i></button>
		</div>
		<div class="inline-block listele-secenek clearfix">
			<button type="button" class="btn btn-default no-radius no-shadow pull-left" data-yazdir-btn="cari_hareketleri" 
			 data-token="<?= $_token; ?>" data-param='{ "where" : { "kolon" : ["m_id"], "tur" : ["tam"], "value" : [ "<?php echo $cari_id; ?>" ], "bas" : "<?= $bas; ?>", "bitis" : "<?= $bitis; ?>" } }'>
			<i class="fa fa-print"></i></button>
		</div>
		
		</form>
	</div>
	
	<div id="tabloListelemeDiv">
		<form method="post" action="" id="dataForm">
			<table id="tabloListeleme" class="table table-bordered" data-hangisi="cari_hareketleri">
				<thead>
					<tr> 
						<th style="width:70px;">ID</th>
						<th style="width:100px;">İşlem Türü</th>
						<th style="width:100px;">Tarih</th>
						<th style="width:100px;">İşlem No</th>
						<th style="width:100px;">Tutar</th>
						<th style="width:100px;">Bakiye</th>
					</tr>
				</thead>
				
				<tbody>
					<?php foreach( $hareketler as $hrk ): 
						
						static $bakiye	=	0.00;
						$tutar					=	0.00;
						
						$_tur	=	$islem_tur[ $hrk["Tur"] ];
						
						if( $hrk["Tur"] == "fatura" ){
							$_tur	=	$islem_tur[ $hrk["Tur"] ][ $hrk["Odeme"] ];
							
							if( $hrk["Odeme"] == "alis" ){
								$bakiye	-=	floatval( $hrk["Tutar"] );
								$tutar		=		-floatval( $hrk["Tutar"] );
							}
							else if( $hrk["Odeme"] == "satis" ){
								$bakiye	+=	floatval( $hrk["Tutar"] );
								$tutar		=		floatval( $hrk["Tutar"] );
							}
						}
						
						else if( $hrk["Tur"] == "tahsilat" ){
							$_tur	=	$islem_tur[ $hrk["Tur"] ][ $hrk["No"] ];
							
							if( $hrk["No"] == "gelir" ){
								$bakiye	-=	floatval( $hrk["Tutar"] );
								$tutar		=	floatval( $hrk["Tutar"] );
							}
							else if( $hrk["No"] == "gider" ){
								$bakiye	+=	floatval( $hrk["Tutar"] );
								$tutar		=	-floatval( $hrk["Tutar"] );
							}
						}
					?>
						<tr>
							<td data-order="<?php echo $hrk["ID"]; ?>"><?php echo $hrk["ID"]; ?></td>
							
							<td><?php echo $_tur; ?></td>
							
							<td data-order="<?php echo $hrk["Tarih"]; ?>"><?php echo date( "d.m.Y", strtotime( $hrk["Tarih"] ) ); ?></td>
							
							<td>
								<a href="#" data-modal-ac="<?= $link[$hrk["Tur"]]["modal"]; ?>" data-param='{ "baslik" : "<?= $_tur." ".$link[$hrk["Tur"]]["baslik"]; ?>", "id" : <?= $hrk["ID"]; ?>, "yenile" : true, "size" : "<?= $link[$hrk["Tur"]]["size"]; ?>" }'>
									<strong>
										<i class="fa fa-external-link"></i> 
										<?= is_numeric( $hrk["No"] ) ? $hrk["No"] : $hrk["ID"]; ?>
									</strong>
								</a>
							</td>
							
							<td data-order="<?php echo ( $tutar ) ? $tutar : null; ?>">
								<?php echo ( $tutar ) ? '<strong 
								style="color:'.( ( $tutar >= 0 ) ? '#0086b3' : '#d90000' ).';">'.sqlToPara( $tutar ).'</strong>'.' <i class="fa fa-try"></i>' : null; ?>
							</td>
							
							<td data-order="<?php echo ( $hrk["Tur"] == "fatura" || $hrk["Tur"] == "tahsilat" ) ? $bakiye : null; ?>">
								<?php echo ( $hrk["Tur"] == "fatura" || $hrk["Tur"] == "tahsilat" ) ? '<strong 
								style="color:'.( ( $bakiye >= 0 ) ? '#0086b3' : '#d90000' ).';">'.sqlToPara( $bakiye ).'</strong>'.' <i class="fa fa-try"></i>' : null; ?>
							</td>
							
						</tr>
					<?php endforeach; ?>
				</tbody>
				
				<tfoot> 
					<tr> 
						<th>ID</th>
						<th>İşlem Türü</th>
						<th>Tarih</th>
						<th>İşlem No</th>
						<th>Tutar</th>
						<th><?php echo '<strong 
						style="color:'.( ( $bakiye >= 0 ) ? '#0086b3' : '#d90000' ).';">'.sqlToPara( $bakiye ).'</strong>'; ?> <i class="fa fa-try"></i></th>
					</tr>
				</tfoot>
			</table>
		</form>
	</div>

<?php

	$cikti	=	ob_get_contents();
	
	ob_end_clean();
	
	$sonuc["hata"]				=	false;
	$sonuc["datePicker"]	=	true;
	$sonuc["data"]				=	$cikti;
	
	echo json_encode( $sonuc );

?>