<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/EmailSablon.php";
	
	$baslik					=	post("email_sablon_baslik");
	$konu_baslik	=	post("konu_baslik");
	$detay					=	str_replace(array('&nbsp;'),null,$_POST["email_sablon_detay"]);
	$detay					=	guvenlik($detay);
	$id							=	post("id");
	
	$sonuc = array();
	
	$yetki_email_sablon_duzenle	=	yetki( "email_sablon_duzenle" );
	
	//Yetki Kontrolü
	if( !$yetki_email_sablon_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Email Şablonu Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if(empty($baslik) || empty($detay) || empty($konu_baslik)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	if(empty($id) || !is_numeric($id)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik Bilgi!";
		echo json_encode($sonuc);
		exit();
	}
	
	$email_sablon = new EmailSablon();
	
	$sql = "update "._EMAILSABLONLARI." set email_sablon_baslik = ?, email_sablon_konu = ?, email_sablon_detay = ? where email_sablon_id = ?";
	$kayit = $email_sablon -> kayitGuncelle($sql,array($baslik, $konu_baslik, $detay,$id));
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $email_sablon -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<i class="fa fa-check"></i> Email Şablonu Düzenlendi.';
		}
	
	echo json_encode($sonuc);

?>