<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$kart_id			=	post("kart_id");
	$islem_tur		=	post("islem_tur");
	$aciklama		=	post("aciklama");
	$odeme_tur	=	post("odeme_tur");
	$tarih				=	unixTarih( post("tarih") );
	$tutar				=	paraToSql( post("tutar") );
	$benID			=	$_SESSION["user"]["user_id"];
	
	$sonuc			=	array();
	$_servis			=	new Servis();
	
	$yetki_gg_fis_ekle	=	yetki( "gg_fis_ekle" );
	
	//Yetki kontrolü
	if( !$yetki_gg_fis_ekle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Gelir Gider Fişi Ekleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//İşlem kontrolü
	if( $islem_tur != "gelir" && $islem_tur != "gider" ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"İşlem Türü Alınamadı !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//Müşteri Kontrolü
	if(!$kart_id){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Kart Seçmediniz!";
		echo json_encode($sonuc);
		exit();
	}
	
	//Fiyat Kontrolü
	if(!$tutar){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Tahsilat Tutarını Giriniz!";
		echo json_encode($sonuc);
		exit();
	}
	
	$sql		=	"insert into "._GGFISLER." set kart_id = ?, islem = ?, tutar = ?, odeme_tur = ?, ekleyen_id = ?, gg_fis_tarihi = ?, gg_fis_aciklama = ?";
	
	$kayit	=	$_servis -> kayitEkle( $sql, array( $kart_id, $islem_tur, $tutar, $odeme_tur, $benID, $tarih, $aciklama ) );
	
		if( $kayit === false ){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	$_servis -> getHata();
		}
		else{
			$sonuc["hata"]		=	false;
			$sonuc["mesaj"]		=	'<strong><i class="fa fa-check"></i> Tebrikler.</strong> Kayıt Başarılı.';
			$sonuc["son_id"]	=	$_servis  -> last_id();
		}
	
	echo json_encode( $sonuc );

?>