<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Hatirlatma.php";
	
	$baslik	=	post("baslik");
	$detay	=	post("detay");
	$tarih	=	unixTarih(post("tarih"));
	$kime	=	post("kime");
	$id			=	post("id");
	
	$personeller = ($kime == 3) ? implode(array_map(function($id){
		return "<id>".$id."</id>";
	},post("personeller"))) : "";
	
	$ekleyen_id	=	$_SESSION["user"]["user_id"];
	
	$bugun				=	time();
	$tarih_kontrol	=	strtotime($tarih);
	$tarih_kayit		=	date("Y-m-d",$tarih_kontrol);
	
	$sonuc	=	array();
	
	$yetki_hatirlatma_duzenle	=	yetki( "hatirlatma_duzenle" );
	
	//Yetki Kontrolü
	if( !$yetki_hatirlatma_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Hatırlatma Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if($bugun > $tarih_kontrol){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Aynı Gün ve Geçmiş Tarihe Hatırlatma Ekleyemezsiniz!";
		echo json_encode($sonuc);
		exit();
	}
	
	if(empty($baslik) || empty($detay)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	if(empty($id) || !is_numeric($id)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik Bilgi!";
		echo json_encode($sonuc);
		exit();
	}
	
	$hatirlatma = new Hatirlatma();
	
	$sql = "update "._HATIRLATMA." set hatirlatma_baslik = ?, hatirlatma_detay = ?, hatirlatma_personeller = ?, hatirlatma_kimlere = ?, hatirlatma_tarih = ? where hatirlatma_id = ?";
	$kayit = $hatirlatma -> kayitGuncelle($sql,array($baslik, $detay,$personeller,$kime,$tarih_kayit,$id));
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $hatirlatma -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<i class="fa fa-check"></i> Hatırlatma Bilgileri Güncellendi.';
		}
	
	echo json_encode($sonuc);

?>