<?php

	session_start();
	
	if(isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"])){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/Hatirlatma.php";
		require $_SESSION["root"]."/inc/ListeParam.php";
		
		//Hücre ve siralama başlıklarını değştirecek
		$basliklar = array(
			"hucreler" =>  array(
				"h_id" => "hatirlatma_id",
				"e_id" => "ekleyen_id",
				"h_tarih" => "hatirlatma_tarih"
			),
			"siralama" => array(
				"desc" => "desc",
				"asc" => "asc"
			),
			"_paramYoksa" => "hatirlatma_tarih",
			"_tablo" => _HATIRLATMA
		);
		
		$benID = $_SESSION["user"]["user_id"];
		$listeParam = new ListeParam($_POST,$basliklar);
		
		$paramValue = $listeParam -> paramValue;
		$param = $listeParam -> param;
		$where = $listeParam -> where;
		$wherePars = $listeParam -> wherePars;
		$pars = $listeParam -> pars;
		$sayfa = $listeParam -> sayfa;
		
		$secilecek_alanlar = array(
			_HATIRLATMA.".hatirlatma_id",
			_HATIRLATMA.".hatirlatma_baslik",
			_HATIRLATMA.".hatirlatma_kimlere",
			_HATIRLATMA.".hatirlatma_tarih",
			_HATIRLATMA.".hatirlatma_personeller",
			_HATIRLATMA.".ekleyen_id",
			_USERS.".user_name",
			_USERS.".user_ad",
			_USERS.".user_soyad",
			_USERS.".user_durum"
		);
		
		$_hatirlatma	=	new Hatirlatma();
		$hatirlatma	=	$_hatirlatma -> getHatirlatma($sayfa,$param,$paramValue,$secilecek_alanlar);
		$sonuc			=	array();
		$eksilt				=	0;
		
			if( $hatirlatma === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$_hatirlatma -> getHata();
			}
			else{
				require $_SESSION["root"]."/inc/Sayfalama.php";
				
				$sayfala		=	new Sayfalama();
				$kimlere		=	array( "", "Sadece Bana", "Herkese", "Seçilen Personeller" );
				
				$yetki_hatirlatma_ekle	=	yetki( "hatirlatma_ekle" );
				$yetki_hatirlatma_sil		=	yetki( "hatirlatma_sil" );
				
				$cikti = '<div id="tabloUst">
									'.( ( $yetki_hatirlatma_ekle ) ? '<div class="inline-block listele-secenek">
										<button type="button" data-modal-ac="hatirlatma_ekleme" data-param=\'{ "baslik" : "Hatırlatma Ekle" }\' 
										class="btn btn-success"><i class="fa fa-plus"></i> Hatırlatma Ekle</button>
									</div>' : null ).'
									<div class="inline-block listele-secenek">
										<button type="button" class="btn btn-warning" data-listele="hatirlatma" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-refresh"></i> Yenile</button>
										'.( ( $_SESSION["user"]["user_yetki"] == 0 ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
										data-toplu-sil=\'{ "hangisi" : "hatirlatma", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\'>
										<i class="fa fa-trash-o"></i></button>' : null ).'
									</div>
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="hatirlatma">
											<thead>
												<tr> 
													<th class="no-sort">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>
													<th>Başlık</th>
													<th>Kime</th>
													<th>Ekleyen</th>
													<th>Tarih</th>
													<th class="no-sort">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach($hatirlatma as $htr){
												$userYaz			=	( $htr["user_durum"] != 1 ) ? kisalt($htr["user_ad"]." ".$htr["user_soyad"],20,false) : 
																					'<a href="#" class="link-ata" data-user-id="'.$htr["user_id"].'" data-modal-ac="personel_duzenleme" 
																					data-param=\'{ "baslik" : "Personel Bilgileri", "id" : '.$htr["ekleyen_id"].' , "yenile" : true }\' 
																					title="'.$htr["user_name"].'">'.kisalt($htr["user_ad"]." ".$htr["user_soyad"],20,false).'</a>';
												
												if($htr["hatirlatma_kimlere"] == 1 && $benID != $htr["ekleyen_id"]){
													$eksilt++;
													continue;
												}
												if($htr["hatirlatma_kimlere"] == 3 && $benID !=$htr["ekleyen_id"] 
													&& !preg_match('@<id>'.$benID.'</id>@si',$htr["hatirlatma_personeller"]))
												{
													$eksilt++;
													continue;
												}
												$cikti .= '<tr data-hatirlatma-id = "'.$htr["hatirlatma_id"].'">
															<th>
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$htr["hatirlatma_id"].'" />
																</div>
															</th>
															<td>'.$htr["hatirlatma_baslik"].'</td>
															<td>'.$kimlere[$htr["hatirlatma_kimlere"]].'</td>
															<td>'.$userYaz.'</td>
															<td class="liste-tarih-kolon" title="'.(date("d/m/Y",strtotime($htr["hatirlatma_tarih"]))).'" data-order="'.$htr["hatirlatma_tarih"].'" data-time="'.strtotime($htr["hatirlatma_tarih"]).'">'.(date("d/m/Y",strtotime($htr["hatirlatma_tarih"]))).'</td>
															<td>
																<button type="button" class="btn btn-primary btn-xs" data-modal-ac="hatirlatma_duzenleme" data-param=\'{ "baslik" : "Hatırlatma Bilgileri", "id" : '.$htr["hatirlatma_id"].', "yenile" : true }\'>İncele <i class="fa fa-external-link-square"></i></button>
																'.( ( ( $yetki_hatirlatma_sil ) && ( $htr["ekleyen_id"] == $benID || $_SESSION["user"]["user_yetki"] == 0 ) ) ? 
																'<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "hatirlatma", "mesaj" : "Silmek İstediğinize Emin misiniz?", 
																"id" : '.$htr["hatirlatma_id"].' }\'>Sil <i class="fa fa-times"></i></button>' : null ).'
															</td>
														</tr>';
											}
											
							$sayfalar		=	$sayfala -> Sayfala( $sayfa, $_hatirlatma -> toplam - $eksilt, "hatirlatma", $pars, $_hatirlatma -> limit );
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													<th>
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>
													<th>Başlık</th>
													<th>Kime</th>
													<th>Ekleyen</th>
													<th>Tarih</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.($_hatirlatma -> toplam - $eksilt).'</strong> Kayıt. Sayfa <strong>'.$sayfa.'</strong> / <strong>'.(count($hatirlatma) - $eksilt).'</strong> Adet Kayıt Listeleniyor. 
								</div>'.$sayfalar.'
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>