<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";

	demoKontrol();
	
	$hangisi	=	post("hangisi");
	$id				=	post("id");
	$benID	=	$_SESSION["user"]["user_id"];
	
	$silinecekler	=	explode( ",", $id );
	
	//Değerler
	$values			=	array_values( $silinecekler );
	
	//Pdo için değer sayısı hesaplanıyor
	$prepare		=	implode( ",", array_map( function( $item ){
																	return "?";
																}, $silinecekler ) );
	
	$sonuc	=	array();
	$_servis	=	new Servis();
	
	//Boşlu kontrolü
	if( empty( $hangisi ) || !$id ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Eksik Bilgi.";
		echo json_encode( $sonuc );
		exit();
	}
	
	switch( $hangisi ){
		case	"markalar"	:
			$sql	=	"update "._MARKALAR." set marka_sil = 1 where marka_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"cihazlar"	:
			$sql	=	"update "._CIHAZLAR." set cihaz_sil = 1 where cihaz_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"durumlar"	:
			$sql	=	"update "._DURUMLAR." set durum_sil = 1 where durum_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"yetkiler"	:
			$sql	=	"update "._YETKILER." set yetki_sil = 1 where yetki_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"gg_kartlar"	:
			$sql	=	"update "._GEGKART." set kart_sil = 1 where kart_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"sms_sablonlar"	:
			$sql	=	"delete from "._SMSSABLONLARI." where sms_sablon_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"email_sablonlar"	:
			$sql	=	"delete from "._EMAILSABLONLARI." where email_sablon_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"personel"	:
			$sql	=	"update "._USERS." set user_durum = 0 where user_id IN( {$prepare} ) and user_yetki != 0";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"musteriler"	:
			$sql	=	"update "._MUSTERILER." set musteri_sil = 1 where musteri_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"tahsilatlar"	:
			$sql	=	"delete from "._TAHSILAT." where tahsilat_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"hatirlatma"	:
			$sql	=	"delete from "._HATIRLATMA." where hatirlatma_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"mesajlar"	:
			$sql	=	"update "._MESAJLAR." set mesaj_gonderen_sil = Case When gonderen_id = {$benID} Then 1 Else mesaj_gonderen_sil End, 
							mesaj_alan_sil = Case When alanlar_id = {$benID} Then 1 Else mesaj_alan_sil End where mesaj_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"veresiye"	:
			$sql	=	"delete from "._VERESIYE." where veresiye_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"servis_fisleri"	:
			$sql	=	"delete from "._SERVISFISLERI." where servis_fis_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"durumliste"	:
			$sql	=	"delete from "._SERVISFISLERI." where servis_fis_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"gg_fisler"	:
			$sql	=	"delete from "._GGFISLER." where gg_fis_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"yedek_parcalar"	:
			$sql	=	"update "._YEDEKPARCA." set yedek_parca_sil = 1 where yedek_parca_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
		
		case	"fatura"	:
			$sql	=	"delete from "._FATURALAR." where fatura_id IN( {$prepare} )";
			$sil		=	$_servis -> kayitSil( $sql, $values );
		break;
	}
	
	//Sonuc-------------------------------------------------------------------------------------------------------
	if( $sil === false ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Silme İşlemi Başarısız. ".$_servis -> getHata();
	}
	else{
		$sonuc["hata"]	=	false;
		
		switch( $hangisi ){
			case	"markalar"	:
				require $_SESSION["root"]."/inc/Markalar.php";
				$_tur	=	new Marka();
				//$_SESSION["bilgi"]["markalar"]	=	$_tur -> sadeceMarkalar(array("marka_id","marka_baslik"));
			break;
			
			case	"cihazlar"	:
				require $_SESSION["root"]."/inc/Cihazlar.php";
				$_tur	=	new Cihaz();
				$_SESSION["bilgi"]["cihazlar"]	=	$_tur -> sadeceCihazlar(array("cihaz_id","cihaz_baslik"));
			break;
			
			case	"durumlar"	:
				require $_SESSION["root"]."/inc/Durumlar.php";
				$_tur	=	new Durum();
				$_SESSION["bilgi"]["durumlar"]	=	$_tur -> sadeceDurumlar(array("durum_id","durum_baslik"));
			break;
			
			case	"yetkiler"	:
				require $_SESSION["root"]."/inc/Yetkiler.php";
				$_tur	=	new Yetki();
				$_SESSION["bilgi"]["yetkiler"]	=	$_tur -> sadeceYetkiler( array( "yetki_id", "yetki_baslik" ) );
			break;
			
			//case	"servis_fisleri"	:
				//Fiş başarıyla silinmişse bağlı kayıtlar da siliniyor
				//$_servis -> kayitSil( "delete from "._GOREVLER." where servis_fis_id IN( {$prepare} )", $values );
				//$_servis -> kayitSil( "delete from "._SERVISISLEMLERI." where servis_fis_id IN( {$prepare} )", $values );
				//$_servis -> kayitSil( "delete from "._KULLANILANMALZEMELER." where servis_fis_id IN( {$prepare} )", $values );
				//$_servis -> kayitSil( "delete from "._SMS_EMAIL_GONDERILENLER." where servis_fis_id IN( {$prepare} )", $values );
			//break;
			
			//case	"durumliste"	:
				//Fiş başarıyla silinmişse bağlı kayıtlar da siliniyor
				//$_servis -> kayitSil( "delete from "._GOREVLER." where servis_fis_id IN( {$prepare} )", $values );
				//$_servis -> kayitSil( "delete from "._SERVISISLEMLERI." where servis_fis_id IN( {$prepare} )", $values );
				//$_servis -> kayitSil( "delete from "._KULLANILANMALZEMELER." where servis_fis_id IN( {$prepare} )", $values );
				//$_servis -> kayitSil( "delete from "._SMS_EMAIL_GONDERILENLER." where servis_fis_id IN( {$prepare} )", $values );
			//break;
		}
	}
	
	echo json_encode( $sonuc );

?>