<?php

	session_start();
	
	if(isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"])){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/Markalar.php";
		
		$secilecek_alanlar = array(
			_MARKALAR.".marka_id",
			_MARKALAR.".marka_baslik",
			_MARKALAR.".marka_resim",
			_MARKALAR.".ekleyen_id",
			_MARKALAR.".marka_kayit_tarihi"
		);
		
		$marka		=	new Marka();
		$markalar	=	$marka -> getMarkalar($secilecek_alanlar);
		$sonuc		=	array();
		
			if( $markalar === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$marka -> getHata();
			}
			else{
				
				$yetki_marka_ekle			=	yetki( "marka_ekle" );
				$yetki_marka_sil					=	yetki( "marka_sil" );
				$yetki_marka_duzenle	=	yetki( "marka_duzenle" );
				
				$cikti = '<div id="tabloUst">
									'.( ( $yetki_marka_ekle ) ? '<button type="button" class="btn btn-success" data-modal-ac="marka_ekleme" data-param=\'{ "baslik" : "Yeni Marka Ekle", "yenile" : true }\'><i class="fa fa-plus"></i> Yeni Marka</button>' : null ).'
									<button type="button" class="btn btn-warning" data-listele="markalar" data-param=""><i class="fa fa-refresh"></i> Yenile</button>
									'.( ( $yetki_marka_sil ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
									data-toplu-sil=\'{ "hangisi" : "markalar", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\'>
									<i class="fa fa-trash-o"></i></button>' : null ).'
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="markalar">
											<thead>
												<tr> 
													'.( ( $yetki_marka_sil ) ? '<th class="no-sort hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Marka</th>
													<th style="width:150px;">Eklenme Tarihi</th>
													<th class="no-sort" style="width:80px;">Logo</th>
													<th class="no-sort" style="width:150px;">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach($markalar as $mar){
												$ikon = ($mar["marka_resim"]) ? '<span class="abs-logo"><img src="'.OTO_URL.'/uploads/resimler/'.$mar["marka_resim"].'" alt="Marka Logosu" /></span>' : null;
												$cikti .= '<tr data-kayit-id = "'.$mar["marka_id"].'">
															'.( ( $yetki_marka_sil ) ? '<th class="hepsini-sec-gen">
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$mar["marka_id"].'" />
																</div>
															</th>' : null ).'
															<td>'.$mar["marka_baslik"].'</td>
															<td class="liste-tarih-kolon" title="'.(date("d/m/Y H:i",strtotime($mar["marka_kayit_tarihi"]))).'" data-order="'.$mar["marka_kayit_tarihi"].'" data-time="'.strtotime($mar["marka_kayit_tarihi"]).'">'.tarihGoster($mar["marka_kayit_tarihi"]).'</td>
															<td class="pos-relative-1" style="padding:0;">'.$ikon.'</td>
															<td>
																'.( ( $yetki_marka_duzenle ) ? '<button type="button" class="btn btn-primary btn-xs" data-modal-ac="marka_duzenleme" data-param=\'{ "baslik" : "Marka Düzenle", "id" : '.$mar["marka_id"].', "yenile" : true }\'>Düzenle <i class="fa fa-pencil"></i></button>' : null ).'
																'.( ( $yetki_marka_sil ) ? '<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "markalar", "mesaj" : "'.$mar["marka_baslik"].', Silmek İstediğinize Emin misiniz?", 
																"id" : '.$mar["marka_id"].' }\'>Sil <i class="fa fa-times"></i></button>' : null ).'
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												'.( ( $yetki_marka_sil ) ? '<tr> 
													<th class="hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>'  : null ).'
													<th>Marka</th>
													<th>Eklenme Tarihi</th>
													<th>Logo</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.count($markalar).'</strong> Kayıt. Tüm Kayıtlar Listeleniyor.
								</div>
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>