<?php

	session_start();
	
	if( !isset( $_SESSION["root"] ) || !$_SESSION["login"] || !isset( $_POST["data"] ) ){
		exit();
	}
		
	require $_SESSION["root"]."/inc/autoload.php";
	
	$sonuc	=	array();
	$_servis	=	new Servis();
	
	parse_str( $_POST["ekstraPar"], $params );
	
	$bas = $params["start"] ? unixTarih( $params["start"], "00:00:00" ) : date( "Y-m-d 00:00:00", time()- (60*60*24*180) );
	$bitis = $params["end"] ? unixTarih( $params["end"], "00:00:00" ) : date( "Y-m-d 00:00:00" );
	
	$tur		=	$params["tur"] ? $params["tur"] : "hepsi";
	
	$select	=	array(
		"servis_islem"	=>	"Servis İşlemleri",
		"alis"						=>	"Alış Faturaları",
		"satis"					=>	"Satış Faturaları"
	);
	
	$islemSql		=	' and false ';
	$faturaSql		=	' and false ';
	
	if( $tur == "alis" || $tur == "satis" ){
		$faturaSql	=	' and '._FATURALAR.'.fatura_tur = \''.$tur.'\' ';
	}
	else if( $tur == "servis_islem" ){
		$islemSql	=	null;
	}
	else{
		$islemSql	=	$faturaSql	=	null;
	}
	
	$whereTarih1 = ' and ( '._SERVISISLEMLERI.'.servis_islem_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$islemSql;
	$whereTarih2 = ' and ( '._FATURALAR.'.fatura_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$faturaSql;
																					
	$sFisler	=	array(
		_SERVISFISLERI.".servis_fis_id as ID",
		_SERVISISLEMLERI.".servis_islem_tarihi as Tarih",
		_SERVISFISLERI.".servis_fis_no as No",
		_KULLANILANMALZEMELER.".adet as Adet ",
		" NULL as Odeme ",
		" 'servis_islem' as Tur ",
		_YEDEKPARCA.".yedek_parca_adi as cari_adi"
	);
	
	$fat			=	array(
		_YEDEKPARCA.".yedek_parca_id as ID",
		_FATURALAR.".fatura_tarihi as Tarih",
		_FATURALAR.".fatura_seri_no as No",
		_FATURA_URUNLER.".urun_adet as Adet",
		_FATURALAR.".fatura_tur as Odeme",
		" 'fatura' as Tur ",
		_YEDEKPARCA.".yedek_parca_adi as cari_adi"
	);
																					
	$hareketler	=	$_servis -> ozelSorgu( "( select ".implode( ",", $sFisler )." from "._SERVISFISLERI." 
		inner join "._SERVISISLEMLERI." on "._SERVISISLEMLERI.".servis_fis_id = "._SERVISFISLERI.".servis_fis_id 
		inner join "._KULLANILANMALZEMELER." on "._KULLANILANMALZEMELER.".servis_islem_id = "._SERVISISLEMLERI.".servis_islem_id 
		inner join "._YEDEKPARCA." on "._YEDEKPARCA.".yedek_parca_id = "._KULLANILANMALZEMELER.".yedek_parca_id 
		where "._SERVISFISLERI.".fis_sil = 0 and "._SERVISISLEMLERI.".servis_islem_sil = 0  ".$whereTarih1." ) 
		UNION ALL 
		( select ".implode( ",", $fat )." from "._FATURALAR." 
		inner join "._FATURA_URUNLER." on "._FATURA_URUNLER.".fatura_id = "._FATURALAR.".fatura_id 
		inner join "._YEDEKPARCA." on "._YEDEKPARCA.".yedek_parca_id = "._FATURA_URUNLER.".yedek_parca_id 
		where "._FATURALAR.".fatura_sil = 0 ".$whereTarih2." ) 
		order by Tarih desc" );
																					
	$islem_tur	=	array(
		"servis_islem"	=>	"Servis İşlemi",
		"fatura"		=>	array(
			"alis"		=>	"Alış Faturası",
			"satis"	=>	"Satış Faturası"
		)
	);
																					
	ob_start();
	
?>

	<div id="tabloUst">
		<form id="stok-hareketleri" method="post" action="">
		
		<div class="inline-block listele-secenek clearfix" style="z-index:120;">
			<div class="form-group no-margin pull-left">
				<div class="input-group no-margin">
					<select name="tur" class="form-control selectpicker">
						<option value="hepsi">Hepsi</option>
						<?php foreach( $select as $key => $val ): ?>
							<option value="<?php echo $key; ?>" <?php echo ( $params["tur"] == $key ) ? "selected" : null; ?>><?php echo $val; ?></option>
						<?php endforeach; ?>
					</select>
				</div>
			</div>
		</div>
		
		<div class="inline-block listele-secenek clearfix">
			<div class="form-group no-margin pull-left">
				<div class="input-group tarih-secim input-daterange no-margin">
					<input type="text" name="start" placeholder="Başlangıç" class="form-control datepicker" 
					value="<?= date( "d/m/Y", strtotime( $bas ) ); ?>" />
					<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
					<input type="text" name="end" placeholder="Bitiş" class="form-control datepicker" 
					value="<?= date( "d/m/Y", strtotime( $bitis ) ); ?>" />
				</div>
			</div>
		</div>
		
		<div class="inline-block listele-secenek clearfix">
			<button type="button" class="btn btn-primary no-radius no-shadow pull-left" 
			data-hrk-form="#stok-hareketleri" data-listele="rapor_stok_hareketleri">
			<i class="fa fa-search"></i></button>
		</div>
		
		</form>
	</div>
	
	<div id="tabloListelemeDiv">
		<form method="post" action="" id="dataForm">
			<table id="tabloListeleme" class="table table-bordered" data-hangisi="rapor_stok_hareketleri">
				<thead>
					<tr> 
						<th style="width:70px;">ID</th>
						<th>Stok Kartı</th>
						<th style="width:100px;">İşlem Türü</th>
						<th style="width:100px;">Tarih</th>
						<th style="width:100px;">İşlem No</th>
						<th style="width:100px;">Adet</th>
					</tr>
				</thead>
				
				<tbody>
					<?php foreach( $hareketler as $hrk ): 
						$adet	=	0;
						
						$_tur	=	$islem_tur[ $hrk["Tur"] ];
						if( $hrk["Tur"] == "fatura" ){
							$_tur	=	$islem_tur[ $hrk["Tur"] ][ $hrk["Odeme"] ];
							
							if( $hrk["Odeme"] == "alis" ){
								$adet		=		$hrk["Adet"];
							}
							else if( $hrk["Odeme"] == "satis" ){
								$adet		=		-$hrk["Adet"];
							}
						}
						else if( $hrk["Tur"] == "servis_islem" ){
							$adet		=		-$hrk["Adet"];
						}
						
					?>
						<tr>
							<td data-order="<?php echo $hrk["ID"]; ?>"><?php echo $hrk["ID"]; ?></td>
							
							<td><strong><?php echo $hrk["cari_adi"]; ?></strong></td>
							
							<td><?php echo $_tur; ?></td>
							
							<td data-order="<?php echo $hrk["Tarih"]; ?>"><?php echo date( "d.m.Y", strtotime( $hrk["Tarih"] ) ); ?></td>
							
							<td><?php echo ( $hrk["Tur"] != "tahsilat" ) ? $hrk["No"] : null; ?></td>
							
							<td data-order="<?php echo ( $tutar ) ? $tutar : null; ?>">
								<?php echo ( $adet ) ? '<strong 
								style="color:'.( ( $adet >= 0 ) ? '#0086b3' : '#d90000' ).';">'.$adet.'</strong>' : null; ?>
							</td>
							
						</tr>
					<?php endforeach; ?>
				</tbody>
				
				<tfoot>
					<tr> 
						<th>ID</th>
						<th>Stok Kartı</th>
						<th>İşlem Türü</th>
						<th>Tarih</th>
						<th>İşlem No</th>
						<th>Adet</th>
					</tr>
				</tfoot>
			</table>
		</form>
	</div>

<?php

	$cikti	=	ob_get_contents();
	
	ob_end_clean();
	
	$sonuc["hata"]					=	false;
	$sonuc["datePicker"]		=	true;
	$sonuc["selectPicker"]	=	true;
	$sonuc["data"]					=	$cikti;
	
	echo json_encode( $sonuc );

?>