<?php

	session_start();
	
	if(isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"])){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/ServisFisi.php";
		require $_SESSION["root"]."/inc/ListeParam.php";
		
		//Hücre ve siralama başlıklarını değştirecek
		$basliklar	=	array(
			"hucreler"	=>	array(
				"tarih"						=>	"servis_giris_tarihi",
				"t_tarih"					=>	"servis_teslim_tarihi",
				"fis_no"					=>	"servis_fis_no",
				"fis_id"						=>	_SERVISFISLERI.".servis_fis_id",
				"sikayet"					=>	"sikayet",
				"s_no"						=>	"servis_seri_no",
				"u_id"						=>	_SERVISFISLERI.".ekleyen_id",
				"m_id"						=>	_SERVISFISLERI.".musteri_id",
				"m_adi"					=>	"musteri_adi",
				"cihaz"						=>	_SERVISFISLERI.".cihaz_id",
				"durum"					=>	_SERVISFISLERI.".durum_id",
				"marka"					=>	_SERVISFISLERI.".marka_id",
				"model"					=>	"servis_model_no",
				"garanti" 				=>	_SERVISFISLERI.".servis_garanti_durum",
				"musteri_tablo"	=>	_MUSTERILER
			),
			"siralama"	=>	array(
				"desc"		=>	"desc",
				"asc"			=>	"asc"
			),
			"_paramYoksa"		=>	"servis_giris_tarihi",
			"_tablo"						=>	_SERVISFISLERI
		);
		
		$listeParam		=	new ListeParam($_POST,$basliklar);
		
		$paramValue	=	$listeParam -> paramValue;
		$param				=	$listeParam -> param;
		$where				=	$listeParam -> where;
		$wherePars		=	$listeParam -> wherePars;
		$pars					=	$listeParam -> pars;
		$sayfa					=	$listeParam -> sayfa;
		
		
		$secilecek_alanlar = array(
			_SERVISFISLERI.".servis_fis_id",
			_SERVISFISLERI.".servis_fis_no",
			_SERVISFISLERI.".musteri_id",
			_SERVISFISLERI.".sikayet",
			_SERVISFISLERI.".cihaz_id",
			_SERVISFISLERI.".marka_id",
			_SERVISFISLERI.".durum_id",
			_SERVISFISLERI.".ekleyen_id",
			_SERVISFISLERI.".servis_giris_tarihi",
			_SERVISFISLERI.".servis_garanti_durum",
			_SERVISFISLERI.".servis_teslim_tarihi",
			_SERVISFISLERI.".servis_model_no",
			_MUSTERILER.".musteri_adi",
			_MUSTERILER.".musteri_sil",
			_CIHAZLAR.".cihaz_baslik",
			_CIHAZLAR.".cihaz_resim",
			_DURUMLAR.".durum_baslik",
			_DURUMLAR.".durum_resim",
			_MARKALAR.".marka_baslik",
			_MARKALAR.".marka_resim"
			// _USERS.".user_name",
			// _USERS.".user_id",
			// _USERS.".user_ad",
			// _USERS.".user_soyad",
			// _USERS.".user_durum"
		);
		
		$fisler				=	new ServisFisi();
		$servisFisleri	=	$fisler -> getServisFisleri($sayfa,$param,$paramValue,$secilecek_alanlar);
		$sonuc			=	array();
		$_time				=	time();
		
		$fisler ->  x  (  );
		
			if( $servisFisleri === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$fisler -> getHata();
			}
			else{
				require $_SESSION["root"]."/inc/Sayfalama.php";
				$sayfala											=	new Sayfalama();
				$sayfalar											=	$sayfala -> Sayfala($sayfa,$fisler -> toplam,"servis_fisleri",$pars,$fisler -> limit);
				$_token											=	uniqid();
				$_SESSION["yazdirToken"]	=	$_token;
				
				$yetki_servis_fisi_ekle	=	yetki( "servis_fisi_ekle" );
				$yetki_servis_fisi_sil		=	yetki( "servis_fisi_sil" );
				
				$yazdirBtn		=	( count( $servisFisleri ) ? '
												<button type="button" class="btn btn-default" title="Tabloyu Yazdır" data-yazdir-btn="servis_fisleri" 
												data-token = "'.$_token.'" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-print"></i> Yazdır</button>' : null );
				$excelBtn		=	( count( $servisFisleri ) ? '
												<button type="button" class="btn btn-success" title="Excel\'e Aktar" data-excel-btn="servis_fisleri" 
												data-token = "'.$_token.'" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'>
												<i class="fa fa-exchange"></i> <i class="fa fa-file-excel-o"></i></button>' : null );
				
				$cikti = '<div id="tabloUst">
									<div class="inline-block listele-secenek">
										'.( ( $yetki_servis_fisi_ekle ) ? 
										'<button type="button" class="btn btn-success" data-modal-ac="servis_fisi_ekleme" data-param=\'{ "baslik" : "Yeni Servis Fişi", "size" : "modal-lg", "yenile" : true }\'><i class="fa fa-plus"></i> Yeni Servis Fişi</button>' : null ).'
										<div class="btn-group" '.(($fisler -> toplam) ? null : 'style="display:none;"').'>
										  <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
											<i class="fa fa-magnet"></i> Sırala <i class="fa fa-caret-down"></i>
										  </button>
										  <ul class="dropdown-menu">
											<li '.((($_POST["params"]["order"] == "tarih" && $_POST["params"]["sort"] == "desc") || !isset($_POST["params"]["order"])) ? 'class="active"' : null).'><a href="#" data-listele="servis_fisleri" data-param=\'{ "order" : "tarih", "sort" : "desc" '.$wherePars.' }\'>Tarihe Göre ( Yeni )</a></li>
											<li '.(($_POST["params"]["order"] == "tarih" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="servis_fisleri" data-param=\'{ "order" : "tarih", "sort" : "asc" '.$wherePars.' }\'>Tarihe Göre ( Eski )</a></li>
											<li '.(($_POST["params"]["order"] == "fis_no" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="servis_fisleri" data-param=\'{ "order" : "fis_no", "sort" : "desc" '.$wherePars.' }\'>Fiş No ( Azalan )</a></li>
											<li '.(($_POST["params"]["order"] == "fis_no" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="servis_fisleri" data-param=\'{ "order" : "fis_no", "sort" : "asc" '.$wherePars.' }\'>Fiş No ( Artan )</a></li>
											<li '.(($_POST["params"]["order"] == "garanti" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="servis_fisleri" data-param=\'{ "order" : "garanti", "sort" : "desc" '.$wherePars.' }\'>Garanti Var</a></li>
											<li '.(($_POST["params"]["order"] == "garanti" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="servis_fisleri" data-param=\'{ "order" : "garanti", "sort" : "asc" '.$wherePars.' }\'>Garanti Yok</a></li>
										  </ul>
										</div>
										<button type="button" class="btn btn-primary" data-modal-ac="servis_fisi_arama" data-param=\'{ "baslik" : "Servis Fişi Ara" , "yenile" : true }\'><i class="fa fa-search-plus"></i> Bul</button>
									</div>
									<div class="inline-block listele-secenek">
										<button type="button" class="btn btn-warning" data-listele="servis_fisleri" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-refresh"></i> Yenile</button>
										'.$yazdirBtn.'
										'.$excelBtn.'
										'.( ( $yetki_servis_fisi_sil ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
										data-toplu-sil=\'{ "hangisi" : "servis_fisleri", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\' >
										<i class="fa fa-trash-o"></i></button>' : null ).'
									</div>
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="servis_fisleri">
											<thead>
												<tr> 
													'.( ( $yetki_servis_fisi_sil ) ? '<th class="no-sort">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>#</th>
													<th>Fiş No</th>
													<th>Cari Hesap</th>
													<th>Arıza</th>
													<th>Cihaz</th>
													<th>Durum</th>
													<th>Kayıt Tarihi</th>
													<th class="no-sort">İşlem</th>
												</tr>
											</thead>
											<tbody>';

											$garantiBas = array("", "Garanti Kapsamında ");

											foreach( $servisFisleri as $fis ){
												if( !$fis["servis_fis_id"] ) continue;
												
												$musteriYaz		=	( $fis["musteri_sil"] ) ? kisalt($fis["musteri_adi"],10, false) : 
																					'<a href="#" class="link-ata" data-musteri-id="'.$fis["musteri_id"].'" data-modal-ac="musteri_duzenleme" 
																					data-param=\'{ "baslik" : "Cari Bilgileri", "id" : '.$fis["musteri_id"].' , "yenile" : true }\' 
																					title="'.$fis["musteri_adi"].'">'.kisalt($fis["musteri_adi"],10, false).'</a>';
																					
												/*$userYaz			=	( $fis["user_durum"] != 1 ) ? kisalt($fis["user_ad"]." ".$fis["user_soyad"],15,false) : 
																					'<a href="#" class="link-ata" data-user-id="'.$fis["user_id"].'" data-modal-ac="personel_duzenleme" 
																					data-param=\'{ "baslik" : "Personel Bilgileri", "id" : '.$fis["user_id"].' , "yenile" : true }\' 
																					title="'.$fis["user_name"].'">'.kisalt($fis["user_ad"]." ".$fis["user_soyad"],15,false).'</a>';*/
															
												$ikon_resim		=	(trim($fis["durum_resim"]) && is_file($_SESSION["root"]."/uploads/resimler/".$fis["durum_resim"])) ? '<span class="abs-right"><img src="'.OTO_URL.'/uploads/resimler/'.$fis["durum_resim"].'" alt="Durum İkonu" /></span>' : null;
												$durum_ikon	=	$fis["durum_baslik"].$ikon_resim ;
												
												if($fis["durum_id"] == 0){
													$durum_ikon = "Yeni Servis".'<span class="abs-right"><img src="'.OTO_URL.'/assets/img/yeni-kayit.png" alt="Durum İkonu" /></span>';
												}
												
												$teslim_tarihi				=	( $fis["servis_teslim_tarihi"] ) ? strtotime( $fis["servis_teslim_tarihi"] ) : null;
												$teslim_tarihi_class	=	( $teslim_tarihi > 0 && $teslim_tarihi < $_time ) ? " teslim-zamani-gecmis " : null;
												$yenimiClass					=	(strtotime($_SESSION["user_son_giris"]) < strtotime($fis["servis_giris_tarihi"])) ? " yeni-kayit " : null;
												
												$class								=	$teslim_tarihi_class.$yenimiClass;
												
												$title	=	array();
												if( $yenimiClass ){
													$title[ ]	=	"Yeni Servis";
												};
												
												if( $teslim_tarihi_class ){
													$title[ ]	=	"Teslim Tarihi Geçmiş";
												}
												
												$yenimi		=	implode( " / ", $title );
												$yenimi		=	( $yenimi ) ? ' title="'.$yenimi.'" ' : null;

												$garanti = ( $fis["servis_garanti_durum"] == 1 ) ? '<i class="fa fa-check"></i>' : '<i class="fa fa-chevron-down"></i>';

												$cihaz_ikon = (trim($fis["cihaz_resim"]) && is_file($_SESSION["root"]."/uploads/resimler/".$fis["cihaz_resim"])) ? 
												'<span class="abs-right">
													<img src="'.OTO_URL.'/uploads/resimler/'.$fis["cihaz_resim"].'" alt="Cihaz İkonu" title="'.$garantiBas[$fis["servis_garanti_durum"]].$fis["cihaz_baslik"].'"/>
													'.$garanti.'
												</span>' : 
												'<span class="abs-right">
													<img src="'.OTO_URL.'/assets/img/no-device.png" alt="Cihaz İkonu" title="'.$garantiBas[$fis["servis_garanti_durum"]].$fis["cihaz_baslik"].'"/>
													'.$garanti.'
												</span>';
												
												$marka = ($fis["marka_id"]) ? '<a href="#" class="link-ata" data-marka-id="'.$fis["marka_id"].'">'.kisalt($fis["marka_baslik"],7,false).'</a>' : null;
												
												$cikti .= '<tr data-servis-fis-id = "'.$fis["servis_fis_id"].'">
															'.( ( $yetki_servis_fisi_sil ) ? '<th>
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$fis["servis_fis_id"].'" />
																</div>
															</th>' : null ).'

															<td data-order="'.$fis["servis_fis_id"].'" class="kayit-ac-btn">
																<strong>'.$fis["servis_fis_id"].'</strong>
																<a href="#" data-modal-ac="servis_fisi_duzenleme" data-param=\'{ "baslik" : "Servis Bilgileri", "id" : '.$fis["servis_fis_id"].', "yenile" : true, "size" : "modal-lg" }\'>
																	<i class="fa fa-search"></i>
																</a>
															</td>

															<td '.$yenimi.' style="font-size:12px;vertical-align:middle;" class="'.$class.'">'.$fis["servis_fis_no"].'</td>

															<td>'.$musteriYaz.'</td>

															<td title="'.$fis["sikayet"].'">'.kisalt($fis["sikayet"],10,false).'</td>

															<td class="pos-relative" data-order="'.$fis["cihaz_id"].'">'.$marka." ".kisalt($fis["servis_model_no"],7,false).$cihaz_ikon.'</td>
															<td class="pos-relative" data-order="'.$fis["durum_id"].'">'.$durum_ikon.'</td>

															<td class="liste-tarih-kolon" title="'.(date("d/m/Y H:i",strtotime($fis["servis_giris_tarihi"]))).'" data-order="'.$fis["servis_giris_tarihi"].'" data-time="'.strtotime($fis["servis_giris_tarihi"]).'">'.tarihGoster($fis["servis_giris_tarihi"]).'</td>
															
															<td>
																<button type="button" class="btn btn-primary btn-xs" data-modal-ac="servis_fisi_duzenleme" data-param=\'{ "baslik" : "Servis Bilgileri", "id" : '.$fis["servis_fis_id"].', "yenile" : true, "size" : "modal-lg" }\'>İncele <i class="fa fa-external-link-square"></i></button> 
																'.( ( $yetki_servis_fisi_sil ) ? 
																'<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "servis_fisleri", "mesaj" : "'.$fis["servis_fis_no"].', Silmek İstediğinize Emin misiniz?", 
																"id" : '.$fis["servis_fis_id"].' }\'>
																Sil <i class="fa fa-times"></i></button>' : null ).'
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													'.( ( $yetki_servis_fisi_sil ) ? '<th>
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>ID</th>
													<th>Fiş No</th>
													<th>Cari Hesap</th>
													<th>Arıza</th>
													<th>Cihaz</th>
													<th>Durum</th>
													<th>Kayıt Tarihi</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.$fisler -> toplam.'</strong> Kayıt. Sayfa <strong>'.$sayfa.'</strong> / <strong>'.count($servisFisleri).'</strong> Adet Kayıt Listeleniyor. 
								</div>'.$sayfalar.'
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>