<?php
		
		session_start();
		ob_start();
		
		if( !isset( $_SESSION["root"] ) || !isset( $_POST ) || !$_SESSION["login"] ){
			exit();
		}
		
		require $_SESSION["root"]."/inc/autoload.php";
		
		$_servis	=	new Servis();
		$id				=	post("servis_fis_id");
		$sonuc	=	array();
		
		unset( $_SESSION["ekli_urunler"]["urunler"] );
		
		if( !$id ){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	"Eksik Bilgi!";
			echo json_encode( $sonuc );
			exit();
		}
		
		$yetki_servis_islemi_sil				=	yetki( "servis_islemi_sil" );
		$yetki_servis_tutari_guncelle	=	yetki( "servis_tutari_guncelle" );
		
		$islem_tutar	=	( $yetki_servis_tutari_guncelle ) ? "islem-tutar" : null;
		
		$servis_islemleri	=	$_servis -> ozelSorgu( "select "._SERVISISLEMLERI.".*, "._USERS.".user_ad, "._USERS.".user_soyad, 
																								"._USERS.".user_profil_resmi, "._DURUMLAR.".durum_baslik from "._SERVISISLEMLERI." 
																								left join "._USERS." on "._USERS.".user_id = "._SERVISISLEMLERI.".ekleyen_id 
																								left join "._DURUMLAR." on "._DURUMLAR.".durum_id = "._SERVISISLEMLERI.".durum_id 
																								where "._SERVISISLEMLERI.".servis_fis_id = ? and "._SERVISISLEMLERI.".servis_islem_sil = 0 
																								order by "._SERVISISLEMLERI.".servis_islem_id asc", array( $id ) );
		$toplam_fiyat	=	0;
		
		if( count( $servis_islemleri ) ):
		
			foreach( $servis_islemleri as $islem ):
			static $sira	=	1;
			
			$user_icon2 = ($islem["user_profil_resmi"] && is_file($_SESSION["root"]."/uploads/resimler/".$islem["user_profil_resmi"])) ? 
			"/uploads/resimler/".$islem["user_profil_resmi"] : 
			"/assets/img/user-icon.png" ;
			
			$_malzemeler	=	$_servis -> ozelSorgu( "select "._KULLANILANMALZEMELER.".*, "._YEDEKPARCA.".yedek_parca_adi 
												from "._KULLANILANMALZEMELER." 
												left join "._YEDEKPARCA." on "._KULLANILANMALZEMELER.".yedek_parca_id = "._YEDEKPARCA.".yedek_parca_id 
												where "._KULLANILANMALZEMELER.".servis_islem_id = ?", array($islem["servis_islem_id"]) );
	?>
			<div class="islem-bir">
			
				<?php if( $yetki_servis_islemi_sil ): ?>
					<span class="islem-sil" data-islem-id="<?php echo $islem["servis_islem_id"]; ?>" 
					data-servis-fis-id="<?php echo $islem["servis_fis_id"]; ?>">Sil <i class="fa fa-times"></i></span>
				<?php endif; ?>
				
				<div class="islem-header clearfix">
					<div class="user-avatar pull-left">
						<img src="<?php echo $_SESSION["oto_url"]."/".$user_icon2; ?>" 
						alt="<?php echo $islem["user_ad"]. " ".$islem["user_soyad"]; ?>">
					</div>
					<div class="pull-left clearfix bilgiler">
						<strong class="pull-left"><?php echo "#".$sira." ".$islem["user_ad"]. " ".$islem["user_soyad"]; ?></strong>
						<span class="pull-right" style="color: #747474;font-size: 12px;margin: 2px 3px 0 0;">
							<strong style="font-family: monospace;">
								<?= date( "d.m.Y", strtotime( $islem["servis_islem_tarihi"] ) ); ?>
							</strong>
						</span>
					</div>
				</div>
				
				<div class="islem-aciklama">
					<div class="aciklama">
							<div class="servis-islem-aciklama">
								<span class="ikon"><i class="fa fa-wrench"></i></span>
								<?php echo nl2br($islem["servis_islem_aciklama"]); ?>
							</div>
							<?php if( $islem["gider_aciklama"] ): ?>
								<div class="gider-aciklama">
									<div class="row">
										<div class="col-xs-12 col-sm-9">
											<div class="aciklama">
												<strong>Gider :</strong> <?= $islem["gider_aciklama"]; ?>
											</div>
										</div>
										<div class="col-xs-12 col-sm-3">
											<div class="tutar" style="padding:5px;">
												<strong><i class="fa fa-money"></i> <?= sqlToPara( $islem["gider_tutar"] ); ?> <i class="fa fa-try"></i></strong>
											</div>
										</div>
									</div>
								</div>
							<?php endif; ?>
					</div>

						<div class="servis-malzemeleri">
							<table class="table table-bordered no-margin">
								<tbody>
									<?php 
										$toplam_tutar	=	0;
										$parca_tutari	=	0;
										
										foreach( $_malzemeler as $mzl ):
									?>
										<tr>
											<td><?php echo $mzl["yedek_parca_adi"]; ?></td>
											<td class="text-center" style="width:60px;"><?php echo $mzl["adet"]; ?></td>
											<td class="text-center">
												<?php echo sqlToPara( intval( $mzl["adet"] ) * floatval( $mzl["birim_fiyat"] ) ); ?> 
												<i class="fa fa-try"></i>
											</td>
										</tr>
									<?php 
										$parca_tutari	+=	intval( $mzl["adet"] ) * floatval( $mzl["birim_fiyat"] );
										
										endforeach;
										
										$toplam_tutar	+=	( $parca_tutari + $islem["servis_tutar"] );
										$toplam_fiyat	+=	$toplam_tutar;
									?>
										<tr>
											<td colspan="2"><strong>Yedek Parça Tutarı</strong></td>
											<td class="text-center" style="width:110px;">
												<strong style="font-size:14px;"><?php echo sqlToPara( $parca_tutari ); ?> <i class="fa fa-try"></i></strong>
											</td>
										</tr>
										<tr class="servis-tutar">
											<td colspan="2"><strong>Servis Tutarı</strong></td>
											<td class="text-center">
											
												<?php if( $yetki_servis_tutari_guncelle ): ?>
												<form action="" method="post" class="gizli" autocomplete="off">
													<input type="text" name="tutar" value="<?php echo sqlToPara( $islem["servis_tutar"] ); ?>" 
													data-para-format="TR" data-thousands="." data-decimal="," placeholder="0,00" autocomplete="off" />
													<input type="hidden" name="islem_id" value="<?php echo $islem["servis_islem_id"]; ?>" />
													<input type="hidden" name="fis_id" value="<?php echo $islem["servis_fis_id"]; ?>" />
													<button type="submit" class="btn btn-primary btn-xs pull-left">Kaydet</button>
												</form>
												<?php endif; ?>
												
												<span class="<?php echo $islem_tutar; ?>">
													<strong style="font-size:14px;"><?php echo sqlToPara($islem["servis_tutar"]); ?> <i class="fa fa-try"></i></strong>
												</span>
											</td>
										</tr>
										<tr class="toplam-tutar">
											<td colspan="2"><strong>Toplam Tutar</strong></td>
											<td class="text-center">
												<strong style="font-size:14px;"><?php echo sqlToPara( $toplam_tutar ); ?> <i class="fa fa-try"></i></strong>
											</td>
										</tr>
								</tbody>
							</table>
						</div>
				</div>
				
				<div class="islem-footer clearfix">
					<span class="islem-durum font-bold pull-right">
						<?php echo ( $islem["durum_baslik"] ) ? $islem["durum_baslik"] : "Yeni Servis"; ?>
					</span>
					<span class="pull-right" style="margin-right:10px;">
					<?php echo ( $islem["servis_formunda_goster"] ) ? 
					'<i class="fa fa-file-o" data-toggle-iki="tooltip" title="Servis Formunda Görünecek"></i>' : null; ?></span>
				</div>
			</div>
	<?php 
			$sira++;
			endforeach;
		endif;
	?>
	
	<?php
		
		if( $servis_islemleri === false ){
			$sonuc["hata"]	=	true;
			$cikti						=	'<div class="alert alert-danger"><strong>Servis İşlemleri Yüklenemedi.</strong>'.$_servis -> getHata().'</div>';
		}
		else{
			$sonuc["hata"]	=	false;
			$cikti						=	ob_get_contents();
		}
		
		ob_end_clean();
		
		$sonuc["content"]			=	$cikti;
		$sonuc["toplam_tutar"]	=	sqlToPara( $toplam_fiyat );
		$sonuc["adet"]					=	count( $servis_islemleri );
		
		echo json_encode( $sonuc );
	
	?>