<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$islem								=	post("islem");
	$id										=	post("id");
	$sms_kullanici_adi		=	post("sms_kullanici_adi");
	$sms_sifre						=	post("sms_sifre");
	$sms_mesaj_baslik	=	post("sms_mesaj_baslik");
	$email_sunucu			=	post("email_sunucu");
	$email_kullanici_adi	=	post("email_kullanici_adi");
	$email_sifre					=	post("email_sifre");
	$email_port					=	post("email_port");
	
	$sonuc					=	array();
	
	$yetki_sms_ayarlari_duzenle		=	yetki( "sms_ayarlari_duzenle" );
	$yetki_email_ayarlari_duzenle	=	yetki( "email_ayarlari_duzenle" );
	
	//Yetki Kontrolü
	switch( $islem ){
		case	"sms"		:
			if( !$yetki_sms_ayarlari_duzenle ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	"Sms Ayarları Düzenleme Yetkiniz Yok !";
				echo json_encode( $sonuc );
				exit();
			}
		break;
		case	"email"	:
			if( !$yetki_email_ayarlari_duzenle ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	"Email Ayarları Düzenleme Yetkiniz Yok !";
				echo json_encode( $sonuc );
				exit();
			}
		break;
	}
	
	if( $id != 1 ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Eksik ID Bilgisi!";
		echo json_encode( $sonuc );
		exit();
	}
	
	$_servis	=	new Servis();
	
	switch( $islem ){
		case	"sms"		:
		
		if( ( !empty( $sms_mesaj_baslik ) && preg_match( '@[^a-zA-Z0-9\.\-\_\ ]@si', $sms_mesaj_baslik ) || strlen( $sms_mesaj_baslik ) > 11 ) ){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	"Mesaj Başlığı En fazla 11 Karakter Olmalı ve Türkçe Karakter Kullanılmamalı!";
			echo json_encode( $sonuc );
			exit();
		}
		
		$sql			=	"update "._SMS_EMAIL." set sms_kullanici_adi = ?, sms_sifre = ?, sms_mesaj_baslik = ? where ayar_id = ?";
		$deger	=	array( $sms_kullanici_adi, $sms_sifre, $sms_mesaj_baslik, $id );
		break;
		
		case	"email"	:
		$sql			=	"update "._SMS_EMAIL." set email_sunucu = ?, email_kullanici_adi = ?, email_sifre = ?, email_port = ? where ayar_id = ?";
		$deger	=	array( $email_sunucu, $email_kullanici_adi, $email_sifre, $email_port, $id );
		break;
	}
	
	$kayit	=	$_servis -> kayitGuncelle( $sql, $deger );
	
	if( $kayit === false ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	$_servis -> getHata();
		echo json_encode( $sonuc );
		exit();
	}
	
	$sonuc["hata"]	=	false;
	$sonuc["mesaj"]	=	'<i class="fa fa-check"></i> '.( ucfirst( $islem ) ).' Ayarları Güncellendi.';
	
	echo json_encode( $sonuc );

?>