<?php

	session_start();
	
	if( !isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"] ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$id							=	post("id");
	$musteri_id		=	post("musteri_id");
	$aciklama			=	post("aciklama");
	$tahsil					=	( post("tahsil_edildi") ) ? 1 : 0;
	$tutar					=	floatval(str_replace(array(".",","),array(null,"."),post("tutar")));
	$tahsil_tarihi	=	unixTarih( post("tahsil_tarihi"), "00:00:00" );
	$odeme_tur		=	post("odeme_tur");
	
	$sonuc				=	array();
	
	$yetki_veresiye_duzenle	=	yetki( "veresiye_duzenle" );
	
	//Yetki kontrolü
	if( !$yetki_veresiye_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Veresiye Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//Müşteri Kontrolü
	if( !$musteri_id ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Cari Seçmediniz!";
		echo json_encode($sonuc);
		exit();
	}
	
	//Vade tarihi kontrolü
	if( !$id ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Tanımsız ID Bilgisi !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//Fiyat Kontrolü
	if( !$tutar ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Tahsilat Tutarını Giriniz!";
		echo json_encode( $sonuc );
		exit();
	}
	
	$servis 		= new Servis();
	$values		=	array();
	$tahsilSql	=	"";
	
	$values[ ]	=	$musteri_id;
	$values[ ]	=	$tutar;
	$values[ ]	=	$aciklama;
	$values[ ]	=	$tahsil;
	
	if( $tahsil ){
		$tahsilSql	.=	" , tahsil_tarihi = ?, odeme_tur = ? ";
		$values[ ]	=	$tahsil_tarihi;
		$values[ ]	=	$odeme_tur;
	}
	
	$values[ ]	=	$id;
	
	$sql		=	"update "._VERESIYE." set cari_id = ?, tutar = ?, aciklama = ?, tahsil = ? ".$tahsilSql." where veresiye_id = ?";
	
	$kayit 	= $servis -> kayitGuncelle( $sql, $values );
	
		if( $kayit === false ){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	$servis -> getHata();
		}
		else{
			$sonuc["hata"]		=	false;
			$sonuc["mesaj"]		=	'<i class="fa fa-check"></i> Veresiye Kaydı Güncellendi.';
		}
	
	echo json_encode( $sonuc );

?>