<?php

	session_start();
	
	if( isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"]) ){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/Veresiye.php";
		require $_SESSION["root"]."/inc/ListeParam.php";
		
		//Hücre ve siralama başlıklarını değştirecek
		$basliklar	=	array(
			"hucreler"	=>	array(
				"v_id"		=>	"veresiye_id",
				"v_tutar"=>	"tutar",
				"v_tarih"	=>	"vade_tarihi",
				"t_tarih"	=>	"tahsil_tarihi",
				"ths"			=>	"tahsil",
				"m_adi"	=>	"musteri_adi",
				"m_id"		=>	_VERESIYE.".cari_id",
				"musteri_tablo"	=>	_MUSTERILER
			),
			"siralama"	=>	array(
				"desc"	=>	"desc",
				"asc"		=>	"asc"
			),
			"_paramYoksa"	=>	"veresiye_id",
			"_tablo"	=>	_VERESIYE
		);
		
		$listeParam	=	new ListeParam($_POST,$basliklar);
		
		$paramValue	=	$listeParam -> paramValue;
		$param				=	$listeParam -> param;
		$where				=	$listeParam -> where;
		$wherePars		=	$listeParam -> wherePars;
		$pars					=	$listeParam -> pars;
		$sayfa					=	$listeParam -> sayfa;
		
		$secilecek_alanlar = array(
			_VERESIYE.".*",
			_MUSTERILER.".musteri_adi",
			_MUSTERILER.".musteri_sil"
		);
		
		$_tahsilat			=	new Veresiye();
		$tahsilatlar		=	$_tahsilat -> getVeresiye($sayfa,$param,$paramValue,$secilecek_alanlar);
		$sonuc				=	array();
		
			if( $tahsilatlar === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$_tahsilat -> getHata();
			}
			else{
				require $_SESSION["root"]."/inc/Sayfalama.php";
				$sayfala											=	new Sayfalama();
				$sayfalar											=	$sayfala -> Sayfala($sayfa,$_tahsilat -> toplam,"veresiye",$pars,$_tahsilat -> limit);
				$_token											=	uniqid();
				$_SESSION["yazdirToken"]	=	$_token;
				$toplam_tutar								=	0;
				
				$_tahsilat ->    x    (     );
				
				$odeme_tur		=	array( "", "Nakit", "Kredi Kartı", "Çek" );
				$odeme_ikon	=	array("garanti_yok.png","garanti_var.png");
				
				$yetki_veresiye_ekle	=	yetki( "veresiye_ekle" );
				$yetki_veresiye_sil		=	yetki( "veresiye_sil" );
				
				$yazdirBtn		=	( count( $tahsilatlar ) ? '
												<button type="button" class="btn btn-default" title="Tabloyu Yazdır" data-yazdir-btn="veresiye" 
												data-token = "'.$_token.'" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-print"></i> Yazdır</button>' : null );
				$excelBtn		=	( count( $tahsilatlar ) ? '
												<button type="button" class="btn btn-success" title="Excel\'e Aktar" data-excel-btn="veresiye" 
												data-token = "'.$_token.'" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'>
												<i class="fa fa-exchange"></i> <i class="fa fa-file-excel-o"></i></button>' : null );
				
				$cikti = '<div id="tabloUst">
									<div class="inline-block listele-secenek">
										'.( ( $yetki_veresiye_ekle ) ? '<button type="button" class="btn btn-success" data-modal-ac="veresiye_ekleme" 
										data-param=\'{ "baslik" : "Veresiye Ekle", "yenile" : true }\'><i class="fa fa-plus"></i> Veresiye Ekle</button>' : null ).'
										<div class="btn-group" '.(($_tahsilat -> toplam) ? null : 'style="display:none;"').'>
										  <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
											<i class="fa fa-magnet"></i> Sırala <i class="fa fa-caret-down"></i>
										  </button>
										  <ul class="dropdown-menu">
											<li '.(($_POST["params"]["order"] == "v_tutar" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="veresiye" data-param=\'{ "order" : "v_tutar", "sort" : "asc" '.$wherePars.' }\'>Tutara Göre ( Artan )</a></li>
											<li '.(($_POST["params"]["order"] == "v_tutar" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="veresiye" data-param=\'{ "order" : "v_tutar", "sort" : "desc" '.$wherePars.' }\'>Tutara Göre ( Azalan )</a></li>
											<li '.(($_POST["params"]["order"] == "v_tarih" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="veresiye" data-param=\'{ "order" : "v_tarih", "sort" : "asc" '.$wherePars.' }\'>Vade Tarihi ( Eski )</a></li>
											<li '.(($_POST["params"]["order"] == "v_tarih" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="veresiye" data-param=\'{ "order" : "v_tarih", "sort" : "desc" '.$wherePars.' }\'>Vade Tarihi ( Yeni )</a></li>
											<li '.(($_POST["params"]["order"] == "t_tarih" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="veresiye" data-param=\'{ "order" : "t_tarih", "sort" : "asc" '.$wherePars.' }\'>Tahsil Tarihi ( Eski )</a></li>
											<li '.(($_POST["params"]["order"] == "t_tarih" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="veresiye" data-param=\'{ "order" : "t_tarih", "sort" : "desc" '.$wherePars.' }\'>Tahsil Tarihi ( Yeni )</a></li>
										  </ul>
										</div>
										<button type="button" class="btn btn-primary" data-modal-ac="veresiye_arama" data-param=\'{ "baslik" : "Veresiye Ara" }\'><i class="fa fa-search-plus"></i> Bul</button>
									</div>
									<div class="inline-block listele-secenek">
										<button type="button" class="btn btn-warning" data-listele="veresiye" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-refresh"></i> Yenile</button>
										'.$yazdirBtn.'
										'.$excelBtn.'
										'.( ( $yetki_veresiye_sil ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
										data-toplu-sil=\'{ "hangisi" : "veresiye", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\' >
										<i class="fa fa-trash-o"></i></button>' : null ).'
									</div>
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="veresiye">
											<thead>
												<tr> 
													'.( ( $yetki_veresiye_sil ) ? '<th class="no-sort">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Cari Hesap</th>
													<th>Tutar</th>
													<th>Tahsilat</th>
													<th>Vade Tarihi</th>
													<th>Tahsil Tarihi</th>
													<th class="no-sort">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach($tahsilatlar as $tah){
												$musteriYaz		=	( $tah["musteri_sil"] ) ? kisalt($tah["musteri_adi"],25, false) : 
																					'<a href="#" class="link-ata" data-musteri-id="'.$tah["cari_id"].'" data-modal-ac="musteri_duzenleme" 
																					data-param=\'{ "baslik" : "Cari Bilgileri", "id" : '.$tah["cari_id"].' , "yenile" : true }\' 
																					title="'.$tah["musteri_adi"].'">'.kisalt($tah["musteri_adi"],25, false).'</a>';

												$toplam_tutar	=	$toplam_tutar + floatVal( $tah["tutar"] );
												$tahsilat_fiyat	=	"<strong style='color:#0086b3;'>".sqlToPara( $tah["tutar"] )."</strong>";
												$reel_fiyat			=	$tah["tutar"];
												
												$vade_tarihi		=	strtotime( $tah["vade_tarihi"] );
												$tahsil_tarihi	=	strtotime( $tah["tahsil_tarihi"] );
												
												$vade_tarihi_gecmis_class	=	( !$tah["tahsil"] && time() > strtotime( $tah["vade_tarihi"] ) ) ? " vade-gecmis " : null;
												
												$cikti .= '<tr data-veresiye-id = "'.$tah["veresiye_id"].'">
															'.( ( $yetki_veresiye_sil ) ? '<th>
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$tah["veresiye_id"].'" />
																</div>
															</th>' : null ).'
															<td>'.$musteriYaz.'</td>
															<td data-order="'.$reel_fiyat.'">'.$tahsilat_fiyat.' <i class="fa fa-try"></i></td>
															<td class="pos-relative" data-order="'.$tah["tahsil"].'"><img src="'.OTO_URL."/assets/img/".$odeme_ikon[ $tah["tahsil"] ].'" class="garanti-durum" alt="Ödeme Durumu" title="'.( ( $tah["tahsil"] ) ? "Ödendi" : "Bekliyor" ).'" />
															</td>
															<td class="liste-tarih-kolon '.$vade_tarihi_gecmis_class.'" data-order="'.$tah["vade_tarihi"].'" 
															data-time="'.strtotime($tah["vade_tarihi"]).'">'
															.( ( $vade_tarihi > 0 ) ? date( "d/m/Y", strtotime( $tah["vade_tarihi"] ) ) : null )
															.'</td>
															<td class="liste-tarih-kolon" data-order="'.$tah["tahsil_tarihi"].'" data-time="'.strtotime($tah["tahsil_tarihi"]).'">'
															.( ( $tah["tahsil"] && $tahsil_tarihi > 0 ) ? date( "d/m/Y", strtotime( $tah["tahsil_tarihi"] ) ) : null )
															.'</td>
															<td>
																<button type="button" class="btn btn-primary btn-xs" data-modal-ac="veresiye_duzenleme" data-param=\'{ "baslik" : "Veresiye Bilgileri", "id" : '.$tah["veresiye_id"].', "yenile" : true }\'>İncele 
																<i class="fa fa-external-link-square"></i></button>
																'.( ( $yetki_veresiye_sil ) ? '<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "veresiye", "mesaj" : "Silmek İstediğinize Emin misiniz?", "id" : '.$tah["veresiye_id"].' }\'>
																Sil <i class="fa fa-times"></i></button>' : null ).'
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													'.( ( $yetki_veresiye_sil ) ? '<th>
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Cari Hesap</th>
													<th style="color:'.( ( $toplam_tutar > 0 ) ? "#0086b3" : "#ff2626" ).';">
													'.sqlToPara( $toplam_tutar ).' <i class="fa fa-try"></i></th>
													<th>Tahsilat</th>
													<th>Vade Tarihi</th>
													<th>Tahsil Tarihi</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.$_tahsilat -> toplam.'</strong> Kayıt. Sayfa <strong>'.$sayfa.'</strong> / <strong>'.count($tahsilatlar).'</strong> Adet Kayıt Listeleniyor. 
								</div>'.$sayfalar.'
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>