$(function(){
	
	$.ajaxSetup({
		cache : false
	});
	
	$(".checkbox").checkbox();
	qtipEkle($("[title]"));
	
	//form kontrolü
	$(document).on("click",".submit-btn",function(e){
		e.preventDefault();
		var dis = $(this);
		var form = $(dis.data("form"));
		var inputs = form.find(":input[required]");
		var rotate = dis.find(".rotate");
		var ikonGizle = dis.find(".ikon-gizle");
		var uyari_mesaj = "";
		var sayac = 0;
			inputs.each(function(){
				var diz = $(this);
				if(!$.trim(diz.val())){
					diz.parents(".input-data").first().removeClass("zorunlu").addClass("zorunlu").delay(4000).queue(function(){
						diz.parents(".input-data").first().removeClass("zorunlu");
						$( this ).dequeue();
					});
					sayac++;
					if(diz.attr("type") == "hidden"){
						uyari_mesaj = diz.data("uyari");
					}
				}
				else{
					diz.parents(".input-data").first().removeClass("zorunlu");
				}
			});
			
		if(sayac){
			if(uyari_mesaj){
				mesaj("uyari","Eksik Bilgi",uyari_mesaj,true);
			}
			return false;
		}
		else{
			rotate.css("display","inline-block");
			ikonGizle.css("display","none");
			dis.attr("disabled",true);
			var fonksiyon = dis.data("fonksiyon");
			window[fonksiyon](form);
			return true;
		}
		
	dis.off("click");
	});
	
	$("#mesaj-panel-kapat,#btn-mesaj-panel-kapat").click(function(){
		mesajKapat();
	});
	
	$("#btn-mesaj-panel-tamam").click(function(){
		var dis = $(this);
		var fonk = dis.data("fonksiyon");
		var args = dis.data("param");
		mesajKapat(fonk,args);
		dis.data("fonksiyon","").data("param","");
	});
	
});

/*Fonksiyonlar---------------------------------------------------------------------------------------------*/

//Login Fonksiyonu
function login(form){
	$.ajax({
		url : SITE + "/ajax/ajax_login.php",
		type : "post",
		cache : false,
		dataType : "json",
		data : form.serialize(),
		success : function(c){
			var gecikmeSuresi = 2000;
			form.find(".sonuc").html(c.mesaj).slideDown(250).delay(gecikmeSuresi).slideUp(250);
			setTimeout(function(){
				form.find(".rotate").css("display","none");
				form.find(".ikon-gizle").css("display","inline-block");
				form.find("[data-fonksiyon=login]").removeAttr("disabled");
					if(c.hata){
						mesaj("uyari","HATA!",c.hata,true);
					}
					else{
						location.reload();
					}
			},gecikmeSuresi);
		},
		error : function(xhr,c){
			form.find(".rotate").css("display","none");
			form.find(".ikon-gizle").css("display","inline-block");
			form.find("[data-fonksiyon=login]").removeAttr("disabled");
			mesaj("uyari","HATA!","Sistem Hatası Oluştu." + c,true);
		}
	});
}

function koor(par){
	console.log( par );
}

//Mesaj fonksiyonu tip => uyari, basari, bilgi | kapat => booelan | yukleniyor gifi => boolean | buttons => "yes no" | fonksiyon => string | params
function mesaj(tip,baslik,mesaj,kapat,rotate,buttons,fonksiyon,param){
	$("#mesaj #mesaj-kutu .ikon-panel > span").css("display","none");//Uyarı biçimleri sıfırlanıyor
	$("#mesaj #mesaj-kutu .mesaj-yazi > h4").text("");//Mesaj başlığı sıfırlanıyor
	$("#mesaj #mesaj-kutu .mesaj-yazi > p").text("");//Mesaj içeriği sıfırlanıyor
	$("#mesaj-panel-kapat").css("display","none");//Mesaj kapatma sıfırlanıyor
	$("#mesaj #mesaj-kutu .mesaj-islem > span.rotate").css("display","none");
	$("#mesaj #mesaj-kutu .mesaj-islem > button.btn").css("display","none");
	
	//Aktif butonlar seçiliyor
	if(buttons){
		var butonlar = buttons.split(" ");
		for(var i in butonlar){
			$("#mesaj #mesaj-kutu .mesaj-islem > button.btn-" + butonlar[i]).css("display","inline-block");
		}
	}
	
	//Fonksiyon bilgilisi atanıyor
	if(fonksiyon){
		$("#btn-mesaj-panel-tamam").data("fonksiyon",fonksiyon).data("param",param);
	}
	
	$("#mesaj").css("display","block");
	
	$("#mesaj > .mesaj-golge").fadeIn(150,function(){
		$("#mesaj > .mesaj-golge > #mesaj-kutu").slideDown(300,"easeInOutElastic");
	});
	
		$("#mesaj #mesaj-kutu .ikon-panel > ." + tip).css("display","inline-block");
		$("#mesaj #mesaj-kutu .mesaj-yazi > h4").text(baslik);
		$("#mesaj #mesaj-kutu .mesaj-yazi > p").text(mesaj);
		if(kapat){
			$("#mesaj-panel-kapat").css("display","inline-block");
		}
		if(rotate){
			$("#mesaj #mesaj-kutu .mesaj-islem > span.rotate").css("display","inline-block");
		}
}

//Mesaj paneli kapatma fonksiyonu
function mesajKapat(fonksiyon,param){
	$("#mesaj > .mesaj-golge > #mesaj-kutu").slideUp(300,"easeOutBounce",function(){
		$("#mesaj > .mesaj-golge").fadeOut(150,function(){
			if( fonksiyon ){
				eval( fonksiyon )( param );
			}
			$("#mesaj > .mesaj-golge").css("display","none");
			$("#mesaj > .mesaj-golge > #mesaj-kutu").css("display","none");
			$("#mesaj").css("display","none");
		});
	});
}

//Tarih fonksiyonu
function tarihGoster(tarih_time, tamGoster){
	var simdi_time	=	Math.ceil( Date.now() / 1000 );
	var fark				=	simdi_time - tarih_time;
	var saniye			=	fark;
	var dakika			=	Math.floor(fark / 60);
	var saat				=	Math.floor(fark / (60 * 60));
	var gun				=	Math.floor(fark / (60 * 60 * 24));
	var cikti				=	new Date(tarih_time * 1000);
			
	var _gun				=	(cikti.getDate()).toString();
			_gun				=	(_gun.length < 2) ? "0" + _gun : _gun;
	var _ay				=	(cikti.getMonth() + 1).toString();
			_ay					=	(_ay.length < 2) ? "0" + _ay : _ay;
	var _yil					=	cikti.getFullYear();
	
	var _saat			=	(cikti.getHours()).toString();
			_saat				=	(_saat.length < 2) ? "0" + _saat : _saat;
	var _dakika		=	(cikti.getMinutes()).toString();
			_dakika		=	(_dakika.length < 2) ? "0" + _dakika : _dakika;
	
			if(saniye < 60){
				cikti = saniye + " Saniye Önce";
			}
			else if(dakika < 60){
				cikti = dakika + " Dakika Önce";
			}
			else if(saat < 24){
				cikti = saat + " Saat Önce";
			}
			else if(gun < 7){
				cikti = gun + " Gün Önce";
			}
			else{
				cikti = _gun + "." + _ay + "." + _yil + " " + _saat + ":" + _dakika;
			}
			
			if(tamGoster){
				cikti = _gun + "." + _ay + "." + _yil + " " + _saat + ":" + _dakika;
			}
				
		return cikti;
}

//qtip başlıkları ekleyen fonksiyon
function qtipEkle(nesneler){
		nesneler.qtip({
					content: {
						text: function(event, api) {
							return $(this).attr('title').replace(/[\<\>]/g,'');
						}
					},
					position : {
						my : "top left",
						at : "bottom center"
					},
					style: {
						classes: 'qtip-tipsy'
					},
					show: {
						effect: function() {
							$(this).fadeTo(250, 1);
						}
					},
					hide: {
						event: 'click mouseleave',
						effect: function() {
							$(this).fadeOut(250);
						}
					}
		});
}