<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$form				= "email-gonderme-formu";
	$musteri_id	= ( get("param") ) ? get("param") : false;
	
	$args				=	get("args");
	$args				=	json_decode( html_entity_decode( $args ), true );
	
	$_servis			=	new Servis();
	$musteriler	=	$_servis -> ozelSorgu("select musteri_id,musteri_adi, musteri_email from "._MUSTERILER." where musteri_sil = 0 and 
									musteri_email IS NOT NULL and musteri_email != ''");
	
?>
						<div class="modal-icerik-style">
						
							<?php if( $args["hangisi"] ): ?>
								<div class="geri-don-btn clearfix">
									<button type="button" class="btn btn-default btn-sm pull-left" data-toggle-iki="tooltip" title="Geri Dön"
									data-modal-ac="<?php echo $args["hangisi"]; ?>" data-param='{ "baslik" : "<?php echo $args["baslik"]; ?>", 
									"id" : <?php echo $musteri_id; ?>, "yenile" : true, "size" : "<?php echo $args["size"]; ?>" }'>
									<i class="fa fa-arrow-left"></i></button>
								</div>
							<?php endif; ?>
						
							<div class="row">
								<div class="col-xs-12">
									<form id="<?php echo $form; ?>" action="" method="post" 
									data-par='{ "hangisi" : "email_gonder" , "listele" : "email_gonder", "temizle" : true }' autocomplete = "off" >
										<div class="row">
											<div class="col-xs-12">
												<div class="row ilk-panel">
													<div class="col-xs-12">
														<div class="form-group">
															<label><i class="fa fa-user"></i> Müşteriler</label>
															<div class="form-group pos-rel input-data">
																<select name="musteriler[]" class="selectpicker form-control" required multiple data-live-search="true" >
																	<?php foreach($musteriler as $mus): ?>
																		<option value="<?php echo $mus["musteri_email"]; ?>" 
																		<?php echo ( $mus["musteri_id"] == $musteri_id ) ? 'selected' : null; ?>>
																			<?php echo $mus["musteri_adi"]; ?>
																		</option>
																	<?php endforeach; ?>
																</select>
															</div>
														</div>
														<hr />
														<div class="form-group">
															<label><i class="fa fa-header"></i> Mail Başlık</label>
															<div class="form-group pos-rel input-data">
																<input type="text" name="mail_baslik" class="form-control" required />
															</div>
														</div>
														<div class="form-group">
															<label><i class="fa fa-envelope-o"></i> Mail Detay</label>
															<div class="form-group pos-rel input-data">
																<textarea name="mail_detay" class="form-control" rows="5" required ></textarea>
															</div>
														</div>

															<div class="garanti-kutu">
																<div class="ui checkbox">
																	<input type="checkbox" name="imza_ekle" value="1" />
																	<label>Firma İmzasını Ekle</label>
															   </div>
															</div>

														<hr />
													</div>
													<div class="col-xs-12">
													
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Gönder</button>

													</div>
												</div>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>