<?php
	
	session_start();
	
	if( !isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"] ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$_servis		=	new Servis();
	
	$yetki_gg_fis_duzenle	=	yetki( "gg_fis_duzenle" );
	
	$kilitle	=	( $yetki_gg_fis_duzenle ) ? null : "kilitle";
	
	$form			=	"gg-fis-ekleme-formu";
	$id					=	get("id");
	
	$bilgiler		=	$_servis -> ozelSorgu( "select "._GGFISLER.".*,"._GEGKART.".kart_ismi from "._GGFISLER." 
																				left join "._GEGKART." on "._GEGKART.".kart_id = "._GEGKART.".kart_id 
																				where "._GGFISLER.".gg_fis_id = ? and "._GGFISLER.".gg_fis_sil = 0 LIMIT 1", array( $id ) );
								
	if( $bilgiler === false || !count( $bilgiler ) ){
		$hata	=	"Gelir Gider Fişi Bulunamadı. ".$_servis -> getHata();
	}
	
	$kartlar		=	$_servis -> ozelSorgu( "select kart_id, kart_ismi from "._GEGKART." where kart_sil = 0" );

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
								
								<?php if( $hata ): ?>
									<div class="alert alert-danger">
										<strong>İstenilen Bilgilere Ulaşılamıyor veya Kaynak Silinmiş.</strong><br />
										<strong>Bilgi :</strong> <?php echo $hata; ?>
									</div>
								<?php exit(); ?>
								<?php endif; ?>
								
									<form id="<?php echo $form; ?>" action="" method="post" 
									data-par='{ "hangisi" : "gg_fis" , "listele" : "gg_fisler" }' autocomplete = "off" class="<?php echo $kilitle; ?>">
										<div class="row">
											<div class="col-xs-12">
												<div class="row ilk-panel">
													<div class="row no-margin">
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label><i class="fa fa-credit-card"></i> Gelir Gider Kartı</label>
																	<div class="form-group pos-rel input-data">
																		<select name="kart_id" class="form-control selectpicker">
																			<?php foreach( $kartlar as $kart ): ?>
																				<option value="<?php echo $kart["kart_id"]; ?>" 
																				<?php echo ( $kart["kart_id"] == $bilgiler[0]["kart_id"] ) ? "selected" : null; ?>>
																				<?php echo $kart["kart_ismi"]; ?></option>
																			<?php endforeach; ?>
																		</select>
																	</div>
															</div>
														</div>
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label><i class="fa fa-exchange"></i> İşlem Türü</label>
																	<div class="form-group pos-rel input-data">
																		<select name="islem_tur" class="form-control selectpicker">
																			<option value="gider" <?php echo ( $bilgiler[0]["islem"] == "gider" ) ? "selected" : null; ?>>Gider Fişi</option>
																			<option value="gelir" <?php echo ( $bilgiler[0]["islem"] == "gelir" ) ? "selected" : null; ?>>Gelir Fişi</option>
																		</select>
																	</div>
															</div>
														</div>
													</div>
													<hr style="margin:0 5px 10px 5px;"/>

															<div class="col-xs-12">
																<div class="row">
																	<div class="col-xs-12">
																		<div class="form-group">
																				<label><i class="fa fa-comment"></i> Açıklama</label>
																				<div class="form-group pos-rel input-data">
																					<textarea name="aciklama" class="form-control" rows="2"><?php echo $bilgiler[0]["gg_fis_aciklama"]; ?></textarea>
																				</div>
																		</div>
																	</div>
																	<div class="col-xs-6">
																		<div class="form-group">
																				<label><i class="fa fa-money"></i> Tutar</label>
																					<div class="input-group pos-rel input-data">
																						<input type="text" name="tutar" class="form-control" data-para-format="TR" data-thousands="." data-decimal="," placeholder="0,00" required value="<?php echo sqlToPara( $bilgiler[0]["tutar"] ); ?>" />
																						<span class="input-group-addon"><i class="fa fa-try"></i></span>
																					</div>
																			</div>
																	</div>
																	<div class="col-xs-6">
																		<div class="form-group">
																				<label><i class="fa fa-calendar"></i> Tarih</label>
																					<div class="form-group pos-rel tarih-secim">
																						<input type="text" name="tarih" class="form-control datepicker"  
																						value="<?php echo date( "d/m/Y", strtotime( $bilgiler[0]["gg_fis_tarihi"] ) ); ?>" readonly required />
																					</div>
																			</div>
																	</div>
																</div>
																<div class="row">
																	<div class="col-xs-12 col-sm-6">
																			<div class="form-group">
																				<label><i class="fa fa-credit-card-alt"></i> Ödeme Türü</label>
																				<div class="form-group pos-rel input-data">
																						<select name="odeme_tur" class="selectpicker form-control">
																							<option value="1" <?php echo ( $bilgiler[0]["odeme_tur"] == 1 ) ? "selected" : null; ?>>Nakit</option>
																							<option value="2" <?php echo ( $bilgiler[0]["odeme_tur"] == 2 ) ? "selected" : null; ?>>Kredi Kartı</option>
																							<option value="3" <?php echo ( $bilgiler[0]["odeme_tur"] == 3 ) ? "selected" : null; ?>>Çek</option>
																						</select>
																				</div>
																			</div>
																	</div>
																</div>
															</div>
													<div class="col-xs-12">
														<input type="hidden" name="islem" value="duzenle" />
														<input type="hidden" name="id" value="<?php echo $id; ?>" />
													
													<?php if( $yetki_gg_fis_duzenle ): ?>
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
													<?php endif; ?>
														
													</div>
												</div>
												<div class="row son-panel">
													<div class="col-xs-12">
														<div class="alert alert-success response" role="alert"></div>
													</div>
												</div>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>