<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Users.php";
	require $_SESSION["root"]."/inc/Hatirlatma.php";
	
	$form				=	"hatirlatma-ekleme-formu";
	$id						=	get("id");
	$_hatirlatma	=	new Hatirlatma();
	
	$bilgiler			=	$_hatirlatma -> ozelSorgu("select * from "._HATIRLATMA." where hatirlatma_id = ? and hatirlatma_sil = 0 LIMIT 1",array($id));
	
	if( $bilgiler === false || !count( $bilgiler ) ){
		$hata	=	"Hatırlatma Bulunamadı. ".$_hatirlatma -> getHata();
	}
	
	$secilenler	=	$bilgiler[0]["hatirlatma_personeller"];
	preg_match_all('@<id>([0-9]*)</id>@si',$secilenler,$secilenler);
	$secilenler	=	array_values($secilenler[1]);
	
	$_users			=	new Users();
	$users 				=	$_users -> ozelSorgu( "select user_id, user_ad, user_soyad from "._USERS." where user_durum = 1 and user_vizyon = 1" );
	
	$duzenleneBilir				=	( $bilgiler[0]["ekleyen_id"] == $_SESSION["user"]["user_id"] ) ? null : "readonly";
	$duzenleneBilirSelect	=	( $bilgiler[0]["ekleyen_id"] == $_SESSION["user"]["user_id"] ) ? null : 'disabled = "disabled"';
	
	$yetki_hatirlatma_duzenle	=	( yetki( "hatirlatma_duzenle" ) && $bilgiler[0]["ekleyen_id"] == $_SESSION["user"]["user_id"] );
	
	$kilitle	=	( $yetki_hatirlatma_duzenle ) ? null : "kilitle";
	
	if( $_SESSION["user"]["user_yetki"] == 0 ){
		$yetki_hatirlatma_duzenle	=	true;
		$kilitle												=	null;
	}

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
								
								<?php if( $hata ): ?>
									<div class="alert alert-danger">
										<strong>İstenilen Bilgilere Ulaşılamıyor veya Kaynak Silinmiş.</strong><br />
										<strong>Bilgi :</strong> <?php echo $hata; ?>
									</div>
								<?php exit(); ?>
								<?php endif; ?>
								
									<form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data" data-par='{ "hangisi" : "hatirlatma" , "listele" : "hatirlatma" }' autocomplete = "off" class="<?php echo $kilitle; ?>" >
										<div class="row">
											<div class="col-xs-12">
												<div class="row ilk-panel">
													<div class="col-xs-12">
														<div class="form-group">
															<label><i class="fa fa-header"></i> Başlık</label>
															<div class="form-group pos-rel input-data">
																<input type="text" name="baslik" class="form-control" maxlength="100" required value="<?php echo $bilgiler[0]["hatirlatma_baslik"]; ?>" <?php echo $duzenleneBilir; ?> />
															</div>
														</div>
														<div class="row">
															<div class="col-xs-12 col-sm-6">
																<div class="form-group pos-rel input-data">
																	<label><i class="fa fa-question-circle"></i> Kime</label>
																	<select name="kime" class="selectpicker form-control" data-secim-goster='{ "panel" : "#personeller", "value" : 3 }' <?php echo $duzenleneBilirSelect; ?> >
																		<option value="1" <?php echo ($bilgiler[0]["hatirlatma_kimlere"] == 1) ? "selected" : null; ?>>Sadece Bana</option>
																		<option value="2" <?php echo ($bilgiler[0]["hatirlatma_kimlere"] == 2) ? "selected" : null; ?>>Herkese</option>
																		<option value="3" <?php echo ($bilgiler[0]["hatirlatma_kimlere"] == 3) ? "selected" : null; ?>>Seçilenlere</option>
																	</select>
																</div>
															</div>
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																		<label><i class="fa fa-calendar"></i> Hatırlatma Tarihi</label>
																			<div class="form-group pos-rel tarih-secim">
																				<input type="text" name="tarih" class="form-control datepicker" readonly required value="<?php echo date("d/m/Y",strtotime($bilgiler[0]["hatirlatma_tarih"])); ?>" <?php echo $duzenleneBilirSelect; ?> />
																			</div>
																	</div>
															</div>
														</div>
														<div class="row">
															<div class="col-xs-12">
																<div class="form-group pos-rel input-data" id="personeller" <?php echo ($bilgiler[0]["hatirlatma_kimlere"] == 3) ? null : 'style="display:none;"'; ?>>
																	<label><i class="fa fa-user"></i> Personeller</label>
																	<select name="personeller[]" class="selectpicker form-control" multiple <?php echo $duzenleneBilirSelect; ?> >
																		<?php foreach($users as$usr): ?>
																			<?php $selected = (in_array($usr["user_id"],$secilenler)) ? "selected" : null; ?>
																			<option value="<?php echo $usr["user_id"]; ?>" <?php echo $selected; ?>><?php echo $usr["user_ad"]." ".$usr["user_soyad"]; ?></option>
																		<?php endforeach; ?>
																	</select>
																</div>
															</div>
														</div>
														<div class="form-group">
															<label><i class="fa fa-file-text-o"></i> Detay</label>
															<div class="form-group pos-rel input-data">
																<textarea name="detay" class="form-control" style="height:130px;" required <?php echo $duzenleneBilir; ?> ><?php echo $bilgiler[0]["hatirlatma_detay"]; ?></textarea>
															</div>
														</div>
													</div>
													<div class="col-xs-12">
														<input type="hidden" name="hangisi" value="hatirlatma" />
														<input type="hidden" name="islem" value="duzenle" />
														<input type="hidden" name="id" value="<?php echo $id; ?>" />
														
													<?php if( $yetki_hatirlatma_duzenle ): ?>
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
													<?php endif; ?>
													
													</div>
												</div>
												<div class="row son-panel">
													<div class="col-xs-12">
														<div class="alert alert-success response" role="alert"></div>
													</div>
												</div>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>