<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$form												=	"mesaj-gonderme-formu";
	$mesaj_id										=	( get("id") ) ? get("id") : false;
	$benID											=	$_SESSION["user"]["user_id"];
	$dosyaToken								=	uniqid();
	$_SESSION["dosyaToken"]	=	$dosyaToken;
	
	$_servis		=	new Servis();
	
	$mesajlar	=	$_servis -> ozelSorgu( "select "._MESAJLAR.".*, 
	G_USERS.user_id as g_id, G_USERS.user_name as g_name, G_USERS.user_ad as g_ad, G_USERS.user_soyad as g_soyad, G_USERS.user_profil_resmi as g_profil_resmi, "._DOSYALAR.".* 
	from "._MESAJLAR." 
	left join "._USERS." as G_USERS on G_USERS.user_id = "._MESAJLAR.".gonderen_id  
	left join "._DOSYALAR." on "._DOSYALAR.".dosya_id = "._MESAJLAR.".dosya_id  
	where "._MESAJLAR.".mesaj_id = ? or  "._MESAJLAR.".mesaj_ust_id = ? 
	order by "._MESAJLAR.".mesaj_tarihi asc", array( $mesaj_id, $mesaj_id ) );
	
	$alan_id	=	( $_SESSION["user"]["user_id"] == $mesajlar[0]["alanlar_id"] ) ? $mesajlar[0]["gonderen_id"] : $mesajlar[0]["alanlar_id"];
	//print_r($mesajlar);

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
									<form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data" 
									data-par='{ "hangisi" : "mesajlar" , "listele" : "mesajlar", "temizle" : true, "dosyaGonder" : true }' autocomplete = "off" >
										<div class="row">
											<div class="col-xs-12">
												<div class="row ilk-panel">
													<div class="col-xs-12">
														
														<h5 class="font-bold clearfix" style="margin-bottom:5px;">
															<?php echo $mesajlar[0]["mesaj_baslik"]; ?>
															<span class="pull-right">#<?php echo $mesajlar[0]["mesaj_id"]; ?></span>
														</h5>
														<hr />
														
														<div class="mesajlasmalar slimScroll">
															<?php foreach( $mesajlar as $mesaj ): 
																$profilResmiSrc	=	( $mesaj["g_profil_resmi"] && 
																is_file( $_SESSION["root"]."/uploads/resimler/".$mesaj["g_profil_resmi"] ) ) ? 
																$_SESSION["oto_url"]."/uploads/resimler/".$mesaj["g_profil_resmi"] : 
																$_SESSION["oto_url"]."/assets/img/user-icon.png";
																
																$alanClass	=	( $benID != $mesaj["g_id"] ) ? "alici" : null;
																$alanPull	=	( $benID != $mesaj["g_id"] ) ? "pull-right" : "pull-left";
																$alanTarih	=	( $benID != $mesaj["g_id"] ) ? "pull-left" : "pull-right";
																$dosya			=	( $mesaj["dosya_adi"] && is_file( $_SESSION["root"]."/uploads/dosyalar/".$mesaj["dosya_adi"] ) ) ? 
																							$_SESSION["oto_url"]."/goster/indir.php?dosya_id=".$mesaj["dosya_id"].
																							"&token=".$dosyaToken : null;
															?>
														
															<div class="mesaj-bir <?php echo $alanClass; ?> clearfix" style="margin-top:10px;">
																<div class="user-avatar <?php echo $alanPull; ?>">
																	<img src="<?php echo $profilResmiSrc; ?>" alt="<?php echo $user_name; ?>">
																</div>
																<div class="mesaj-detay <?php echo $alanPull; ?> clearfix">
																	<div class="mesaj-header clearfix">
																		<span class="personel <?php echo $alanPull; ?>">
																			<strong><?php echo $mesaj["g_ad"]." ".$mesaj["g_soyad"]; ?></strong>
																		</span>
																		<span class="tarih <?php echo $alanTarih; ?>">
																			<i class="fa fa-calendar" aria-hidden="true"></i> 
																			<?php echo tarihGoster($mesaj["mesaj_tarihi"]); ?>
																		</span>
																	</div>
																	<div class="mesaj-icerik">
																		<?php echo $mesaj["mesaj_icerik"]; ?>
																		<?php if( $dosya ): ?>
																			<div class="ekli-dosya">
																				<a href="<?php echo $dosya; ?>" title="Dosya İndir" target="_blank" data-toggle-iki="tooltip">
																					<strong><i class="fa fa-paperclip" style="color:#111111;"></i> Ekli Dosya</strong>
																				</a>
																			</div>
																		<?php endif; ?>
																	</div>
																</div>
															</div>
																
														<?php endforeach; ?>
														</div>
														
														<hr />
														<div class="form-group">
															<label><i class="fa fa-envelope-o"></i> Cevap Yaz</label>
															<div class="form-group pos-rel input-data">
																<textarea name="mesaj" class="form-control" rows="4" required ></textarea>
															</div>
														</div>
														<div class="resim-secme clear mesaj-dosya-secimi" style="margin-top:10px;margin-bottom:10px;">
															<span class="btn btn-default btn-sm dosya-sec in-block left pull-left"><i class="fa fa-floppy-o"></i>
																<input type="file" name="dosya" accept=".zip" />
															</span>
															<span class="secilen-dosya left in-block col-xs-7 font-bold">
																[ max 4MB | *.zip ]
															</span>
														</div>
														
														<div class="resim-load-bar">
															<div class="progress" style="margin:10px 0;">
															  <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:0%;">
																<span class="sr-only">0%</span>
															  </div>
															</div>
														</div>
													</div>
													<div class="col-xs-12">
													
														<input type="hidden" name="islem" value="duzenle" />
														<input type="hidden" name="mesaj_id" value="<?php echo $mesaj_id; ?>" />
														<input type="hidden" name="kimlere" value="<?php echo $alan_id; ?>" />
													
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Gönder</button>

													</div>
												</div>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>