<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Iller.php";
	
	$_servis			=	new Servis();
	$_il						=	new Il();
	$users				=	$_servis -> ozelSorgu( "select user_id, user_ad, user_soyad from "._USERS." where user_durum = 1" );
	
	$param			=	get("param");
	$param			=	explode( "|", $param );
	
	list( $musteri_id,$servis_fis_no )	=	( $param ) ? $param : false;
	
	if( $musteri_id ){
		$musteri	=	$_servis -> 
								ozelSorgu("select musteri_kodu, musteri_adi, musteri_tel1, il, musteri_email from "._MUSTERILER." 
								where musteri_id = ? and musteri_sil = 0 LIMIT 1", array( $musteri_id ));
	}
	
	$form				=	"tahsilat-ekleme-formu";
	
	$args				=	get("args");
	$args				=	json_decode( html_entity_decode( $args ), true );

?>
<div class="modal-icerik-style">

    <?php if( $args["hangisi"] ): ?>
    <div class="geri-don-btn clearfix">
        <button type="button" class="btn btn-default btn-sm pull-left" data-toggle-iki="tooltip" title="Geri Dön"
            data-modal-ac="<?php echo $args["hangisi"]; ?>"
            data-param='{ "baslik" : "<?php echo $args["baslik"]; ?>", 
									"id" : <?php echo ( $args["id"] ) ? $args["id"] : $musteri_id; ?>, "yenile" : true, "size" : "<?php echo $args["size"]; ?>" }'>
            <i class="fa fa-arrow-left"></i></button>
    </div>
    <?php endif; ?>

    <div class="row">
        <div class="col-xs-12">
            <form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data"
                data-par='{ "hangisi" : "tahsilat" , "listele" : "tahsilatlar" }' autocomplete="off">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="row ilk-panel">
                            <div class="row no-margin">
                                <div class="col-xs-12 col-sm-6">
                                    <div class="form-group">
                                        <label style="display:block;"><i class="fa fa-user"></i> Cari Hesap ( * )
                                            <a href="#" class="pull-right" data-musteri-sec="true"><i
                                                    class="fa fa-plus-square"></i> Liste</a>
                                        </label>
                                        <div class="form-group pos-rel input-data">
                                            <input type="text" name="musteri" class="form-control" maxlength="100"
                                                data-otomatik-tamamla="musteri-sec" data-param='musteri-sec'
                                                value="<?php echo ( count( $musteri ) ) ? $musteri[0]["musteri_adi"] : null; ?>" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-sm-6">
                                    <div class="form-group">
                                        <label><i class="fa fa-exchange"></i> İşlem Türü</label>
                                        <div class="form-group pos-rel input-data">
                                            <select name="islem_tur" class="form-control selectpicker">
                                                <option value="gelir">Tahsilat</option>
                                                <option value="gider">Ödeme</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <hr style="margin:0 5px 0 5px;" />
                            <div class="col-xs-12">

                                <div class="musteri-sec"
                                    style="margin-bottom:5px;<?php echo ( count( $musteri ) ) ? 'display:block;': null; ?>">
                                    <fieldset>
                                        <legend>
                                            <i class="fa fa-info-circle"></i> Cari Bilgileri <span class="ok"><i
                                                    class="fa fa-check"></i></span>
                                        </legend>
                                        <div class="bilgiler">
                                            <table>
                                                <tr>
                                                    <td class="baslik"><strong>Cari Adı</strong></td>
                                                    <td class="bilgi-musteri-adi">:
                                                        <?php echo ( count( $musteri ) ) ? $musteri[0]["musteri_adi"] : null; ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="baslik"><strong>Hesap Kodu</strong></td>
                                                    <td class="bilgi-hesap-kodu">:
                                                        <?php echo ( count( $musteri ) ) ? $musteri[0]["musteri_kodu"] : null; ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="baslik"><strong>Email</strong></td>
                                                    <td class="bilgi-musteri-email">:
                                                        <?php echo ( count( $musteri ) ) ? $musteri[0]["musteri_email"] : null; ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="baslik"><strong>Telefon</strong></td>
                                                    <td class="bilgi-musteri-telefon">:
                                                        <?php echo ( count( $musteri ) ) ? $musteri[0]["musteri_tel1"] : null; ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="baslik"><strong>İl</strong></td>
                                                    <td class="bilgi-musteri-il">:
                                                        <?php echo ( count( $musteri ) ) ? $_il -> ilTek( $musteri[0]["il"] ) : null; ?>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </fieldset>

                                    <input type="hidden" name="musteri_id"
                                        value="<?php echo ( count( $musteri ) ) ? $musteri_id : null; ?>"
                                        data-uyari="Cari Seçmediniz!" required />

                                </div>

                            </div>

                            <div class="col-xs-12 col-sm-6">
                                <div class="form-group">
                                    <label><i class="fa fa-barcode"></i> Fatura Seri No</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="fatura_seri_no" class="form-control" maxlength="100" />
                                    </div>
                                </div>
                            </div>


                            <div class="col-xs-12">
                                <div class="garanti-kutu">
                                    <div class="row">
                                        <div class="col-xs-6">
                                            <div class="ui checkbox radio">
                                                <input type="radio" name="tahsilat_tur" value="1"
                                                    data-panel-check="#servis-fis-no"
                                                    <?php echo ( $servis_fis_no ) ? null : 'checked="checked"'; ?> />
                                                <label>Serbest Tahsilat</label>
                                            </div>
                                        </div>
                                        <div class="col-xs-6">
                                            <div class="ui checkbox radio">
                                                <input type="radio" name="tahsilat_tur" value="2"
                                                    data-panel-check="#servis-fis-no"
                                                    <?php echo ( $servis_fis_no ) ? 'checked="checked"' : null; ?> />
                                                <label>Servis Tahsilatı</label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="gizli" id="servis-fis-no"
                                        style="<?php echo ( $servis_fis_no ) ? 'display:block;' : null; ?>">
                                        <div class="form-group">
                                            <label><i class="fa fa-barcode"></i> Servis Fiş Numarası</label>
                                            <div class="form-group pos-rel input-data">
                                                <input type="text" name="fis_no" class="form-control" maxlength="11"
                                                    data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false"
                                                    value="<?php echo ( $servis_fis_no ) ? $servis_fis_no : null; ?>" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <div class="row">
                                    <div class="col-xs-12">
                                        <div class="form-group">
                                            <label><i class="fa fa-comment"></i> Açıklama</label>
                                            <div class="form-group pos-rel input-data">
                                                <textarea name="aciklama" class="form-control" rows="2"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xs-6">
                                        <div class="form-group">
                                            <label><i class="fa fa-money"></i> Tutar</label>
                                            <div class="input-group pos-rel input-data">
                                                <input type="text" name="tutar" class="form-control"
                                                    data-para-format="TR" data-thousands="." data-decimal=","
                                                    placeholder="0,00" required />
                                                <span class="input-group-addon"><i class="fa fa-try"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xs-6">
                                        <div class="form-group">
                                            <label><i class="fa fa-calendar"></i> Tarih</label>
                                            <div class="form-group pos-rel tarih-secim">
                                                <input type="text" name="tarih" class="form-control datepicker"
                                                    value="<?php echo date("d/m/Y"); ?>" readonly required />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xs-12 col-sm-6">
                                        <div class="form-group">
                                            <label><i class="fa fa-user"></i> Personel</label>
                                            <div class="form-group pos-rel input-data">
                                                <select name="ekleyen_id" class="selectpicker form-control">
                                                    <?php foreach($users as $usr): ?>
                                                    <option value="<?php echo $usr["user_id"]; ?>">
                                                        <?php echo $usr["user_ad"]." ".$usr["user_soyad"]; ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-sm-6">
                                        <div class="form-group">
                                            <label><i class="fa fa-credit-card-alt"></i> Ödeme Türü</label>
                                            <div class="form-group pos-rel input-data">
                                                <select name="odeme_tur" class="selectpicker form-control">
                                                    <option value="1">Nakit</option>
                                                    <option value="2">Kredi Kartı</option>
                                                    <option value="3">Çek</option>
                                                    <option value="4">Havale</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4"
                                    data-fonksiyon="kayitEkle" data-form="#<?php echo $form; ?>"><span class="rotate"><i
                                            class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i>
                                    Kaydet</button>
                            </div>
                        </div>
                        <div class="row son-panel">
                            <div class="col-xs-12">
                                <div class="alert alert-success response" role="alert"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>