<?php

	class Sms{
		
		private $mesaj;
		private $numaralar	=	array();
		
		/**
		*	param @string | @string
		*	return boolean
		*/
		public function Test( $kullanici_adi, $sifre ){
			
			$curl		=	new Curl();
			$url		=	"http://api.iletimerkezi.com/v1/get-balance";
			$xml		=	"<?xml version='1.0' encoding='UTF-8' ?>
								<request>
										<authentication>
												<username>{$kullanici_adi}</username>
												<password>{$sifre}</password>
										</authentication>
								</request>";
								
			$result			=	$curl -> setPostData( $xml ) -> Baglan( $url, null, null, array('Content-Type: text/xml') );
			
			if( $result === false ){
				$this -> mesaj	=	"Sistem Hatası!";
				return false;
			}
			else{
				$cikti						=	simplexml_load_string( $result );
				$code						=	$cikti -> status -> code;
				$message				=	$cikti -> status -> message;
				
				if( $code == 200 ){
					$kalanSms				=	$cikti -> balance -> sms;
					$this -> mesaj		=	'<i class="fa fa-check"></i> '.$message.' <strong>Kalan SMS :</strong> '.$kalanSms;
					return true;
				}
				else{
					$this -> mesaj	=	'<i class="fa fa-times"></i> '.$message;
					return false;
				}
				
			}
			
		}
		
		public function Mesaj(){
			return $this -> mesaj;
		}
		
		/**
		*	@param string
		*/
		public function numaraEkle( $telNo ){
			$this -> numaralar[ ]	=	filter_var( $telNo, FILTER_SANITIZE_NUMBER_INT );
		}
		
		/**
		*	@return array
		*/
		public function Numaralar(){
			return $this -> numaralar;
		}
		
		/**
		*	@param string | string | string | string
		*	@return boolean
		*/
		public function smsGonder( $kullanici_adi, $sifre, $mesaj, $sms_baslik ){
			$curl	=	new Curl();
			
			$numberXml	=	implode( array_map( function( $no ){
																		return "<number>{$no}</number>";
																	} , $this -> numaralar ) );
			
			$url						=	"http://api.iletimerkezi.com/v1/send-sms";
			
			$xml						=	"<?xml version='1.0' encoding='UTF-8' ?>
													<request>
														<authentication>
																<username>{$kullanici_adi}</username>
																<password>{$sifre}</password>
														</authentication>
														<order>
																<sender>{$sms_baslik}</sender>
																<message>
																		<text><![CDATA[{$mesaj}]]></text>
																		<receipents>
																				".$numberXml."
																		</receipents>
																</message>
														</order>
												</request>";
												
			$result					=	$curl -> setPostData( $xml ) -> Baglan( $url, null, null, array('Content-Type: text/xml') );
			
			if( $result === false ){
				$this -> mesaj	=	"Sistem Hatası!";
				return false;
			}
			else{
				$cikti						=	simplexml_load_string( $result );
				$code						=	$cikti -> status -> code;
				$message				=	$cikti -> status -> message;
				
				if( $code == 200 ){
					$this -> mesaj		=	'<i class="fa fa-check"></i> '.$message;
					return true;
				}
				else{
					$this -> mesaj	=	$message;
					return false;
				}
				
			}
		}
		
	}
	
?>