<?php

	class Tampon{

		private $data;

		/**
		 * Tamponlamayı başlat ve data diziyi sıfırla
		 */
		public function basla()
		{
			ob_flush();
			ob_start();
			$this -> reset();
		}

		public function reset()
		{
			$this -> data = array();
		}

		/**
		 * Yetki kontrolünü bitir ve varsa alt menü çıktıla yoksa ana menüyü de gizle
		 */
		public function bitir()
		{
			$flush = trim( ob_get_clean() );
			$cikti = array_filter( $this -> data );
			echo ( $cikti ) ? $flush : null;
		}

		/**
		 * @param bool
		 * data diziyi yetki ile doldur 
		 */
		public function check( $yetki = null )
		{
			$this -> data[] = $yetki;
			return $yetki;
		}

	}

?>