<?php

	session_start();
	
	if(isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"])){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/EmailSablon.php";
		
		$secilecek_alanlar = array(
			_EMAILSABLONLARI.".email_sablon_id",
			_EMAILSABLONLARI.".email_sablon_baslik",
			_EMAILSABLONLARI.".ekleyen_id",
			_EMAILSABLONLARI.".email_sablon_kayit_tarihi"
		);
		
		$email_sablon			=	new EmailSablon();
		$email_sablonlar	=	$email_sablon -> getEmailSablonlar($secilecek_alanlar);
		$sonuc						=	array();
		
			if( $email_sablonlar === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$email_sablon -> getHata();
			}
			else{
				
				$yetki_email_sablon_ekle			=	yetki( "email_sablon_ekle" );
				$yetki_email_sablon_sil				=	yetki( "email_sablon_sil" );
				$yetki_email_sablon_duzenle	=	yetki( "email_sablon_duzenle" );
				
				$cikti = '<div id="tabloUst">
									'.( ( $yetki_email_sablon_ekle ) ? '<button type="button" class="btn btn-success" data-modal-ac="email_sablon_ekleme" data-param=\'{ "baslik" : "Email Şablonu Ekle", "size" : "modal-lg" }\'><i class="fa fa-plus"></i> Yeni Şablon</button>' : null ).'
									<button type="button" class="btn btn-warning" data-listele="email_sablonlar" data-param=""><i class="fa fa-refresh"></i> Yenile</button>
									'.( ( $yetki_email_sablon_sil ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
									data-toplu-sil=\'{ "hangisi" : "email_sablonlar", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\' >
									<i class="fa fa-trash-o"></i></button>' : null ).'
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="email_sablonlar">
											<thead>
												<tr> 
													'.( ( $yetki_email_sablon_sil ) ? '<th class="no-sort hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Başlık</th>
													<th style="width:150px;">Eklenme Tarihi</th>
													<th class="no-sort" style="width:150px;">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach($email_sablonlar as $email){
												$cikti .= '<tr data-email-sablon-id = "'.$email["email_sablon_id"].'">
															'.( ( $yetki_email_sablon_sil ) ? '<th class="hepsini-sec-gen">
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$email["email_sablon_id"].'" />
																</div>
															</th>' : null ).'
															<td>'.$email["email_sablon_baslik"].'</td>
															<td class="liste-tarih-kolon" title="'.(date("d/m/Y H:i",strtotime($email["email_sablon_kayit_tarihi"]))).'" data-order="'.$email["email_sablon_kayit_tarihi"].'" data-time="'.strtotime($email["email_sablon_kayit_tarihi"]).'">'.tarihGoster($email["email_sablon_kayit_tarihi"]).'</td>
															<td>
																'.( ( $yetki_email_sablon_duzenle ) ? '<button type="button" class="btn btn-primary btn-xs" data-modal-ac="email_sablon_duzenleme" data-param=\'{ "baslik" : "Email Şablonu Düzenle", "id" : '.$email["email_sablon_id"].', "yenile" : true, "size" : "modal-lg" }\'>
																Düzenle <i class="fa fa-pencil"></i></button>' : null ).'
																'.( ( $yetki_email_sablon_sil ) ? '<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "email_sablonlar", "mesaj" : "'.$email["email_sablon_baslik"].', Silmek İstediğinize Emin misiniz?", "id" : '.$email["email_sablon_id"].' }\'>Sil <i class="fa fa-times"></i></button>' : null ).'
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													'.( ( $yetki_email_sablon_sil ) ? '<th class="hepsini-sec-gen">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Başlık</th>
													<th>Eklenme Tarihi</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.count($email_sablonlar).'</strong> Kayıt. Tüm Kayıtlar Listeleniyor.
								</div>
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>