<?php

	session_start();
	
	if( isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"]) ){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/GGFis.php";
		require $_SESSION["root"]."/inc/ListeParam.php";
		
		//Hücre ve siralama başlıklarını değştirecek
		$basliklar	=	array(
			"hucreler"	=>	array(
				"f_id"		=>	"gg_fis_id",
				"f_tutar"	=>	"tutar",
				"f_tarih"	=>	"gg_fis_tarihi",
				"k_id"		=>	_GGFISLER.".kart_id",
				"islem"		=>	"islem",
				"e_id"		=>	_GGFISLER.".ekleyen_id"
			),
			"siralama"	=>	array(
				"desc"	=>	"desc",
				"asc"		=>	"asc"
			),
			"_paramYoksa"	=>	"gg_fis_id",
			"_tablo"	=>	_GGFISLER
		);
		
		$listeParam	=	new ListeParam( $_POST, $basliklar );
		
		$paramValue	=	$listeParam -> paramValue;
		$param				=	$listeParam -> param;
		$where				=	$listeParam -> where;
		$wherePars		=	$listeParam -> wherePars;
		$pars					=	$listeParam -> pars;
		$sayfa					=	$listeParam -> sayfa;
		
		$secilecek_alanlar = array(
			_GGFISLER.".*",
			_GEGKART.".kart_ismi",
			_USERS.".user_name",
			_USERS.".user_id",
			_USERS.".user_ad",
			_USERS.".user_soyad",
			_USERS.".user_durum"
		);
		
		$_tahsilat			=	new GGFis();
		$tahsilatlar		=	$_tahsilat -> getGGFisler( $sayfa,$param,$paramValue,$secilecek_alanlar );
		$sonuc				=	array();
		
			if( $tahsilatlar === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$_tahsilat -> getHata();
			}
			else{
				require $_SESSION["root"]."/inc/Sayfalama.php";
				$sayfala											=	new Sayfalama();
				$sayfalar											=	$sayfala -> Sayfala( $sayfa,$_tahsilat -> toplam,"gg_fisler",$pars,$_tahsilat -> limit );
				$_token											=	uniqid();
				$_SESSION["yazdirToken"]	=	$_token;
				$toplam_tutar								=	0;
				
				$_tur	=	array(
					"gelir"	=>	"Gelir Fişi",
					"gider"	=>	"Gider Fişi"
				);
				
				$_odeme_tur	=	array( "", "Nakit", "Kredi Kartı", "Çek" );
				
				$yetki_gg_fis_ekle	=	yetki( "gg_fis_ekle" );
				$yetki_gg_fis_sil			=	yetki( "gg_fis_sil" );
				
				$yazdirBtn		=	( count( $tahsilatlar ) ? '
												<button type="button" class="btn btn-default" title="Tabloyu Yazdır" data-yazdir-btn="gg_fisler" 
												data-token = "'.$_token.'" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-print"></i> Yazdır</button>' : null );
				$excelBtn		=	( count( $tahsilatlar ) ? '
												<button type="button" class="btn btn-success" title="Excel\'e Aktar" data-excel-btn="gg_fisler" 
												data-token = "'.$_token.'" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'>
												<i class="fa fa-exchange"></i> <i class="fa fa-file-excel-o"></i></button>' : null );
				
				$cikti = '<div id="tabloUst">
									<div class="inline-block listele-secenek">
										'.( ( $yetki_gg_fis_ekle ) ? '<button type="button" class="btn btn-success" data-modal-ac="gg_fis_ekleme" 
										data-param=\'{ "baslik" : "Gelir Gider Fişi Ekle", "yenile" : true }\'><i class="fa fa-plus"></i> Yeni Fiş Ekle</button>' : null ).'
										<div class="btn-group" '.(($_tahsilat -> toplam) ? null : 'style="display:none;"').'>
										  <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
											<i class="fa fa-magnet"></i> Sırala <i class="fa fa-caret-down"></i>
										  </button>
										  <ul class="dropdown-menu">
											<li '.(($_POST["params"]["order"] == "f_id" && $_POST["params"]["sort"] == "desc" || !isset($_POST["params"]["sort"])) ? 'class="active"' : null).'><a href="#" data-listele="gg_fisler" data-param=\'{ "order" : "f_id", "sort" : "desc" '.$wherePars.' }\'>
											Fiş No ( Azalan )</a></li>
											<li '.(($_POST["params"]["order"] == "f_id" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="gg_fisler" data-param=\'{ "order" : "f_id", "sort" : "asc" '.$wherePars.' }\'>Fiş No ( Artan )</a></li>
											<li '.(($_POST["params"]["order"] == "f_tutar" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="gg_fisler" data-param=\'{ "order" : "f_tutar", "sort" : "asc" '.$wherePars.' }\'>Tutara Göre ( Artan )</a></li>
											<li '.(($_POST["params"]["order"] == "f_tutar" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="gg_fisler" data-param=\'{ "order" : "f_tutar", "sort" : "desc" '.$wherePars.' }\'>Tutara Göre ( Azalan )</a></li>
											<li '.(($_POST["params"]["order"] == "f_tarih" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="gg_fisler" data-param=\'{ "order" : "f_tarih", "sort" : "asc" '.$wherePars.' }\'>Tarihe Göre ( Eski )</a></li>
											<li '.(($_POST["params"]["order"] == "f_tarih" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="gg_fisler" data-param=\'{ "order" : "f_tarih", "sort" : "desc" '.$wherePars.' }\'>Tarihe Göre ( Yeni )</a></li>
										  </ul>
										</div>
										<button type="button" class="btn btn-primary" data-modal-ac="gg_fis_arama" 
										data-param=\'{ "baslik" : "Gelir Gider Fişi Ara" }\'><i class="fa fa-search-plus"></i> Bul</button>
									</div>
									<div class="inline-block listele-secenek">
										<button type="button" class="btn btn-warning" data-listele="gg_fisler" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-refresh"></i> Yenile</button>
										'.$yazdirBtn.'
										'.$excelBtn.'
										'.( ( $yetki_gg_fis_sil ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
										data-toplu-sil=\'{ "hangisi" : "gg_fisler", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\' >
										<i class="fa fa-trash-o"></i></button>' : null ).'
									</div>
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="gg_fisler">
											<thead>
												<tr> 
													'.( ( $yetki_gg_fis_sil ) ? '<th class="no-sort">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Fiş No</th>
													<th>Kart</th>
													<th>İşlem Türü</th>
													<th>Ödeme Türü</th>
													<th>Tutar</th>
													<th>Ekleyen</th>
													<th>Tarih</th>
													<th class="no-sort">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach($tahsilatlar as $tah){
																					
												$userYaz			=	( $tah["user_durum"] != 1 ) ? kisalt($tah["user_ad"]." ".$tah["user_soyad"],15,false) : 
																					'<a href="#" class="link-ata" data-user-id="'.$tah["user_id"].'" data-modal-ac="personel_duzenleme" 
																					data-param=\'{ "baslik" : "Personel Bilgileri", "id" : '.$tah["user_id"].' , "yenile" : true }\' 
																					title="'.$tah["user_name"].'">'.kisalt($tah["user_ad"]." ".$tah["user_soyad"],15,false).'</a>';
												
												if( ( $tah["islem"] == "gelir" ) ){
													$toplam_tutar	=	$toplam_tutar + floatVal( $tah["tutar"] );
													$tahsilat_fiyat	=	"<strong style='color:#0086b3;'>".sqlToPara( $tah["tutar"] )."</strong>";
													$reel_fiyat			=	$tah["tutar"];
												}
												else if( ( $tah["islem"] == "gider" ) ){
													$toplam_tutar	=	$toplam_tutar - floatVal( $tah["tutar"] );
													$tahsilat_fiyat	=	"<strong style='color:#d90000;'>".sqlToPara( -$tah["tutar"] )."</strong>";
													$reel_fiyat			=	-$tah["tutar"];
												}
												
												$cikti .= '<tr data-gg-fis-id = "'.$tah["gg_fis_id"].'">
															'.( ( $yetki_gg_fis_sil ) ? '<th>
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$tah["gg_fis_id"].'" />
																</div>
															</th>' : null ).'
															<td data-order="'.$tah["gg_fis_id"].'">'.$tah["gg_fis_id"].'</td>
															<td>'.$tah["kart_ismi"].'</td>
															<td>'.$_tur[ $tah["islem"] ].'</td>
															<td>'.$_odeme_tur[$tah["odeme_tur"]].'</td>
															<td data-order="'.$reel_fiyat.'">'.$tahsilat_fiyat.' <i class="fa fa-try"></i></td>
															<td>'.$userYaz.'</td>
															<td class="liste-tarih-kolon" data-order="'.$tah["gg_fis_tarihi"].'" data-time="'.strtotime($tah["gg_fis_tarihi"]).'">'.date("d/m/Y",strtotime($tah["gg_fis_tarihi"])).'</td>
															<td>
																<button type="button" class="btn btn-primary btn-xs" data-modal-ac="gg_fis_duzenleme" data-param=\'{ "baslik" : "Gelir Gider Bilgileri", "id" : '.$tah["gg_fis_id"].', "yenile" : true }\'>İncele 
																<i class="fa fa-external-link-square"></i></button>
																'.( ( $yetki_gg_fis_sil ) ? '<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "gg_fisler", "mesaj" : "Silmek İstediğinize Emin misiniz?", "id" : '.$tah["gg_fis_id"].' }\'>
																Sil <i class="fa fa-times"></i></button>' : null ).'
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													'.( ( $yetki_gg_fis_sil ) ? '<th>
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Fiş No</th>
													<th>Kart</th>
													<th>İşlem Türü</th>
													<th>Ödeme Türü</th>
													<th style="color:'.( ( $toplam_tutar > 0 ) ? "#0086b3" : "#ff2626" ).';">
													'.sqlToPara( $toplam_tutar ).' <i class="fa fa-try"></i></th>
													<th>Ekleyen</th>
													<th>Tarih</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.$_tahsilat -> toplam.'</strong> Kayıt. Sayfa <strong>'.$sayfa.'</strong> / <strong>'.count($tahsilatlar).'</strong> Adet Kayıt Listeleniyor. 
								</div>'.$sayfalar.'
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>