<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Hatirlatma.php";
	
	$baslik	=	post("baslik");
	$detay	=	post("detay");
	$tarih	=	unixTarih(post("tarih"));
	$kime	=	post("kime");
	
	$personeller = ($kime == 3) ? implode(array_map(function($id){
		return "<id>".$id."</id>";
	},post("personeller"))) : "";
	
	$ekleyen_id		=	$_SESSION["user"]["user_id"];
	
	$bugun				=	time();
	$tarih_kontrol	=	strtotime($tarih);
	$tarih_kayit		=	date("Y-m-d",$tarih_kontrol);
	
	$sonuc	=	array();
	
	$yetki_hatirlatma_ekle	=	yetki( "hatirlatma_ekle" );
	
	//Yetki kontrolü
	if( !$yetki_hatirlatma_ekle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Hatırlatma Ekleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if($bugun > $tarih_kontrol){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Aynı Gün ve Geçmiş Tarihe Hatırlatma Ekleyemezsiniz!";
		echo json_encode($sonuc);
		exit();
	}
	
	if(empty($baslik) || empty($detay)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	$hatirlatma = new Hatirlatma();
	
	$sql = "insert into "._HATIRLATMA." set hatirlatma_baslik = ?, hatirlatma_detay = ?, hatirlatma_personeller = ?, ekleyen_id = ?, hatirlatma_kimlere = ?, hatirlatma_tarih = ?";
	$kayit = $hatirlatma -> kayitEkle($sql,array($baslik, $detay,$personeller,$ekleyen_id,$kime,$tarih_kayit));
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $hatirlatma -> getHata();
		}
		else{
			$kimlere = array("","Sadece Bana","Herkese","Seçilen Personellere");
			
			$secilenPersoneller = "";
			if($kime == 3){
				$in = implode(",",array_map(function($item){
					return "?";
				},post("personeller")));
				
				$users = $hatirlatma -> ozelSorgu("select user_ad,user_soyad from "._USERS." where user_id IN({$in})",post("personeller"));
				$secilenPersoneller = implode(", ",array_map(function($user){
					return "<strong>".$user["user_ad"]." ".$user["user_soyad"]."</strong>";
				},$users));
			}
			
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<strong><i class="fa fa-check"></i> Tebrikler.</strong> Kayıt Başarılı.
			<table>
				<tr>
					<td><strong>Tarih :</strong></td>
					<td>'.date("d/m/Y",$tarih_kontrol).'</td>
				</tr>
				<tr>
					<td><strong>Kime :</strong></td>
					<td>'.$kimlere[$kime].'</td>
				</tr>
			</table>'.$secilenPersoneller;
		}
	
	echo json_encode($sonuc);

?>