<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$hangisi	=	post("hangisi");
	$sonuc	=	array();
	
	$_servis	=	new Servis();
	$benID	=	$_SESSION["user"]["user_id"];
	$values	=	array();
	
	$_time		=	time();
	
	$yetki_servis_fisi_iceri_aktar	=	yetki( "servis_fisi_iceri_aktar" );
	$yetki_musteri_iceri_aktar		=	yetki( "musteri_iceri_aktar" );
	$yetki_stok_iceri_aktar				=	yetki( "stok_iceri_aktar" );
	
	//Yetki kontrolü
	switch( $hangisi ){
		case	"servis_fisleri"	:
			if( !$yetki_servis_fisi_iceri_aktar ){
				$yetkiMesaj 	=	"Servis Fişi İçeri Aktarma Yetkiniz Yok !";
			}
		break;
		case	"musteriler"	:
			if( !$yetki_musteri_iceri_aktar ){
				$yetkiMesaj 	=	"Cari İçeri Aktarma Yetkiniz Yok !";
			}
		break;
		case	"stok"	:
			if( !$yetki_stok_iceri_aktar ){
				$yetkiMesaj 	=	"Stok İçeri Aktarma Yetkiniz Yok !";
			}
		break;
	}
	
	//Yetki yoksa sonlandılıyor
	if( $yetkiMesaj ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	$yetkiMesaj;
		echo json_encode( $sonuc );
		exit();
	}
	
	if( !$_FILES ){
		$sonuc["hata"]			= true;
		$sonuc["content"]	= '<div class="alert alert-danger">Dosya Seçmediniz!</div>';
		echo json_encode( $sonuc );
		exit;
	}
	
	$fileInfo			=	json_decode( json_encode( $_FILES["dosya"] ) );
	$dosyaAdi		=	$fileInfo -> name;
	$dosyaTmp	=	$fileInfo -> tmp_name;
	$uzanti			=	end( explode( ".", $dosyaAdi ) );
	
	//Dosya uzanti kontrolü yapılıyor
	if( !in_array( $uzanti, array( "xls","xlsx" ) ) ){
		$sonuc["hata"]			= true;
		$sonuc["content"]	= '<div class="alert alert-danger">Excel Dosyası Seçmediniz!</div>';
		echo json_encode( $sonuc );
		exit;
	}
	
	$yeniAd		=	"excel_".time().".".$uzanti;
	$path			=	$_SESSION["root"]."/uploads/dosyalar/".$yeniAd;
	$yuklendi	=	move_uploaded_file( $dosyaTmp, $path );
	
	//Dosya yüklemede sıkıntı olmuşsa
	if( !$yuklendi ){
		$sonuc["hata"]			= true;
		$sonuc["content"]	= '<div class="alert alert-danger">Dosya Yüklenirken Hata Oluştu!</div>';
		echo json_encode( $sonuc );
		exit;
	}
	
	require $_SESSION["root"]."/plugin/phpexcel/PHPExcel/IOFactory.php";
	
	//Yüklenen dosya excel nesnesine yükleniyor
	$objPHPExcel	=	PHPExcel_IOFactory::load( $path );
	
	$satirlar 				= $objPHPExcel -> getActiveSheet() -> toArray(null,true,true,true);
	
	//Yüklenen dosya siliniyor
	unlink( $path );
	
	//EXCEL dosyasında datalar varmı kontrol ediliyor
	if( !count( $satirlar ) ){
		$sonuc["hata"]			= true;
		$sonuc["content"]	= '<div class="alert alert-danger">Eksik Dosya İçeriği!</div>';
		echo json_encode( $sonuc );
		exit;
	}
	
	switch( $hangisi ){
		case	"servis_fisleri" :
			$cihaz_id		=	post("cihaz_id");
			$durum_id		=	post("durum_id");
			$musteri_id	=	post("musteri_id");
			
			$sql = "insert into "._SERVISFISLERI."( `servis_fis_no`, `musteri_id`, `sikayet`, `servis_aciklama`, `cihaz_id`, `durum_id`, `ekleyen_id`, `servis_teslim_tarihi`, `birlikte_gelenler`, `servis_garanti_durum`, `servis_model_no`, `servis_seri_no`, `fis_sil`, `gorev_mudahale`, `servis_giris_tarihi` ) VALUES ";
			
			//yazılacak sql sorgusu hazırlanıyor
			foreach( $satirlar as $satir ){
				static $adet	=	0;
				if( $satir["A"] == "Model No" && $satir["B"] == "Seri No" && $satir["C"] == "Arıza" ) continue;
				
				$modelNo		=	guvenlik( $satir["A"] );
				$seriNo			=	guvenlik( $satir["B"] );
				$ariza				=	guvenlik( $satir["C"] );
				$aciklama		=	guvenlik( $satir["D"] );
				$gelenler		=	guvenlik( $satir["E"] );
				$garanti			=	( guvenlik( $satir["F"] ) ) ? 1 : 0;
				$teslimTarihi	=	( strtotime( guvenlik( $satir["G"] ) ) ) ? date( "Y-m-d", strtotime( $satir["G"] ) )." 23:59" : "0000-00-00 00:00";
				$girisTarihi	=	( strtotime( guvenlik( $satir["H"] ) ) ) ? date( "Y-m-d H:i:s", strtotime( $satir["H"] ) ) : date("Y-m-d H:i:s");
				
				if( empty( $ariza ) ) continue;
				
				$sql				.=	"( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, 0, 1, ? ),";
				
				$values[ ]	=	$_time + $adet;
				$values[ ]	=	$musteri_id;
				$values[ ]	=	$ariza;
				$values[ ]	=	$aciklama;
				$values[ ]	=	$cihaz_id;
				$values[ ]	=	$durum_id;
				$values[ ]	=	$benID;
				$values[ ]	=	$teslimTarihi;
				$values[ ]	=	$gelenler;
				$values[ ]	=	$garanti;
				$values[ ]	=	$modelNo;
				$values[ ]	=	$seriNo;
				$values[ ]	=	$girisTarihi;
				
				$adet++;
			}
			
			if( $adet == 0 ){
				$sonuc["hata"]			= true;
				$sonuc["content"]	= '<div class="alert alert-danger">Eksik Dosya İçeriği!</div>';
				echo json_encode( $sonuc );
				exit;
			}
			
			$sql		=	rtrim( $sql, "," );
			$kayit	=	$_servis -> kayitEkle( $sql, $values );
			
			if( $kayit === false ){
				$sonuc["hata"]			=	true;
				$sonuc["content"]	=	'<div class="alert alert-danger"><strong>Aktarım Başarısız</strong>. '.$_servis -> getHata().'</div>';
			}
			else{
				$sonuc["hata"]			=	false;
				$sonuc["content"]	=	'<div class="alert alert-success"><strong>'.$adet.'</strong> Adet Servis Kaydı Eklendi.</div>';
			}
		break;
		
		case	"musteriler" :
			$maxID	=	$_servis -> ozelSorgu( "select MAX(musteri_id) as maxID from "._MUSTERILER." LIMIT 1" );
			$maxID	=	$maxID[0]["maxID"];
			$maxID++;
			
			$sql			=	"insert into "._MUSTERILER."( `musteri_kodu`, `musteri_adi`, `ekleyen_id`, `musteri_email`, `musteri_adres`, `il`, `musteri_tel1`, `musteri_tel2`, `musteri_faks`, `musteri_vergi_no`, `musteri_vergi_dairesi`, `musteri_sil` ) VALUES ";
			//yazılacak sql sorgusu hazırlanıyor
			foreach( $satirlar as $satir ){
				static $adet	=	0;
				if( $satir["A"] == "İsim" && $satir["B"] == "Email" && $satir["C"] == "Adres" ) continue;
				
				$isim				=	guvenlik( $satir["A"] );
				$email			=	filter_var( $satir["B"], FILTER_VALIDATE_EMAIL ) ? $satir["B"] : "";
				$adres			=	guvenlik( $satir["C"] );
				$plaka			=	filter_var( $satir["D"], FILTER_SANITIZE_NUMBER_INT );
				$plaka			=	( $plaka > 0 && $plaka <=81 ) ? $plaka : 1;
				$tel1			=	telefonNo( $satir["E"] );
				$tel2			=	telefonNo( $satir["F"] );
				$faks			=	telefonNo( $satir["G"] );
				$vergiNo	=	guvenlik( $satir["H"] );
				$vd				=	guvenlik( $satir["I"] );
				
				if( empty( $isim ) ) continue;
				$mKod		=	"000".$maxID;
				
				$sql				.=	"( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, 0 ),";
				
				$values[ ]	=	$mKod;
				$values[ ]	=	$isim;
				$values[ ]	=	$benID;
				$values[ ]	=	$email;
				$values[ ]	=	$adres;
				$values[ ]	=	$plaka;
				$values[ ]	=	$tel1;
				$values[ ]	=	$tel2;
				$values[ ]	=	$faks;
				$values[ ]	=	$vergiNo;
				$values[ ]	=	$vd;
				
				$maxID++;
				$adet++;
			}
			
			if( $adet == 0 ){
				$sonuc["hata"]			= true;
				$sonuc["content"]	= '<div class="alert alert-danger">Eksik Dosya İçeriği!</div>';
				echo json_encode( $sonuc );
				exit;
			}
			
			$sql		=	rtrim( $sql, "," );
			$kayit	=	$_servis -> kayitEkle( $sql, $values );
			
			if( $kayit === false ){
				$sonuc["hata"]			=	true;
				$sonuc["content"]	=	'<div class="alert alert-danger"><strong>Aktarım Başarısız</strong>. '.$_servis -> getHata().'</div>';
			}
			else{
				$sonuc["hata"]			=	false;
				$sonuc["content"]	=	'<div class="alert alert-success"><strong>'.$adet.'</strong> Adet Cari Kaydı Eklendi.</div>';
			}
			
		break;
		
		case	"stok" :
			
			$sql			=	"insert into "._YEDEKPARCA."( `yedek_parca_adi`, `birim_fiyat`, `alis_fiyat`, `kdv`, `stok_kodu`, `barkod`, `ekleyen_id`, `raf_no` ) VALUES ";
			//yazılacak sql sorgusu hazırlanıyor
			foreach( $satirlar as $satir ){
				static $adet	=	0;
				if( $satir["A"] == "Parça Adı" && $satir["B"] == "Barkod" && $satir["C"] == "Alış Fiyatı" ) continue;
				
				$stok_adi		=	guvenlik( $satir["A"] );
				$stok_kodu		=	guvenlik( $satir["F"] );
				$raf_no		=	guvenlik( $satir["G"] );
				$barkod			=	filter_var( $satir["B"], FILTER_SANITIZE_NUMBER_INT );
				$alis_fiyati		=	paraToSql( guvenlik( $satir["C"] ) );
				$satis_fiyati	=	paraToSql( guvenlik( $satir["D"] ) );
				$kdv					=	filter_var( $satir["E"], FILTER_SANITIZE_NUMBER_INT );
				
				if( empty( $stok_adi ) || empty( $barkod ) ) continue;
				
				$sql				.=	"( ?, ?, ?, ?, ?, ?, ?, ? ),";
				
				$values[ ]	=	$stok_adi;
				$values[ ]	=	$satis_fiyati;
				$values[ ]	=	$alis_fiyati;
				$values[ ]	=	$kdv;
				$values[ ]	=	$stok_kodu;
				$values[ ]	=	$barkod;
				$values[ ]	=	$benID;
				$values[ ]	=	$raf_no;
				
				$adet++;
			}
			
			if( $adet == 0 ){
				$sonuc["hata"]			= true;
				$sonuc["content"]	= '<div class="alert alert-danger">Eksik Dosya İçeriği!</div>';
				echo json_encode( $sonuc );
				exit;
			}
			
			$sql		=	rtrim( $sql, "," );
			$kayit	=	$_servis -> kayitEkle( $sql, $values );
			
			if( $kayit === false ){
				$sonuc["hata"]			=	true;
				$sonuc["content"]	=	'<div class="alert alert-danger"><strong>Aktarım Başarısız</strong>. '.$_servis -> getHata().'</div>';
			}
			else{
				$sonuc["hata"]			=	false;
				$sonuc["content"]	=	'<div class="alert alert-success"><strong>'.$adet.'</strong> Adet Stok Kaydı Eklendi.</div>';
			}
			
		break;
	}
	
	echo json_encode( $sonuc );

?>