<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Markalar.php";
	
	$marka_adi = post("marka_adi");
	$id = post("id");
	
	$sonuc = array();
	
	$yetki_marka_duzenle	=	yetki( "marka_duzenle" );
	
	//Yetki Kontrolü
	if( !$yetki_marka_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Marka Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if(empty($marka_adi)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen İlgili Alanı Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	if(empty($id) || !is_numeric($id)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik Bilgi!";
		echo json_encode($sonuc);
		exit();
	}
	
	$marka = new Marka();
	
	$sql = "update "._MARKALAR." set marka_baslik = ? where marka_id = ?";
	$kayit = $marka -> kayitGuncelle($sql,array($marka_adi, $id));
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $marka -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<i class="fa fa-check"></i> Marka Bilgileri Güncellendi.';
			// $_SESSION["bilgi"]["markalar"] = $marka -> sadeceMarkalar(array("marka_id","marka_baslik"));
		}
	
	echo json_encode($sonuc);

?>