<?php

	session_start();
	
	if(isset($_SESSION["root"]) && $_SESSION["login"] && isset($_POST["data"])){
		require $_SESSION["root"]."/inc/autoload.php";
		require $_SESSION["root"]."/inc/Musteri.php";
		require $_SESSION["root"]."/inc/ListeParam.php";
		require $_SESSION["root"]."/inc/Iller.php";
		
		//Hücre ve siralama başlıklarını değştirecek
		$basliklar	=	array(
			"hucreler"	=>	array(
				"m_id"			=>	"musteri_id",
				"m_adi"		=>	"musteri_adi",
				"m_kodu"	=>	"musteri_kodu",
				"m_tel"		=>	"musteri_tel1",
				"v_no"			=>	"musteri_vergi_no",
				"m_il"			=>	"il",
				"i_s"				=>	"ilce_semt",
				"m_tarih"	=>	"musteri_kayit_tarihi",
				"bk"				=>	"bakiye"
			),
			"siralama"	=>	array(
				"desc"	=>	"desc",
				"asc"		=>	"asc"
			),
			"_paramYoksa"	=>	"musteri_id",
			"_tablo"					=>	_MUSTERILER
		);
		
		$listeParam		=	new ListeParam($_POST,$basliklar);
		
		$paramValue	=	$listeParam -> paramValue;
		$param				=	$listeParam -> param;
		$where				=	$listeParam -> where;
		$wherePars		=	$listeParam -> wherePars;
		$pars					=	$listeParam -> pars;
		$sayfa					=	$listeParam -> sayfa;
		
		$secilecek_alanlar = array(
			_MUSTERILER.".musteri_id",
			_MUSTERILER.".musteri_adi",
			_MUSTERILER.".bakiye",
			_MUSTERILER.".musteri_kodu",
			_MUSTERILER.".musteri_email",
			_MUSTERILER.".ekleyen_id",
			_MUSTERILER.".musteri_tel1",
			_MUSTERILER.".il"
		);
		
		$il = new Il();
		$musteri = new Musteri();
		$musteriler = $musteri -> getMusteriler($sayfa,$param,$paramValue,$secilecek_alanlar);
		$sonuc = array();
		
			if( $musteriler === false ){
				$sonuc["hata"]	=	true;
				$sonuc["mesaj"]	=	$musteri -> getHata();
			}
			else{
				require $_SESSION["root"]."/inc/Sayfalama.php";
				$sayfala 											= new Sayfalama();
				$sayfalar 										= $sayfala -> Sayfala($sayfa,$musteri -> toplam,"musteriler",$pars,$musteri -> limit);
				$_token											=	uniqid();
				$_SESSION["yazdirToken"]	=	$_token;
				
				$musteri ->   x    (    );
				
				$yetki_musteri_ekle	=	yetki( "musteri_ekle" );
				$yetki_musteri_sil		=	yetki( "musteri_sil" );
				$yetki_cari_hareketleri				=	yetki( "cari_hareketleri" );
				
				$yazdirBtn		=	( count( $musteriler ) ? '
												<button type="button" class="btn btn-default" title="Tabloyu Yazdır" data-yazdir-btn="musteriler" 
												data-token = "'.$_token.'" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-print"></i> Yazdır</button>' : null );
				$excelBtn		=	( count( $musteriler ) ? '
												<button type="button" class="btn btn-success" title="Excel\'e Aktar" 
												data-excel-btn="musteriler" data-token = "'.$_token.'" 
												data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'>
												<i class="fa fa-exchange"></i> <i class="fa fa-file-excel-o"></i></button>' : null );
				
				$cikti = '<div id="tabloUst">
									<div class="inline-block listele-secenek">
										'.( ( $yetki_musteri_ekle ) ? '<button type="button" class="btn btn-success" data-modal-ac="musteri_ekleme" 
										data-param=\'{ "baslik" : "Cari Hesap Ekle", "yenile" : true }\'><i class="fa fa-plus"></i> Cari Hesap Ekle</button>' : null ).'
										<div class="btn-group" '.(($musteri -> toplam) ? null : 'style="display:none;"').'>
										  <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
											<i class="fa fa-magnet"></i> Sırala <i class="fa fa-caret-down"></i>
										  </button>
										  <ul class="dropdown-menu">
											<li '.(($_POST["params"]["order"] == "m_adi" && $_POST["params"]["sort"] == "asc" || !isset($_POST["params"]["order"])) ? 'class="active"' : null).'><a href="#" data-listele="musteriler" data-param=\'{ "order" : "m_adi", "sort" : "asc" '.$wherePars.' }\'>Cari Adı ( A - Z )</a></li>
											<li '.(($_POST["params"]["order"] == "m_adi" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="musteriler" data-param=\'{ "order" : "m_adi", "sort" : "desc" '.$wherePars.' }\'>Cari Adı ( Z - A )</a></li>
											<li '.(($_POST["params"]["order"] == "bk" && $_POST["params"]["sort"] == "desc") ? 'class="active"' : null).'><a href="#" data-listele="musteriler" data-param=\'{ "order" : "bk", "sort" : "desc" '.$wherePars.' }\'>Bakiye ( Borlçu )</a></li>
											<li '.(($_POST["params"]["order"] == "bk" && $_POST["params"]["sort"] == "asc") ? 'class="active"' : null).'><a href="#" data-listele="musteriler" data-param=\'{ "order" : "bk", "sort" : "asc" '.$wherePars.' }\'>Bakiye ( Alacaklı )</a></li>
										  </ul>
										</div>
										<button type="button" class="btn btn-primary" data-modal-ac="musteri_arama" data-param=\'{ "baslik" : "Cari Ara", "size" : "modal-sm" }\'><i class="fa fa-search-plus"></i> Bul</button>
									</div>
									<div class="inline-block listele-secenek">
										<button type="button" class="btn btn-warning" data-listele="musteriler" data-param=\'{ "sayfa" : "'.$sayfa.'" '.$pars.' }\'><i class="fa fa-refresh"></i> Yenile</button>
										'.$yazdirBtn.'
										'.$excelBtn.'
										'.( ( $yetki_musteri_sil ) ? '<button type="button" class="btn btn-danger sil-ikon disabled" title="Seçilenleri Sil" 
										data-toplu-sil=\'{ "hangisi" : "musteriler", "mesaj" : "Silmek İstediğinize Emin misiniz?" }\'>
										<i class="fa fa-trash-o"></i></button>' : null ).'
									</div>
								</div>
								<div id="tabloListelemeDiv">
									<form method="post" action="" id="dataForm">
										<table id="tabloListeleme" class="table table-bordered" data-hangisi="musteriler">
											<thead>
												<tr> 
													'.( ( $yetki_musteri_sil ) ? '<th class="no-sort">
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Hesap Kodu</th>
													<th>Cari Adı</th>
													<th class="no-sort">Tel 1</th>
													<th>E-Posta</th>
													<th>İl</th>
													<th>Bakiye</th>
													<th class="no-sort">İşlem</th>
												</tr>
											</thead>
											<tbody>';
											foreach($musteriler as $mus){
												$cikti .= '<tr data-musteri-id = "'.$mus["musteri_id"].'">
															'.( ( $yetki_musteri_sil ) ? '<th>
																<div class="ui checkbox" data-gorev="tek-secim">
																	<input type="checkbox" data-gorev="secilecekler" name="hepsinisec[]" value="'.$mus["musteri_id"].'" />
																</div>
															</th>' : null ).'
															<td>'.$mus["musteri_kodu"].'</td>
															<td>'.kisalt($mus["musteri_adi"],20).'</td>
															<td>'.$mus["musteri_tel1"].'</td>
															<td>'.$mus["musteri_email"].'</td>
															<td>'.$il -> ilTek($mus["il"]).'</td>
															<td data-order="'.$mus["bakiye"].'"><strong>'.( sqlToPara( $mus["bakiye"] ) ).'</strong> <i class="fa fa-try"></i></td>
															<td>
																<button type="button" class="btn btn-primary btn-xs" data-modal-ac="musteri_duzenleme" data-param=\'{ "baslik" : "Cari Bilgileri", "id" : '.$mus["musteri_id"].', "yenile" : true }\'>
																İncele <i class="fa fa-external-link-square"></i></button>
																'.( ( $yetki_musteri_sil ) ? '<button type="button" class="btn btn-danger btn-xs" 
																data-kayit-sil=\'{ "hangisi" : "musteriler", "mesaj" : "'.$mus["musteri_adi"].', Silmek İstediğinize Emin misiniz?", 
																"id" : '.$mus["musteri_id"].' }\'>
																Sil <i class="fa fa-times"></i></button>' : null ).'
																'.( ( $yetki_cari_hareketleri ) ? '<button type="button" class="btn btn-info btn-xs" title="Cari Hareketleri" data-listele="cari_hareketleri" 
																data-param=\'{ "where" : { "kolon" : ["m_id"], "tur" : ["tam"], "value" : [ "'.$mus["musteri_id"].'" ] } }\'>
																<i class="fa fa-bars"></i> Cari Hrk</button>' : null ).'
															</td>
														</tr>';
											}
												
							$cikti .= '</tbody>
											<tfoot> 
												<tr> 
													'.( ( $yetki_musteri_sil ) ? '<th>
														<div class="ui checkbox" data-gorev="hepsini-sec">
															<input type="checkbox" name="hps" value="1" />
														</div>
													</th>' : null ).'
													<th>Hesap Kodu</th>
													<th>Cari Adı</th>
													<th>Tel 1</th>
													<th>Eposta</th>
													<th>İl</th>
													<th>Bakiye</th>
													<th>İşlem</th>
												</tr>
											</tfoot>
										</table>
									</form>
								</div>
							<div id="tabloAlt">
								<div id="gosterim">
									Toplam <strong>'.$musteri -> toplam.'</strong> Kayıt. Sayfa <strong>'.$sayfa.'</strong> / <strong>'.count($musteriler).'</strong> Adet Kayıt Listeleniyor. 
								</div>'.$sayfalar.'
							</div>';
							
				$sonuc["hata"] = false;
				$sonuc["data"] = $cikti;
			}
			
		echo json_encode($sonuc);
		
	}
	
?>