<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/SmsSablon.php";
	
	$baslik = post("sms_sablon_baslik");
	$detay = post("sms_sablon_detay");
	
	$sonuc = array();
	
	$yetki_sms_sablon_ekle	=	yetki( "sms_sablon_ekle" );
	
	//Yetki Kontrolü
	if( !$yetki_sms_sablon_ekle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Sms Şablonu Ekleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if(empty($baslik) || empty($detay)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	$sms_sablon = new SmsSablon();
	
	$ekleyen_id = $_SESSION["user"]["user_id"];
	$tarih = date("Y-m-d H:i:s");
	
	$sql = "insert into "._SMSSABLONLARI." set sms_sablon_baslik = ?, sms_sablon_detay = ?, ekleyen_id = ?, sms_sablon_kayit_tarihi = ?";
	$kayit = $sms_sablon -> kayitEkle($sql,array($baslik, $detay,$ekleyen_id, $tarih));
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $sms_sablon -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<strong><i class="fa fa-check"></i> Tebrikler.</strong> Kayıt Başarılı.';
		}
	
	echo json_encode($sonuc);

?>