<?php

	session_start();
	
	if( !isset( $_SESSION["root"] ) || !$_SESSION["login"] || !isset( $_POST["data"] ) ){
		exit();
	}
		
	require $_SESSION["root"]."/inc/autoload.php";
	
	$sonuc	=	array();
	$_servis	=	new Servis();
	
	$_token = uniqid();
	$_SESSION["yazdirToken"] = $_token;
	
	$_id			=	array_search(	"y_id", $_POST["params"]["where"]["kolon"] );
	$stok_id	=	$_POST["params"]["where"]["value"][$_id];
	
	parse_str( $_POST["ekstraPar"], $params );
	
	$bas = $params["start"] ? unixTarih( $params["start"], "00:00:00" ) : date( "Y-m-d 00:00:00", time()- (60*60*24*180) );
	$bitis = $params["end"] ? unixTarih( $params["end"], "00:00:00" ) : date( "Y-m-d 00:00:00" );
	
	$whereTarih1 = ' and ( '._FATURALAR.'.fatura_tarihi Between "'.$bas.'" and "'.$bitis.'" ) ';
	$whereTarih2 = ' and ( '._SERVISISLEMLERI.'.servis_islem_tarihi Between "'.$bas.'" and "'.$bitis.'" ) ';
	
	//Stok ID Kontrolü
	if( !$stok_id ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Yedek Parça Bilgisi Alınamadı !";
	}
	
	//Hata varsa sonuç basılıyor
	if( $sonuc["hata"] ){
		echo json_encode( $sonuc );
		exit();
	}																			
	
	$fat			=	array(
		_FATURALAR.".fatura_id as ID",
		_FATURALAR.".fatura_seri_no as No",
		_FATURALAR.".fatura_tarihi as Tarih",
		_FATURALAR.".fatura_tur as Odeme",
		"SUM( "._FATURA_URUNLER.".urun_adet ) as Adet",
		" 'fatura' as Tur "
	);
	
	$islemler	=	array(
		_SERVISFISLERI.".servis_fis_id as ID",
		_SERVISFISLERI.".servis_fis_no as No",
		_SERVISISLEMLERI.".servis_islem_tarihi as Tarih",
		" NULL as Odeme ",
		_KULLANILANMALZEMELER.".adet as Adet",
		" 'servis_islemi' as Tur "
	);
	
	$stok				=	$_servis -> ozelSorgu( "select yedek_parca_adi from "._YEDEKPARCA." where yedek_parca_id = ? LIMIT 1", array( $stok_id ) )[0];
																					
	$hareketler	=	$_servis -> ozelSorgu( "( select ".implode( ",", $fat )." from "._FATURALAR." 
																					inner join "._FATURA_URUNLER." on "._FATURA_URUNLER.".fatura_id = "._FATURALAR.".fatura_id 
																					where "._FATURA_URUNLER.".yedek_parca_id = ? and "._FATURALAR.".fatura_sil = 0 ".$whereTarih1." 
																					group by "._FATURA_URUNLER.".fatura_id ) 
																					UNION ALL 
																					( select ".implode( ",", $islemler )." from "._SERVISISLEMLERI." 
																					inner join "._SERVISFISLERI." on "._SERVISISLEMLERI.".servis_fis_id = "._SERVISFISLERI.".servis_fis_id 
																					inner join "._KULLANILANMALZEMELER." on "._KULLANILANMALZEMELER.".servis_islem_id = "._SERVISISLEMLERI.".servis_islem_id 
																					where "._KULLANILANMALZEMELER.".yedek_parca_id = ? and "._SERVISISLEMLERI.".servis_islem_sil = 0 
																					and "._SERVISFISLERI.".fis_sil = 0 ".$whereTarih2." ) 
																					order by Tarih", array( $stok_id, $stok_id ) );
																					
	// print_r( $hareketler );
	// exit();
																					
	$islem_tur	=	array(
		"servis_islemi"	=> "Servis İşlemi",
		"fatura"				=>	array(
			"alis"		=>	"Alış Faturası",
			"satis"	=>	"Satış Faturası"
		)
	);
																					
	ob_start();
	
?>

	<div id="tabloUst">
		<form id="stok-hareketleri" method="post" action="">
		
		<div class="inline-block listele-secenek clearfix">
			<button type="button" class="btn btn-default no-radius no-shadow pull-left"><?php echo $stok["yedek_parca_adi"]; ?></button>
		</div>
		
		<div class="inline-block listele-secenek clearfix">
			<div class="form-group no-margin pull-left">
				<div class="input-group tarih-secim input-daterange no-margin">
					<input type="text" name="start" placeholder="Başlangıç" class="form-control datepicker" 
					value="<?= date( "d/m/Y", strtotime( $bas ) ); ?>" />
					<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
					<input type="text" name="end" placeholder="Bitiş" class="form-control datepicker" 
					value="<?= date( "d/m/Y", strtotime( $bitis ) ); ?>" />
				</div>
			</div>
		</div>
		
		<div class="inline-block listele-secenek clearfix">
			<button type="button" class="btn btn-default no-radius no-shadow pull-left" data-hrk-form="#stok-hareketleri" 
			data-listele="stok_hareketleri" data-param='{ "where" : { "kolon" : ["y_id"], "tur" : ["tam"], "value" : [ "<?php echo $stok_id; ?>" ] } }'>
			<i class="fa fa-search"></i></button>
		</div>
		<div class="inline-block listele-secenek clearfix">
			<button type="button" class="btn btn-default no-radius no-shadow pull-left" data-yazdir-btn="stok_hareketleri" 
			 data-token="<?= $_token; ?>" data-param='{ "where" : { "kolon" : ["y_id"], "tur" : ["tam"], "value" : [ "<?php echo $stok_id; ?>" ], "bas" : "<?= $bas; ?>", "bitis" : "<?= $bitis; ?>" } }'>
			<i class="fa fa-print"></i></button>
		</div>
		
		</form>
	</div>
	
	<div id="tabloListelemeDiv">
		<form method="post" action="" id="dataForm">
			<table id="tabloListeleme" class="table table-bordered" data-hangisi="stok_hareketleri">
				<thead>
					<tr> 
						<th style="width:70px;">ID</th>
						<th style="width:100px;">İşlem Türü</th>
						<th style="width:100px;">Tarih</th>
						<th style="width:100px;">İşlem No</th>
						<th style="width:100px;">Adet</th>
						<th style="width:100px;">Stok Miktarı</th>
					</tr>
				</thead>
				
				<tbody>
					
					<?php foreach( $hareketler as $hrk ): 
					
						static $stok	=	0;
						$adet				=	0;
						
						$_tur	=	$islem_tur[ $hrk["Tur"] ];
						if( $hrk["Tur"] == "fatura" ){
							$_tur	=	$islem_tur[ $hrk["Tur"] ][ $hrk["Odeme"] ];
							
							if( $hrk["Odeme"] == "alis" ){
								$stok		+=	intval( $hrk["Adet"] );
								$adet		=		intval( $hrk["Adet"] );
							}
							else if( $hrk["Odeme"] == "satis" ){
								$stok		-=	intval( $hrk["Adet"] );
								$adet		=		-intval( $hrk["Adet"] );
							}
						}
						else if( $hrk["Tur"] == "servis_islemi" ){
							$adet		=		intval( $hrk["Adet"] );
						}
					?>
						<tr>
						
							<td data-order="<?php echo $hrk["ID"]; ?>"><?php echo $hrk["ID"]; ?></td>
							
							<td><?php echo $_tur; ?></td>
							
							<td data-order="<?php echo $hrk["Tarih"]; ?>"><?php echo date( "d.m.Y", strtotime( $hrk["Tarih"] ) ); ?></td>
							
							<td><?php echo $hrk["No"]; ?></td>
							
							<td data-order="<?php echo ( $adet ) ? $adet : null; ?>">
								<?php echo ( $adet ) ? '<strong 
								style="color:'.( ( $adet >= 0 ) ? '#0086b3' : '#d90000' ).';">'.$adet.'</strong>' : null; ?>
							</td>
							
							<td data-order="<?php echo ( $hrk["Tur"] == "fatura" ) ? $stok : null; ?>">
								<?php echo ( $hrk["Tur"] == "fatura" ) ? '<strong 
								style="color:'.( ( $stok >= 0 ) ? '#0086b3' : '#d90000' ).';">'.$stok.'</strong>' : null; ?>
							</td>
							
						</tr>
					<?php endforeach; ?>
				</tbody>
				
				<tfoot> 
					<tr> 
						<th>ID</th>
						<th>İşlem Türü</th>
						<th>Tarih</th>
						<th>İşlem No</th>
						<th>Adet</th>
						<th><?php 
							$stok	=	is_numeric( $stok ) ? $stok : 0;
							echo '<strong style="color:'.( ( $stok >= 0 ) ? '#0086b3' : '#d90000' ).';">'.$stok.'</strong>'; 
						?></th>
					</tr>
				</tfoot>
			</table>
		</form>
	</div>

<?php

	$cikti	=	ob_get_contents();
	
	ob_end_clean();
	
	$sonuc["hata"]				=	false;
	$sonuc["datePicker"]	=	true;
	$sonuc["data"]				=	$cikti;
	
	echo json_encode( $sonuc );

?>