	//Datatables için scrollY hesaplama
	function scrollYHesapla(){
		var winWidth = $(window).width();
			if( winWidth > 768 ){
				var yuk				=	$("#icerik").height();
				var cikarilacak	=	$("#tabloUst").height() + $("#tabloAlt").height();
				return ( yuk - cikarilacak ) - 100;
			}
			else{
				return "100%";
			}
	}

	function scrollYHesaplaSonServisler(){
		var winWidth	=	$(window).width();
			if( winWidth > 768 ){
				return 185;
			}
	}
	
	//Tam zamanı döndürür
	function _simdi_(){
		var simdi		=	"";
		var _tarih	=	new Date();
		var tarih = {
			"yil"			:	_tarih.getFullYear(),
			"ay"			:	_tarih.getMonth() + 1,
			"gun"		:	_tarih.getDate(),
			"saat"		:	_tarih.getHours(),
			"dakika"	:	_tarih.getMinutes(),
			"saniye"	:	_tarih.getSeconds()
		};
			simdi += tarih.yil + "-";
			simdi += ( String( tarih.ay ).length == 1 ) ? "0" + tarih.ay + "-" : tarih.ay + "-";
			simdi += ( String( tarih.gun ).length == 1 ) ? "0" + tarih.gun + " " : tarih.gun + " ";
			simdi += ( String( tarih.saat ).length == 1 ) ? "0" + tarih.saat + ":" : tarih.saat + ":";
			simdi += ( String( tarih.dakika ).length == 1 ) ? "0" + tarih.dakika + ":" : tarih.dakika + ":";
			simdi += ( String( tarih.saniye ).length == 1 ) ? "0" + tarih.saniye : tarih.saniye;
		return simdi;
	}

	//Malzeme ekleme modülü
	var malzemeEkle = {
		malzemeler	:	[ ],
		main					:	".kullanilan-malzemeler-content",
		select				:	"#kullanilan-malzemeler-content select[name=malzeme_adi]",
		bFiyat				:	"#kullanilan-malzemeler-content input[name=birim_fiyat]",
		bFiyat2			:	"#kullanilan-malzemeler-content .malzeme-fiyat-sabit",
		basla					:	function(){
			$(document).on( "click",			this.main + " .malzeme-sec > button", this.sec.bind( this ) );
			$(document).on( "change",	this.select,	this.selectOpt.bind( this ) );
		},
		selectOpt		:	function( e ){
			var $dis					=	$( e.currentTarget );
			var $opt					=	$dis.find( "option:selected" );
			var $bFiyat			=	$( this.bFiyat );
			var $bFiyat2			=	$( this.bFiyat2 + " strong" );
			var birim_fiyat		=	$opt.data( "birim-fiyat" );
			$bFiyat.val( birim_fiyat );
			$bFiyat2.text( birim_fiyat );
		},
		sec						:	function( e ){
			var $dis										=	$( e.target );
			this.$main									=	$("body").find( this.main );
			this.$malzemeSec				=	this.$main.find(".malzeme-sec");
			this.$select								=	this.$malzemeSec.find( "select[name=malzeme_adi]" );
			this.$adet									=	this.$malzemeSec.find( "input[name=adet]" );
			this.$eklenenMalzemeler =	this.$main.find( "#eklenen-malzemeler" );
			this.$bFiyat								=	this.$malzemeSec.find( "input[name=birim_fiyat]" );
			
			var id					=	this.$select.val();
			var baslik			=	this.$select.find("option:selected").text();
			var adet				= this.$adet.val();
			var birim_fiyat	=	this.$bFiyat.val().replace( ".", "" );
			birim_fiyat			=	parseFloat( birim_fiyat.replace( ",", "." ) );
			( parseInt( adet ) > 0 ) ? this.ekle( id, baslik, adet, birim_fiyat ) : undefined;
			
			$dis.off("click");
		},
		ekle					:	function( idN, baslikN, adetN, birim_fiyat ){
			var varmi	=	-1;
			$.each( this.malzemeler, function( key, val ){
				if( val.id == idN ){
					varmi	=	key;
				}
			});
			
			if( varmi >= 0 ){
				this.malzemeler[ varmi ].adet					+=	parseInt( adetN );
				this.malzemeler[ varmi ].toplam_fiyat	+=	birim_fiyat * parseInt( adetN );
			}else{
				this.malzemeler.push({ "id" : idN, "baslik" : baslikN, "adet" : parseInt( adetN ), "toplam_fiyat" : birim_fiyat * parseInt( adetN ) });
			}
				
			this.render();
		},
		sil					: function( index ){
			this.malzemeler.splice( index, 1 );
			this.render();
		},
		render			:	function(){
			var eklenecek = '<ul class="list-group">';
			
			for( var i = 0; i < this.malzemeler.length; i++ ){
				var adet		=	this.malzemeler[ i ].adet;
				var fiyat		=	this.malzemeler[ i ].toplam_fiyat;
				
				eklenecek += '<li class="list-group-item"><span class="badge">' 
													+ this.malzemeler[ i ].adet + '</span>' 
													+ '<span class="badge fiyat-badge">' + fiyat.toFixed( 2 ).replace( ".", "," ) + ' <i class="fa fa-try"></i></span>' 
													+ '<span class="malzeme-sil" onclick="malzemeEkle.sil( ' + i + ' )"><i class="fa fa-times"></i></span>'
													+ '<input type="hidden" name="malzeme['+i+'][id]" value="'+this.malzemeler[ i ].id+'" />' 
													+ '<input type="hidden" name="malzeme['+i+'][baslik]" value="'+this.malzemeler[ i ].baslik+'" />'
													+ '<input type="hidden" name="malzeme['+i+'][adet]" value="'+this.malzemeler[ i ].adet+'" />'
													+ '<input type="hidden" name="malzeme['+i+'][toplam_fiyat]" value="'+this.malzemeler[ i ].toplam_fiyat+'" />'
													+ this.malzemeler[ i ].baslik + '</li>';
			}
			eklenecek += '</ul>';
			this.$eklenenMalzemeler.html(eklenecek);
		}
	}
	
	//Tab menü modülü
	var tabMenu = {
		basla : function(){
			$(document).on("click",".ms-tab .tab-menu li a", this.sec.bind(this));
		},
		sec : function(e){
			e.preventDefault();
			var $dis = $(e.target);
			var $parentLi = $dis.parent("li");
			var $tabMenu = $parentLi.parents(".tab-menu");
			var $tabContent = $tabMenu.next(".ms-tab-content");
			var $tabBir = $tabContent.find(".tab-bir");
			var index = $parentLi.index();
				if(!$parentLi.hasClass("active")){
					$parentLi.addClass("active").siblings("li").removeClass("active");
					$tabBir.css("display","none").eq(index).fadeIn(250);
				}
			$dis.off("click");
		}
	}

	//Panel açma kapama modülü
	var panelAccordion = {
		$nesne : "[data-panel-accordion]",
		basla : function(){
			$(document).on("click",this.$nesne,this.sec);
		},
		sec : function(){
			var $dis = $(this);
			var param = $dis.data("panel-accordion");
			var $panel = $("body").find(param.panel);
			$dis.toggleClass("rotate-90");
			$panel.slideToggle(250);
			$dis.off("click");
		}
	};

	//Select seçimi ile açılan panel
	var secimGoster = {
		cache : function(){
			this.$_nesne = $("#modal-panel #modal-icerik");
			this.$_select = this.$_nesne.find("[data-secim-goster]");
		},
		basla : function(){
			this.cache();
			this.$_select.bind("change", this.change.bind(this));
		},
		change : function(e){
			var dis = $(e.target);
			var params = dis.data("secim-goster");
			var $panel = $(params.panel);
				(dis.val() == params.value) ? $panel.fadeIn(250) : $panel.fadeOut(250);
		}
	};

//hepsini sil butonu kontrol
function hepsiniSilBtnKontrol(buton,secilenler){
	(secilenler.filter(":checked").length)? buton.removeClass("disabled") : buton.addClass("disabled");
}

//Kayıt listeleme fonksiyonu
function Listele( hangisi, param, tiklayan, hrkForm ){
	( tiklayan ) ? tiklayan.attr("disabled","disabled") : undefined ;
	//loading ekranı gösteriliyor
	$("#loading").show();
	$("#onceki-panel").hide();
	$("#menu-kapat").trigger("click");
	
	var $hrkForm	=	( hrkForm ) ? $( "form" + hrkForm ) : undefined;
	var ekstraVal	=	( hrkForm ) ? $hrkForm.serialize() : "";
	
	var par		=	( param ) ? { data : "bos", params : param, ekstraPar : ekstraVal } : { data : "bos", ekstraPar : ekstraVal };
	
	$.ajax({
		url					:	SITE + "/ajax/ajax_" + hangisi + "_listele.php",
		type				:	"post",
		dataType	:	"json",
		data				:	par,
		success	:	function( c ){
			if( c.hata ){
				mesaj( "uyari", "Hata!", c.mesaj, true );
			}
			else{
				window.delPar	=	param;
				aktifSayfa( hangisi );
				$("#tabloGenel").html( c.data );
				qtipEkle($("#tabloGenel [title]"));
				
				if( c.durumliste ){
					$("#content #icerik").removeClass("durumliste").addClass("durumliste");
					window.tabloResize	=	false;
					window.listeTablo = $("#tabloListeleme").dataTable({
						"bSort"					:	false,
						"colReorder"		:	false,
						"responsive"			:	true,
						"order"					:	false,
						"paging"					:	false,
						"sScrollY"				:	false,
						"bInfo"					:	false,
						"bFilter"					:	false,
						"scrollCollapse"	:	false,
						"language"			:	{
							"zeroRecords" : "Kayıt Bulunamadı"
						}
					});
				}
				else if( c.noDataTables ){
					
				}
				else if( c.takvim ){ //Takvim uygulaması
					var calendarEl = document.getElementById('takvimApp');
				
					var calendar = new FullCalendar.Calendar(calendarEl, {
						plugins: [ 'dayGrid', 'list', 'interaction' ],
						locale : "tr",
						firstDay : 1,
						height:"parent",
						header : {
							left:   'title',
							center: '',
							right:  'today prevYear,prev,next,nextYear'
						},
						events : c.kaynak,

						eventClick: function(info) {
							modalAc("servis_fisi_duzenleme", {
								"baslik" : "Servis Bilgileri",
								"size" : "modal-lg",
								"yenile" : true,
								"id" : info.event.id
							});
						},

						dateClick: function(info) {
							modalAc("servis_fisi_ekleme", {
								"baslik" : "Yeni Servis Fişi",
								"size" : "modal-lg",
								"yenile" : true,
								"args" : {
									"planTarihi" : info.dateStr
								}
							});
						}
					});
					
					calendar.render();
				}
				else{
					window.tabloResize	=	true;
					$("#content #icerik").removeClass("durumliste");
					$(".checkbox").checkbox();
					//Bulunamayan resimlerin kaynağı değiştiriliyor
					$("#tabloGenel img").error(function(){
						var dis = $(this);
						dis.attr("src", SITE + "/assets/img/img-not-found.png");
					});
					//Datatable hazırlanıyor-------------------------------------------------------------------------
					window.listeTablo = $("#tabloListeleme").dataTable({
						"colReorder"		:	true,
						"responsive"			:	true,
						"order"					:	[],
						"columnDefs"		:	[{
							"targets"			:	'no-sort',
							"orderable"		:	false
						}],
						"paging"					:	false,
						"info"						:	false,
						"sScrollY"				:	scrollYHesapla(),
						"scrollCollapse"	:	true,
						"language"			:	{
							"zeroRecords"	:	"Kayıt Bulunamadı",
							"infoEmpty"		:	"Kayıt Yok",
							"search"				:	'<i class="fa fa-search"></i>'
						}
					});
					var yuk = scrollYHesapla();
						$('.dataTables_scrollBody').css({
							'height' : yuk,
							'max-height' : yuk
						});
					window.listeTablo.fnDraw();
					//Datatable hazırlanıyor-------------------------------------------------------------------------
					
					//Önceki panel butonu gösteriliyor
					if(window.hangisi && window.sonParam != hangisi + JSON.stringify(param)){
						$("#onceki-panel").data("hangisi",window.hangisi).data("param",window.param);
						$("#onceki-panel").show().css({ "right" : "100%" , "opacity" : 0 }).delay().animate({ "right" : 3, "opacity" : 1 }, 700);
					}
					if(window.sonParam != hangisi + JSON.stringify(param)){
						window.param = param;
						window.hangisi = hangisi;
						window.sonParam = hangisi + JSON.stringify(param);
					}
				}
				
				if( c.datePicker ){
					$("#content #icerik .tarih-secim .datepicker").datepicker({
						format						:	c.datePickerMonth ? "mm/yyyy" : "dd/mm/yyyy",
						language				:	"tr",
						todayHighlight	:	true,
						viewMode				:	c.datePickerMonth || false, 
						minViewMode		:	c.datePickerMonth || false
					});
				}
				
				if( c.selectPicker ){
					$("#content #icerik select.selectpicker").selectpicker({
					  style: 'btn-default',
					  showTick : true,
					  size: 10,
					  noneSelectedText : "Seçin"
					});
				}
				
				if( c.aylikServisGirisi ){
					var data								=	$.parseJSON( c.aylikServisGirisiData );
					var $aylikServisGirisi		=	document.getElementById("aylikServisGirisi");
					
					Chart.defaults.global.defaultFontSize	=	14;
					var aylikServisGirisi		=	new Chart( $aylikServisGirisi, {
						type: 'line',
						data: {
							labels: $.map( data, function( v, i ){
								var tarih	=	new Date( v.tarihii );
								return	( ( String( tarih.getDate() ).length == 1 ) ? "0" + tarih.getDate() : tarih.getDate() ) + "." + 
												( ( String( tarih.getMonth() + 1 ) ).length == 1 ? "0" + ( tarih.getMonth() + 1 ) : ( tarih.getMonth() + 1 ) ) + "."
												+ tarih.getFullYear();
							} ),
							datasets: [
								{
									label: c.aylikServisGirisiBaslik,
									fill: false,
									lineTension: 0.1,
									backgroundColor: "rgba(75,192,192,0.4)",
									borderColor: "#ff8000",
									borderCapStyle: 'butt',
									borderDash: [],
									borderDashOffset: 0.0,
									borderJoinStyle: 'miter',
									pointBorderColor: "#ff7373",
									pointBackgroundColor: "#fff",
									pointBorderWidth: 10,
									pointHoverRadius: 5,
									pointHoverBackgroundColor: "rgba(75,192,192,1)",
									pointHoverBorderColor: "#ff7373",
									pointHoverBorderWidth: 2,
									pointRadius: 1,
									pointHitRadius: 10,
									data: $.map( data, function( v, i ){
										return v.Adet;
									} )
								}
							]
						}
					});
				}
				
			}
		},
		error : function(xhr,hata){
			mesaj("uyari","Hata!","Sistem Hatası. " + hata,true);
		},
		complete : function(){
			//loading ekranı kaldırılıyor
			$("#loading").fadeOut(400);
			(tiklayan) ? tiklayan.removeAttr("disabled") : undefined ;
		}
	});
}

//Aktif sayfa yazılıyor
function aktifSayfa(sayfa){
	var sayfalar = {
		"servis_fisleri" : "Servis Fişleri",
		"takvim" : "Takvim Planı",
		"musteriler" : "Cari Hesaplar",
		"durumlar" : "Durumlar",
		"cihazlar" : "Cihazlar",
		"markalar" : "Markalar",
		"personel" : "Personeller",
		"yetkiler" : "Yetki Grupları",
		"sms_sablonlar" : "Sms Şablonları",
		"email_sablonlar" : "Email Şablonları",
		"yedek_parcalar" : "Stok Kartları",
		"tahsilatlar" : "Kasa İşlemleri",
		"hatirlatma" : "Hatırlatmalar",
		"mesajlar" : "Mesajlar",
		"durumliste" : "Durum Listeleri",
		"fatura" : "Fatura Listesi",
		"cari_hareketleri" : "Cari Hareketleri",
		"stok_hareketleri" : "Stok Hareketleri",
		"gg_kartlar" : "Gelir Gider Kartları",
		"gg_fisler" : "Gelir Gider Fişleri",
		"gg_kart_hareketleri" : "Gelir Gider Kart Hareketleri",
		"veresiye" : "Veresiye Listesi",
		"rapor_cari_hareketleri" : "Rapor - Cari Hareketleri",
		"rapor_kasa" : "Rapor - Kasa",
		"rapor_kar_zarar" : "Rapor - Kar Zarar",
		"rapor_kasa_hareketleri" : "Rapor - Kasa Hareketleri",
		"rapor_stok_hareketleri" : "Rapor - Stok Hareketleri",
		"rapor_yogunluk_analiz" : "Rapor - Yoğunluk Analizi",
		"rapor_gunluk_alis_satis" : "Rapor - Günlük Alış Satış"
	};
	var aktif = sayfalar[sayfa];
	$(".aktif-sayfa").text(aktif).fadeOut(500).fadeIn(500);
	return aktif;
}

//Modal penceresi açılıyor
function modalAc(form,par){
	var modalPanel	=	$("#modal-panel");
	var icerikPanel	=	$("#modal-panel #modal-icerik");
	var id						=	(par.id) ? par.id : "";
	var param				=	(par.param) ? par.param : "";
	
	if(par.size){
		modalPanel.find(" > .modal-dialog").removeClass("modal-sm").removeClass("modal-lg").addClass(par.size);
	}
	else{
		modalPanel.find(" > .modal-dialog").removeClass("modal-sm").removeClass("modal-lg");
	}
	
	if(par.baslik){
		modalPanel.find(".modal-header .modal-title").html(par.baslik);
	}
	
	modalPanel.modal("show");
	malzemeEkle.malzemeler = [ ];
	
	if(window[form] && !par.yenile){
		icerikPanel.html(window[form]);
		icerikPanel.find(".checkbox").checkbox();
		icerikPanel.find("[data-inputmask]").inputmask();
		qtipEkle(icerikPanel.find("[data-toggle-iki=tooltip]"));
		otomatikTamamla(modalPanel.find("[data-otomatik-tamamla]"));
		secimGoster.basla();
		icerikPanel.find(".trumbowyg-editor").trumbowyg({
			lang : 'tr',
			btns : [
				['formatting'],'btnGrp-semantic',['superscript', 'subscript'],['link'],['insertImage'],'btnGrp-justify','btnGrp-lists',['|', 'foreColor', 'backColor'],['horizontalRule'],['removeformat'],['fullscreen']
			]
		});
		icerikPanel.find("[data-para-format]").maskMoney();
		icerikPanel.find(".slider-range").slider({
			create : function(event,ui){
				$(this).slider("option", $(this).data("options"));
					this.minText = $($(this).data("options").minText);
					this.maxText = $($(this).data("options").maxText);
			},
			slide : function(event,ui){
				this.minText.val(ui.values[0]);
				this.maxText.val(ui.values[1]);
			}
		});
		icerikPanel.find(".tarih-secim .datepicker").datepicker({
			format: "dd/mm/yyyy",
			language: "tr",
			todayHighlight : true
		});
		icerikPanel.find('select.selectpicker').selectpicker({
		  style: 'btn-default',
		  showTick : true,
		  size: 10,
		  noneSelectedText : "Seçilmedi"
		});
		icerikPanel.find('[data-toggle="popover"]').popover();
	}
	else{
		var args				=	( par.args ) ? "&args=" + encodeURI( JSON.stringify( par.args ) ) : "";
		var yukleniyor	=	$("#modal-panel .modal-yukleniyor");
			yukleniyor.fadeIn(250);
			icerikPanel.css({ "visibility" : "hidden" });
				icerikPanel.load(SITE + "/form/" + form + "_formu.php?data=bos&id=" + id + "&param=" + param + args,function(data,st,xhr){
					yukleniyor.fadeOut(250);
					icerikPanel.css({ "visibility" : "visible" });
					if( st == "success" ){
						window[form] = data;
						icerikPanel.find(".checkbox").checkbox();
						icerikPanel.find("[data-inputmask]").inputmask();
						otomatikTamamla(modalPanel.find("[data-otomatik-tamamla]"));
						secimGoster.basla();
						icerikPanel.find(".slimScroll").slimScroll({
							height : '',
							size : "5px",
							color: '#333333',
							wheelStep : 15,
							distance: '0px',
							animate : true,
							borderRadius : 0
						});
						icerikPanel.find(".trumbowyg-editor").trumbowyg({
							lang : 'tr',
							btns : [
								['formatting'],'btnGrp-semantic',['superscript', 'subscript'],['link'],['insertImage'],'btnGrp-justify','btnGrp-lists',['|', 'foreColor', 'backColor'],['horizontalRule'],['removeformat'],['fullscreen']
							]
						});
						qtipEkle(icerikPanel.find("[data-toggle-iki=tooltip]"));
						icerikPanel.find("[data-para-format]").maskMoney();
						icerikPanel.find("div.servis-resimleri .fancybox").fancybox();
						icerikPanel.find(".slider-range").slider({
							create : function(event,ui){
								$(this).slider("option", $(this).data("options"));
									this.minText = $($(this).data("options").minText);
									this.maxText = $($(this).data("options").maxText);
							},
							slide : function(event,ui){
								this.minText.val(ui.values[0]);
								this.maxText.val(ui.values[1]);
							}
						});
						icerikPanel.find(".tarih-secim .datepicker").datepicker({
							format: "dd/mm/yyyy",
							language: "tr",
							todayHighlight : true
						});
						icerikPanel.find('select.selectpicker').selectpicker({
						  style: 'btn-default',
						  showTick : true,
						  size: 10,
						  noneSelectedText : "Seçilmedi"
						});
						icerikPanel.find('[data-toggle="popover"]').popover();
						var $kilit	=	icerikPanel.find( "form.kilitle" );
						var $Inp	=	$kilit.find( ":input" );
						$Inp
							.not( "[data-yazdir-btn]" )
							.not( "[data-modal-ac=mesaj_gonder]" )
							.not( ".no-kilit" )
							.attr( "readonly", "readonly" )
							.attr( "disabled", true );
					}
					else{
						modalPanel.modal("hide");
						mesaj("uyari","HATA!","Sistem Hatası."+ xhr.status + " " + xhr.statusText,true);
					}
				});
	}
}

//Otomatik tamamlama fonksiyonu
function otomatikTamamla(nesne){
	var param = nesne.data("param") || undefined;
	
	nesne.autocomplete({
		autoFocus : true,
		minLength : 2,
		source : SITE + "/ajax/ajax_otomatik_tamamla.php?nerede=" + nesne.data("otomatik-tamamla"),
		select : function( event, ui ) {
			if( param == "musteri-sec" ){
				musteriSec(ui.item.id, ui.item.kod, ui.item.value, ui.item.email, ui.item.tel, ui.item.il, ui.item.sehir, ui.item.adres, ui.item.ilce);
			}
			else if( param == "barkod-sec" ){
				faturaEkle.urunGetir( ui.item.id, ui.item.value, ui.item.barkod, ui.item.birim_fiyat, ui.item.kdv, ui.item.alis_fiyat );
			}
			else if( param == "musteri" ){
				var $dis		=	$( this );
				var $m_id	=	$dis.siblings("[type=hidden]");
				$m_id.val( ui.item.id );
			}
		}
	});
}

//Müşteri seç
function musteriSec( mId, mKod, mAdi, mMail, mTel, mIl, mSehir, mAdres, mIlce ){
	var $musteri_sec = $( "div.musteri-sec" );
	var $ilkPanel = $musteri_sec.closest( "div.ilk-panel" );
	var $bilgiler = $musteri_sec.find( ".bilgiler" );
	var $musteri = $ilkPanel.find( "[name=musteri]" );
	var $ariza = $ilkPanel.find( "[name=ariza]" );
	var mapInfo = [mSehir,mIlce,mAdres];
	var address = mapInfo.filter( word => word ).join(" ");
	var url = address.replace(/\s\s+/g, " ");
	var button = (address) ? `<a href="https://www.google.com/maps?q=${url}" target="_blank">
		<i class="fa fa-external-link"></i> 
		${mAdres} ${mIlce}/${mSehir}
	</a>` : "";
	
	$musteri_sec.find( "[name=musteri_id]" ).val( mId );
	$bilgiler.find( ".bilgi-musteri-adi" ).text( ": " + mAdi );
	$bilgiler.find( ".bilgi-hesap-kodu" ).text( ": " + mKod );
	$bilgiler.find( ".bilgi-musteri-email" ).text( ": " + mMail );
	$bilgiler.find( ".bilgi-musteri-telefon" ).text( ": " + mTel );
	$bilgiler.find( ".bilgi-musteri-il" ).html( ": " + mIl + ' <i class="fa fa-try"></i>' );
	$bilgiler.find( ".bilgi-musteri-adres" ).html( ": " + button );
	$musteri.val( mAdi );
	$ariza.focus();
		
	$musteri_sec.hide(150).show(250);
}

//Kayıt ekleme fonksiyonu
function kayitEkle(form){
	var param = form.data("par");
	$.ajax({
		url : SITE + "/ajax/ajax_" + param.hangisi + "_ekle.php",
		type : "post",
		dataType : "json",
		data : form.serialize(),
		success : function(c){
			if(c.hata){
				mesaj( "uyari","Hata!",c.mesaj,true );
			}
			else{
				if( param.hangisi == "servis_fisi" ){
					modalAc( "servis_fisi_duzenleme", { "baslik" : "Servis Bilgileri", "size" : "modal-lg", "yenile" : true, "id" : c.son_id } );
					bildirim({
						"mesaj" : c.mesaj,
						"merkez" : "center",
						"zaman" : 4000,
						"durum" : "success"
					});
				}
				else{
					form.parents(".modal-icerik-style").removeClass("orta-cizgi");
					form.find(".ilk-panel").hide().remove();
					form.find(".son-panel").fadeIn(250).find(".response").html(c.mesaj);
					form.find(".resim-yukleme-paneli .resim-secme").find(".dosya-sec").removeAttr("disabled").find("input[type=file]").removeAttr("disabled");
					form.find(".resim-yukleme-butonu input[name=id]").val(c.son_id);
				}
				
				// Hızlı stok
				if( c.hizli_ekle && c.stok_liste ){
					let html = "";
					c.stok_liste.forEach(function(val, index){
						html += `<option data-birim-fiyat="${val.birimFiyat}"
                            value="${val.yedek_parca_id}">
                            ${val.yedek_parca_adi}
                        </option>`;
					});
					$('#hizli-stok-ekle').modal('hide');
					$("#hizli-stok-liste").html(html);
					$("#hizli-stok-liste").selectpicker( 'refresh' );
					$("#hizli-stok-form")[0].reset();
					$("#hizli-stok-form").find("[name=barkod]").val(Math.round((new Date()).getTime() / 1000));
				}
				// Hızı stok
				
				if( param.fonksiyon ){
					window[param.fonksiyon]();
				}
				if( typeof c.servis_islem_durum_id != "undefined" ){
					var $durum					=	$("body").find("#servis-durum");
					var $servis_islemleri	=	$("body").find("#servis-islemleri");
					$durum.selectpicker( 'val', c.servis_islem_durum_id );
					form.find( "textarea[name=islem_aciklama]" ).val("");
					form.find( "input[name=tutar]" ).val("");
					form.find( "input[name=gider_aciklama]" ).val("");
					form.find( "input[name=gider_tutar]" ).val("");
					form.find( "#eklenen-malzemeler" ).html("");
					malzemeEkle.malzemeler = [ ];
				}
				if( c.servis_toplam_tutar_ekle ){
					servisIslemleriGetir( c.servis_fis_id );
				}
				if( c.mus_id_arti ){
					window.max_mus_id++;
				}
			}
		},
		error : function(xhr,c){
			mesaj("uyari","Hata!","Sistem Hatası." + c,true);
		},
		complete : function(){
			form.find(".rotate").css("display","none");
			form.find(".ikon-gizle").css("display","inline-block");
			form.find("button[data-fonksiyon]").removeAttr("disabled");
		}
	});

}

//Kayıt düzenleme fonksiyonu
function kayitDuzenle(form){
	var	param					=	form.data("par");
	var	$loadBar				=	form.find(".resim-load-bar");
	var	$secilenDosya	= form.find(".secilen-dosya");
	var	$yuklemeBar	=	$loadBar.find(".progress-bar");
	
	if( param.dosyaGonder ){
		var options = {
			url : SITE + "/ajax/ajax_" + param.hangisi + "_duzenle.php",
			processData : false,
			dataType : "json",
			beforeSend : function(){
				$yuklemeBar.css("width", 0);
			},
			success : function( c ){
				if(c.hata){
					mesaj("uyari","Hata!",c.mesaj,true);
				}
				else{
					bildirim({
						"mesaj" : c.mesaj,
						"merkez" : "center",
						"zaman" : 4000,
						"durum" : "success",
						"hepsiniSil" : true
					});
					if( param.temizle ){
						form[ 0 ].reset();
						form.find(".selectpicker").selectpicker( 'refresh' );
						$secilenDosya.text("[ max 4MB | *.zip ]");
					}
					if( c.mesajBir ){
						form.find(".mesajlasmalar").append( c.mesajBir );
					}
				}
			},
			uploadProgress : function(e,pos,total,yuklenen){
				$yuklemeBar.css("width", yuklenen + "%");
			},
			error : function(xhr,c){
				mesaj("uyari","HATA!","Sistem Hatası." + c,true);
			},
			complete : function(){
				form.find(".rotate").css("display","none");
				form.find(".ikon-gizle").css("display","inline-block");
				form.find("button[data-fonksiyon]").removeAttr("disabled");
				$yuklemeBar.css("width", 0);
			}
		}
		form.ajaxSubmit(options);
	}
	
	else{
		$.ajax({
			url : SITE + "/ajax/ajax_" + param.hangisi + "_duzenle.php",
			type : "post",
			dataType : "json",
			data : form.serialize(),
			success : function(c){
				if(c.hata){
					mesaj("uyari","Hata!",c.mesaj,true);
				}
				else{
					bildirim({
						"mesaj" : c.mesaj,
						"merkez" : "center",
						"zaman" : 4000,
						"durum" : "success",
						"hepsiniSil" : true
					});
				}
			},
			error : function(xhr,c){
				mesaj("uyari","Hata!","Sistem Hatası." + c,true); 
			},
			complete : function(){
				form.find(".rotate").css("display","none");
				form.find(".ikon-gizle").css("display","inline-block");
				form.find("button[data-fonksiyon]").removeAttr("disabled");
			}
		});
		
	}
}

//Bildirim fonksiyonu
function bildirim(bilgiler){
	var n = noty({
		text: bilgiler.mesaj,
		layout: bilgiler.merkez,
		type: bilgiler.durum,
		timeout : bilgiler.zaman,
		killer : ( bilgiler.hepsiniSil ) ? true : false,
		maxVisible : 10,
		animation: {
			open : 'animated flipInX', // jQuery animate function property object
			close : 'animated flipOutX', // jQuery animate function property object
			easing: 'swing', // easing
			speed: 500 // opening & closing animation speed
		}
	});
}

//Servis resimleri yükleme
function servisResimleri( servis_id, content ){
	$("div.servis-resimleri").html( content ).find(".fancybox").fancybox();
}

//Görev bitirme fonksiyonu
function goreviBitir( gorev_id, gorev_veren_id, servis_fis_id ){
	var $gorevServisi	=	$(".gorev-servisi");
	var $bitirSpan			=	$gorevServisi.find(".gorevi-bitir");
	var disable				=	$bitirSpan.attr("disabled");
	if( !disable ){
		$bitirSpan.attr("disabled", true);
		$.ajax( SITE + "/ajax/ajax_gorev_bitir.php", {
			type				:	"post",
			dataType	:	"json",
			data				:	{ gorev_id : gorev_id, gorev_veren_id : gorev_veren_id, servis_fis_id : servis_fis_id },
			success		:	function( c ){
				if( c.hata ){
					$bitirSpan.removeAttr("disabled");
				}
				else{
					$gorevServisi.html( c.span );
				}
			},
			error				:	function(){
				$bitirSpan.removeAttr("disabled");
			}
		});
	}
}

	var servisIslem	=	{
		nesne	:	"#servis-islemleri .islem-bir .islem-aciklama .servis-malzemeleri .servis-tutar .islem-tutar",
		input		:	"#servis-islemleri .islem-bir .islem-aciklama .servis-malzemeleri form input[type=text]",
		form		:	"#servis-islemleri .islem-bir .islem-aciklama .servis-malzemeleri form",
		basla		:	function(){
			$(document).on( "dblclick",	this.nesne,	this.sec.bind(this) );
			$(document).on( "blur",			this.input,		this.cik.bind(this) );
			$(document).on( "submit",		this.form,		this.post.bind(this) );
		},
		sec			:	function( e ){
			this.$dis					=	$( e.currentTarget );
			this.$form				=	this.$dis.parent().find("form");
			this.$input			=	this.$form.find("input[type=text]");
			this.$buton			=	this.$form.find("button");
			this.$dis.addClass("gizli");
			this.$form.removeClass("gizli");
			this.$input.focus();
			$( this.nesne ).off("dblclick");
		},
		cik			:	function(){
			this.$dis.removeClass("gizli");
			this.$form.addClass("gizli");
		},
		post		:	function( e ){
			var $dis			=	$( e.target );
			var tis				=	this;
			var gonder	=	$dis.data( "gonder" );
			if( gonder != false ){
				$.ajax( SITE + "/ajax/ajax_servis_islem_tutar_guncelle.php", {
					type				:	"post",
					data				:	$dis.serialize(),
					dataType	:	"json",
					success		:	function( c ){
						if( !c.hata ){
							servisIslemleriGetir( c.servis_fis_id );
						}
					},
					complete	:	function(){
						tis.$dis.removeClass("gizli");
						tis.$form.addClass("gizli");
						$dis.data( "gonder", true );
					}
				});
			}
			$dis.data( "gonder", false );
			return false;
		}
	}
	
	var smsEmailGonder	=	{
		select	:	"form.sms-mail-gonder-formu select[name=sablon_sec]",
		buton	:	"form.sms-mail-gonder-formu button.send",
		basla		:	function(){
			$(document).on("change",	this.select,	this.sec.bind( this ) );
			$(document).on("click",		this.buton,	this.gonder.bind( this ) );
		},
		sec				:	function( e ){
			var $dis				=	$( e.target );
			this.$form			=	$dis.closest("form");
			this.$detay		=	this.$form.find(".contenteditable");
			this.$konu			=	this.$form.find("input[name=mail_baslik]");
			this.tur				=	this.$form.data("tur");
			var sablonlar	=	$dis.data("email-sablonlari");
			var val					=	$dis.val();
			var html				=	( val ) ? this.$detay.html( sablonlar[ val ].detay ).text() : "";
			( val ) ? this.$konu.val( sablonlar[ val ].konu ) : this.$konu.val("");
			( val ) ? ( ( this.tur == "email" ) ? this.$detay.html( html ) : this.$detay.text( html ) ) : this.$detay.html(" ");
		},
		gonder	:	function( e ){
			var tis					=	this;
			var $dis				=	$( e.target );
			this.$form			=	$dis.closest("form");
			this.$detay		=	this.$form.find(".contenteditable");
			this.$mail			=	this.$form.find("input[name=mail_detay]");
			this.$konu			=	this.$form.find("input[name=mail_baslik]");
			this.tur				=	this.$form.data("tur");
			var url					=	( this.tur == "email" ) ? SITE + "/ajax/ajax_email_gonder_duzenle.php" : SITE + "/ajax/ajax_sms_gonder_duzenle.php";
			var html				=	this.$detay.html();
			var detay			=	( this.tur == "email" ) ? "" : "&mesaj=" + this.$detay.text();
			
			this.$mail.val( html );
			$dis.attr("disabled", true);
			$.ajax( url, {
				type				:	"post",
				data				:	this.$form.serialize() + detay + "&kayit=ekle",
				dataType	:	"json",
				success		:	function( c ){
					if( c.hata ){
						mesaj("uyari","Hata!",c.mesaj,true);
					}
					else{
						bildirim({
							"mesaj" : c.mesaj,
							"merkez" : "center",
							"zaman" : 4000,
							"durum" : "success",
							"hepsiniSil" : true
						});
						
						if( c.gonderim ){
							var $gonderilenler	=	$(".gonderilmis-mesajlar." + ( tis.tur ) + "-sends .mesajlar");
							$gonderilenler.find(".alert").remove();
							$gonderilenler.append( c.content );
							tis.$konu.val("");
							tis.$detay.html("");
						}
					}
				},
				error				:	function( xhr, c ){
					mesaj("uyari","HATA!","Sistem Hatası." + c,true);
				},
				complete	:	function(){
					$dis.removeAttr("disabled");
				}
			});
			
			return false;
		}
	}
	
	var kayitSil	=	{
		$nesne		:	"[data-kayit-sil]",
		$topluSil		:	"[data-toplu-sil]",
		basla				:	function(){
			$(document).on( "click",	this.$nesne,		this.onay.bind( this ) );
			$(document).on( "click",	this.$topluSil,	this.topluOnay.bind( this ) );
		},
		topluOnay	:	function( e ){
			var tis			=	this;
			var $dis		=	$( e.currentTarget );
			
			if( !$dis.hasClass("disabled") ){
				var secilecekler	=	$("#tabloListeleme").find("[data-gorev=secilecekler]:checked");
				var secilenler		=	$.map( secilecekler, function( k, v ){
					return k.value;
				});
				
				var param	=	$dis.data("toplu-sil");
				var info		=	secilenler.length + " Adet Kaydı " + param.mesaj;
				param.id		=	secilenler.join();
				mesaj( "bilgi", "Onay", info, true, false, "yes no", "kayitSil.Sil", param );
			}
			$dis.off( "click" );
			
		},
		onay				:	function( e ){
			var tis			=	this;
			var $dis		=	$( e.currentTarget );
			var param	=	$dis.data("kayit-sil");
			//mesaj( "uyari", "Onay", "Mesaj", kapat,rotate,buttons,fonksiyon,param )
			mesaj( "bilgi", "Onay", param.mesaj, true, false, "yes no", "kayitSil.Sil", param );
			$dis.off( "click" );
		},
		Sil					:	function( param ){
			var id				=	param.id;
			var hangisi		=	param.hangisi;
			$.ajax( SITE + "/ajax/ajax_kayit_sil.php", {
				type				:	"post",
				dataType	:	"json",
				data				:	"id=" + id + "&hangisi=" + hangisi,
				success		:	function( c ){
					if( c.hata ){
						mesaj( "uyari", "HATA", "Sistem Hatası. " + c.mesaj, true );
					}
					else{
						Listele( hangisi, window.delPar );
					}
				},
				error				:	function( xhr, c ){
					mesaj( "uyari", "HATA", "Sistem Hatası. " + c, true );
				}
			});
		}
	}
	
	var devamSuresi	=	{
		sure				:	window.devam_suresi * 60,
		gecen			:	0, //hareketsizlik süre limiti
		onay				:	60, //onay alma süresi
		basla				:	function(){
			if( this.sure ){
				$(window).mousemove( this.sifirla.bind( this ) );
				this.cache();
				this.artiInterval	=	setInterval( ( function(){ this.interval(); } ).bind( this ), 1000 );
				this.$devamBtn.click( this.devamEt.bind( this ) );
			}
		},
		cache			:	function(){
			this.$panel			=	$("#devam-suresi");
			this.$devamBtn	=	this.$panel.find("#oturuma-devam-et");
			this.$kalanSure	=	this.$panel.find("#geri-sayim-suresi");
			this.$cikisYap		=	$("a[href=#cikis-yap]");
		},
		sifirla				:	function(){
			this.gecen	=	0;
		},
		interval		:	function(){
			this.gecen	+=	1;
			this.kontrol();
		},
		kontrol		:	function(){
			if( this.gecen > this.sure ){
				this.$panel.modal( { backdrop : 'static', keyboard : false } );
				this.sayimBasla();
				clearInterval( this.artiInterval );
			}
		},
		sayimBasla	:	function(){
			this.$kalanSure.text( "60" );
			this.sayimInterval	=	setInterval( ( function(){ this.geriSayim(); } ).bind( this ), 1000 );
		},
		geriSayim	:	function(){
			if( this.onay == 0 ){
				this.$cikisYap.trigger("click");
			}
			else{
				this.onay--;
				this.$kalanSure.text( this.onay );
			}
		},
		devamEt		:	function( e ){
			this.gecen				=	0;
			this.onay				=	60;
			clearInterval( this.sayimInterval );
			this.artiInterval	=	setInterval( ( function(){ this.interval(); } ).bind( this ), 1000 );
			this.$panel.modal( "hide" );
		}
	}
	
	var iceriAktar	=	{
		$btn			:	"form#iceri-aktar button.iceri-aktar",
		$form		:	"form#iceri-aktar",
		basla			:	function(){
			$(document).on( "click",	this.$btn,	this.gonder.bind( this ) );
		},
		gonder	:	function( e ){
			var tis				=	this;
			var $dis			=	$( e.currentTarget );
			var $form		=	$( this.$form );
			var $result	=	$form.find( ".result" );
			var $bar			=	$form.find( ".progress-bar" );
			var $panel		=	$form.find( ".resim-yukleme-islemi" );
			
			var ayarlar	=	{
				url								:	SITE + "/ajax/ajax_iceri_aktar.php",
				dataType				:	"json",
				type							:	"post",
				resetForm				:	true,
				beforeSubmit		:	function(){
					$bar.css( "width", 0 );
				},
				success					:	function( c ){
					if( c.hata ){
						$result.html( c.content );
						$panel.hide();
					}
					else{
						$result.html( c.content );
						$panel.hide();
					}
					$bar.css( "width", 0 );
				},
				uploadProgress	:	function( event, position, total, percent ){
					$bar.css( "width", percent + "%" );
				},
				complete				:	function(){
					$dis.removeAttr( "disabled" );
				},
				error							:	function( xhr, c ){
					mesaj( "uyari", "HATA", "Sistem Hatası. " + c, true );
				}
			}; 
 
			//Form Gönderiliyor
			$form.ajaxSubmit( ayarlar );
			
			return false;
		}
	}
	
	var kayitliMusteriSec	=	{
		$btn			:	"[data-musteri-sec]",
		$sec			:	".musteri-secme-tablosu .checkbox",
		cache		:	function(){
			this.$body			=	$( "body" );
			this.$panel		=	$( "#musteriler-paneli" );
			this.$listeDiv	=	this.$panel.find( ".musterileri-yukle" );
			this.$loading	=	this.$panel.find( ".modal-yukleniyor" );
			this.$ara				=	this.$panel.find( "[name=musteri_ara]" );
		},
		basla			:	function(){
			this.cache();
			$( document ).on( "click",	this.$btn,	this.panelAc.bind( this ) );
			$( document ).on( "click",	this.$sec,	this.sec.bind( this ) );
			this.$ara.keyup( this.ara.bind( this ) );
			this.$panel.on( 'hidden.bs.modal', ( function ( e ){
				this.$body.addClass( "modal-open" );
			}).bind( this ) );
			this.$panel.on( 'shown.bs.modal', ( function ( e ){
				this.$ara.focus();
			}).bind( this ) );
		},
		panelAc	:	function( e ){
			e.preventDefault();
			var $dis	=	$( e.currentTarget );
			var sec	=	$dis.data( "musteri-sec" );
			if( sec ){
				this.$panel.modal( "show" );
			}
			this.$loading.show();
			this.getir();
			$dis.off( "click" );
		},
		getir			:	function(){
			var tis		=	this;
			tis.$listeDiv.html( "" );
			$.ajax( SITE + "/ajax/ajax_musterileri_getir.php",  {
				type				:	"post",
				dataType	:	"json",
				success		:	function( c ){
					if( c.hata ){
						mesaj( "uyari", "Hata!", c.content, true );
						tis.$panel.modal( "hide" );
					}
					else{
						tis.$listeDiv.html( c.content );
						tis.$panel.find( ".musteri-secme-tablosu .checkbox" ).checkbox();
					}
				},
				error				:	function( xhr, c ){
					mesaj( "uyari", "Hata!", "Sistem Hatası. " + c, true );
					tis.$panel.modal( "hide" );
				},
				complete	:	function(){
					tis.$loading.hide();
				}
			});
		},
		sec			:	function( e ){
			var tis		=	this;
			var $dis	=	$( e.currentTarget );
			var data	=	$dis.data( "musteri" );
			musteriSec(data.id, data.kod, data.isim, data.email, data.telefon, data.il, data.sehir, data.adres, data.ilce);
			tis.$panel.modal( "hide" );
			$dis.off( "click" );
		},
		ara			:	function( e ){
			var tis			=	this;
			var $dis		=	$( e.currentTarget );
			var $tablo	=	this.$listeDiv.find( ".musteri-secme-tablosu" );
			var $trInc	=	$tablo.find("tr td:icontains(" + $dis.val() + ")").parent("tr");
			if( $.trim( $dis.val() ) ){
				$trInc.siblings("tr").hide().end().show();
			}
			else{
				$trInc.siblings("tr").show().end().show();
			}
		}
	}
	
	//Servis işlemleri getiriliyor
	function servisIslemleriGetir( fis_id ){
		var $servis_islemleri		=	$( "#servis-islemleri" );
		var $yukleniyor				=	$( "#servis-islemi-yukleniyor" );
		var $tab								=	$( "#servis-islemleri-tab" );
		var $servis_toplam		=	$( ".servis-toplam-tutar" );
		$yukleniyor.css( "display", "inline-block" );
		
		$.ajax( SITE + "/ajax/ajax_servis_islemleri_getir.php", {
			type				:	"post",
			dataType	:	"json",
			data				:	{ servis_fis_id : fis_id },
			success		:	function( c ){
				if( c.hata ){
					$servis_islemleri.html( c.content );
				}
				else{
					$servis_toplam.text( c.toplam_tutar );
					$servis_islemleri.html( c.content );
					qtipEkle( $servis_islemleri.find( "[data-toggle-iki=tooltip]" ) );
					$servis_islemleri.find("[data-para-format]").maskMoney();
					$tab.html( "Servis İşlemleri " + '<span class="badge">' + c.adet + '</span>' );
				}
			},
			complete	:	function(){
				$yukleniyor.hide();
			}
		});
	}
	
	//Yetki tümünü seç
	var tumunuSec	=	{
		$check	:	".tumunu-sec",
		$panel		:	"#accordion",
		basla			:	function(){
			$( document ).on( "click", this.$check, this.sec.bind( this ) );
		},
		sec				:	function( e ){
			var $dis					=	$( e.currentTarget );
			var $box					=	$dis.find( "[name=tumunu_sec]" );
			var $accordion	=	$( this.$panel );
			var $checks			=	$accordion.find( "[type=checkbox]" );
			$checks.prop( "checked", $box.prop( "checked" ) );
		}
	}
	
	/*Form Kontrolü
	* @param string
	* @return boolean
	*/
	function formKontrol( form ){
		var $form				=	$( form );
		var $inputs			=	$form.find(":input[required]");
		var sayac				=	0;
			$inputs.each( function(){
				var $diz	=	$( this );
				if( !$.trim( $diz.val( ) ) ){
					$diz.parents(".input-data").first().removeClass("zorunlu").addClass("zorunlu").delay(4000).queue(function(){
						$diz.parents(".input-data").first().removeClass("zorunlu");
						$( this ).dequeue();
					});
					sayac++;
				}
				else{
					$diz.parents(".input-data").first().removeClass("zorunlu");
				}
			});
			
		if( sayac ){
			return false;
		}
		else{
			return true;
		}
	}
	
	//Fatura ekleme formu
	var faturaEkle	=	{
		tur					:	"",
		form1			:	"form#fatura-ekleme-formu",
		form2			:	"form#urun-ekleme-formu",
		isYuzde		:	"form#urun-ekleme-formu input[name=iskonto_yuzde]",
		isTutar			:	"form#urun-ekleme-formu input[name=iskonto_tutar]",
		isEkle			:	"button.iskonto-ekle",
		uEkleBtn	:	"button[type=submit]",
		fEkleBtn		:	"button.ekle-btn",
		uSec				:	"[name=yedek_parca_id]",
		basla				:	function(){
			this.araToplam		=	0.00;
			this.iskonto				=	0.00;
			this.matrah				=	0.00;
			this.kdv						=	0.00;
			this.genelToplam	=	0.00;
			this.kdvOrt				=	0.00;
			$( document ).on( "click",		this.form2 + " " + this.uEkleBtn,	this.urunEkle.bind( this ) );
			$( document ).on( "click",		this.form2 + " " + this.fEkleBtn,		this.faturaGir.bind( this ) );
			$( document ).on( "click",		this.form2 + " " + this.isEkle,			this.iskontoEkle.bind( this ) );
			$( document ).on( "change",	this.form2 + " " + this.uSec,				this.urunSec.bind( this ) );
			$( document ).on( "keyup",		this.isYuzde + "," + this.isTutar,		this.tutarYenile.bind( this ) );
		},
		iskontoEkle		:	function( e ){
			this.cache();
			var $dis			=	$( e.currentTarget );
			var tis				=	this;

			if( this.genelToplam > 0.00 ){
				this.tutarGuncelle( tis.araToplam, tis.kdv, tis.genelToplam, tis.kdvOrt, true );
			}
		},
		tutarYenile		:	function( e ){
			var tis			=	this;
			var $dis		=	$( e.currentTarget );
			var name	=	e.currentTarget.name;
			
			if( $.trim( $dis.val() ) && this.genelToplam > 0.00 ){
				if( name == "iskonto_yuzde" ){
					var val			=	$dis.val().replace( ',', '.' );
					var tutar	=	parseFloat( this.genelToplam / 100 ) * parseFloat( val );
					tutar				=	parseFloat( tutar );
					$( this.isTutar ).val( tutar.toFixed( 2 ) );
				}
				else if( name == "iskonto_tutar" ){
					var val			=	$dis.val().replace( '.', '' );
					val					=	val.replace( ',', '.' );
					val					=	parseFloat( val );
					var yuzde	=( val / parseFloat( this.genelToplam ) ) * 100;
					yuzde			=	parseFloat( yuzde );
					$( this.isYuzde ).val( yuzde.toFixed( 2 ) );
				}
			}
		},
		tutarGuncelle	:	function( araToplam, kdv, genelToplam, kdvOrt, iskontoAta ){
			//this.cache();
			if( iskontoAta ){
				var iskY					=	parseFloat( this.$iskontoY.val() ) || 0.00;
				this.iskonto			=	( parseFloat( genelToplam ) / 100 ) * iskY;
				
				if( this.iskonto > 0.00 ) $(this.isEkle).hide();
			}
			else{
				this.iskonto			=	parseFloat( 0.00 );
			}
			
			//alert( "araToplam = " + araToplam + " , " + "kdv = " + kdv + " , " + "genelToplam = " + genelToplam + " , " + "kdvOrt = " + kdvOrt );
			
			this.kdvOrt				=	parseFloat( kdvOrt );
			//this.araToplam		=	parseFloat( genelToplam ) - ( ( parseFloat( genelToplam ) / 100 ) * parseFloat( this.kdvOrt ) );
			this.araToplam		=	genelToplam - kdvOrt;
			this.matrah				=	this.araToplam;
			this.kdv						=	parseFloat( kdvOrt );
			this.genelToplam	=	parseFloat( this.matrah + this.kdv ) - this.iskonto;
			
			this.$araToplam.html( this.araToplam.toFixed( 2 ) + " TL" );
			this.$iskonto.html( this.iskonto.toFixed( 2 ) + " TL" );
			this.$matrah.html( this.matrah.toFixed( 2 ) + " TL" );
			this.$kdvTutar.html( this.kdvOrt.toFixed( 2 ) + " TL" );
			this.$genelToplam.html( this.genelToplam.toFixed( 2 ) + " TL" );
		},
		cache			:	function(){
			this.$form2					=	$( this.form2 );
			this.$form1					=	$( this.form1 );
			this.$uEkleBtn			=	this.$form2.find( this.uEkleBtn );
			this.$fEkleBtn				=	this.$form2.find( this.fEkleBtn );
			this.$barkod				=	this.$form2.find( "[name=barkod]" );
			this.$yedek_parca	=	this.$form2.find( this.uSec );
			this.$satis_fiyati			=	this.$form2.find( "[name=satis_fiyati]" );
			this.$alis_fiyati			=	this.$form2.find( "[name=alis_fiyati]" );
			this.$parca_kdv			=	this.$form2.find( "[name=yedek_parca_kdv]" );
			this.$adet						=	this.$form2.find( "[name=adet]" );
			this.$urunlerDiv			=	this.$form2.find( ".fatura-girilen-urunler" );
			this.$araToplam			=	this.$form2.find( "[data-field=ara-toplam]" );
			this.$iskonto				=	this.$form2.find( "[data-field=iskonto]" );
			this.$matrah				=	this.$form2.find( "[data-field=matrah]" );
			this.$iskontoY				=	$( this.isYuzde );
			this.$iskontoT				=	$( this.isTutar );
			this.$kdvTutar			=	this.$form2.find( "[data-field=kdv-tutar]" );
			this.$genelToplam	=	this.$form2.find( "[data-field=genel-toplam]" );
		},
		faturaGir		:	function( e ){
			if( !formKontrol( this.form1 ) ){
				return;
			}
			this.cache();
			var tis			=	this;
			var $dis		=	$( e.currentTarget );
			$dis.attr( "disabled", true );
			$.ajax( SITE + "/ajax/ajax_fatura_ekle.php?iskonto=" + tis.iskonto, {
				type				:	"post",
				dataType	:	"json",
				data				:	this.$form1.serialize(),
				success		:	function( c ){
					if( c.hata ){
						mesaj( "uyari", "Hata!", c.mesaj, true );
					}else{
						var tur	=	( c.tur == "alis" ) ? "Alış" : "Satış";
						modalAc( "fatura_ekleme", { "baslik" : tur + " Faturası", "yenile" : true, "id" : c.son_id, "args" : { "fatura_tur" : c.tur } } );
						bildirim({
							"mesaj" : c.mesaj,
							"merkez" : "center",
							"zaman" : 4000,
							"durum" : "success"
						});
					}
				},
				error				:	function( xhr, c ){
					mesaj( "uyari", "Hata!", "Sistem Hatası. " + c, true );
				},
				complete	:	function(){
					$dis.removeAttr( "disabled" );
				}
			} );
		},
		urunEkle		:	function( e ){
			this.cache();
			var tis					=	this;
			var $dis				= $( e.currentTarget );
			var parca_adi	=	this.$yedek_parca.find( "option:selected" ).text();
			var options		=	{
				"parca_adi"	:	parca_adi,
				"islem"				:	"ekle"
			}
			this.gonder( options );
			$dis.attr( "disabled", true );
			return false;
		},
		urunSil			:	function( ekliID ){
			var options		=	{
				"ekliID"	:	ekliID,
				"islem"		:	"sil"
			}
			this.gonder( options );
		},
		gonder		:	function( options ){
			var tis	=	this;
			$.ajax( SITE + "/ajax/ajax_urun_ekle.php?islem=" + options.islem, {
				type				:	"post",
				dataType	:	"json",
				data				:	this.$form2.serialize() + "&parca_adi=" + options.parca_adi + "&ekliID=" + options.ekliID,
				success		:	function( c ){
					if( !c.hata ){
						tis.$urunlerDiv.html( c.content );
						tis.tutarGuncelle( c.araToplam, c.kdvTutar, c.genelToplam, c.kdvOrt );
						tis.$form2[0].reset();
						tis.$yedek_parca.selectpicker( "render" );
					}
				},
				complete	:	function(){
					tis.$uEkleBtn.removeAttr( "disabled" );
				}
			} );
		},
		urunGetir	:	function( id, adi, barkod, birim_fiyat, kdv, alis_fiyat ){
			this.cache();
			this.$yedek_parca.val( id ).selectpicker( "render" );
			this.$barkod.delay(50).queue( function(){ 
																	$( this ).val( barkod ); 
																	$( this ).dequeue(); } );
			this.$satis_fiyati.val( birim_fiyat );
			this.$alis_fiyati.val( alis_fiyat );
			this.$parca_kdv.val( kdv );
		},
		urunSec		:	function( e ){
			this.cache();
			var tis		=	this;
			var $dis	=	$( e.currentTarget );
			var id		=	$dis.val();
			if( id ){
				this.urunGetir(	urunler["id_" + id].yedek_parca_id,
													urunler["id_" + id].yedek_parca_adi,
													urunler["id_" + id].barkod,
													urunler["id_" + id].birim_fiyat,
													urunler["id_" + id].kdv,
													urunler["id_" + id].alis_fiyat
												);
			}
		}
	}
	
	/**
	 * String içinden sayıları al
	 */
	function number(str)
	{
		if(!str) return "";
		const numbers = str.match(/(\d+)/g);
		const number = numbers.join("");
		return parseInt(number);
	}

	/**
	 * Whatsapp'ta belirtilen içeriği aç
	 */
	function openWhatsApp(phone, el)
	{
		const $el = $(el);
		const nmb = phone;

		if($.trim($el.html()) && $.trim(nmb))
			window.open(`https://wa.me/+90${nmb}/?text=${encodeURI($el.html())}`, '_blank');
	}