<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/EmailSablon.php";
	
	$form					=	"email-sablon-ekleme-formu";
	$id							=	get("id");
	$_emailSablon	=	new EmailSablon();
	$bilgiler				=	$_emailSablon -> ozelSorgu("select email_sablon_baslik,email_sablon_konu,email_sablon_detay from "._EMAILSABLONLARI." 
										where email_sablon_id = ? and email_sablon_sil = 0 LIMIT 1",array($id));
										
	if( $bilgiler === false || !count( $bilgiler ) ){
		$hata	=	"Şablon Bulunamadı. ".$_emailSablon -> getHata();
	}

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
								
								<?php if( $hata ): ?>
									<div class="alert alert-danger">
										<strong>İstenilen Bilgilere Ulaşılamıyor veya Kaynak Silinmiş.</strong><br />
										<strong>Bilgi :</strong> <?php echo $hata; ?>
									</div>
								<?php exit(); ?>
								<?php endif; ?>
								
									<form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data" data-par='{ "hangisi" : "email_sablon" , "listele" : "email_sablonlar" }' autocomplete = "off" >
										<div class="row">
											<div class="col-xs-12 col-sm-7 col-md-8 sablon-paneli-css">
												<div class="row ilk-panel">
													<div class="col-xs-12">
														<div class="form-group">
															<label><i class="fa fa-header"></i> Şablon Adı</label>
															<div class="form-group pos-rel input-data">
																<input type="text" name="email_sablon_baslik" class="form-control" maxlength="100" value="<?php echo $bilgiler[0]["email_sablon_baslik"]; ?>" required />
															</div>
														</div>
														<div class="form-group">
															<label><i class="fa fa-tag"></i> Konu Başlığı</label>
															<div class="form-group pos-rel input-data">
																<input type="text" name="konu_baslik" class="form-control" maxlength="155" required 
																value="<?php echo $bilgiler[0]["email_sablon_konu"]; ?>" />
															</div>
														</div>
														<div class="form-group">
															<label><i class="fa fa-envelope-o"></i> Şablon Detayı</label>
															<div class="form-group pos-rel input-data">
																<textarea name="email_sablon_detay" class="trumbowyg-editor form-control" style="height:130px;" required ><?php echo $bilgiler[0]["email_sablon_detay"]; ?></textarea>
															</div>
														</div>
													</div>
													<div class="col-xs-12">
														<input type="hidden" name="islem" value="duzenle" />
														<input type="hidden" name="id" value="<?php echo $id; ?>" />
													
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
													</div>
												</div>
												<div class="row son-panel">
													<div class="col-xs-12">
														<div class="alert alert-success response" role="alert"></div>
													</div>
												</div>
											</div>
											<div class="col-xs-12 col-sm-5 col-md-4 resim-yukleme-paneli no-border sablon-degisim-kodlari">
												<label><i class="fa fa-code"></i> Şablon Kodları</label>
												<table class="table-bordered">
													<tbody>
														<tr><td>Firma Adı</td><td>[firma_adi]</td></tr>
														<tr><td>Firma Telefonu</td><td>[firma_tel]</td></tr>
														<tr><td>Firma Adres</td><td>[firma_adres]</td></tr>
														<tr><td>Servis Fiş No</td><td>[servis_fis_no]</td></tr>
														<tr><td>Cihaz Adı</td><td>[cihaz_adi]</td></tr>
														<tr><td>Müşteri Adı</td><td>[musteri_adi]</td></tr>
														<tr><td>Müşteri Paneli</td><td>[musteri_sorgulama_url]</td></tr>
														<tr><td>Müşteri Telefonu</td><td>[musteri_tel]</td></tr>
													</tbody>
												</table>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>