<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$args = json_decode( html_entity_decode( get("args") ), true );
	$fatura_tur = $args["fatura_tur"];
	
	$_servis = new Servis();

?>
<div class="modal-icerik-style">
	<div class="row">
		<div class="col-xs-12">
			<form id="fatura-arama-formu" action="" method="post">
			
				<input type="hidden" name="fatura_tur" data-tur='{ "tur" : "tam", "kolon" : "f_tur" }' value="<?php echo $fatura_tur; ?>" />

				<div class="form-group">
					<label>#Servis Fiş No</label>
					<input type="text" name="servis_fis_no" class="form-control" data-tur='{ "tur" : "tam", "kolon" : "f_fis_no" }' />
				</div>
			
				<div class="form-group">
					<label>#Fatura ID</label>
					<input type="text" name="fatura_id" class="form-control" data-tur='{ "tur" : "tam", "kolon" : "f_id" }' />
				</div>
				
				<div class="form-group">
					<label>#Sıra Seri No</label>
					<input type="text" name="sira_seri_no" class="form-control" data-tur='{ "tur" : "tam", "kolon" : "f_seri_no" }' />
				</div>
				
				<div class="form-group">
					<label><i class="fa fa-user"></i> Cari Hesap</label>
						<input type="text" name="musteri" class="form-control" data-otomatik-tamamla="musteri" data-param="musteri" />
						<input type="hidden" name="musteri_id" value="" data-tur='{ "tur" : "tam", "kolon" : "m_id" }' />
				</div>
				
				<hr>
				
				<div class="form-group">
					<label><i class="fa fa-try"></i> Genel Toplam</label>
					<div style="padding:0 6px;">
						<div class="slider-range" data-options='{ "range" : true, "min" : 0, "max" : 5000, "values" : [0,5000], "minText" : "#min-fiyat", "maxText" : "#max-fiyat" }'></div>
					</div>
					<div class="input-group input-daterange" style="margin-top:10px;">
						<input id="min-fiyat" type="text" placeholder="min" name="start" class="form-control" data-tur='{ "tur" : "between", "kolon" : "f_toplam", "tarih" : "ekle" }' data-inputmask="'alias' : 'integer', 'rightAlign' : false, 'allowMinus' : false" maxlength="6" />
						<span class="input-group-addon"><i class="fa fa-arrows-h"></i></span>
						<input id="max-fiyat" type="text" placeholder="max" name="end" class="form-control" data-tur='{ "tur" : "between", "kolon" : "f_toplam", "tarih" : "bitis" }' data-inputmask="'alias' : 'integer', 'rightAlign' : false, 'allowMinus' : false" maxlength="6" />
					</div>
				</div>
				
				<hr>
				
				<div class="row" style="margin-top:15px;">
					<div class="col-xs-12">
						<button type="submit" class="btn btn-primary btn-block" data-liste-ara='{ "hangisi" : "fatura", "form" : "fatura-arama-formu" }'><i class="fa fa-search"></i> Arama Yap</button>
					</div>
				</div>
				
			</form>
		</div>
	</div>
</div>