<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$form		=	"genel-ayarlar-formu";
	$id				=	1;
	
	$_servis	=	new Servis();
	
	$yetki_genel_ayarlar_duzenle	=	yetki( "genel_ayarlar_duzenle" );
	
	if( $yetki_genel_ayarlar_duzenle ){
		
		$bilgiler	=	$_servis -> ozelSorgu("select * from "._AYARLAR." where ayar_id = ? LIMIT 1", array( $id ) );
		
		if( $bilgiler === false || !count( $bilgiler ) ){
			$hata	=	"Ayarlar Yüklenemedi. ".$_servis -> getHata();
		}

		extract( $bilgiler[0] );
	
	}

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
								
								<?php if( $hata ): ?>
									<div class="alert alert-danger">
										<strong>İstenilen Bilgilere Ulaşılamıyor veya Kaynak Silinmiş.</strong><br />
										<strong>Bilgi :</strong> <?php echo $hata; ?>
									</div>
								<?php exit(); ?>
								<?php endif; ?>
								
								<?php if( $yetki_genel_ayarlar_duzenle ): ?>
									<form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data" data-par='{ "hangisi" : "genel_ayarlar" , "listele" : "genel_ayarlar" }' autocomplete = "off" >
								
										<div class="ms-tab">
											<div class="tab-menu">
												<ul class="clearfix">
													<li class="active"><a href="#">Genel Ayarlar</a></li>
													<li><a href="#">Teknik Servis Şartları</a></li>
													<li><a href="#">Firma İmzası</a></li>
												</ul>
											</div>
										
											<div class="ms-tab-content">
												
												<div class="row tab-bir" style="display:block;min-height:200px;">
													<div class="col-xs-12">
														<div class="row">
															<div class="col-xs-6 col-sm-9">
																<div class="form-group">
																	<label><i class="fa fa-unlock"></i> Panel Kodu *</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="panel_sifre" class="form-control" required value="<?php echo $panel_sifre; ?>"  maxlength="10" />
																	</div>
																</div>
															</div>
															<div class="col-xs-6 col-sm-3">
																<div class="form-group">
																	<label><i class="fa fa-clock-o"></i> Devam Süresi</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="devam_suresi" class="form-control" placeholder="DK" 
																		value="<?php echo $devam_suresi; ?>" maxlength="3" 
																		data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" />
																	</div>
																</div>
															</div>
															<div class="col-xs-6 col-sm-4">
																<div class="form-group">
																	<label><i class="fa fa-percent"></i> Servis Tutarı KDV</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="servis_tutari_kdv" class="form-control" 
																		value="<?php echo $servis_tutari_kdv; ?>" maxlength="2" 
																		data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" />
																	</div>
																</div>
															</div>
															<div class="col-xs-6 col-sm-4">
																<div class="form-group">
																	<label><i class="fa fa-percent"></i> Teslim Formu KDV</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="kdv_oran" class="form-control" value="<?php echo $kdv_oran; ?>" maxlength="2" 
																		data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" />
																	</div>
																</div>
															</div>
															
															<div class="col-xs-12">
																<div class="garanti-kutu">
																	<div class="ui checkbox <?php echo ( $backup ) ? "checked" : null; ?>" data-toggle="popover" data-content="Veritabanını günlük yedekle" data-placement="top">
																		<input type="checkbox" name="backup" value="1"  
																		<?php echo ( $backup ) ? "checked" : null; ?> /> 
																		<label>Veritabanı yedekle</label>
																   </div>
																</div>
															</div>
															<div class="col-xs-12">
																<div class="garanti-kutu">
																	<div class="ui checkbox <?php echo ( $musteri_sorgula ) ? "checked" : null; ?>" data-toggle="popover" data-content="Müşterinin Servisteki Cihazıyla İlgili Sorgulama Yapabilmesini Sağlar." data-placement="top">
																		<input type="checkbox" name="musteri_sorgulama" value="1"  
																		<?php echo ( $musteri_sorgula ) ? "checked" : null; ?> /> 
																		<label>Müşteri Sorgulama Paneli</label>
																   </div>
																</div>
															</div>
															<div class="col-xs-12">
																<div class="garanti-kutu">
																	<div class="ui checkbox <?php echo ( $panel_bilgilerini_ekle ) ? "checked" : null; ?>">
																		<input type="checkbox" name="panel_bilgilerini_ekle" value="1"  
																		<?php echo ( $panel_bilgilerini_ekle ) ? "checked" : null; ?> />
																		<label>Müşteri Paneli Bilgilerini Forma Ekle</label>
																   </div>
																</div>
															</div>
															<div class="col-xs-12">
																<div class="garanti-kutu">
																	<div class="ui checkbox <?php echo ( $tahsilat_makbuzu_tutar_yaz ) ? "checked" : null; ?>">
																		<input type="checkbox" name="tahsilat_makbuzu_tutar_yaz" value="1"  
																		<?php echo ( $tahsilat_makbuzu_tutar_yaz ) ? "checked" : null; ?> />
																		<label>Tahsilat Makbuzuna Tutarı Ekle</label>
																   </div>
																</div>
															</div>
															<div class="col-xs-12">
																<div class="garanti-kutu">
																	<div class="ui checkbox <?php echo ( $servis_formu_tutar_yaz ) ? "checked" : null; ?>">
																		<input type="checkbox" name="servis_formu_tutar_yaz" value="1"  
																		<?php echo ( $servis_formu_tutar_yaz ) ? "checked" : null; ?> />
																		<label>Servis Formuna Tutarı Ekle</label>
																   </div>
																</div>
															</div>
														</div>
													</div>
												</div>
												<div class="row tab-bir">
													<div class="col-xs-12">
														<div class="row">
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-question-circle"></i> 
																	Teknik Servis Şartları - Şablon Kodları</label>
																	<div class="resim-yukleme-paneli no-border sablon-degisim-kodlari firma-imza">
																		<table class="table-bordered">
																			<tbody>
																				<tr>
																					<td class="text-center"><strong>[firma_adi]</strong></td>
																					<td class="text-center"><strong>[firma_tel]</strong></td>
																					<td class="text-center"><strong>[firma_email]</strong></td>
																					<td class="text-center"><strong>[firma_adres]</strong></td>
																				</tr>
																			</tbody>
																		</table>
																	</div>
																	<div class="form-group pos-rel input-data">
																		<textarea name="sartname" class="form-control" rows="12"><?php echo $sartname; ?></textarea>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
												<div class="row tab-bir">
													<div class="col-xs-12">
														<div class="row">
															<div class="col-xs-12">
																<div class="form-group">
																	<div class="form-group pos-rel input-data">
																		<textarea name="firma_imza" 
																		class="trumbowyg-editor form-control"><?php echo $firma_imza; ?></textarea>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
												
											</div>
										</div>
										<input type="hidden" name="id" value="<?php echo $id; ?>" />
										
										<hr style="margin-bottom:10px;" />
											<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" 
											data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>">
											<span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
										
									</form>
								<?php else: ?>
									<div class="alert alert-danger">
										<strong><i class="fa fa-times"></i> Ayarları Düzenleme Yetkiniz Yok !</strong>
									</div>
								<?php endif; ?>
									
								</div>
							</div>
						</div>