<?php
	
	session_start();
	
	if( !isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"] ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Users.php";
	
	$form				=	"personel-ekleme-formu";
	$id						=	get("id");
	$_personel	=	new Users();
	
	$yetki_personel_duzenle			=	yetki( "personel_duzenle" );
	$yetki_personel_resim_ekle	=	yetki( "personel_resim_ekle" );
	$yetki_personel_resim_sil			=	yetki( "personel_resim_sil" );
	
	$kilitle	=	( $yetki_personel_duzenle ) ? null : "kilitle";
	
	$bilgiler			=	$_personel -> ozelSorgu( "select * from "._USERS." where user_id = ? and user_durum != 0 LIMIT 1", array( $id ) );
	
	if( $bilgiler === false || !count( $bilgiler ) ){
		$hata	=	"Personel Bulunamadı. ".$_personel -> getHata();
	}
	
	$servisFisleri			=	$_personel -> ozelSorgu( "select servis_fis_id from "._SERVISFISLERI." where ekleyen_id = ? and fis_sil = 0", array( $id ) );
	
	$toplamIslem		=	$_personel -> ozelSorgu( "select COUNT( servis_islem_id ) as  toplam from "._SERVISISLEMLERI." 
																									where ekleyen_id = ? and servis_islem_sil = 0", array( $id ) )[0];
																									
	$gorevler	=	$_personel -> ozelSorgu( "select servis_fis_id from "._GOREVLER." where gorev_alan_id = ?", array( $id ) );
	
	$ids	=	implode( ",", array_map( function( $item ){
											return $item["servis_fis_id"];
										}, $gorevler ) );
	
	$_resim								=	$bilgiler[0]["user_profil_resmi"];
	
		if(is_file($_SESSION["root"]."/uploads/resimler/".$_resim)){
			$_resim = $_SESSION["oto_url"]."/uploads/resimler/".$_resim;
			$resimEkli = true;
		}
		else{
			$_resim = $_SESSION["oto_url"]."/assets/img/no-image.jpg";
		}

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
								
								<?php if( $hata ): ?>
									<div class="alert alert-danger">
										<strong>İstenilen Bilgilere Ulaşılamıyor veya Kaynak Silinmiş.</strong><br />
										<strong>Bilgi :</strong> <?php echo $hata; ?>
									</div>
								<?php exit(); ?>
								<?php endif; ?>
								
									<form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data" 
									data-par='{ "hangisi" : "personel" , "listele" : "personel" }' autocomplete = "off" class="<?php echo $kilitle; ?>" >
										<div class="row">
											<div class="col-xs-12 col-sm-7 sablon-paneli-css">
												<div class="row ilk-panel">
													<div class="row">
														<div class="col-xs-12">
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-user"></i> Kullanıcı Adı</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="kullanici_adi" class="form-control" maxlength="100" readonly disabled="disabled" value="<?php echo $bilgiler[0]["user_name"]; ?>"/>
																	</div>
																</div>
															</div>
															
															<?php 
																if( $bilgiler[0]["user_yetki"] != 0 ):
																$_SESSION["user_admin"]	=	false;
															?>
																<div class="col-xs-12">
																	<div class="ui checkbox <?php echo ( $bilgiler[0]["user_durum"] != 3 ) ? "checked" : null; ?>" 
																	style="margin:-10px 0 10px 0;">
																		<input type="checkbox" name="aktif" value="1" 
																		<?php echo ( $bilgiler[0]["user_durum"] != 3 ) ? "checked" : null; ?> />
																		<label>Aktif</label>
																	</div>
																</div>
															<?php 
																else:
																$_SESSION["user_admin"]	=	true;
															?>
															<?php endif; ?>
															
															<div class="duz-cizgi no-padding" style="margin-bottom:10px;"><hr /></div>
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label><i class="fa fa-unlock-alt"></i> Şifre</label>
																	<div class="form-group pos-rel input-data">
																		<input type="password" name="sifre" class="form-control" maxlength="100" />
																	</div>
																</div>
															</div>
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label><i class="fa fa-unlock-alt"></i> Şifre Tekrar</label>
																	<div class="form-group pos-rel input-data">
																		<input type="password" name="sifre_tekrar" class="form-control" maxlength="100" />
																	</div>
																</div>
															</div>
															<div class="col-xs-12">
																<div class="ui checkbox" style="margin:-10px 0 10px 0;">
																	<input type="checkbox" name="sifre_degistir" value="1" /> 
																	<label>Şifre Değiştir</label>
																</div>
															</div>
														</div>
													</div>
													<hr />
													<div class="row">
														<div class="col-xs-12">
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label><i class="fa fa-tag"></i> Ad *</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="ad" class="form-control" maxlength="100" value="<?php echo $bilgiler[0]["user_ad"]; ?>" required />
																	</div>
																</div>
															</div>
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label><i class="fa fa-tag"></i> Soyad *</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="soyad" class="form-control" maxlength="100" value="<?php echo $bilgiler[0]["user_soyad"]; ?>" required />
																	</div>
																</div>
															</div>
														</div>
													</div>
													<hr />
													<div class="row">
														<div class="col-xs-12">
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-at"></i> Email</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="email" class="form-control" maxlength="150" value="<?php echo $bilgiler[0]["user_email"]; ?>" />
																	</div>
																</div>
															</div>
														</div>
														<div class="col-xs-12">
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-list-alt"></i> Görev Tanımı</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="gorev_tanim" class="form-control" maxlength="150" value="<?php echo $bilgiler[0]["user_gorev_tanim"]; ?>" />
																	</div>
																</div>
															</div>
														</div>
													</div>
													<hr />
													<div class="row">
														<div class="col-xs-12">
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label><i class="fa fa-phone"></i> Telefon</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="telefon" class="form-control" data-inputmask="'mask': '(999) 999 99 99'" maxlength="100" value="<?php echo $bilgiler[0]["user_tel"]; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-12 col-sm-6">
																<?php if($bilgiler[0]["user_yetki"] != 0): ?>
																	<div class="form-group">
																		<label><i class="fa fa-shield"></i> Yetki</label>
																		<div class="form-group pos-rel input-data">
																			<select name="yetki" class="selectpicker form-control">
																				<?php foreach($_SESSION["bilgi"]["yetkiler"] as $dur): ?>
																					<option value="<?php echo $dur["yetki_id"]; ?>" <?php echo ($bilgiler[0]["user_yetki"] == $dur["yetki_id"]) ? "selected" : null; ?>><?php echo $dur["yetki_baslik"]; ?></option>
																				<?php endforeach; ?>
																			</select>
																		</div>
																	</div>
																<?php else: ?>
																	<input type="hidden" name="yetki" value="0" />
																<?php endif; ?>
															</div>
														</div>
													</div>
													<div class="col-xs-12 col-sm-6">
													
													<?php if( $yetki_personel_duzenle ): ?>
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-8" data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
													<?php endif; ?>
													
													</div>
													
												</div>
												<div class="row son-panel">
													<div class="col-xs-12">
														<div class="alert alert-success response" role="alert"></div>
													</div>
												</div>
											</div>
											<div class="col-xs-12 col-sm-5 resim-yukleme-paneli no-border">
												<div class="pos-rel">
													<span class="yeni-resim-yukleniyor rotate"><i class="fa fa-spinner"></i></span>
													<div class="resim-ozellikleri">
														<!--<span>max : 200x200</span>-->
														<span>jpg , png</span>
													</div>
													<img src="<?php echo $_resim; ?>" class="thumbnail img-responsive ortala" alt="<?php echo $bilgiler[0]["user_name"]; ?>" data-guncellenecek-resim="true" />
														<?php if( $resimEkli && $yetki_personel_resim_sil ): ?>
															<span class="ikon-resim-sil" data-toggle-iki="tooltip" title="Resmi Sil" data-param='{ "tur" : "personel", "id" : <?php echo $id; ?>, "resim_adi" : "<?php echo $bilgiler[0]["user_profil_resmi"]; ?>" }'><i class="fa fa-times"></i></span>
														<?php endif; ?>
													<div class="resim-siliniyor">
														<span class="rotate"><i class="fa fa-spinner"></i></span>
													</div>
												</div>
												
												<?php if( $yetki_personel_resim_ekle ): ?>
												<div class="resim-secme clear" style="margin-top:10px;">
													<span class="btn btn-default btn-sm dosya-sec in-block left col-xs-5"><i class="fa fa-floppy-o"></i> Resim Seç
														<input type="file" name="resim" accept=".jpg, .png" />
													</span>
													<span class="secilen-dosya left in-block col-xs-7 font-bold">
														
													</span>
												</div>
												<?php endif; ?>
												
												<div class="resim-yukleme-islemi">
													<div class="resim-load-bar">
														<div class="progress" style="margin:10px 0;">
														  <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:0%">
															<span class="sr-only">0%</span>
														  </div>
														</div>
													</div>
													<div class="resim-yukleme-butonu">
														<input type="hidden" name="hangisi" value="personel" />
														<input type="hidden" name="islem" value="duzenle" />
														<input type="hidden" name="resim_adi" value="<?php echo $bilgiler[0]["user_profil_resmi"]; ?>" />
														<input type="hidden" name="id" value="<?php echo $id; ?>" />
														<button type="submit" class="btn btn-primary btn-sm col-xs-5" data-form="<?php echo $form; ?>" data-resim-duzenle="true"><i class="fa fa-cloud-upload"></i> Yükle</button>
													</div>
												</div>
												
												<div class="sonuc-mesaj">
													<div class="alert alert-success response" role="alert"></div>
												</div>
												
												<div class="musteri-odeme-tablosu">
													<table class="table table-bordered">
														<tr>
															<th>Servis İşlemleri</th>
															<td><a href="#" class="link-ata"><?php echo $toplamIslem["toplam"]; ?></a></td>
														</tr>
														<tr>
															<th>Eklediği Servis</th>
															<td>
																<a href="#" class="link-ata" 
																<?php echo count( $servisFisleri ) ? 'data-listele="servis_fisleri"' : null; ?> 
																data-param='{ "where" : { "kolon" : ["u_id"], "tur" : ["tam"], "value" : [ "<?php echo $id; ?>" ] } }'>
																<?php echo count( $servisFisleri ); ?> <i class="fa fa-external-link"></i></a>
															</td>
														</tr>
														<tr>
															<th>Görev Listesi</th>
															<td>
																<a href="#" class="link-ata" 
																<?php echo count( $gorevler ) ? 'data-listele="servis_fisleri"' : null; ?> 
																data-param='{ "where" : { "kolon" : ["fis_id"], "tur" : ["in"], "value" : [ "<?php echo $ids; ?>" ] } }'>
																<?php echo count( $gorevler ); ?> <i class="fa fa-external-link"></i></a>
															</td>
														</tr>
													</table>
													
													<?php if( $_SESSION["user"]["user_id"] != $id ): ?>
														<button type="button" class="btn btn-primary btn-sm col-xs-12" data-modal-ac="mesaj_gonder" 
														data-param='{ "baslik" : "Mesaj Paneli", "yenile" : true, "id" : <?php echo $id; ?>, 
														"args" : { "hangisi" : "personel_duzenleme", "baslik" : "Personel Bilgileri" } }'>
														<i class="fa fa-envelope"></i> Mesaj Gönder</button>
													<?php endif; ?>
												</div>
												
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>