<?php

	session_start();
	
	if( basename( __FILE__ ) == basename( $_SERVER["PHP_SELF"] ) || !$_SESSION["login"] ){
		header("Content-type: text/html; charset=UTF-8");
		echo "Bu Sayfayı Görme Yetkiniz Yok";
		exit;
	}
	
	if( !$yetki_servis_islemi_ekle ){
		$noContent = '<div class="alert alert-danger">
							<i class="fa fa-times"></i> Servis İşlemi Ekleme Yetkiniz Yok !
						</div>';
	}
	if( $faturaVar ){
		$noContent = '<div class="alert alert-info">
							<i class="fa fa-info"></i> Bu Servis Fişi Faturalandırılmış.
						</div>';
	}
	
?>
	
	<?php if( !$bilgiler["gorev_mudahale"] && $benID != $bilgiler["ekleyen_id"] 
						&& $_SESSION["user"]["user_yetki"] != 0 && $benID != $_gorev[0]["gorev_alan_id"] ): ?>
		<div class="alert alert-info no-margin">
			Bu Servis Görev Olarak Atanmış.
		</div>
	<?php else: ?>
	
	<?php if( !$noContent ): ?>
	<form id="<?php echo $form3; ?>" action="" method="post" autocomplete = "off" data-par='{ "hangisi" : "servis_islemi" }'>
	<div class="row">
		
		<div class="col-xs-12 col-sm-6">
			<div class="form-group">
				<label><i class="fa fa-cog"></i> Servis Açıklaması (*)</label>
					<div class="form-group pos-rel input-data">
						<textarea name="islem_aciklama" class="form-control" rows="4" required ></textarea>
					</div>
			</div>
		</div>
		<div class="col-xs-12 col-sm-3">
			<div class="form-group">
				<label><i class="fa fa-money"></i> Servis Tutarı</label>
					<div class="input-group pos-rel input-data">
						<input type="text" name="tutar" class="form-control" data-para-format="TR" data-thousands="." data-decimal="," placeholder="0,00" />
						<span class="input-group-addon"><i class="fa fa-try"></i></span>
					</div>
			</div>
		</div>
		<div class="col-xs-12 col-sm-3">
			<div class="form-group">
				<label><i class="fa fa-info-circle"></i> Servis Durum</label>
					<div class="form-group pos-rel input-data">
						<select name="durum" class="selectpicker form-control">
							<option value="0">Yeni Servis</option>
							<?php foreach($_SESSION["bilgi"]["durumlar"] as $dur): ?>
								<option value="<?php echo $dur["durum_id"]; ?>" <?php echo ($dur["durum_id"] == $bilgiler["durum_id"]) ? "selected" : null; ?>>
									<?php echo $dur["durum_baslik"]; ?>
								</option>
							<?php endforeach; ?>
						</select>
					</div>
			</div>
		</div>
		
		<div class="col-xs-12 col-sm-6" style="margin-top:-4px;">
			<div class="garanti-kutu">
				<div class="ui checkbox checked">
					<input type="checkbox" name="servis_formunda_goster" value="1" checked />
					<label>Servis Formunda Görünsün</label>
			   </div>
			</div>
		</div>
		
		<div class="col-xs-12">
			<div class="garanti-kutu">
				<div class="ui checkbox">
					<input type="checkbox" name="gider_ekle" value="1" data-panel-check="#gider-ekle" />
					<label>Gider Ekle</label>
			   </div>
			   <div class="gizli" id="gider-ekle">
					<div class="row">
						<div class="col-xs-12 col-sm-9">
							<div class="form-group">
								<label><i class="fa fa-comment-o"></i> Gider Açıklaması</label>
									<div class="form-group pos-rel input-data">
										<input type="text" name="gider_aciklama" class="form-control" />
									</div>
							</div>
						</div>
						<div class="col-xs-12 col-sm-3">
							<div class="form-group">
								<label><i class="fa fa-money"></i> Tutar</label>
									<div class="input-group pos-rel input-data">
										<input type="text" name="gider_tutar" class="form-control" 
										data-para-format="TR" data-thousands="." data-decimal="," placeholder="0,00" />
										<span class="input-group-addon"><i class="fa fa-try"></i></span>
									</div>
							</div>
						</div>
					</div>
			   </div>
			</div>
		</div>
		
		<div class="col-xs-12">
			
			<?php 
				/*Servis işlemi için kullanilan malzemeler bölümü*/
				include $_SESSION["root"]."/form/servis_fisi/kullanilan_malzemeler.php";
			?>
			
		</div>
			
			<input type="hidden" name="servis_fis_id" value="<?php echo $id; ?>" />
			
		<div class="col-xs-12">
			<button type="submit" class="submit-btn btn btn-primary" data-fonksiyon="kayitEkle" data-form="#<?php echo $form3; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Servise Kaydet</button>
		</div>
			
	</div>
	</form>
	<?php else: ?>
		<?php echo $noContent; ?>
	<?php endif; ?>
	<?php endif; ?>