<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Iller.php";
	
	$iller			=	new Il();
	$dun			=	time() - (60 * 60 *24);
	$yarin		=	time() + (60 * 60 *24);
	
	$_servis	=	new Servis();
	
	$markalar	=	$_servis -> ozelSorgu( "select marka_id, marka_baslik from "._MARKALAR." where marka_sil = 0" );

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
									<form id="servis-fisi-arama-formu" action="" method="post">
										<div class="row">
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label><i class="fa fa-barcode"></i> Fiş No</label>
													<input type="text" name="fis_no" class="form-control" 
													data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" 
													data-tur='{ "tur" : "tam", "kolon" : "fis_no" }' />
												</div>
											</div>
																		
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label><i class="fa fa-user"></i> Cari Hesap</label>
														<input type="text" name="musteri" class="form-control" data-otomatik-tamamla="musteri" data-param="musteri" />
														<input type="hidden" name="musteri_id" value="" data-tur='{ "tur" : "tam", "kolon" : "m_id" }' />
												</div>
											</div>
											
										</div>
										<hr />
										<div class="row">
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label><i class="fa fa-trademark"></i> Marka</label>
													<select name="marka" class="selectpicker form-control" data-tur='{ "tur" : "tam", "kolon" : "marka" }'>
														<option value="">Seçilmedi</option>
														<?php foreach( $markalar as $mar ): ?>
															<option value="<?php echo $mar["marka_id"]; ?>"><?php echo $mar["marka_baslik"]; ?></option>
														<?php endforeach; ?>
													</select>
												</div>
											</div>
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label><i class="fa fa-desktop"></i> Cihaz</label>
													<select name="cihaz" class="selectpicker form-control" data-tur='{ "tur" : "tam", "kolon" : "cihaz" }'>
														<option value="">Seçilmedi</option>
														<?php foreach($_SESSION["bilgi"]["cihazlar"] as $cih): ?>
															<option value="<?php echo $cih["cihaz_id"]; ?>"><?php echo $cih["cihaz_baslik"]; ?></option>
														<?php endforeach; ?>
													</select>
												</div>
											</div>
											<div class="col-xs-12 col-sm-4">
												<div class="form-group">
													<label><i class="fa fa-barcode"></i> Model No</label>
													<input type="text" name="model" class="form-control" data-tur='{ "tur" : "like", "kolon" : "model" }' />
												</div>
											</div>
											<div class="col-xs-12 col-sm-4">
												<div class="form-group">
													<label><i class="fa fa-barcode"></i> Seri No</label>
													<input type="text" name="seri_no" class="form-control" data-tur='{ "tur" : "tam", "kolon" : "s_no" }' />
												</div>
											</div>
											<div class="col-xs-12 col-sm-4">
												<div class="form-group">
													<label><i class="fa fa-sort-numeric-asc"></i> Sıra No</label>
													<input type="text" name="sira_no" class="form-control" data-tur='{ "tur" : "tam", "kolon" : "fis_id" }' />
												</div>
											</div>
										</div>
										<hr />
										<div class="row">
											<div class="col-xs-6">
												<div class="form-group">
													<label><i class="fa fa-question-circle"></i> Durum</label>
													<select name="durum" class="selectpicker form-control" data-tur='{ "tur" : "tam", "kolon" : "durum" }'>
														<option value="">Seçilmedi</option>
														<option value="0">Yeni Servis</option>
														<?php foreach($_SESSION["bilgi"]["durumlar"] as $dur): ?>
															<option value="<?php echo $dur["durum_id"]; ?>"><?php echo $dur["durum_baslik"]; ?></option>
														<?php endforeach; ?>
													</select>
												</div>
											</div>
											<div class="col-xs-6">
												<div class="form-group">
													<label><i class="fa fa-trademark"></i> Garanti</label>
													<select name="garanti" class="selectpicker form-control" data-tur='{ "tur" : "tam", "kolon" : "garanti" }'>
														<option value="">Seçilmedi</option>
														<option value="1">Var</option>
														<option value="0">Yok</option>
													</select>
												</div>
											</div>
										</div>
										<hr />
										<div class="row">
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label><i class="fa fa-calendar"></i> Kayıt Tarihi</label>
													<div class="input-group tarih-secim input-daterange">
														<input type="text" name="start" placeholder="Başlangıç" class="form-control datepicker" data-tur='{ "tur" : "between", "kolon" : "tarih", "tarih" : "ekle" }' readonly />
														<span class="input-group-addon"><i class="fa fa-arrows-h"></i></span>
														<input type="text" name="end" placeholder="Bitiş" class="form-control datepicker" data-tur='{ "tur" : "between", "kolon" : "tarih", "tarih" : "bitis" }' readonly />
													</div>
												</div>
											</div>
											
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label><i class="fa fa-calendar"></i> Teslim Tarihi</label>
													<div class="input-group tarih-secim input-daterange">
														<input type="text" name="t_start" placeholder="Başlangıç" class="form-control datepicker" data-tur='{ "tur" : "between", "kolon" : "t_tarih", "tarih" : "ekle" }' readonly />
														<span class="input-group-addon"><i class="fa fa-arrows-h"></i></span>
														<input type="text" name="t_end" placeholder="Bitiş" class="form-control datepicker" data-tur='{ "tur" : "between", "kolon" : "t_tarih", "tarih" : "bitis" }' readonly />
													</div>
												</div>
											</div>
										</div>
										<div class="row">
											<div class="col-xs-12">
												<button type="submit" class="btn btn-primary btn-block" data-liste-ara='{ "hangisi" : "servis_fisleri", "form" : "servis-fisi-arama-formu" }'><i class="fa fa-search"></i> Arama Yap</button>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>