<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$_token											=	uniqid();
	$_SESSION["yazdirToken"]	=	$_token;
	$disariAktarAction					=	$_SESSION["oto_url"]."/goster/excele-aktar.php?hangisi=servis-fisleri-disari-aktar&token=".$_token;
	$servisFisleriOrnekDosya		=	$_SESSION["oto_url"]."/goster/excele-aktar.php?hangisi=servis-fisleri-ornek-dosya-indir&token=".$_token;
	
	$yetki_servis_fisi_iceri_aktar	=	yetki( "servis_fisi_iceri_aktar" );
	$yetki_servis_fisi_disari_aktar	=	yetki( "servis_fisi_disari_aktar" );
	
	$_servis			=	new Servis();
	
	if( $yetki_servis_fisi_iceri_aktar ){
		$musteriler	=	$_servis -> ozelSorgu( "select musteri_id, musteri_adi from "._MUSTERILER." where musteri_sil = 0" );
	}
	
	$disariAktarilacaklar	=	array(
		_MUSTERILER.".musteri_adi"							=>	"Cari Adı",
		_SERVISFISLERI.".servis_fis_id"						=>	"Fiş Sırası",
		_SERVISFISLERI.".servis_fis_no"						=>	"Fiş Numarası",
		_CIHAZLAR.".cihaz_baslik"								=>	"Cihaz",
		_MARKALAR.".marka_baslik"							=>	"Marka",
		_SERVISFISLERI.".servis_model_no"			=>	"Model No",
		_SERVISFISLERI.".servis_seri_no"					=>	"Seri No",
		_SERVISFISLERI.".sikayet"									=>	"Arıza",
		_SERVISFISLERI.".servis_aciklama"				=>	"Açıklama",
		_SERVISFISLERI.".birlikte_gelenler"				=>	"Birlikte Gelenler",
		_DURUMLAR.".durum_baslik"							=>	"Servis Durumu",
		_SERVISFISLERI.".servis_garanti_durum"	=>	"Garanti",
		_USERS.".user_name"											=>	"Ekleyen Kullanıcı",
		_SERVISFISLERI.".servis_giris_tarihi"			=>	"Servis Giriş Tarihi",
		_SERVISFISLERI.".servis_teslim_tarihi"		=>	"Servis Teslim Tarihi"
	);

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
								
										<div class="ms-tab">
											<div class="tab-menu">
												<ul class="clearfix">
													<li class="active"><a href="#">Dışarı Aktar</a></li>
													<li><a href="#">İçeri Aktar</a></li>
												</ul>
											</div>
										
											<div class="ms-tab-content">
												
												<div class="row tab-bir" style="display:block;">
													<div class="col-xs-12">
													
													<?php if( $yetki_servis_fisi_disari_aktar ): ?>
														<form action="<?php echo $disariAktarAction; ?>" method="post" autocomplete = "off" target="_blank" >
														<h5 style="padding-bottom:5px;font-size:13px;"><strong>Aktarılacak Alanları Seçin</strong></h5>
														<div class="row">
															<?php foreach( $disariAktarilacaklar as $key => $aktar ): ?>
																<div class="col-xs-12 col-sm-4">
																	<div class="garanti-kutu">
																		<div class="ui checkbox checked">
																			<input type="checkbox" name="aktar[<?php echo $key; ?>]" value="1" checked />
																			<label><?php echo $aktar; ?></label>
																	   </div>
																	</div>
																</div>
															<?php endforeach; ?>
															
															<div class="col-xs-12">
																<div class="form-inline">
																		<div class="form-group pos-rel input-data">
																			<input type="text" name="bas" class="form-control" size="6" placeholder="baş" 
																			data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" />
																		</div> 
																		- 
																		<div class="form-group pos-rel input-data">
																			<input type="text" name="adet" class="form-control" size="6" placeholder="adet" 
																			data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" />
																		</div> 
																		<span style="font-size:13px;">Arası Kayıtları Aktar</span>
																</div>
															</div>
															<input type="hidden" name="aktarilacaklar" value="<?php echo http_build_query( $disariAktarilacaklar ); ?>" />
															
															<div class="col-xs-12" style="margin-top:10px;">
																<button type="submit" class="btn btn-primary"><i class="fa fa-external-link-square"></i> Dışarı Aktar</button>
															</div>
															
														</div>
														</form>
													<?php else: ?>
														<div class="alert alert-danger">
															<strong><i class="fa fa-times"></i> Servis Fişi Dışarı Aktarma Yetkiniz Yok !</strong>
														</div>
													<?php endif; ?>
													
													</div>
												</div>
												
												<div class="row tab-bir">
													<div class="col-xs-12">
													
													<?php if( $yetki_servis_fisi_iceri_aktar ): ?>
														<form id="iceri-aktar" action="" method="post" enctype="multipart/form-data">
															<h6 class="clearfix">
																<strong>İçeri Aktarılacak Excel Dosyası</strong>
																<strong class="pull-right">
																	<a href="<?php echo $servisFisleriOrnekDosya; ?>" target="_blank">
																	<i class="fa fa-file-text-o"></i> Örnek Dosya</a>
																</strong>
															</h6>
															<div class="resim-secme clear" style="margin-top:10px;">
																<span class="btn btn-default btn-sm dosya-sec in-block left col-xs-3 no-shadow"><i class="fa fa-floppy-o"></i> Dosya Seç
																	<input type="file" name="dosya" accept=".xls, .xlsx" />
																</span>
																<span class="secilen-dosya left in-block col-xs-9 font-bold">
																	
																</span>
															</div>
															<div class="resim-yukleme-islemi">
																<div class="resim-load-bar">
																	<div class="progress" style="margin:10px 0;">
																	  <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:0%">
																		<span class="sr-only">0%</span>
																	  </div>
																	</div>
																</div>
																<div class="resim-yukleme-butonu clearfix">
																	<input type="hidden" name="hangisi" value="servis_fisleri" />
																	<button type="submit" class="btn btn-primary btn-sm col-xs-3 iceri-aktar"><i class="fa fa-download"></i> 
																	İçeri Aktar</button>
																</div>
															</div>
															
															<div class="row" style="margin-top:10px;">
																<div class="col-xs-6">
																	<div class="form-group">
																		<label><i class="fa fa-desktop"></i> Cihaz</label>
																			<div class="form-group pos-rel input-data">
																				<select name="cihaz_id" class="selectpicker form-control">
																					<?php foreach($_SESSION["bilgi"]["cihazlar"] as $cih): ?>
																						<option value="<?php echo $cih["cihaz_id"]; ?>" <?php echo ($cih["cihaz_id"] == $bilgiler["cihaz_id"]) ? "selected" : null; ?>>
																							<?php echo $cih["cihaz_baslik"]; ?>
																						</option>
																					<?php endforeach; ?>
																				</select>
																			</div>
																	</div>
																</div>
																
																<div class="col-xs-6">
																	<div class="form-group">
																		<label><i class="fa fa-info-circle"></i> Durum</label>
																			<div class="form-group pos-rel input-data">
																				<select name="durum_id" class="selectpicker form-control">
																					<option value="0">Yeni Servis</option>
																					<?php foreach($_SESSION["bilgi"]["durumlar"] as $dur): ?>
																						<option value="<?php echo $dur["durum_id"]; ?>" <?php echo ($dur["durum_id"] == $bilgiler["durum_id"]) ? "selected" : null; ?>>
																							<?php echo $dur["durum_baslik"]; ?>
																						</option>
																					<?php endforeach; ?>
																				</select>
																			</div>
																	</div>
																</div>
																
																<div class="col-xs-12">
																	<div class="form-group">
																		<label><i class="fa fa-user"></i> Cari Hesap</label>
																			<div class="form-group pos-rel input-data">
																				<select name="musteri_id" class="selectpicker form-control" data-live-search="true">
																					<?php foreach($musteriler as $mus): ?>
																						<option value="<?php echo $mus["musteri_id"]; ?>">
																							<?php echo $mus["musteri_adi"]; ?>
																						</option>
																					<?php endforeach; ?>
																				</select>
																			</div>
																	</div>
																</div>
															</div>
															
															<div class="result"></div>
														</form>
													<?php else: ?>
														<div class="alert alert-danger">
															<strong><i class="fa fa-times"></i> Servis Fişi İçeri Aktarma Yetkiniz Yok !</strong>
														</div>
													<?php endif; ?>
													
													</div>
												</div>
												
											</div>
										</div>
										
								</div>
							</div>
						</div>