<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Iller.php";
	
	$_servis			=	new Servis();
	$_il						=	new Il();
	
	$param			=	get("param");
	$param			=	explode( "|", $param );
	
	list( $musteri_id )	=	( $param ) ? $param : false;
	
	if( $musteri_id ){
		$musteri	=	$_servis -> 
								ozelSorgu("select musteri_kodu, musteri_adi, musteri_tel1, il, musteri_email from "._MUSTERILER." 
								where musteri_id = ? and musteri_sil = 0 LIMIT 1", array( $musteri_id ));
	}
	
	$form				=	"veresiye-ekleme-formu";
	
	$args				=	get("args");
	$args				=	json_decode( html_entity_decode( $args ), true );

?>
						<div class="modal-icerik-style">
						
							<?php if( $args["hangisi"] ): ?>
								<div class="geri-don-btn clearfix">
									<button type="button" class="btn btn-default btn-sm pull-left" data-toggle-iki="tooltip" title="Geri Dön"
									data-modal-ac="<?php echo $args["hangisi"]; ?>" data-param='{ "baslik" : "<?php echo $args["baslik"]; ?>", 
									"id" : <?php echo ( $args["id"] ) ? $args["id"] : $musteri_id; ?>, "yenile" : true, "size" : "<?php echo $args["size"]; ?>" }'>
									<i class="fa fa-arrow-left"></i></button>
								</div>
							<?php endif; ?>
						
							<div class="row">
								<div class="col-xs-12">
									<form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data" data-par='{ "hangisi" : "veresiye" , "listele" : "veresiye" }' autocomplete = "off" >
										<div class="row">
											<div class="col-xs-12">
												<div class="row ilk-panel">
													<div class="row no-margin">
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label style="display:block;"><i class="fa fa-user"></i> Cari Hesap ( * )
																	<a href="#" class="pull-right" data-musteri-sec="true"><i class="fa fa-plus-square"></i> Liste</a>
																</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="musteri" class="form-control" maxlength="100" data-otomatik-tamamla="musteri-sec" data-param='musteri-sec' 
																		value="<?php echo ( count( $musteri ) ) ? $musteri[0]["musteri_adi"] : null; ?>" />
																	</div>
															</div>
														</div>
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label><i class="fa fa-calendar"></i> Vade Tarihi</label>
																	<div class="form-group pos-rel tarih-secim">
																		<input type="text" name="vade_tarihi" class="form-control datepicker" readonly />
																	</div>
															</div>
														</div>
													</div>
													<hr style="margin:0 5px 10px 5px;"/>
														<div class="col-xs-12">
														
														<div class="row musteri-sec" style="<?php echo ( count( $musteri ) ) ? 'display:block;': null; ?>">
															<fieldset>
																<legend>
																	<i class="fa fa-info-circle"></i> Cari Bilgileri <span class="ok"><i class="fa fa-check"></i></span>
																</legend>
																<div class="bilgiler">
																	<table>
																		<tr>
																			<td class="baslik"><strong>Cari Adı</strong></td>
																			<td class="bilgi-musteri-adi">: <?php echo ( count( $musteri ) ) ? $musteri[0]["musteri_adi"] : null; ?></td>
																		</tr>
																		<tr>
																			<td class="baslik"><strong>Hesap Kodu</strong></td>
																			<td class="bilgi-hesap-kodu">: <?php echo ( count( $musteri ) ) ? $musteri[0]["musteri_kodu"] : null; ?></td>
																		</tr>
																		<tr>
																			<td class="baslik"><strong>Email</strong></td>
																			<td class="bilgi-musteri-email">: <?php echo ( count( $musteri ) ) ? $musteri[0]["musteri_email"] : null; ?></td>
																		</tr>
																		<tr>
																			<td class="baslik"><strong>Telefon</strong></td>
																			<td class="bilgi-musteri-telefon">: <?php echo ( count( $musteri ) ) ? $musteri[0]["musteri_tel1"] : null; ?></td>
																		</tr>
																		<tr>
																			<td class="baslik"><strong>İl</strong></td>
																			<td class="bilgi-musteri-il">: <?php echo ( count( $musteri ) ) ? $_il -> ilTek( $musteri[0]["il"] ) : null; ?></td>
																		</tr>
																	</table>
																</div>
															</fieldset>
															
															<input type="hidden" name="musteri_id" value="<?php echo ( count( $musteri ) ) ? $musteri_id : null; ?>" 
															data-uyari="Cari Seçmediniz!" required />
															
														</div>
														
														</div>
															<div class="col-xs-12">
																<div class="row">
																	<div class="col-xs-12 col-sm-6">
																		<div class="form-group">
																			<label><i class="fa fa-money"></i> Tutar</label>
																				<div class="input-group pos-rel input-data">
																					<input type="text" name="tutar" class="form-control" data-para-format="TR" data-thousands="." data-decimal="," placeholder="0,00" required />
																					<span class="input-group-addon"><i class="fa fa-try"></i></span>
																				</div>
																		</div>
																	</div>
																</div>
																<div class="row">
																	<div class="col-xs-12">
																		<div class="form-group">
																				<label><i class="fa fa-comment"></i> Açıklama</label>
																				<div class="form-group pos-rel input-data">
																					<textarea name="aciklama" class="form-control" rows="2"></textarea>
																				</div>
																		</div>
																	</div>
																</div>
															</div>
													<div class="col-xs-12">
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" data-fonksiyon="kayitEkle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
													</div>
												</div>
												<div class="row son-panel">
													<div class="col-xs-12">
														<div class="alert alert-success response" role="alert"></div>
													</div>
												</div>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>