<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$form = "yedek-parca-ekleme-form";

?>
	<div class="modal-icerik-style">
	
		<div class="row">
			<div class="col-xs-12">
				<form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data" data-par='{ "hangisi" : "yedek_parca" , "listele" : "yedek_parcalar" }' autocomplete = "off" >
					<div class="row">
						<div class="col-xs-12 col-sm-7 sablon-paneli-css">
							<div class="row ilk-panel">
								<div class="col-xs-12">
									<div class="form-group">
										<label><i class="fa fa-gavel"></i> Parça İsmi</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="parca_adi" class="form-control" maxlength="100" required />
										</div>
									</div>
								</div>
								
								<div class="col-xs-12">
									<div class="form-group">
										<label><i class="fa fa-barcode"></i> Stok Kodu</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="stok_kodu" class="form-control" maxlength="50" />
										</div>
									</div>
								</div>
								
								<div class="duz-cizgi" style="margin-bottom:5px;"><hr /></div>
								
								<div class="col-xs-12">
									<div class="form-group">
										<label><i class="fa fa-barcode"></i> Barkod</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="barkod" class="form-control" value="<?php echo time(); ?>" maxlength="32" required />
										</div>
									</div>
								</div>
								
								<div class="col-xs-9">
									<div class="form-group">
										<label><i class="fa fa-barcode"></i> Raf No</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="raf_no" class="form-control" maxlength="50" />
										</div>
									</div>
								</div>
								<div class="col-xs-3">
									<div class="form-group">
										<label><i class="fa fa-percent"></i> Kdv</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="kdv" class="form-control" value="18" 
											data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" maxlength="2" />
										</div>
									</div>
								</div>
								
								<div class="duz-cizgi" style="margin-bottom:5px;"><hr /></div>
								
								<div class="col-xs-6">
									<div class="form-group">
										<label><i class="fa fa-try"></i> Satış Fiyatı</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="birim_fiyat" class="form-control" 
											data-para-format="TR" data-thousands="." data-decimal="," placeholder="0,00" />
										</div>
									</div>
								</div>
								<div class="col-xs-6">
									<div class="form-group">
										<label><i class="fa fa-try"></i> Alış Fiyatı</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="alis_fiyat" class="form-control" 
											data-para-format="TR" data-thousands="." data-decimal="," placeholder="0,00" />
										</div>
									</div>
								</div>

								<div class="col-xs-12">
									<div class="ui checkbox" style="margin:-10px 0 10px 0;">
										<input type="checkbox" name="eksi_stok" value="1" />
										<label>Eksi Stok</label>
									</div>
								</div>
								
								<div class="duz-cizgi" style="margin-bottom:15px;"><hr /></div>
								
								<div class="col-xs-12">
									<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" data-fonksiyon="kayitEkle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
								</div>
							</div>
							<div class="row son-panel">
								<div class="col-xs-12">
									<div class="alert alert-success response" role="alert"></div>
								</div>
							</div>
						</div>
						
						<div class="col-xs-12 col-sm-5 resim-yukleme-paneli no-border">
							<div class="pos-rel">
								<span class="yeni-resim-yukleniyor rotate"><i class="fa fa-spinner"></i></span>
								<div class="resim-ozellikleri">
									<!--<span>max : 200x200</span>-->
									<span>jpg , png</span>
								</div>
								<img src="<?php echo $_SESSION["oto_url"]; ?>/assets/img/no-image.jpg" class="thumbnail img-responsive ortala" alt="Resim Yok" data-guncellenecek-resim="true" />
							</div>
							<div class="resim-secme clear" style="margin-top:10px;">
								<span class="btn btn-default btn-sm dosya-sec in-block left col-xs-5" disabled="disabled"><i class="fa fa-floppy-o"></i> Resim Seç
									<input type="file" name="resim" accept=".jpg, .png" disabled="disabled" />
								</span>
								<span class="secilen-dosya left in-block col-xs-7 font-bold">
									
								</span>
							</div>
							<div class="resim-yukleme-islemi">
								<div class="resim-load-bar">
									<div class="progress" style="margin:10px 0;">
									  <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:0%">
										<span class="sr-only">0%</span>
									  </div>
									</div>
								</div>
								<div class="resim-yukleme-butonu">
									<input type="hidden" name="hangisi" value="stok" />
									<input type="hidden" name="id" value="0" />
									<button type="submit" class="btn btn-primary btn-sm col-xs-5" data-form="<?php echo $form; ?>"><i class="fa fa-cloud-upload"></i> Yükle</button>
								</div>
							</div>
							<div class="sonuc-mesaj">
								<div class="alert alert-success response" role="alert"></div>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>