<?php
	
	ini_set( 'display_errors', 0 );
	ini_set( 'display_startup_errors', 0 );
	error_reporting( 0 );
	//set_time_limit( 0 );
	
	date_default_timezone_set('Europe/Istanbul');
	//date_default_timezone_set( "Asia/Baghdad" );
	setlocale(LC_ALL, 'tr_TR.UTF-8', 'tr_TR', 'tr', 'turkish');
	
	//Bağlantı ayarları
	$_host	=	"localhost";
	$_user	=	"root";
	$_sifre	=	"";
	$_db	=	"servisv2";

	const _SSL = 0;	//Eğer ssl kullanıyorsanız burayı 1 yapın
	
	//Sunucu Tanımlamaları
	define("_HOST", $_host);
	define("_USER", $_user);
	define("_SIFRE", $_sifre);
	define("_DB", $_db);
	
	//Genel Tanımlamalar
	define("SITE",rtrim($_SERVER["SERVER_NAME"],"/"));
	define("DIZIN",ltrim($_SERVER["REQUEST_URI"],"/"));
	define("OTO_URL",getUrl());
	define("MAN_URL","http://127.0.0.1/servisTakipv2");
	define("SITE_DURUM",1);
	define("SITE_PERSONEL_DURUM",1);
	
	
	//Tablo tanımlamaları
	define("_ON_EK","sy_");
	define("_USERS",_ON_EK."users");
	define("_AKTIFPERSONEL",_ON_EK."aktif_personeller");
	define("_SERVISFISLERI",_ON_EK."servis_fisleri");
	define("_MUSTERILER",_ON_EK."musteriler");
	define("_DURUMLAR",_ON_EK."durumlar");
	define("_CIHAZLAR",_ON_EK."cihazlar");
	define("_MARKALAR",_ON_EK."markalar");
	define("_YETKILER",_ON_EK."yetkiler");
	define("_SMSSABLONLARI",_ON_EK."sms_sablonlari");
	define("_EMAILSABLONLARI",_ON_EK."email_sablonlari");
	define("_YEDEKPARCA",_ON_EK."yedek_parca");
	define("_BILDIRIM",_ON_EK."bildirim");
	define("_GOREVLER",_ON_EK."gorevler");
	define("_RESIMLER",_ON_EK."resimler");
	define("_TAHSILAT",_ON_EK."tahsilat");
	define("_HATIRLATMA",_ON_EK."hatirlatma");
	define("_SERVISISLEMLERI",_ON_EK."servis_islemleri");
	define("_KULLANILANMALZEMELER",_ON_EK."kullanilan_malzemeler");
	define("_MESAJLAR",_ON_EK."mesajlar");
	define("_DOSYALAR",_ON_EK."dosyalar");
	define("_FIRMA",_ON_EK."firma_bilgileri");
	define("_AYARLAR",_ON_EK."ayarlar");
	define("_SMS_EMAIL",_ON_EK."sms_email_yapilandirma");
	define("_SMS_EMAIL_GONDERILENLER", _ON_EK."sms_email_gonderilenler");
	define("_FATURALAR", _ON_EK."faturalar");
	define("_FATURA_URUNLER", _ON_EK."fatura_urunler");
	define("_GEGKART", _ON_EK."gelir_gider_kartlari");
	define("_GGFISLER", _ON_EK."gelir_gider_fisleri");
	define("_VERESIYE", _ON_EK."veresiye_defteri");
	
	function lisansKontrol_2( $key, $lisans ){
		if( $key != $lisans ){
			ob_end_clean();
			echo "-";
			exit();
		}
	}
	
	//Ioncube versiyona göre fonksiyonları getir
	function req_funcs($file = null){
		$php_version = explode(".", phpversion());
		$ver = "{$php_version[0]}_{$php_version[1]}";
		require_once $_SESSION["root"]."/inc/funcs/ion{$ver}/{$file}.php";
	}
	
	//Tam Url
	function getUrl(){
		$base_dir		=	__DIR__; // Absolute path to your installation, ex: /var/www/mywebsite
		$doc_root		=	preg_replace("!{$_SERVER['SCRIPT_NAME']}$!", '', $_SERVER['SCRIPT_FILENAME']); # ex: /var/www
		$base_url		=	preg_replace("!^{$doc_root}!", '', $base_dir); # ex: '' or '/mywebsite'
		$base_url		=	str_replace('\\', '/', $base_url);//On Windows
		$base_url		=	str_replace($doc_root, '', $base_url);//On Windows
		$protocol		=	( _SSL == 1 ) ? 'https' : 'http';
		$port				=	$_SERVER['SERVER_PORT'];
		//$disp_port		=	($protocol == 'http' && $port == 80 || $protocol == 'https' && $port == 443) ? '' : ":$port";
		$domain			=	$_SERVER['SERVER_NAME'];
		$full_url			=	"$protocol://{$domain}{$base_url}"; # Ex: 'http://example.com', 'https://example.com/mywebsite', etc.
		$full_url 			=	rtrim(trim($full_url,"/"),"/inc");
		
		return $full_url;
		//return "https://www.bilhane.com/test/servisTakipV2";
	}

?>