<?php

	class Marka extends Servis{
		
		public function getMarkalar(array $alanlar = null){
			$select = (is_array($alanlar)) ? rtrim(implode(",",$alanlar),",") : "*";
			$sql = "select ".$select." from "._MARKALAR." where "._MARKALAR.".marka_sil = 0 order by "._MARKALAR.".marka_id desc";
			try{
				$marka = $this -> db -> _baglan -> prepare($sql);
				$marka -> execute();
				$markalar = $marka -> fetchAll(PDO::FETCH_ASSOC);
				return $markalar;
			}
			catch(PDOException $hata){
				$this -> db -> _hata = $hata -> getMessage();
				return false;
			}
		}
		
		public function sadeceMarkalar(array $alanlar = null){
			$select = (is_array($alanlar)) ? rtrim(implode(",",$alanlar),",") : "*";
			$sql = "select ".$select." from "._MARKALAR." where "._MARKALAR.".marka_sil = 0 order by marka_id desc";
			try{
				$marka = $this -> db -> _baglan -> prepare($sql);
				$marka -> execute();
				$markalar = $marka -> fetchAll(PDO::FETCH_ASSOC);
				return $markalar;
			}
			catch(PDOException $hata){
				$this -> db -> _hata = $hata -> getMessage();
				return false;
			}
		}
		
	}

?>