<?php

	class Musteri extends Servis{
		
		public $limit = 25;
		public $toplam = 0;
		
		public function getMusteriler($sayfa = 1,$param = null,$values = null,array $alanlar = null){
			$select = (is_array($alanlar)) ? rtrim(implode(",",$alanlar),",") : "*";
			$bas = ($sayfa * $this -> limit) - $this -> limit;
			$bit = $this -> limit;
			
			$sql = "select ".$select." from "._MUSTERILER." where ( "._MUSTERILER.".musteri_sil = 0 ) ".$param." LIMIT ".$bas.",".$bit;
			$toplamSql = "select count(musteri_id) as toplam from "._MUSTERILER." where ( "._MUSTERILER.".musteri_sil = 0 ) ".$param;
			
			$this -> toplam = $this -> toplamSayfa($toplamSql,$values);
			
			try{
				$musteriler = $this -> db -> _baglan -> prepare($sql);
				$musteriler -> execute($values);
				return $musteriler -> fetchAll(PDO::FETCH_ASSOC);
			}
			catch(PDOException $hata){
				$this -> db -> _hata = $hata -> getMessage();
				return false;
			}
		}
		
		/*
			param @int,array,array | user_id,hucreler,degerler
		*/
		public function UpdateMusteri($musteri_id,$hucreler,$degerler){
			$hucreSorgu = implode(" = ?, ",$hucreler);
			$hucreSorgu = rtrim(rtrim($hucreSorgu," = ?, ")." = ?, ",", ");
			$sql = "update "._MUSTERILER." set ".$hucreSorgu." where musteri_id = {$musteri_id}";
			try{
				$update = $this -> db -> _baglan -> prepare($sql);
				$update -> execute($degerler);
				return true;
			}
			catch(PDOException $hata){
				$this -> db -> _hata = $hata -> getMessage();
				return false;
			}
		}
		
	}

?>