-- phpMyAdmin SQL Dump
-- version 4.9.7
-- https://www.phpmyadmin.net/
--
-- Anamakine: 127.0.0.1:3306
-- Üretim Zamanı: 20 Ara 2022, 15:24:33
-- Sunucu sürümü: 5.7.36
-- PHP Sürümü: 5.6.40

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Veritabanı: `servisv2`
--

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_aktif_personeller`
--

DROP TABLE IF EXISTS `sy_aktif_personeller`;
CREATE TABLE IF NOT EXISTS `sy_aktif_personeller` (
  `user_id` int(10) UNSIGNED NOT NULL,
  `son_islem_zamani` datetime DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_ayarlar`
--

DROP TABLE IF EXISTS `sy_ayarlar`;
CREATE TABLE IF NOT EXISTS `sy_ayarlar` (
  `ayar_id` tinyint(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `musteri_sorgula` tinyint(3) UNSIGNED NOT NULL,
  `tahsilat_makbuzu_tutar_yaz` tinyint(3) UNSIGNED NOT NULL,
  `servis_formu_tutar_yaz` tinyint(3) UNSIGNED NOT NULL,
  `panel_bilgilerini_ekle` tinyint(3) UNSIGNED NOT NULL,
  `panel_sifre` varchar(255) NOT NULL,
  `backup` tinyint(3) UNSIGNED NOT NULL DEFAULT '1',
  `sartname` text NOT NULL,
  `yandex_api_key` varchar(255) DEFAULT NULL,
  `versiyon` varchar(155) NOT NULL,
  `firma_imza` text NOT NULL,
  `mail_sec` varchar(155) NOT NULL,
  `kdv_oran` smallint(5) UNSIGNED NOT NULL,
  `devam_suresi` smallint(5) UNSIGNED NOT NULL,
  `servis_tutari_kdv` smallint(5) UNSIGNED NOT NULL,
  `cari_kodu` varchar(150) NOT NULL,
  `lisans` varchar(255) NOT NULL,
  PRIMARY KEY (`ayar_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_bildirim`
--

DROP TABLE IF EXISTS `sy_bildirim`;
CREATE TABLE IF NOT EXISTS `sy_bildirim` (
  `bildirim_id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `bildirim_gonderici` int(10) UNSIGNED NOT NULL,
  `bildirim_alici` int(10) UNSIGNED NOT NULL,
  `bildirim_tur` varchar(155) NOT NULL,
  `bildirim_kayit_id` int(10) UNSIGNED NOT NULL,
  PRIMARY KEY (`bildirim_id`),
  KEY `bildirim_gonderici` (`bildirim_gonderici`),
  KEY `bildirim_alici` (`bildirim_alici`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_cihazlar`
--

DROP TABLE IF EXISTS `sy_cihazlar`;
CREATE TABLE IF NOT EXISTS `sy_cihazlar` (
  `cihaz_id` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  `cihaz_baslik` varchar(155) NOT NULL,
  `cihaz_resim` varchar(255) DEFAULT NULL,
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `cihaz_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `cihaz_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`cihaz_id`),
  KEY `cihaz_baslik` (`cihaz_baslik`),
  KEY `ekleyen_id` (`ekleyen_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_dosyalar`
--

DROP TABLE IF EXISTS `sy_dosyalar`;
CREATE TABLE IF NOT EXISTS `sy_dosyalar` (
  `dosya_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `dosya_adi` varchar(255) NOT NULL,
  PRIMARY KEY (`dosya_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_durumlar`
--

DROP TABLE IF EXISTS `sy_durumlar`;
CREATE TABLE IF NOT EXISTS `sy_durumlar` (
  `durum_id` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  `durum_baslik` varchar(155) NOT NULL,
  `durum_resim` varchar(255) DEFAULT NULL,
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `durum_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  `durum_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`durum_id`),
  KEY `durum_baslik` (`durum_baslik`),
  KEY `ekleyen_id` (`ekleyen_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_email_sablonlari`
--

DROP TABLE IF EXISTS `sy_email_sablonlari`;
CREATE TABLE IF NOT EXISTS `sy_email_sablonlari` (
  `email_sablon_id` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  `email_sablon_baslik` varchar(155) NOT NULL,
  `email_sablon_konu` varchar(255) NOT NULL,
  `email_sablon_detay` text NOT NULL,
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `email_sablon_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `email_sablon_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`email_sablon_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_faturalar`
--

DROP TABLE IF EXISTS `sy_faturalar`;
CREATE TABLE IF NOT EXISTS `sy_faturalar` (
  `fatura_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `fatura_seri_no` varchar(255) NOT NULL,
  `fatura_tarihi` datetime NOT NULL,
  `fatura_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `fatura_ara_toplam` decimal(10,2) UNSIGNED NOT NULL,
  `fatura_kdv_tutar` decimal(10,2) UNSIGNED NOT NULL,
  `fatura_iskonto` decimal(10,2) UNSIGNED NOT NULL,
  `fatura_toplam_tutar` decimal(10,2) UNSIGNED NOT NULL,
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `fatura_aciklama` varchar(255) DEFAULT NULL,
  `musteri_id` int(10) UNSIGNED NOT NULL,
  `fatura_tur` varchar(155) NOT NULL,
  `servis_fis_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `servis_fis_no` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `fatura_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`fatura_id`),
  UNIQUE KEY `fatura_seri_no` (`fatura_seri_no`),
  KEY `fatura_tur` (`fatura_tur`),
  KEY `servis_fis_id` (`servis_fis_id`),
  KEY `servis_fis_no` (`servis_fis_no`),
  KEY `musteri_id` (`musteri_id`),
  KEY `fatura_tarihi` (`fatura_tarihi`),
  KEY `fatura_kayit_tarihi` (`fatura_kayit_tarihi`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Tetikleyiciler `sy_faturalar`
--
DROP TRIGGER IF EXISTS `cari_bakiye_ekle`;
DELIMITER $$
CREATE TRIGGER `cari_bakiye_ekle` AFTER INSERT ON `sy_faturalar` FOR EACH ROW Begin 
Update `sy_musteriler` set bakiye = 
CASE 
WHEN NEW.fatura_tur = 'satis' THEN bakiye + NEW.fatura_toplam_tutar 
WHEN NEW.fatura_tur = 'alis' THEN bakiye - NEW.fatura_toplam_tutar 
END 
Where musteri_id = NEW.musteri_id;
End
$$
DELIMITER ;
DROP TRIGGER IF EXISTS `fatura_urun_sil`;
DELIMITER $$
CREATE TRIGGER `fatura_urun_sil` AFTER DELETE ON `sy_faturalar` FOR EACH ROW Begin

Delete from `sy_fatura_urunler` where sy_fatura_urunler.fatura_id = OLD.fatura_id;
Delete from `sy_tahsilat` where sy_tahsilat.fatura_seri_no = OLD.fatura_seri_no;

Update `sy_musteriler` set bakiye = 
CASE 
WHEN OLD.fatura_tur = 'satis' THEN bakiye - OLD.fatura_toplam_tutar 
WHEN OLD.fatura_tur = 'alis' THEN bakiye + OLD.fatura_toplam_tutar 
END 
Where sy_musteriler.musteri_id = OLD.musteri_id;

End
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_fatura_urunler`
--

DROP TABLE IF EXISTS `sy_fatura_urunler`;
CREATE TABLE IF NOT EXISTS `sy_fatura_urunler` (
  `fatura_urun_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `fatura_id` int(10) UNSIGNED NOT NULL,
  `yedek_parca_id` int(10) UNSIGNED NOT NULL,
  `satis_fiyat` decimal(10,2) UNSIGNED NOT NULL,
  `alis_fiyat` decimal(10,2) UNSIGNED NOT NULL,
  `kdv` smallint(5) UNSIGNED NOT NULL,
  `kdv_dahil` tinyint(3) UNSIGNED NOT NULL DEFAULT '1',
  `urun_adet` int(10) NOT NULL,
  `fatura_tur` varchar(55) NOT NULL,
  PRIMARY KEY (`fatura_urun_id`),
  KEY `fatura_id` (`fatura_id`,`yedek_parca_id`),
  KEY `fatura_tur` (`fatura_tur`),
  KEY `yedek_parca_id` (`yedek_parca_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Tetikleyiciler `sy_fatura_urunler`
--
DROP TRIGGER IF EXISTS `delete_stok_guncelle`;
DELIMITER $$
CREATE TRIGGER `delete_stok_guncelle` AFTER DELETE ON `sy_fatura_urunler` FOR EACH ROW Begin 
Update `sy_yedek_parca` set stok = 
CASE 
WHEN OLD.fatura_tur = 'satis' THEN stok + OLD.urun_adet 
WHEN OLD.fatura_tur = 'alis' THEN stok - OLD.urun_adet 
END 
Where yedek_parca_id = OLD.yedek_parca_id;
End
$$
DELIMITER ;
DROP TRIGGER IF EXISTS `insert_stok_guncelle`;
DELIMITER $$
CREATE TRIGGER `insert_stok_guncelle` AFTER INSERT ON `sy_fatura_urunler` FOR EACH ROW Begin 
Update `sy_yedek_parca` set stok = 
CASE 
WHEN NEW.fatura_tur = 'satis' THEN stok - NEW.urun_adet 
WHEN NEW.fatura_tur = 'alis' THEN stok + NEW.urun_adet 
END 
Where yedek_parca_id = NEW.yedek_parca_id;
End
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_firma_bilgileri`
--

DROP TABLE IF EXISTS `sy_firma_bilgileri`;
CREATE TABLE IF NOT EXISTS `sy_firma_bilgileri` (
  `firma_id` tinyint(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `firma_adi` varchar(255) DEFAULT NULL,
  `firma_tel1` varchar(155) DEFAULT NULL,
  `firma_tel2` varchar(155) DEFAULT NULL,
  `firma_faks` varchar(155) DEFAULT NULL,
  `firma_email` varchar(255) DEFAULT NULL,
  `firma_il` smallint(5) UNSIGNED DEFAULT NULL,
  `firma_adres` text,
  `firma_logo` varchar(255) DEFAULT NULL,
  `firma_hakkinda` text,
  `firma_vergi_no` varchar(255) DEFAULT NULL,
  `firma_vergi_dairesi` varchar(255) DEFAULT NULL,
  `firma_sektor` varchar(255) DEFAULT NULL,
  `firma_site` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`firma_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_gelir_gider_fisleri`
--

DROP TABLE IF EXISTS `sy_gelir_gider_fisleri`;
CREATE TABLE IF NOT EXISTS `sy_gelir_gider_fisleri` (
  `gg_fis_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `kart_id` int(10) UNSIGNED NOT NULL,
  `tutar` decimal(10,2) UNSIGNED NOT NULL,
  `islem` varchar(155) NOT NULL,
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `gg_fis_aciklama` varchar(255) DEFAULT NULL,
  `odeme_tur` tinyint(3) UNSIGNED NOT NULL,
  `gg_fis_tarihi` datetime DEFAULT NULL,
  `gg_fis_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`gg_fis_id`),
  KEY `kart_id` (`kart_id`,`islem`,`ekleyen_id`),
  KEY `gg_fis_tarihi` (`gg_fis_tarihi`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_gelir_gider_kartlari`
--

DROP TABLE IF EXISTS `sy_gelir_gider_kartlari`;
CREATE TABLE IF NOT EXISTS `sy_gelir_gider_kartlari` (
  `kart_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `kart_ismi` varchar(255) NOT NULL,
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `kart_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `kart_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`kart_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_gorevler`
--

DROP TABLE IF EXISTS `sy_gorevler`;
CREATE TABLE IF NOT EXISTS `sy_gorevler` (
  `gorev_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `gorev_veren_id` int(10) UNSIGNED NOT NULL,
  `gorev_alan_id` int(10) UNSIGNED NOT NULL,
  `servis_fis_id` int(10) UNSIGNED NOT NULL,
  `gorev_durum` tinyint(3) UNSIGNED DEFAULT NULL,
  `gorev_bitirme_aciklamasi` text,
  `gorev_bitirme_tarihi` datetime DEFAULT NULL,
  PRIMARY KEY (`gorev_id`),
  KEY `gorev_alan_id` (`gorev_alan_id`),
  KEY `servis_fis_id` (`servis_fis_id`),
  KEY `gorev_veren_id` (`gorev_veren_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_hatirlatma`
--

DROP TABLE IF EXISTS `sy_hatirlatma`;
CREATE TABLE IF NOT EXISTS `sy_hatirlatma` (
  `hatirlatma_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `hatirlatma_baslik` varchar(255) NOT NULL,
  `hatirlatma_detay` text,
  `hatirlatma_personeller` text,
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `hatirlatma_kimlere` tinyint(3) UNSIGNED NOT NULL,
  `hatirlatma_tarih` datetime DEFAULT NULL,
  `hatirlatma_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`hatirlatma_id`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `hatirlatma_tarih` (`hatirlatma_tarih`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_kullanilan_malzemeler`
--

DROP TABLE IF EXISTS `sy_kullanilan_malzemeler`;
CREATE TABLE IF NOT EXISTS `sy_kullanilan_malzemeler` (
  `km_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `servis_fis_id` int(10) UNSIGNED NOT NULL,
  `servis_islem_id` int(10) UNSIGNED NOT NULL,
  `yedek_parca_id` int(10) UNSIGNED NOT NULL,
  `adet` int(10) UNSIGNED NOT NULL,
  `birim_fiyat` decimal(10,2) UNSIGNED NOT NULL,
  `alis_fiyat` decimal(10,2) UNSIGNED NOT NULL,
  `kdv` smallint(5) UNSIGNED NOT NULL,
  PRIMARY KEY (`km_id`),
  KEY `servis_islem_id` (`servis_islem_id`),
  KEY `yedek_parca_id` (`yedek_parca_id`),
  KEY `servis_fis_id` (`servis_fis_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_markalar`
--

DROP TABLE IF EXISTS `sy_markalar`;
CREATE TABLE IF NOT EXISTS `sy_markalar` (
  `marka_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `marka_baslik` varchar(255) NOT NULL,
  `marka_resim` varchar(255) DEFAULT NULL,
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `marka_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `marka_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`marka_id`),
  KEY `marka_baslik` (`marka_baslik`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_mesajlar`
--

DROP TABLE IF EXISTS `sy_mesajlar`;
CREATE TABLE IF NOT EXISTS `sy_mesajlar` (
  `mesaj_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `mesaj_ust_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `gonderen_id` int(10) UNSIGNED NOT NULL,
  `alanlar_id` int(10) UNSIGNED NOT NULL,
  `dosya_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `kim_gonderdi` varchar(50) DEFAULT NULL,
  `kim_aldi` varchar(50) DEFAULT NULL,
  `mesaj_baslik` varchar(255) DEFAULT NULL,
  `mesaj_icerik` text NOT NULL,
  `mesaj_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `mesaj_islem_tarihi` datetime DEFAULT NULL,
  `mesaj_gonderen_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  `mesaj_alan_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`mesaj_id`),
  KEY `mesaj_ust_id` (`mesaj_ust_id`),
  KEY `gonderen_id` (`gonderen_id`),
  KEY `alanlar_id` (`alanlar_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_musteriler`
--

DROP TABLE IF EXISTS `sy_musteriler`;
CREATE TABLE IF NOT EXISTS `sy_musteriler` (
  `musteri_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `musteri_kodu` varchar(155) NOT NULL,
  `musteri_adi` varchar(255) NOT NULL,
  `bakiye` decimal(13,2) NOT NULL DEFAULT '0.00',
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `musteri_email` varchar(155) DEFAULT NULL,
  `musteri_adres` text,
  `konum` varchar(255) DEFAULT NULL,
  `musteri_tel1` varchar(50) DEFAULT NULL,
  `musteri_tel2` varchar(50) DEFAULT NULL,
  `musteri_faks` varchar(155) DEFAULT NULL,
  `sifre` varchar(100) DEFAULT NULL,
  `musteri_vergi_dairesi` varchar(255) DEFAULT NULL,
  `musteri_vergi_no` varchar(155) DEFAULT NULL,
  `musteri_profil_resmi` varchar(255) DEFAULT NULL,
  `musteri_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `musteri_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  `il` mediumint(8) UNSIGNED DEFAULT NULL,
  `ilce_semt` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`musteri_id`),
  UNIQUE KEY `musteri_kodu` (`musteri_kodu`),
  KEY `musteri_adi_2` (`musteri_adi`),
  KEY `musteri_tel1` (`musteri_tel1`),
  KEY `musteri_tel2` (`musteri_tel2`),
  KEY `musteri_kayit_tarihi` (`musteri_kayit_tarihi`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_resimler`
--

DROP TABLE IF EXISTS `sy_resimler`;
CREATE TABLE IF NOT EXISTS `sy_resimler` (
  `resim_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `resim_tur` varchar(155) NOT NULL,
  `resim_link` varchar(255) NOT NULL,
  `resim_tur_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`resim_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_servis_fisleri`
--

DROP TABLE IF EXISTS `sy_servis_fisleri`;
CREATE TABLE IF NOT EXISTS `sy_servis_fisleri` (
  `servis_fis_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `servis_fis_no` int(10) UNSIGNED NOT NULL,
  `musteri_id` int(10) UNSIGNED NOT NULL,
  `sikayet` text NOT NULL,
  `servis_aciklama` text,
  `cihaz_id` mediumint(8) UNSIGNED DEFAULT '0',
  `marka_id` smallint(5) UNSIGNED DEFAULT '0',
  `durum_id` int(10) UNSIGNED DEFAULT '0',
  `hatirlat` tinyint(3) UNSIGNED DEFAULT '0',
  `ozel_alan` text,
  `ekleyen_id` int(10) DEFAULT NULL,
  `mobil_imza` varchar(500) DEFAULT NULL,
  `cari_kayit` tinyint(3) UNSIGNED DEFAULT '0',
  `servis_giris_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `duzenleme_tarihi` datetime DEFAULT NULL,
  `hash` varchar(32) DEFAULT NULL,
  `servis_teslim_tarihi` datetime DEFAULT NULL,
  `plan_tarihi` datetime DEFAULT NULL,
  `fis_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  `birlikte_gelenler` text,
  `servis_garanti_durum` tinyint(3) UNSIGNED DEFAULT '0',
  `garanti_baslangic` datetime DEFAULT NULL,
  `garanti_bitis` datetime DEFAULT NULL,
  `servis_model_no` varchar(255) DEFAULT NULL,
  `servis_seri_no` varchar(155) DEFAULT NULL,
  `gorev_mudahale` tinyint(3) UNSIGNED DEFAULT '0',
  PRIMARY KEY (`servis_fis_id`),
  UNIQUE KEY `servis_fis_no` (`servis_fis_no`),
  KEY `cihaz_id` (`cihaz_id`),
  KEY `marka_id` (`marka_id`),
  KEY `durum_id` (`durum_id`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `musteri_id` (`musteri_id`),
  KEY `servis_giris_tarihi` (`servis_giris_tarihi`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Tetikleyiciler `sy_servis_fisleri`
--
DROP TRIGGER IF EXISTS `gorev_islem_email_sil`;
DELIMITER $$
CREATE TRIGGER `gorev_islem_email_sil` AFTER DELETE ON `sy_servis_fisleri` FOR EACH ROW Begin
Delete from `sy_gorevler` where `sy_gorevler`.servis_fis_id = OLD.servis_fis_id;
Delete from `sy_servis_islemleri` where `sy_servis_islemleri`.servis_fis_id = OLD.servis_fis_id;
Delete from `sy_sms_email_gonderilenler` where `sy_sms_email_gonderilenler`.servis_fis_id = OLD.servis_fis_id;
End
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_servis_islemleri`
--

DROP TABLE IF EXISTS `sy_servis_islemleri`;
CREATE TABLE IF NOT EXISTS `sy_servis_islemleri` (
  `servis_islem_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `servis_fis_id` int(10) UNSIGNED NOT NULL,
  `servis_tutar` decimal(10,2) UNSIGNED NOT NULL,
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `durum_id` int(10) UNSIGNED NOT NULL,
  `servis_islem_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `servis_islem_aciklama` varchar(255) NOT NULL,
  `servis_islem_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  `servis_formunda_goster` tinyint(3) UNSIGNED NOT NULL DEFAULT '1',
  `gider_aciklama` varchar(255) DEFAULT NULL,
  `gider_tutar` decimal(10,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`servis_islem_id`),
  KEY `servis_fis_id` (`servis_fis_id`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `durum_id` (`durum_id`),
  KEY `servis_islem_tarihi` (`servis_islem_tarihi`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Tetikleyiciler `sy_servis_islemleri`
--
DROP TRIGGER IF EXISTS `k_parca_sil`;
DELIMITER $$
CREATE TRIGGER `k_parca_sil` AFTER DELETE ON `sy_servis_islemleri` FOR EACH ROW Begin
Delete from `sy_kullanilan_malzemeler` where `sy_kullanilan_malzemeler`.servis_islem_id = OLD.servis_islem_id;
End
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_sms_email_gonderilenler`
--

DROP TABLE IF EXISTS `sy_sms_email_gonderilenler`;
CREATE TABLE IF NOT EXISTS `sy_sms_email_gonderilenler` (
  `se_gonderim_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `se_gonderen_id` int(10) UNSIGNED NOT NULL,
  `se_baslik` varchar(255) DEFAULT NULL,
  `se_mesaj` text NOT NULL,
  `se_tur` varchar(155) NOT NULL,
  `servis_fis_id` int(10) UNSIGNED NOT NULL,
  `se_gonderim_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`se_gonderim_id`),
  KEY `servis_fis_id` (`servis_fis_id`),
  KEY `se_gonderen_id` (`se_gonderen_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_sms_email_yapilandirma`
--

DROP TABLE IF EXISTS `sy_sms_email_yapilandirma`;
CREATE TABLE IF NOT EXISTS `sy_sms_email_yapilandirma` (
  `ayar_id` tinyint(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `sms_kullanici_adi` varchar(155) NOT NULL,
  `sms_sifre` varchar(155) NOT NULL,
  `sms_mesaj_baslik` varchar(155) NOT NULL,
  `email_sunucu` varchar(255) NOT NULL,
  `email_kullanici_adi` varchar(255) NOT NULL,
  `email_sifre` varchar(255) NOT NULL,
  `email_port` mediumint(8) UNSIGNED NOT NULL,
  PRIMARY KEY (`ayar_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_sms_sablonlari`
--

DROP TABLE IF EXISTS `sy_sms_sablonlari`;
CREATE TABLE IF NOT EXISTS `sy_sms_sablonlari` (
  `sms_sablon_id` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  `sms_sablon_baslik` varchar(155) NOT NULL,
  `sms_sablon_detay` text NOT NULL,
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `sms_sablon_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `sms_sablon_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`sms_sablon_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_tahsilat`
--

DROP TABLE IF EXISTS `sy_tahsilat`;
CREATE TABLE IF NOT EXISTS `sy_tahsilat` (
  `tahsilat_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `islem` varchar(255) NOT NULL,
  `tahsilat_tur` tinyint(3) UNSIGNED NOT NULL,
  `musteri_id` int(10) UNSIGNED NOT NULL,
  `tahsilat_fiyat` decimal(10,2) NOT NULL,
  `fatura_seri_no` varchar(155) DEFAULT NULL,
  `aciklama` varchar(255) DEFAULT NULL,
  `odeme_tur` tinyint(3) UNSIGNED DEFAULT NULL,
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `servis_fis_no` int(10) UNSIGNED DEFAULT NULL,
  `tahsilat_tarihi` datetime DEFAULT NULL,
  `tahsilat_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`tahsilat_id`),
  KEY `musteri_id` (`musteri_id`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `islem` (`islem`),
  KEY `fatura_seri_no` (`fatura_seri_no`),
  KEY `tahsilat_tarihi` (`tahsilat_tarihi`),
  KEY `odeme_tur` (`odeme_tur`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Tetikleyiciler `sy_tahsilat`
--
DROP TRIGGER IF EXISTS `cari_bakiye_kaldir`;
DELIMITER $$
CREATE TRIGGER `cari_bakiye_kaldir` AFTER DELETE ON `sy_tahsilat` FOR EACH ROW Begin 
Update `sy_musteriler` set bakiye = 
CASE 
WHEN OLD.islem = 'gelir' THEN bakiye + OLD.tahsilat_fiyat 
WHEN OLD.islem = 'gider' THEN bakiye - OLD.tahsilat_fiyat 
END 
Where sy_musteriler.musteri_id = OLD.musteri_id;
End
$$
DELIMITER ;
DROP TRIGGER IF EXISTS `cari_bakiye_tahsilat`;
DELIMITER $$
CREATE TRIGGER `cari_bakiye_tahsilat` AFTER INSERT ON `sy_tahsilat` FOR EACH ROW Begin 
Update `sy_musteriler` set bakiye = 
CASE 
WHEN NEW.islem = 'gelir' THEN bakiye - NEW.tahsilat_fiyat 
WHEN NEW.islem = 'gider' THEN bakiye + NEW.tahsilat_fiyat 
END 
Where sy_musteriler.musteri_id = NEW.musteri_id;
End
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_users`
--

DROP TABLE IF EXISTS `sy_users`;
CREATE TABLE IF NOT EXISTS `sy_users` (
  `user_id` int(10) NOT NULL AUTO_INCREMENT,
  `user_uniq_id` varchar(155) NOT NULL,
  `user_name` varchar(155) NOT NULL,
  `user_sifre` varchar(155) NOT NULL,
  `user_email` varchar(155) DEFAULT NULL,
  `user_ad` varchar(155) DEFAULT NULL,
  `user_soyad` varchar(155) DEFAULT NULL,
  `user_yetki` smallint(6) NOT NULL DEFAULT '-1',
  `user_vizyon` tinyint(3) UNSIGNED NOT NULL DEFAULT '1',
  `user_gorev_tanim` varchar(155) DEFAULT NULL,
  `user_kayit_tarih` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `user_son_giris` datetime DEFAULT NULL,
  `user_tel` varchar(155) DEFAULT NULL,
  `user_durum` tinyint(3) UNSIGNED DEFAULT NULL,
  `user_profil_resmi` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_name_2` (`user_name`),
  KEY `user_name` (`user_name`),
  KEY `user_ad` (`user_ad`),
  KEY `user_soyad` (`user_soyad`),
  KEY `user_durum` (`user_durum`),
  KEY `user_email` (`user_email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Tetikleyiciler `sy_users`
--
DROP TRIGGER IF EXISTS `gorev_sil`;
DELIMITER $$
CREATE TRIGGER `gorev_sil` AFTER DELETE ON `sy_users` FOR EACH ROW Begin
Delete from `sy_gorevler` where `sy_gorevler`.gorev_alan_id = OLD.user_id;
End
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_veresiye_defteri`
--

DROP TABLE IF EXISTS `sy_veresiye_defteri`;
CREATE TABLE IF NOT EXISTS `sy_veresiye_defteri` (
  `veresiye_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `cari_id` int(10) UNSIGNED NOT NULL,
  `tutar` decimal(10,2) UNSIGNED NOT NULL,
  `tahsil` tinyint(3) UNSIGNED DEFAULT '0',
  `odeme_tur` tinyint(3) UNSIGNED DEFAULT NULL,
  `aciklama` varchar(255) DEFAULT NULL,
  `kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `vade_tarihi` datetime DEFAULT NULL,
  `tahsil_tarihi` datetime DEFAULT NULL,
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `veresiye_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`veresiye_id`),
  KEY `cari_id` (`cari_id`,`ekleyen_id`),
  KEY `kayit_tarihi` (`kayit_tarihi`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_yedek_parca`
--

DROP TABLE IF EXISTS `sy_yedek_parca`;
CREATE TABLE IF NOT EXISTS `sy_yedek_parca` (
  `yedek_parca_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `yedek_parca_adi` varchar(255) NOT NULL,
  `stok_kodu` varchar(40) DEFAULT NULL,
  `stok_foto` varchar(200) DEFAULT NULL,
  `birim_fiyat` decimal(10,2) UNSIGNED NOT NULL DEFAULT '0.00',
  `alis_fiyat` decimal(10,2) UNSIGNED NOT NULL DEFAULT '0.00',
  `kdv` smallint(5) UNSIGNED NOT NULL DEFAULT '0',
  `stok` int(10) NOT NULL DEFAULT '0',
  `barkod` varchar(32) DEFAULT NULL,
  `raf_no` varchar(50) DEFAULT NULL,
  `eksi_stok` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `yedek_parca_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `yedek_parca_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`yedek_parca_id`),
  UNIQUE KEY `barkod` (`barkod`),
  KEY `ekleyen_id` (`ekleyen_id`),
  KEY `yedek_parca_adi_2` (`yedek_parca_adi`),
  KEY `yedek_parca_kayit_tarihi` (`yedek_parca_kayit_tarihi`),
  KEY `stok_kodu` (`stok_kodu`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `sy_yetkiler`
--

DROP TABLE IF EXISTS `sy_yetkiler`;
CREATE TABLE IF NOT EXISTS `sy_yetkiler` (
  `yetki_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `yetki_baslik` varchar(255) NOT NULL,
  `yetkiler` text,
  `ekleyen_id` int(10) UNSIGNED NOT NULL,
  `yetki_kayit_tarihi` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `yetki_sil` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`yetki_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dökümü yapılmış tablolar için indeksler
--

--
-- Tablo için indeksler `sy_hatirlatma`
--
ALTER TABLE `sy_hatirlatma` ADD FULLTEXT KEY `hatirlatma_personeller` (`hatirlatma_personeller`);

--
-- Tablo için indeksler `sy_musteriler`
--
ALTER TABLE `sy_musteriler` ADD FULLTEXT KEY `musteri_adi` (`musteri_adi`);

--
-- Tablo için indeksler `sy_yedek_parca`
--
ALTER TABLE `sy_yedek_parca` ADD FULLTEXT KEY `yedek_parca_adi` (`yedek_parca_adi`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
